// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package api

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/api"
)

/******************************************************************************
 *
 * @Description              : A30Mes的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-11 17:38:55
 *
 ******************************************************************************/
var A30Mes_ClassName = grmi.NewField("ClassName", "A30_Mes.class_name", "classname", grmi.TypeString)
var A30Mes_ClassId = grmi.NewField("ClassId", "A30_Mes.class_id", "classid", grmi.TypeInt)
var A30Mes_ClassStartTime = grmi.NewField("ClassStartTime", "A30_Mes.class_start_time", "classstarttime", grmi.TypeDateTime)
var A30Mes_ClassEndTime = grmi.NewField("ClassEndTime", "A30_Mes.class_end_time", "classendtime", grmi.TypeDateTime)
var A30Mes_CycleTime = grmi.NewField("CycleTime", "A30_Mes.cycle_time", "cycletime", grmi.TypeInt)

/******************************************************************************
 *
 * @Description              : A30Mes的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-11 17:38:55
 *
 ******************************************************************************/
var A30Mes = grmi.NewEntity(
	"A30_Mes",
	func() interface{} { return &model.A30Mes{} },
	map[string]grmi.Field{
		A30Mes_ClassName.Name:      A30Mes_ClassName,
		A30Mes_ClassId.Name:        A30Mes_ClassId,
		A30Mes_ClassStartTime.Name: A30Mes_ClassStartTime,
		A30Mes_ClassEndTime.Name:   A30Mes_ClassEndTime,
		A30Mes_CycleTime.Name:      A30Mes_CycleTime,
	},
	[]string{},
	[]string{"class_id", "class_start_time", "class_end_time", "cycle_time"})
