// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package api

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/api"
)

/******************************************************************************
 *
 * @Description              : ACCWOWORKORDERDETAIL的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-12 17:24:12
 *
 ******************************************************************************/
var ACCWOWORKORDERDETAIL_WONO = grmi.NewField("WONO", "ACC_WO_WORKORDER_DETAIL.WONO", "wono", grmi.TypeString)
var ACCWOWORKORDERDETAIL_UNITSN = grmi.NewField("UNITSN", "ACC_WO_WORKORDER_DETAIL.UNITSN", "unitsn", grmi.TypeString)
var ACCWOWORKORDERDETAIL_LINE = grmi.NewField("LINE", "ACC_WO_WORKORDER_DETAIL.LINE", "line", grmi.TypeString)
var ACCWOWORKORDERDETAIL_PARTNO = grmi.NewField("PARTNO", "ACC_WO_WORKORDER_DETAIL.PARTNO", "partno", grmi.TypeString)
var ACCWOWORKORDERDETAIL_REV = grmi.NewField("REV", "ACC_WO_WORKORDER_DETAIL.REV", "rev", grmi.TypeString)
var ACCWOWORKORDERDETAIL_CUSTOMERSN = grmi.NewField("CUSTOMERSN", "ACC_WO_WORKORDER_DETAIL.CUSTOMERSN", "customersn", grmi.TypeString)
var ACCWOWORKORDERDETAIL_STATUS = grmi.NewField("STATUS", "ACC_WO_WORKORDER_DETAIL.STATUS", "status", grmi.TypeInt)
var ACCWOWORKORDERDETAIL_PACKINGNO = grmi.NewField("PACKINGNO", "ACC_WO_WORKORDER_DETAIL.PACKINGNO", "packingno", grmi.TypeString)
var ACCWOWORKORDERDETAIL_ISDELETE = grmi.NewField("ISDELETE", "ACC_WO_WORKORDER_DETAIL.ISDELETE", "isdelete", grmi.TypeInt)
var ACCWOWORKORDERDETAIL_SYNCSTATUS = grmi.NewField("SYNCSTATUS", "ACC_WO_WORKORDER_DETAIL.SYNCSTATUS", "syncstatus", grmi.TypeInt)
var ACCWOWORKORDERDETAIL_SYNCTIME = grmi.NewField("SYNCTIME", "ACC_WO_WORKORDER_DETAIL.SYNCTIME", "synctime", grmi.TypeDateTime)
var ACCWOWORKORDERDETAIL_PRINTCOUNT = grmi.NewField("PRINTCOUNT", "ACC_WO_WORKORDER_DETAIL.PRINTCOUNT", "printcount", grmi.TypeInt)
var ACCWOWORKORDERDETAIL_PRINTTIME = grmi.NewField("PRINTTIME", "ACC_WO_WORKORDER_DETAIL.PRINTTIME", "printtime", grmi.TypeDate)
var ACCWOWORKORDERDETAIL_SEGMENTCODE = grmi.NewField("SEGMENTCODE", "ACC_WO_WORKORDER_DETAIL.SEGMENT_CODE", "segmentcode", grmi.TypeInt)
var ACCWOWORKORDERDETAIL_RETRY = grmi.NewField("RETRY", "ACC_WO_WORKORDER_DETAIL.RETRY", "retry", grmi.TypeInt)
var ACCWOWORKORDERDETAIL_MTIME = grmi.NewField("MTIME", "ACC_WO_WORKORDER_DETAIL.MTIME", "mtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ACCWOWORKORDERDETAIL的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-12 17:24:12
 *
 ******************************************************************************/
var ACCWOWORKORDERDETAIL = grmi.NewEntity(
	"ACC_WO_WORKORDER_DETAIL",
	func() interface{} { return &model.ACCWOWORKORDERDETAIL{} },
	map[string]grmi.Field{
		ACCWOWORKORDERDETAIL_WONO.Name:        ACCWOWORKORDERDETAIL_WONO,
		ACCWOWORKORDERDETAIL_UNITSN.Name:      ACCWOWORKORDERDETAIL_UNITSN,
		ACCWOWORKORDERDETAIL_LINE.Name:        ACCWOWORKORDERDETAIL_LINE,
		ACCWOWORKORDERDETAIL_PARTNO.Name:      ACCWOWORKORDERDETAIL_PARTNO,
		ACCWOWORKORDERDETAIL_REV.Name:         ACCWOWORKORDERDETAIL_REV,
		ACCWOWORKORDERDETAIL_CUSTOMERSN.Name:  ACCWOWORKORDERDETAIL_CUSTOMERSN,
		ACCWOWORKORDERDETAIL_STATUS.Name:      ACCWOWORKORDERDETAIL_STATUS,
		ACCWOWORKORDERDETAIL_PACKINGNO.Name:   ACCWOWORKORDERDETAIL_PACKINGNO,
		ACCWOWORKORDERDETAIL_ISDELETE.Name:    ACCWOWORKORDERDETAIL_ISDELETE,
		ACCWOWORKORDERDETAIL_SYNCSTATUS.Name:  ACCWOWORKORDERDETAIL_SYNCSTATUS,
		ACCWOWORKORDERDETAIL_SYNCTIME.Name:    ACCWOWORKORDERDETAIL_SYNCTIME,
		ACCWOWORKORDERDETAIL_PRINTCOUNT.Name:  ACCWOWORKORDERDETAIL_PRINTCOUNT,
		ACCWOWORKORDERDETAIL_PRINTTIME.Name:   ACCWOWORKORDERDETAIL_PRINTTIME,
		ACCWOWORKORDERDETAIL_SEGMENTCODE.Name: ACCWOWORKORDERDETAIL_SEGMENTCODE,
		ACCWOWORKORDERDETAIL_RETRY.Name:       ACCWOWORKORDERDETAIL_RETRY,
		ACCWOWORKORDERDETAIL_MTIME.Name:       ACCWOWORKORDERDETAIL_MTIME,
	},
	[]string{},
	[]string{"LINE", "PARTNO", "REV", "CUSTOMERSN", "STATUS", "PACKINGNO", "ISDELETE", "SYNCSTATUS", "SYNCTIME", "PRINTCOUNT", "PRINTTIME", "SEGMENT_CODE", "RETRY", "MTIME"})
