// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package api

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/api"
)

/******************************************************************************
 *
 * @Description              : ACCWOWORKORDERHEADER的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-12 17:24:12
 *
 ******************************************************************************/
var ACCWOWORKORDERHEADER_WONO = grmi.NewField("WONO", "ACC_WO_WORKORDER_HEADER.WONO", "wono", grmi.TypeString)
var ACCWOWORKORDERHEADER_PONO = grmi.NewField("PONO", "ACC_WO_WORKORDER_HEADER.PONO", "pono", grmi.TypeString)
var ACCWOWORKORDERHEADER_LINE = grmi.NewField("LINE", "ACC_WO_WORKORDER_HEADER.LINE", "line", grmi.TypeString)
var ACCWOWORKORDERHEADER_PARTNO = grmi.NewField("PARTNO", "ACC_WO_WORKORDER_HEADER.PARTNO", "partno", grmi.TypeString)
var ACCWOWORKORDERHEADER_REV = grmi.NewField("REV", "ACC_WO_WORKORDER_HEADER.REV", "rev", grmi.TypeString)
var ACCWOWORKORDERHEADER_PLANSTARTTIME = grmi.NewField("PLANSTARTTIME", "ACC_WO_WORKORDER_HEADER.PLANSTARTTIME", "planstarttime", grmi.TypeDateTime)
var ACCWOWORKORDERHEADER_PLANFINISHTIME = grmi.NewField("PLANFINISHTIME", "ACC_WO_WORKORDER_HEADER.PLANFINISHTIME", "planfinishtime", grmi.TypeDateTime)
var ACCWOWORKORDERHEADER_PLANQUANTITY = grmi.NewField("PLANQUANTITY", "ACC_WO_WORKORDER_HEADER.PLANQUANTITY", "planquantity", grmi.TypeInt)
var ACCWOWORKORDERHEADER_STARTTIME = grmi.NewField("STARTTIME", "ACC_WO_WORKORDER_HEADER.STARTTIME", "starttime", grmi.TypeDateTime)
var ACCWOWORKORDERHEADER_FINISHTIME = grmi.NewField("FINISHTIME", "ACC_WO_WORKORDER_HEADER.FINISHTIME", "finishtime", grmi.TypeDateTime)
var ACCWOWORKORDERHEADER_QUANTITY = grmi.NewField("QUANTITY", "ACC_WO_WORKORDER_HEADER.QUANTITY", "quantity", grmi.TypeInt)
var ACCWOWORKORDERHEADER_STATUS = grmi.NewField("STATUS", "ACC_WO_WORKORDER_HEADER.STATUS", "status", grmi.TypeInt)
var ACCWOWORKORDERHEADER_SORT = grmi.NewField("SORT", "ACC_WO_WORKORDER_HEADER.SORT", "sort", grmi.TypeInt)
var ACCWOWORKORDERHEADER_NEEDBOM = grmi.NewField("NEEDBOM", "ACC_WO_WORKORDER_HEADER.NEEDBOM", "needbom", grmi.TypeInt)
var ACCWOWORKORDERHEADER_BOMRELEASECODE = grmi.NewField("BOMRELEASECODE", "ACC_WO_WORKORDER_HEADER.BOMRELEASECODE", "bomreleasecode", grmi.TypeString)
var ACCWOWORKORDERHEADER_NEEDPRODUCTPARAMETER = grmi.NewField("NEEDPRODUCTPARAMETER", "ACC_WO_WORKORDER_HEADER.NEEDPRODUCTPARAMETER", "needproductparameter", grmi.TypeInt)
var ACCWOWORKORDERHEADER_PRODUCTPARAMETERRELEASECODE = grmi.NewField("PRODUCTPARAMETERRELEASECODE", "ACC_WO_WORKORDER_HEADER.PRODUCTPARAMETERRELEASECODE", "productparameterreleasecode", grmi.TypeString)
var ACCWOWORKORDERHEADER_SYNCSTATUS = grmi.NewField("SYNCSTATUS", "ACC_WO_WORKORDER_HEADER.SYNCSTATUS", "syncstatus", grmi.TypeInt)
var ACCWOWORKORDERHEADER_SYNCTIME = grmi.NewField("SYNCTIME", "ACC_WO_WORKORDER_HEADER.SYNCTIME", "synctime", grmi.TypeDateTime)
var ACCWOWORKORDERHEADER_SEGMENTCODE = grmi.NewField("SEGMENTCODE", "ACC_WO_WORKORDER_HEADER.SEGMENT_CODE", "segmentcode", grmi.TypeString)
var ACCWOWORKORDERHEADER_RETRY = grmi.NewField("RETRY", "ACC_WO_WORKORDER_HEADER.RETRY", "retry", grmi.TypeInt)
var ACCWOWORKORDERHEADER_MTIME = grmi.NewField("MTIME", "ACC_WO_WORKORDER_HEADER.MTIME", "mtime", grmi.TypeDateTime)
var ACCWOWORKORDERHEADER_REMARK = grmi.NewField("REMARK", "ACC_WO_WORKORDER_HEADER.REMARK", "remark", grmi.TypeString)

/******************************************************************************
 *
 * @Description              : ACCWOWORKORDERHEADER的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-12 17:24:12
 *
 ******************************************************************************/
var ACCWOWORKORDERHEADER = grmi.NewEntity(
	"ACC_WO_WORKORDER_HEADER",
	func() interface{} { return &model.ACCWOWORKORDERHEADER{} },
	map[string]grmi.Field{
		ACCWOWORKORDERHEADER_WONO.Name:                        ACCWOWORKORDERHEADER_WONO,
		ACCWOWORKORDERHEADER_PONO.Name:                        ACCWOWORKORDERHEADER_PONO,
		ACCWOWORKORDERHEADER_LINE.Name:                        ACCWOWORKORDERHEADER_LINE,
		ACCWOWORKORDERHEADER_PARTNO.Name:                      ACCWOWORKORDERHEADER_PARTNO,
		ACCWOWORKORDERHEADER_REV.Name:                         ACCWOWORKORDERHEADER_REV,
		ACCWOWORKORDERHEADER_PLANSTARTTIME.Name:               ACCWOWORKORDERHEADER_PLANSTARTTIME,
		ACCWOWORKORDERHEADER_PLANFINISHTIME.Name:              ACCWOWORKORDERHEADER_PLANFINISHTIME,
		ACCWOWORKORDERHEADER_PLANQUANTITY.Name:                ACCWOWORKORDERHEADER_PLANQUANTITY,
		ACCWOWORKORDERHEADER_STARTTIME.Name:                   ACCWOWORKORDERHEADER_STARTTIME,
		ACCWOWORKORDERHEADER_FINISHTIME.Name:                  ACCWOWORKORDERHEADER_FINISHTIME,
		ACCWOWORKORDERHEADER_QUANTITY.Name:                    ACCWOWORKORDERHEADER_QUANTITY,
		ACCWOWORKORDERHEADER_STATUS.Name:                      ACCWOWORKORDERHEADER_STATUS,
		ACCWOWORKORDERHEADER_SORT.Name:                        ACCWOWORKORDERHEADER_SORT,
		ACCWOWORKORDERHEADER_NEEDBOM.Name:                     ACCWOWORKORDERHEADER_NEEDBOM,
		ACCWOWORKORDERHEADER_BOMRELEASECODE.Name:              ACCWOWORKORDERHEADER_BOMRELEASECODE,
		ACCWOWORKORDERHEADER_NEEDPRODUCTPARAMETER.Name:        ACCWOWORKORDERHEADER_NEEDPRODUCTPARAMETER,
		ACCWOWORKORDERHEADER_PRODUCTPARAMETERRELEASECODE.Name: ACCWOWORKORDERHEADER_PRODUCTPARAMETERRELEASECODE,
		ACCWOWORKORDERHEADER_SYNCSTATUS.Name:                  ACCWOWORKORDERHEADER_SYNCSTATUS,
		ACCWOWORKORDERHEADER_SYNCTIME.Name:                    ACCWOWORKORDERHEADER_SYNCTIME,
		ACCWOWORKORDERHEADER_SEGMENTCODE.Name:                 ACCWOWORKORDERHEADER_SEGMENTCODE,
		ACCWOWORKORDERHEADER_RETRY.Name:                       ACCWOWORKORDERHEADER_RETRY,
		ACCWOWORKORDERHEADER_MTIME.Name:                       ACCWOWORKORDERHEADER_MTIME,
		ACCWOWORKORDERHEADER_REMARK.Name:                      ACCWOWORKORDERHEADER_REMARK,
	},
	[]string{},
	[]string{"PONO", "LINE", "PARTNO", "REV", "PLANSTARTTIME", "PLANFINISHTIME", "PLANQUANTITY", "STARTTIME", "FINISHTIME", "QUANTITY", "STATUS", "SORT", "NEEDBOM", "BOMRELEASECODE", "NEEDPRODUCTPARAMETER", "PRODUCTPARAMETERRELEASECODE", "SYNCSTATUS", "SYNCTIME", "SEGMENT_CODE", "RETRY", "MTIME", "REMARK"})
