// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : ArticleType的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-20 14:37:20
 *
 ******************************************************************************/
var ArticleType_PlantNr = grmi.NewField("PlantNr", "ArticleType.PlantNr", "plantnr", grmi.TypeInt)
var ArticleType_ArtTypeId = grmi.NewField("ArtTypeId", "ArticleType.ArtTypeId", "arttypeid", grmi.TypeString)
var ArticleType_Descr = grmi.NewField("Descr", "ArticleType.Descr", "descr", grmi.TypeString)
var ArticleType_ArtTypeCtrlPara1 = grmi.NewField("ArtTypeCtrlPara1", "ArticleType.ArtTypeCtrlPara1", "arttypectrlpara1", grmi.TypeInt)
var ArticleType_ArtTypeCtrlPara2 = grmi.NewField("ArtTypeCtrlPara2", "ArticleType.ArtTypeCtrlPara2", "arttypectrlpara2", grmi.TypeInt)
var ArticleType_ArtTypeCtrlPara3 = grmi.NewField("ArtTypeCtrlPara3", "ArticleType.ArtTypeCtrlPara3", "arttypectrlpara3", grmi.TypeString)
var ArticleType_ArtTypeCtrlPara4 = grmi.NewField("ArtTypeCtrlPara4", "ArticleType.ArtTypeCtrlPara4", "arttypectrlpara4", grmi.TypeString)
var ArticleType_Icon = grmi.NewField("Icon", "ArticleType.Icon", "icon", grmi.TypeString)
var ArticleType_DisplayColor = grmi.NewField("DisplayColor", "ArticleType.DisplayColor", "displaycolor", grmi.TypeString)
var ArticleType_LastModify = grmi.NewField("LastModify", "ArticleType.LastModify", "lastmodify", grmi.TypeDateTime)
var ArticleType_LastUser = grmi.NewField("LastUser", "ArticleType.LastUser", "lastuser", grmi.TypeString)
var ArticleType_CreateTime = grmi.NewField("CreateTime", "ArticleType.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ArticleType的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-20 14:37:20
 *
 ******************************************************************************/
var ArticleType = grmi.NewEntity(
	"ArticleType",
	func() interface{} { return &model.ArticleType{} },
	map[string]grmi.Field{
		ArticleType_PlantNr.Name:          ArticleType_PlantNr,
		ArticleType_ArtTypeId.Name:        ArticleType_ArtTypeId,
		ArticleType_Descr.Name:            ArticleType_Descr,
		ArticleType_ArtTypeCtrlPara1.Name: ArticleType_ArtTypeCtrlPara1,
		ArticleType_ArtTypeCtrlPara2.Name: ArticleType_ArtTypeCtrlPara2,
		ArticleType_ArtTypeCtrlPara3.Name: ArticleType_ArtTypeCtrlPara3,
		ArticleType_ArtTypeCtrlPara4.Name: ArticleType_ArtTypeCtrlPara4,
		ArticleType_Icon.Name:             ArticleType_Icon,
		ArticleType_DisplayColor.Name:     ArticleType_DisplayColor,
		ArticleType_LastModify.Name:       ArticleType_LastModify,
		ArticleType_LastUser.Name:         ArticleType_LastUser,
		ArticleType_CreateTime.Name:       ArticleType_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "ArtTypeCtrlPara1", "ArtTypeCtrlPara2", "ArtTypeCtrlPara3", "ArtTypeCtrlPara4", "Icon", "DisplayColor", "LastUser"})
