// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : GuideRuleInfo的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-12 10:43:48
 *
 ******************************************************************************/
var GuideRuleInfo_PlantNr = grmi.NewField("PlantNr", "GuideRuleInfo.PlantNr", "plantnr", grmi.TypeInt)
var GuideRuleInfo_OperationId = grmi.NewField("OperationId", "GuideRuleInfo.OperationId", "operationid", grmi.TypeInt)
var GuideRuleInfo_PO = grmi.NewField("PO", "GuideRuleInfo.PO", "po", grmi.TypeInt)
var GuideRuleInfo_StepNo = grmi.NewField("StepNo", "GuideRuleInfo.StepNo", "stepno", grmi.TypeInt)
var GuideRuleInfo_StepDesc = grmi.NewField("StepDesc", "GuideRuleInfo.StepDesc", "stepdesc", grmi.TypeString)
var GuideRuleInfo_ProjectId = grmi.NewField("ProjectId", "GuideRuleInfo.ProjectId", "projectid", grmi.TypeString)
var GuideRuleInfo_DisplayTime = grmi.NewField("DisplayTime", "GuideRuleInfo.DisplayTime", "displaytime", grmi.TypeInt)
var GuideRuleInfo_GRCtrlPara1 = grmi.NewField("GRCtrlPara1", "GuideRuleInfo.GRCtrlPara1", "grctrlpara1", grmi.TypeString)
var GuideRuleInfo_GRCtrlPara2 = grmi.NewField("GRCtrlPara2", "GuideRuleInfo.GRCtrlPara2", "grctrlpara2", grmi.TypeString)
var GuideRuleInfo_GRCtrlPara3 = grmi.NewField("GRCtrlPara3", "GuideRuleInfo.GRCtrlPara3", "grctrlpara3", grmi.TypeString)
var GuideRuleInfo_GRCtrlPara4 = grmi.NewField("GRCtrlPara4", "GuideRuleInfo.GRCtrlPara4", "grctrlpara4", grmi.TypeString)
var GuideRuleInfo_GRCtrlPara5 = grmi.NewField("GRCtrlPara5", "GuideRuleInfo.GRCtrlPara5", "grctrlpara5", grmi.TypeString)
var GuideRuleInfo_GRCtrlPara6 = grmi.NewField("GRCtrlPara6", "GuideRuleInfo.GRCtrlPara6", "grctrlpara6", grmi.TypeInt)
var GuideRuleInfo_GRCtrlPara7 = grmi.NewField("GRCtrlPara7", "GuideRuleInfo.GRCtrlPara7", "grctrlpara7", grmi.TypeInt)
var GuideRuleInfo_LastModify = grmi.NewField("LastModify", "GuideRuleInfo.LastModify", "lastmodify", grmi.TypeDateTime)
var GuideRuleInfo_LastUser = grmi.NewField("LastUser", "GuideRuleInfo.LastUser", "lastuser", grmi.TypeString)
var GuideRuleInfo_CreateTime = grmi.NewField("CreateTime", "GuideRuleInfo.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : GuideRuleInfo的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-12 10:43:48
 *
 ******************************************************************************/
var GuideRuleInfo = grmi.NewEntity(
	"GuideRuleInfo",
	func() interface{} { return &model.GuideRuleInfo{} },
	map[string]grmi.Field{
		GuideRuleInfo_PlantNr.Name:     GuideRuleInfo_PlantNr,
		GuideRuleInfo_OperationId.Name: GuideRuleInfo_OperationId,
		GuideRuleInfo_PO.Name:          GuideRuleInfo_PO,
		GuideRuleInfo_StepNo.Name:      GuideRuleInfo_StepNo,
		GuideRuleInfo_StepDesc.Name:    GuideRuleInfo_StepDesc,
		GuideRuleInfo_ProjectId.Name:   GuideRuleInfo_ProjectId,
		GuideRuleInfo_DisplayTime.Name: GuideRuleInfo_DisplayTime,
		GuideRuleInfo_GRCtrlPara1.Name: GuideRuleInfo_GRCtrlPara1,
		GuideRuleInfo_GRCtrlPara2.Name: GuideRuleInfo_GRCtrlPara2,
		GuideRuleInfo_GRCtrlPara3.Name: GuideRuleInfo_GRCtrlPara3,
		GuideRuleInfo_GRCtrlPara4.Name: GuideRuleInfo_GRCtrlPara4,
		GuideRuleInfo_GRCtrlPara5.Name: GuideRuleInfo_GRCtrlPara5,
		GuideRuleInfo_GRCtrlPara6.Name: GuideRuleInfo_GRCtrlPara6,
		GuideRuleInfo_GRCtrlPara7.Name: GuideRuleInfo_GRCtrlPara7,
		GuideRuleInfo_LastModify.Name:  GuideRuleInfo_LastModify,
		GuideRuleInfo_LastUser.Name:    GuideRuleInfo_LastUser,
		GuideRuleInfo_CreateTime.Name:  GuideRuleInfo_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PO", "StepNo", "StepDesc", "ProjectId", "DisplayTime", "GRCtrlPara1", "GRCtrlPara2", "GRCtrlPara3", "GRCtrlPara4", "GRCtrlPara5", "GRCtrlPara6", "GRCtrlPara7", "LastUser"})
