// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : LabelParserDetailLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-02 09:38:09
 *
 ******************************************************************************/
var LabelParserDetailLst_PlantNr = grmi.NewField("PlantNr", "LabelParserDetailLst.PlantNr", "plantnr", grmi.TypeInt)
var LabelParserDetailLst_ParserId = grmi.NewField("ParserId", "LabelParserDetailLst.ParserId", "parserid", grmi.TypeString)
var LabelParserDetailLst_Pos = grmi.NewField("Pos", "LabelParserDetailLst.Pos", "pos", grmi.TypeInt)
var LabelParserDetailLst_Abrev = grmi.NewField("Abrev", "LabelParserDetailLst.Abrev", "abrev", grmi.TypeString)
var LabelParserDetailLst_Descr = grmi.NewField("Descr", "LabelParserDetailLst.Descr", "descr", grmi.TypeString)
var LabelParserDetailLst_StartPos = grmi.NewField("StartPos", "LabelParserDetailLst.StartPos", "startpos", grmi.TypeInt)
var LabelParserDetailLst_EndPos = grmi.NewField("EndPos", "LabelParserDetailLst.EndPos", "endpos", grmi.TypeInt)
var LabelParserDetailLst_DisplayToggle = grmi.NewField("DisplayToggle", "LabelParserDetailLst.DisplayToggle", "displaytoggle", grmi.TypeBool)
var LabelParserDetailLst_ValidateToggle = grmi.NewField("ValidateToggle", "LabelParserDetailLst.ValidateToggle", "validatetoggle", grmi.TypeBool)
var LabelParserDetailLst_StoreToggle = grmi.NewField("StoreToggle", "LabelParserDetailLst.StoreToggle", "storetoggle", grmi.TypeBool)
var LabelParserDetailLst_ParserMap = grmi.NewField("ParserMap", "LabelParserDetailLst.ParserMap", "parsermap", grmi.TypeString)
var LabelParserDetailLst_ValidateRule = grmi.NewField("ValidateRule", "LabelParserDetailLst.ValidateRule", "validaterule", grmi.TypeString)
var LabelParserDetailLst_ValidatePara = grmi.NewField("ValidatePara", "LabelParserDetailLst.ValidatePara", "validatepara", grmi.TypeString)
var LabelParserDetailLst_StoreField = grmi.NewField("StoreField", "LabelParserDetailLst.StoreField", "storefield", grmi.TypeString)
var LabelParserDetailLst_LastModify = grmi.NewField("LastModify", "LabelParserDetailLst.LastModify", "lastmodify", grmi.TypeDateTime)
var LabelParserDetailLst_LastUser = grmi.NewField("LastUser", "LabelParserDetailLst.LastUser", "lastuser", grmi.TypeString)
var LabelParserDetailLst_CreateTime = grmi.NewField("CreateTime", "LabelParserDetailLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : LabelParserDetailLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-02 09:38:09
 *
 ******************************************************************************/
var LabelParserDetailLst = grmi.NewEntity(
	"LabelParserDetailLst",
	func() interface{} { return &model.LabelParserDetailLst{} },
	map[string]grmi.Field{
		LabelParserDetailLst_PlantNr.Name:        LabelParserDetailLst_PlantNr,
		LabelParserDetailLst_ParserId.Name:       LabelParserDetailLst_ParserId,
		LabelParserDetailLst_Pos.Name:            LabelParserDetailLst_Pos,
		LabelParserDetailLst_Abrev.Name:          LabelParserDetailLst_Abrev,
		LabelParserDetailLst_Descr.Name:          LabelParserDetailLst_Descr,
		LabelParserDetailLst_StartPos.Name:       LabelParserDetailLst_StartPos,
		LabelParserDetailLst_EndPos.Name:         LabelParserDetailLst_EndPos,
		LabelParserDetailLst_DisplayToggle.Name:  LabelParserDetailLst_DisplayToggle,
		LabelParserDetailLst_ValidateToggle.Name: LabelParserDetailLst_ValidateToggle,
		LabelParserDetailLst_StoreToggle.Name:    LabelParserDetailLst_StoreToggle,
		LabelParserDetailLst_ParserMap.Name:      LabelParserDetailLst_ParserMap,
		LabelParserDetailLst_ValidateRule.Name:   LabelParserDetailLst_ValidateRule,
		LabelParserDetailLst_ValidatePara.Name:   LabelParserDetailLst_ValidatePara,
		LabelParserDetailLst_StoreField.Name:     LabelParserDetailLst_StoreField,
		LabelParserDetailLst_LastModify.Name:     LabelParserDetailLst_LastModify,
		LabelParserDetailLst_LastUser.Name:       LabelParserDetailLst_LastUser,
		LabelParserDetailLst_CreateTime.Name:     LabelParserDetailLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Abrev", "Descr", "StartPos", "EndPos", "DisplayToggle", "ValidateToggle", "StoreToggle", "ParserMap", "ValidateRule", "ValidatePara", "StoreField", "LastUser"})
