// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : OPCComDetailRule的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-13 16:59:07
 *
 ******************************************************************************/
var OPCComDetailRule_PlantNr = grmi.NewField("PlantNr", "OPCComDetailRule.PlantNr", "plantnr", grmi.TypeInt)
var OPCComDetailRule_OperationId = grmi.NewField("OperationId", "OPCComDetailRule.OperationId", "operationid", grmi.TypeInt)
var OPCComDetailRule_RuleId = grmi.NewField("RuleId", "OPCComDetailRule.RuleId", "ruleid", grmi.TypeInt)
var OPCComDetailRule_DetailId = grmi.NewField("DetailId", "OPCComDetailRule.DetailId", "detailid", grmi.TypeInt)
var OPCComDetailRule_WorkPlaceNr = grmi.NewField("WorkPlaceNr", "OPCComDetailRule.WorkPlaceNr", "workplacenr", grmi.TypeInt)
var OPCComDetailRule_PO = grmi.NewField("PO", "OPCComDetailRule.PO", "po", grmi.TypeInt)
var OPCComDetailRule_StepNo = grmi.NewField("StepNo", "OPCComDetailRule.StepNo", "stepno", grmi.TypeInt)
var OPCComDetailRule_StepDesc = grmi.NewField("StepDesc", "OPCComDetailRule.StepDesc", "stepdesc", grmi.TypeString)
var OPCComDetailRule_ProjectId = grmi.NewField("ProjectId", "OPCComDetailRule.ProjectId", "projectid", grmi.TypeString)
var OPCComDetailRule_BaseOnType = grmi.NewField("BaseOnType", "OPCComDetailRule.BaseOnType", "baseontype", grmi.TypeString)
var OPCComDetailRule_BaseOnValue = grmi.NewField("BaseOnValue", "OPCComDetailRule.BaseOnValue", "baseonvalue", grmi.TypeString)
var OPCComDetailRule_DataType = grmi.NewField("DataType", "OPCComDetailRule.DataType", "datatype", grmi.TypeString)
var OPCComDetailRule_LastModify = grmi.NewField("LastModify", "OPCComDetailRule.LastModify", "lastmodify", grmi.TypeDateTime)
var OPCComDetailRule_LastUser = grmi.NewField("LastUser", "OPCComDetailRule.LastUser", "lastuser", grmi.TypeString)
var OPCComDetailRule_CreateTime = grmi.NewField("CreateTime", "OPCComDetailRule.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : OPCComDetailRule的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-13 16:59:07
 *
 ******************************************************************************/
var OPCComDetailRule = grmi.NewEntity(
	"OPCComDetailRule",
	func() interface{} { return &model.OPCComDetailRule{} },
	map[string]grmi.Field{
		OPCComDetailRule_PlantNr.Name:     OPCComDetailRule_PlantNr,
		OPCComDetailRule_OperationId.Name: OPCComDetailRule_OperationId,
		OPCComDetailRule_RuleId.Name:      OPCComDetailRule_RuleId,
		OPCComDetailRule_DetailId.Name:    OPCComDetailRule_DetailId,
		OPCComDetailRule_WorkPlaceNr.Name: OPCComDetailRule_WorkPlaceNr,
		OPCComDetailRule_PO.Name:          OPCComDetailRule_PO,
		OPCComDetailRule_StepNo.Name:      OPCComDetailRule_StepNo,
		OPCComDetailRule_StepDesc.Name:    OPCComDetailRule_StepDesc,
		OPCComDetailRule_ProjectId.Name:   OPCComDetailRule_ProjectId,
		OPCComDetailRule_BaseOnType.Name:  OPCComDetailRule_BaseOnType,
		OPCComDetailRule_BaseOnValue.Name: OPCComDetailRule_BaseOnValue,
		OPCComDetailRule_DataType.Name:    OPCComDetailRule_DataType,
		OPCComDetailRule_LastModify.Name:  OPCComDetailRule_LastModify,
		OPCComDetailRule_LastUser.Name:    OPCComDetailRule_LastUser,
		OPCComDetailRule_CreateTime.Name:  OPCComDetailRule_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PO", "StepNo", "StepDesc", "ProjectId", "BaseOnType", "BaseOnValue", "DataType", "LastUser"})
