// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : OPCMonitorComDetailRule的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-22 15:49:36
 *
 ******************************************************************************/
var OPCMonitorComDetailRule_PlantNr = grmi.NewField("PlantNr", "OPCMonitorComDetailRule.PlantNr", "plantnr", grmi.TypeInt)
var OPCMonitorComDetailRule_WorkPlaceNr = grmi.NewField("WorkPlaceNr", "OPCMonitorComDetailRule.WorkPlaceNr", "workplacenr", grmi.TypeInt)
var OPCMonitorComDetailRule_MonitorPalletInPlace = grmi.NewField("MonitorPalletInPlace", "OPCMonitorComDetailRule.MonitorPalletInPlace", "monitorpalletinplace", grmi.TypeInt)
var OPCMonitorComDetailRule_MonitorManualRelease = grmi.NewField("MonitorManualRelease", "OPCMonitorComDetailRule.MonitorManualRelease", "monitormanualrelease", grmi.TypeInt)
var OPCMonitorComDetailRule_MonitorProblemPieceRelease = grmi.NewField("MonitorProblemPieceRelease", "OPCMonitorComDetailRule.MonitorProblemPieceRelease", "monitorproblempiecerelease", grmi.TypeInt)
var OPCMonitorComDetailRule_RuleId = grmi.NewField("RuleId", "OPCMonitorComDetailRule.RuleId", "ruleid", grmi.TypeInt)
var OPCMonitorComDetailRule_DetailId = grmi.NewField("DetailId", "OPCMonitorComDetailRule.DetailId", "detailid", grmi.TypeInt)
var OPCMonitorComDetailRule_BaseOnType = grmi.NewField("BaseOnType", "OPCMonitorComDetailRule.BaseOnType", "baseontype", grmi.TypeString)
var OPCMonitorComDetailRule_BaseOnValue = grmi.NewField("BaseOnValue", "OPCMonitorComDetailRule.BaseOnValue", "baseonvalue", grmi.TypeString)
var OPCMonitorComDetailRule_DataType = grmi.NewField("DataType", "OPCMonitorComDetailRule.DataType", "datatype", grmi.TypeString)
var OPCMonitorComDetailRule_LastModify = grmi.NewField("LastModify", "OPCMonitorComDetailRule.LastModify", "lastmodify", grmi.TypeDateTime)
var OPCMonitorComDetailRule_LastUser = grmi.NewField("LastUser", "OPCMonitorComDetailRule.LastUser", "lastuser", grmi.TypeString)
var OPCMonitorComDetailRule_CreateTime = grmi.NewField("CreateTime", "OPCMonitorComDetailRule.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : OPCMonitorComDetailRule的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-22 15:49:36
 *
 ******************************************************************************/
var OPCMonitorComDetailRule = grmi.NewEntity(
	"OPCMonitorComDetailRule",
	func() interface{} { return &model.OPCMonitorComDetailRule{} },
	map[string]grmi.Field{
		OPCMonitorComDetailRule_PlantNr.Name:                    OPCMonitorComDetailRule_PlantNr,
		OPCMonitorComDetailRule_WorkPlaceNr.Name:                OPCMonitorComDetailRule_WorkPlaceNr,
		OPCMonitorComDetailRule_MonitorPalletInPlace.Name:       OPCMonitorComDetailRule_MonitorPalletInPlace,
		OPCMonitorComDetailRule_MonitorManualRelease.Name:       OPCMonitorComDetailRule_MonitorManualRelease,
		OPCMonitorComDetailRule_MonitorProblemPieceRelease.Name: OPCMonitorComDetailRule_MonitorProblemPieceRelease,
		OPCMonitorComDetailRule_RuleId.Name:                     OPCMonitorComDetailRule_RuleId,
		OPCMonitorComDetailRule_DetailId.Name:                   OPCMonitorComDetailRule_DetailId,
		OPCMonitorComDetailRule_BaseOnType.Name:                 OPCMonitorComDetailRule_BaseOnType,
		OPCMonitorComDetailRule_BaseOnValue.Name:                OPCMonitorComDetailRule_BaseOnValue,
		OPCMonitorComDetailRule_DataType.Name:                   OPCMonitorComDetailRule_DataType,
		OPCMonitorComDetailRule_LastModify.Name:                 OPCMonitorComDetailRule_LastModify,
		OPCMonitorComDetailRule_LastUser.Name:                   OPCMonitorComDetailRule_LastUser,
		OPCMonitorComDetailRule_CreateTime.Name:                 OPCMonitorComDetailRule_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"BaseOnType", "BaseOnValue", "DataType", "LastUser"})
