// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : PrintDetail的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var PrintDetail_PlantNr = grmi.NewField("PlantNr", "PrintDetail.PlantNr", "plantnr", grmi.TypeInt)
var PrintDetail_PrintHeadId = grmi.NewField("PrintHeadId", "PrintDetail.PrintHeadId", "printheadid", grmi.TypeString)
var PrintDetail_Pos = grmi.NewField("Pos", "PrintDetail.Pos", "pos", grmi.TypeInt)
var PrintDetail_VarName = grmi.NewField("VarName", "PrintDetail.VarName", "varname", grmi.TypeString)
var PrintDetail_VarValue = grmi.NewField("VarValue", "PrintDetail.VarValue", "varvalue", grmi.TypeString)
var PrintDetail_VarType = grmi.NewField("VarType", "PrintDetail.VarType", "vartype", grmi.TypeString)
var PrintDetail_VarPos = grmi.NewField("VarPos", "PrintDetail.VarPos", "varpos", grmi.TypeString)
var PrintDetail_LastModify = grmi.NewField("LastModify", "PrintDetail.LastModify", "lastmodify", grmi.TypeDateTime)
var PrintDetail_LastUser = grmi.NewField("LastUser", "PrintDetail.LastUser", "lastuser", grmi.TypeString)
var PrintDetail_CreateTime = grmi.NewField("CreateTime", "PrintDetail.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : PrintDetail的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var PrintDetail = grmi.NewEntity(
	"PrintDetail",
	func() interface{} { return &model.PrintDetail{} },
	map[string]grmi.Field{
		PrintDetail_PlantNr.Name:     PrintDetail_PlantNr,
		PrintDetail_PrintHeadId.Name: PrintDetail_PrintHeadId,
		PrintDetail_Pos.Name:         PrintDetail_Pos,
		PrintDetail_VarName.Name:     PrintDetail_VarName,
		PrintDetail_VarValue.Name:    PrintDetail_VarValue,
		PrintDetail_VarType.Name:     PrintDetail_VarType,
		PrintDetail_VarPos.Name:      PrintDetail_VarPos,
		PrintDetail_LastModify.Name:  PrintDetail_LastModify,
		PrintDetail_LastUser.Name:    PrintDetail_LastUser,
		PrintDetail_CreateTime.Name:  PrintDetail_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"VarName", "VarValue", "VarType", "VarPos", "LastUser"})
