// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : PrintRuleInfo的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-16 15:09:09
 *
 ******************************************************************************/
var PrintRuleInfo_PlantNr = grmi.NewField("PlantNr", "PrintRuleInfo.PlantNr", "plantnr", grmi.TypeInt)
var PrintRuleInfo_OperationId = grmi.NewField("OperationId", "PrintRuleInfo.OperationId", "operationid", grmi.TypeInt)
var PrintRuleInfo_PO = grmi.NewField("PO", "PrintRuleInfo.PO", "po", grmi.TypeInt)
var PrintRuleInfo_StepNo = grmi.NewField("StepNo", "PrintRuleInfo.StepNo", "stepno", grmi.TypeInt)
var PrintRuleInfo_StepDesc = grmi.NewField("StepDesc", "PrintRuleInfo.StepDesc", "stepdesc", grmi.TypeString)
var PrintRuleInfo_ProjectId = grmi.NewField("ProjectId", "PrintRuleInfo.ProjectId", "projectid", grmi.TypeString)
var PrintRuleInfo_DisplayTime = grmi.NewField("DisplayTime", "PrintRuleInfo.DisplayTime", "displaytime", grmi.TypeInt)
var PrintRuleInfo_PRCtrlPara1 = grmi.NewField("PRCtrlPara1", "PrintRuleInfo.PRCtrlPara1", "prctrlpara1", grmi.TypeString)
var PrintRuleInfo_PRCtrlPara2 = grmi.NewField("PRCtrlPara2", "PrintRuleInfo.PRCtrlPara2", "prctrlpara2", grmi.TypeString)
var PrintRuleInfo_PRCtrlPara3 = grmi.NewField("PRCtrlPara3", "PrintRuleInfo.PRCtrlPara3", "prctrlpara3", grmi.TypeString)
var PrintRuleInfo_PRCtrlPara4 = grmi.NewField("PRCtrlPara4", "PrintRuleInfo.PRCtrlPara4", "prctrlpara4", grmi.TypeString)
var PrintRuleInfo_PRCtrlPara5 = grmi.NewField("PRCtrlPara5", "PrintRuleInfo.PRCtrlPara5", "prctrlpara5", grmi.TypeString)
var PrintRuleInfo_PRCtrlPara6 = grmi.NewField("PRCtrlPara6", "PrintRuleInfo.PRCtrlPara6", "prctrlpara6", grmi.TypeInt)
var PrintRuleInfo_PRCtrlPara7 = grmi.NewField("PRCtrlPara7", "PrintRuleInfo.PRCtrlPara7", "prctrlpara7", grmi.TypeInt)
var PrintRuleInfo_LastModify = grmi.NewField("LastModify", "PrintRuleInfo.LastModify", "lastmodify", grmi.TypeDateTime)
var PrintRuleInfo_LastUser = grmi.NewField("LastUser", "PrintRuleInfo.LastUser", "lastuser", grmi.TypeString)
var PrintRuleInfo_CreateTime = grmi.NewField("CreateTime", "PrintRuleInfo.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : PrintRuleInfo的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-16 15:09:09
 *
 ******************************************************************************/
var PrintRuleInfo = grmi.NewEntity(
	"PrintRuleInfo",
	func() interface{} { return &model.PrintRuleInfo{} },
	map[string]grmi.Field{
		PrintRuleInfo_PlantNr.Name:     PrintRuleInfo_PlantNr,
		PrintRuleInfo_OperationId.Name: PrintRuleInfo_OperationId,
		PrintRuleInfo_PO.Name:          PrintRuleInfo_PO,
		PrintRuleInfo_StepNo.Name:      PrintRuleInfo_StepNo,
		PrintRuleInfo_StepDesc.Name:    PrintRuleInfo_StepDesc,
		PrintRuleInfo_ProjectId.Name:   PrintRuleInfo_ProjectId,
		PrintRuleInfo_DisplayTime.Name: PrintRuleInfo_DisplayTime,
		PrintRuleInfo_PRCtrlPara1.Name: PrintRuleInfo_PRCtrlPara1,
		PrintRuleInfo_PRCtrlPara2.Name: PrintRuleInfo_PRCtrlPara2,
		PrintRuleInfo_PRCtrlPara3.Name: PrintRuleInfo_PRCtrlPara3,
		PrintRuleInfo_PRCtrlPara4.Name: PrintRuleInfo_PRCtrlPara4,
		PrintRuleInfo_PRCtrlPara5.Name: PrintRuleInfo_PRCtrlPara5,
		PrintRuleInfo_PRCtrlPara6.Name: PrintRuleInfo_PRCtrlPara6,
		PrintRuleInfo_PRCtrlPara7.Name: PrintRuleInfo_PRCtrlPara7,
		PrintRuleInfo_LastModify.Name:  PrintRuleInfo_LastModify,
		PrintRuleInfo_LastUser.Name:    PrintRuleInfo_LastUser,
		PrintRuleInfo_CreateTime.Name:  PrintRuleInfo_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PO", "StepNo", "StepDesc", "ProjectId", "DisplayTime", "PRCtrlPara1", "PRCtrlPara2", "PRCtrlPara3", "PRCtrlPara4", "PRCtrlPara5", "PRCtrlPara6", "PRCtrlPara7", "LastUser"})
