// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : PrinterTemplate的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-20 16:59:51
 *
 ******************************************************************************/
var PrinterTemplate_PlantNr = grmi.NewField("PlantNr", "PrinterTemplate.PlantNr", "plantnr", grmi.TypeInt)
var PrinterTemplate_TemplateId = grmi.NewField("TemplateId", "PrinterTemplate.TemplateId", "templateid", grmi.TypeString)
var PrinterTemplate_TemplateTye = grmi.NewField("TemplateTye", "PrinterTemplate.TemplateTye", "templatetye", grmi.TypeString)
var PrinterTemplate_Descr = grmi.NewField("Descr", "PrinterTemplate.Descr", "descr", grmi.TypeString)
var PrinterTemplate_Active = grmi.NewField("Active", "PrinterTemplate.Active", "active", grmi.TypeInt)
var PrinterTemplate_PrintQty = grmi.NewField("PrintQty", "PrinterTemplate.PrintQty", "printqty", grmi.TypeInt)
var PrinterTemplate_PlanQty = grmi.NewField("PlanQty", "PrinterTemplate.PlanQty", "planqty", grmi.TypeInt)
var PrinterTemplate_PrinterId = grmi.NewField("PrinterId", "PrinterTemplate.PrinterId", "printerid", grmi.TypeString)
var PrinterTemplate_TemplateFile = grmi.NewField("TemplateFile", "PrinterTemplate.TemplateFile", "templatefile", grmi.TypeString)
var PrinterTemplate_Address = grmi.NewField("Address", "PrinterTemplate.Address", "address", grmi.TypeString)
var PrinterTemplate_Cpara1 = grmi.NewField("Cpara1", "PrinterTemplate.Cpara1", "cpara1", grmi.TypeString)
var PrinterTemplate_Cpara2 = grmi.NewField("Cpara2", "PrinterTemplate.Cpara2", "cpara2", grmi.TypeString)
var PrinterTemplate_Cpara3 = grmi.NewField("Cpara3", "PrinterTemplate.Cpara3", "cpara3", grmi.TypeString)
var PrinterTemplate_Cpara4 = grmi.NewField("Cpara4", "PrinterTemplate.Cpara4", "cpara4", grmi.TypeString)
var PrinterTemplate_Cpara5 = grmi.NewField("Cpara5", "PrinterTemplate.Cpara5", "cpara5", grmi.TypeString)
var PrinterTemplate_Ipara1 = grmi.NewField("Ipara1", "PrinterTemplate.Ipara1", "ipara1", grmi.TypeInt)
var PrinterTemplate_Ipara2 = grmi.NewField("Ipara2", "PrinterTemplate.Ipara2", "ipara2", grmi.TypeInt)
var PrinterTemplate_Ipara3 = grmi.NewField("Ipara3", "PrinterTemplate.Ipara3", "ipara3", grmi.TypeInt)
var PrinterTemplate_Ipara4 = grmi.NewField("Ipara4", "PrinterTemplate.Ipara4", "ipara4", grmi.TypeInt)
var PrinterTemplate_Ipara5 = grmi.NewField("Ipara5", "PrinterTemplate.Ipara5", "ipara5", grmi.TypeInt)
var PrinterTemplate_LastModify = grmi.NewField("LastModify", "PrinterTemplate.LastModify", "lastmodify", grmi.TypeDateTime)
var PrinterTemplate_LastUser = grmi.NewField("LastUser", "PrinterTemplate.LastUser", "lastuser", grmi.TypeString)
var PrinterTemplate_CreateTime = grmi.NewField("CreateTime", "PrinterTemplate.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : PrinterTemplate的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-20 16:59:51
 *
 ******************************************************************************/
var PrinterTemplate = grmi.NewEntity(
	"PrinterTemplate",
	func() interface{} { return &model.PrinterTemplate{} },
	map[string]grmi.Field{
		PrinterTemplate_PlantNr.Name:      PrinterTemplate_PlantNr,
		PrinterTemplate_TemplateId.Name:   PrinterTemplate_TemplateId,
		PrinterTemplate_TemplateTye.Name:  PrinterTemplate_TemplateTye,
		PrinterTemplate_Descr.Name:        PrinterTemplate_Descr,
		PrinterTemplate_Active.Name:       PrinterTemplate_Active,
		PrinterTemplate_PrintQty.Name:     PrinterTemplate_PrintQty,
		PrinterTemplate_PlanQty.Name:      PrinterTemplate_PlanQty,
		PrinterTemplate_PrinterId.Name:    PrinterTemplate_PrinterId,
		PrinterTemplate_TemplateFile.Name: PrinterTemplate_TemplateFile,
		PrinterTemplate_Address.Name:      PrinterTemplate_Address,
		PrinterTemplate_Cpara1.Name:       PrinterTemplate_Cpara1,
		PrinterTemplate_Cpara2.Name:       PrinterTemplate_Cpara2,
		PrinterTemplate_Cpara3.Name:       PrinterTemplate_Cpara3,
		PrinterTemplate_Cpara4.Name:       PrinterTemplate_Cpara4,
		PrinterTemplate_Cpara5.Name:       PrinterTemplate_Cpara5,
		PrinterTemplate_Ipara1.Name:       PrinterTemplate_Ipara1,
		PrinterTemplate_Ipara2.Name:       PrinterTemplate_Ipara2,
		PrinterTemplate_Ipara3.Name:       PrinterTemplate_Ipara3,
		PrinterTemplate_Ipara4.Name:       PrinterTemplate_Ipara4,
		PrinterTemplate_Ipara5.Name:       PrinterTemplate_Ipara5,
		PrinterTemplate_LastModify.Name:   PrinterTemplate_LastModify,
		PrinterTemplate_LastUser.Name:     PrinterTemplate_LastUser,
		PrinterTemplate_CreateTime.Name:   PrinterTemplate_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"TemplateTye", "Descr", "Active", "PrintQty", "PlanQty", "PrinterId", "TemplateFile", "Address", "Cpara1", "Cpara2", "Cpara3", "Cpara4", "Cpara5", "Ipara1", "Ipara2", "Ipara3", "Ipara4", "Ipara5", "LastUser"})
