// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : PrinterTemplateLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-20 16:59:51
 *
 ******************************************************************************/
var PrinterTemplateLst_PlantNr = grmi.NewField("PlantNr", "PrinterTemplateLst.PlantNr", "plantnr", grmi.TypeInt)
var PrinterTemplateLst_TemplateId = grmi.NewField("TemplateId", "PrinterTemplateLst.TemplateId", "templateid", grmi.TypeInt)
var PrinterTemplateLst_Pos = grmi.NewField("Pos", "PrinterTemplateLst.Pos", "pos", grmi.TypeInt)
var PrinterTemplateLst_VarName = grmi.NewField("VarName", "PrinterTemplateLst.VarName", "varname", grmi.TypeString)
var PrinterTemplateLst_VarValue = grmi.NewField("VarValue", "PrinterTemplateLst.VarValue", "varvalue", grmi.TypeString)
var PrinterTemplateLst_VarType = grmi.NewField("VarType", "PrinterTemplateLst.VarType", "vartype", grmi.TypeString)
var PrinterTemplateLst_VarPos = grmi.NewField("VarPos", "PrinterTemplateLst.VarPos", "varpos", grmi.TypeString)
var PrinterTemplateLst_Picture = grmi.NewField("Picture", "PrinterTemplateLst.Picture", "picture", grmi.TypeString)
var PrinterTemplateLst_IsIdx = grmi.NewField("IsIdx", "PrinterTemplateLst.IsIdx", "isidx", grmi.TypeInt)
var PrinterTemplateLst_KeyVal = grmi.NewField("KeyVal", "PrinterTemplateLst.KeyVal", "keyval", grmi.TypeString)
var PrinterTemplateLst_LastModify = grmi.NewField("LastModify", "PrinterTemplateLst.LastModify", "lastmodify", grmi.TypeDateTime)
var PrinterTemplateLst_LastUser = grmi.NewField("LastUser", "PrinterTemplateLst.LastUser", "lastuser", grmi.TypeString)
var PrinterTemplateLst_CreateTime = grmi.NewField("CreateTime", "PrinterTemplateLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : PrinterTemplateLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-20 16:59:51
 *
 ******************************************************************************/
var PrinterTemplateLst = grmi.NewEntity(
	"PrinterTemplateLst",
	func() interface{} { return &model.PrinterTemplateLst{} },
	map[string]grmi.Field{
		PrinterTemplateLst_PlantNr.Name:    PrinterTemplateLst_PlantNr,
		PrinterTemplateLst_TemplateId.Name: PrinterTemplateLst_TemplateId,
		PrinterTemplateLst_Pos.Name:        PrinterTemplateLst_Pos,
		PrinterTemplateLst_VarName.Name:    PrinterTemplateLst_VarName,
		PrinterTemplateLst_VarValue.Name:   PrinterTemplateLst_VarValue,
		PrinterTemplateLst_VarType.Name:    PrinterTemplateLst_VarType,
		PrinterTemplateLst_VarPos.Name:     PrinterTemplateLst_VarPos,
		PrinterTemplateLst_Picture.Name:    PrinterTemplateLst_Picture,
		PrinterTemplateLst_IsIdx.Name:      PrinterTemplateLst_IsIdx,
		PrinterTemplateLst_KeyVal.Name:     PrinterTemplateLst_KeyVal,
		PrinterTemplateLst_LastModify.Name: PrinterTemplateLst_LastModify,
		PrinterTemplateLst_LastUser.Name:   PrinterTemplateLst_LastUser,
		PrinterTemplateLst_CreateTime.Name: PrinterTemplateLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"VarName", "VarValue", "VarType", "VarPos", "Picture", "IsIdx", "KeyVal", "LastUser"})
