// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : RoleRel的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-21 10:36:05
 *
 ******************************************************************************/
var RoleRel_PlantNr = grmi.NewField("PlantNr", "RoleRel.PlantNr", "plantnr", grmi.TypeInt)
var RoleRel_RoleId = grmi.NewField("RoleId", "RoleRel.RoleId", "roleid", grmi.TypeInt)
var RoleRel_WorkLineid = grmi.NewField("WorkLineid", "RoleRel.WorkLineid", "worklineid", grmi.TypeString)
var RoleRel_LastModify = grmi.NewField("LastModify", "RoleRel.LastModify", "lastmodify", grmi.TypeDateTime)
var RoleRel_LastUser = grmi.NewField("LastUser", "RoleRel.LastUser", "lastuser", grmi.TypeString)
var RoleRel_CreateTime = grmi.NewField("CreateTime", "RoleRel.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : RoleRel的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-21 10:36:05
 *
 ******************************************************************************/
var RoleRel = grmi.NewEntity(
	"RoleRel",
	func() interface{} { return &model.RoleRel{} },
	map[string]grmi.Field{
		RoleRel_PlantNr.Name:    RoleRel_PlantNr,
		RoleRel_RoleId.Name:     RoleRel_RoleId,
		RoleRel_WorkLineid.Name: RoleRel_WorkLineid,
		RoleRel_LastModify.Name: RoleRel_LastModify,
		RoleRel_LastUser.Name:   RoleRel_LastUser,
		RoleRel_CreateTime.Name: RoleRel_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"LastUser"})
