// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : ScriptItem的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var ScriptItem_PlantNr = grmi.NewField("PlantNr", "ScriptItem.PlantNr", "plantnr", grmi.TypeInt)
var ScriptItem_Script = grmi.NewField("Script", "ScriptItem.Script", "script", grmi.TypeString)
var ScriptItem_TabMapCol = grmi.NewField("TabMapCol", "ScriptItem.TabMapCol", "tabmapcol", grmi.TypeString)
var ScriptItem_ColNo = grmi.NewField("ColNo", "ScriptItem.ColNo", "colno", grmi.TypeInt)
var ScriptItem_ColName = grmi.NewField("ColName", "ScriptItem.ColName", "colname", grmi.TypeString)
var ScriptItem_RowNo = grmi.NewField("RowNo", "ScriptItem.RowNo", "rowno", grmi.TypeInt)
var ScriptItem_RowName = grmi.NewField("RowName", "ScriptItem.RowName", "rowname", grmi.TypeString)
var ScriptItem_ColFieldType = grmi.NewField("ColFieldType", "ScriptItem.ColFieldType", "colfieldtype", grmi.TypeInt)
var ScriptItem_ColFormat = grmi.NewField("ColFormat", "ScriptItem.ColFormat", "colformat", grmi.TypeString)
var ScriptItem_DefaultValue = grmi.NewField("DefaultValue", "ScriptItem.DefaultValue", "defaultvalue", grmi.TypeString)
var ScriptItem_LastModify = grmi.NewField("LastModify", "ScriptItem.LastModify", "lastmodify", grmi.TypeDateTime)
var ScriptItem_LastUser = grmi.NewField("LastUser", "ScriptItem.LastUser", "lastuser", grmi.TypeString)
var ScriptItem_CreateTime = grmi.NewField("CreateTime", "ScriptItem.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ScriptItem的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var ScriptItem = grmi.NewEntity(
	"ScriptItem",
	func() interface{} { return &model.ScriptItem{} },
	map[string]grmi.Field{
		ScriptItem_PlantNr.Name:      ScriptItem_PlantNr,
		ScriptItem_Script.Name:       ScriptItem_Script,
		ScriptItem_TabMapCol.Name:    ScriptItem_TabMapCol,
		ScriptItem_ColNo.Name:        ScriptItem_ColNo,
		ScriptItem_ColName.Name:      ScriptItem_ColName,
		ScriptItem_RowNo.Name:        ScriptItem_RowNo,
		ScriptItem_RowName.Name:      ScriptItem_RowName,
		ScriptItem_ColFieldType.Name: ScriptItem_ColFieldType,
		ScriptItem_ColFormat.Name:    ScriptItem_ColFormat,
		ScriptItem_DefaultValue.Name: ScriptItem_DefaultValue,
		ScriptItem_LastModify.Name:   ScriptItem_LastModify,
		ScriptItem_LastUser.Name:     ScriptItem_LastUser,
		ScriptItem_CreateTime.Name:   ScriptItem_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"ColNo", "ColName", "RowNo", "RowName", "ColFieldType", "ColFormat", "DefaultValue", "LastUser"})
