// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : SpecArtShareAllocate的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-14 14:51:48
 *
 ******************************************************************************/
var SpecArtShareAllocate_PlantNr = grmi.NewField("PlantNr", "SpecArtShareAllocate.PlantNr", "plantnr", grmi.TypeInt)
var SpecArtShareAllocate_AttriCode = grmi.NewField("AttriCode", "SpecArtShareAllocate.AttriCode", "attricode", grmi.TypeInt)
var SpecArtShareAllocate_WorkLineId = grmi.NewField("WorkLineId", "SpecArtShareAllocate.WorkLineId", "worklineid", grmi.TypeString)
var SpecArtShareAllocate_SubObject = grmi.NewField("SubObject", "SpecArtShareAllocate.SubObject", "subobject", grmi.TypeString)
var SpecArtShareAllocate_AttriCodeDesc = grmi.NewField("AttriCodeDesc", "SpecArtShareAllocate.AttriCodeDesc", "attricodedesc", grmi.TypeString)
var SpecArtShareAllocate_WorkPlaceNr = grmi.NewField("WorkPlaceNr", "SpecArtShareAllocate.WorkPlaceNr", "workplacenr", grmi.TypeInt)
var SpecArtShareAllocate_TotalPlanty = grmi.NewField("TotalPlanty", "SpecArtShareAllocate.TotalPlanty", "totalplanty", grmi.TypeInt)
var SpecArtShareAllocate_AssignPlanty = grmi.NewField("AssignPlanty", "SpecArtShareAllocate.AssignPlanty", "assignplanty", grmi.TypeInt)
var SpecArtShareAllocate_CtrlPara1 = grmi.NewField("CtrlPara1", "SpecArtShareAllocate.CtrlPara1", "ctrlpara1", grmi.TypeInt)
var SpecArtShareAllocate_CtrlPara2 = grmi.NewField("CtrlPara2", "SpecArtShareAllocate.CtrlPara2", "ctrlpara2", grmi.TypeInt)
var SpecArtShareAllocate_CtrlPara3 = grmi.NewField("CtrlPara3", "SpecArtShareAllocate.CtrlPara3", "ctrlpara3", grmi.TypeFloat64)
var SpecArtShareAllocate_CtrlPara4 = grmi.NewField("CtrlPara4", "SpecArtShareAllocate.CtrlPara4", "ctrlpara4", grmi.TypeFloat64)
var SpecArtShareAllocate_CtrlPara5 = grmi.NewField("CtrlPara5", "SpecArtShareAllocate.CtrlPara5", "ctrlpara5", grmi.TypeString)
var SpecArtShareAllocate_CtrlPara6 = grmi.NewField("CtrlPara6", "SpecArtShareAllocate.CtrlPara6", "ctrlpara6", grmi.TypeString)
var SpecArtShareAllocate_LastModify = grmi.NewField("LastModify", "SpecArtShareAllocate.LastModify", "lastmodify", grmi.TypeDateTime)
var SpecArtShareAllocate_LastUser = grmi.NewField("LastUser", "SpecArtShareAllocate.LastUser", "lastuser", grmi.TypeString)
var SpecArtShareAllocate_CreateTime = grmi.NewField("CreateTime", "SpecArtShareAllocate.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : SpecArtShareAllocate的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-14 14:51:48
 *
 ******************************************************************************/
var SpecArtShareAllocate = grmi.NewEntity(
	"SpecArtShareAllocate",
	func() interface{} { return &model.SpecArtShareAllocate{} },
	map[string]grmi.Field{
		SpecArtShareAllocate_PlantNr.Name:       SpecArtShareAllocate_PlantNr,
		SpecArtShareAllocate_AttriCode.Name:     SpecArtShareAllocate_AttriCode,
		SpecArtShareAllocate_WorkLineId.Name:    SpecArtShareAllocate_WorkLineId,
		SpecArtShareAllocate_SubObject.Name:     SpecArtShareAllocate_SubObject,
		SpecArtShareAllocate_AttriCodeDesc.Name: SpecArtShareAllocate_AttriCodeDesc,
		SpecArtShareAllocate_WorkPlaceNr.Name:   SpecArtShareAllocate_WorkPlaceNr,
		SpecArtShareAllocate_TotalPlanty.Name:   SpecArtShareAllocate_TotalPlanty,
		SpecArtShareAllocate_AssignPlanty.Name:  SpecArtShareAllocate_AssignPlanty,
		SpecArtShareAllocate_CtrlPara1.Name:     SpecArtShareAllocate_CtrlPara1,
		SpecArtShareAllocate_CtrlPara2.Name:     SpecArtShareAllocate_CtrlPara2,
		SpecArtShareAllocate_CtrlPara3.Name:     SpecArtShareAllocate_CtrlPara3,
		SpecArtShareAllocate_CtrlPara4.Name:     SpecArtShareAllocate_CtrlPara4,
		SpecArtShareAllocate_CtrlPara5.Name:     SpecArtShareAllocate_CtrlPara5,
		SpecArtShareAllocate_CtrlPara6.Name:     SpecArtShareAllocate_CtrlPara6,
		SpecArtShareAllocate_LastModify.Name:    SpecArtShareAllocate_LastModify,
		SpecArtShareAllocate_LastUser.Name:      SpecArtShareAllocate_LastUser,
		SpecArtShareAllocate_CreateTime.Name:    SpecArtShareAllocate_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"AttriCodeDesc", "WorkPlaceNr", "TotalPlanty", "AssignPlanty", "CtrlPara1", "CtrlPara2", "CtrlPara3", "CtrlPara4", "CtrlPara5", "CtrlPara6", "LastUser"})
