// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : StatusColor的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var StatusColor_PlantNr = grmi.NewField("PlantNr", "StatusColor.PlantNr", "plantnr", grmi.TypeInt)
var StatusColor_StatusObj = grmi.NewField("StatusObj", "StatusColor.StatusObj", "statusobj", grmi.TypeString)
var StatusColor_StatusVal = grmi.NewField("StatusVal", "StatusColor.StatusVal", "statusval", grmi.TypeString)
var StatusColor_Descr = grmi.NewField("Descr", "StatusColor.Descr", "descr", grmi.TypeString)
var StatusColor_StatusRgb = grmi.NewField("StatusRgb", "StatusColor.StatusRgb", "statusrgb", grmi.TypeString)
var StatusColor_StatusHexColor = grmi.NewField("StatusHexColor", "StatusColor.StatusHexColor", "statushexcolor", grmi.TypeString)
var StatusColor_StatusBitmap = grmi.NewField("StatusBitmap", "StatusColor.StatusBitmap", "statusbitmap", grmi.TypeString)
var StatusColor_LastModify = grmi.NewField("LastModify", "StatusColor.LastModify", "lastmodify", grmi.TypeDateTime)
var StatusColor_LastUser = grmi.NewField("LastUser", "StatusColor.LastUser", "lastuser", grmi.TypeString)
var StatusColor_CreateTime = grmi.NewField("CreateTime", "StatusColor.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : StatusColor的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var StatusColor = grmi.NewEntity(
	"StatusColor",
	func() interface{} { return &model.StatusColor{} },
	map[string]grmi.Field{
		StatusColor_PlantNr.Name:        StatusColor_PlantNr,
		StatusColor_StatusObj.Name:      StatusColor_StatusObj,
		StatusColor_StatusVal.Name:      StatusColor_StatusVal,
		StatusColor_Descr.Name:          StatusColor_Descr,
		StatusColor_StatusRgb.Name:      StatusColor_StatusRgb,
		StatusColor_StatusHexColor.Name: StatusColor_StatusHexColor,
		StatusColor_StatusBitmap.Name:   StatusColor_StatusBitmap,
		StatusColor_LastModify.Name:     StatusColor_LastModify,
		StatusColor_LastUser.Name:       StatusColor_LastUser,
		StatusColor_CreateTime.Name:     StatusColor_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "StatusRgb", "StatusHexColor", "StatusBitmap", "LastUser"})
