// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : Stdef的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var Stdef_StdefTyp = grmi.NewField("StdefTyp", "Stdef.StdefTyp", "stdeftyp", grmi.TypeString)
var Stdef_StatId = grmi.NewField("StatId", "Stdef.StatId", "statid", grmi.TypeString)
var Stdef_Lang = grmi.NewField("Lang", "Stdef.Lang", "lang", grmi.TypeString)
var Stdef_Bez = grmi.NewField("Bez", "Stdef.Bez", "bez", grmi.TypeString)
var Stdef_LastModify = grmi.NewField("LastModify", "Stdef.LastModify", "lastmodify", grmi.TypeDateTime)
var Stdef_LastUser = grmi.NewField("LastUser", "Stdef.LastUser", "lastuser", grmi.TypeString)
var Stdef_CreateTime = grmi.NewField("CreateTime", "Stdef.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Stdef的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var Stdef = grmi.NewEntity(
	"Stdef",
	func() interface{} { return &model.Stdef{} },
	map[string]grmi.Field{
		Stdef_StdefTyp.Name:   Stdef_StdefTyp,
		Stdef_StatId.Name:     Stdef_StatId,
		Stdef_Lang.Name:       Stdef_Lang,
		Stdef_Bez.Name:        Stdef_Bez,
		Stdef_LastModify.Name: Stdef_LastModify,
		Stdef_LastUser.Name:   Stdef_LastUser,
		Stdef_CreateTime.Name: Stdef_CreateTime,
	},
	[]string{},
	[]string{"Bez", "LastUser"})
