// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : StepType的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
var StepType_PlantNr = grmi.NewField("PlantNr", "StepType.PlantNr", "plantnr", grmi.TypeInt)
var StepType_StepTypeName = grmi.NewField("StepTypeName", "StepType.StepTypeName", "steptypename", grmi.TypeString)
var StepType_StepTypeDesc = grmi.NewField("StepTypeDesc", "StepType.StepTypeDesc", "steptypedesc", grmi.TypeString)
var StepType_STCtrlPara1 = grmi.NewField("STCtrlPara1", "StepType.STCtrlPara1", "stctrlpara1", grmi.TypeString)
var StepType_STCtrlPara2 = grmi.NewField("STCtrlPara2", "StepType.STCtrlPara2", "stctrlpara2", grmi.TypeString)
var StepType_STCtrlPara3 = grmi.NewField("STCtrlPara3", "StepType.STCtrlPara3", "stctrlpara3", grmi.TypeInt)
var StepType_STCtrlPara4 = grmi.NewField("STCtrlPara4", "StepType.STCtrlPara4", "stctrlpara4", grmi.TypeInt)
var StepType_STCtrlPara5 = grmi.NewField("STCtrlPara5", "StepType.STCtrlPara5", "stctrlpara5", grmi.TypeFloat64)
var StepType_STCtrlPara6 = grmi.NewField("STCtrlPara6", "StepType.STCtrlPara6", "stctrlpara6", grmi.TypeFloat64)
var StepType_LastModify = grmi.NewField("LastModify", "StepType.LastModify", "lastmodify", grmi.TypeDateTime)
var StepType_LastUser = grmi.NewField("LastUser", "StepType.LastUser", "lastuser", grmi.TypeString)
var StepType_CreateTime = grmi.NewField("CreateTime", "StepType.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : StepType的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
var StepType = grmi.NewEntity(
	"StepType",
	func() interface{} { return &model.StepType{} },
	map[string]grmi.Field{
		StepType_PlantNr.Name:      StepType_PlantNr,
		StepType_StepTypeName.Name: StepType_StepTypeName,
		StepType_StepTypeDesc.Name: StepType_StepTypeDesc,
		StepType_STCtrlPara1.Name:  StepType_STCtrlPara1,
		StepType_STCtrlPara2.Name:  StepType_STCtrlPara2,
		StepType_STCtrlPara3.Name:  StepType_STCtrlPara3,
		StepType_STCtrlPara4.Name:  StepType_STCtrlPara4,
		StepType_STCtrlPara5.Name:  StepType_STCtrlPara5,
		StepType_STCtrlPara6.Name:  StepType_STCtrlPara6,
		StepType_LastModify.Name:   StepType_LastModify,
		StepType_LastUser.Name:     StepType_LastUser,
		StepType_CreateTime.Name:   StepType_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"StepTypeDesc", "STCtrlPara1", "STCtrlPara2", "STCtrlPara3", "STCtrlPara4", "STCtrlPara5", "STCtrlPara6", "LastUser"})
