// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : StepTypeRelLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
var StepTypeRelLst_PlantNr = grmi.NewField("PlantNr", "StepTypeRelLst.PlantNr", "plantnr", grmi.TypeInt)
var StepTypeRelLst_StepTypeName = grmi.NewField("StepTypeName", "StepTypeRelLst.StepTypeName", "steptypename", grmi.TypeString)
var StepTypeRelLst_PID = grmi.NewField("PID", "StepTypeRelLst.PID", "pid", grmi.TypeString)
var StepTypeRelLst_OriginID = grmi.NewField("OriginID", "StepTypeRelLst.OriginID", "originid", grmi.TypeString)
var StepTypeRelLst_LastModify = grmi.NewField("LastModify", "StepTypeRelLst.LastModify", "lastmodify", grmi.TypeDateTime)
var StepTypeRelLst_LastUser = grmi.NewField("LastUser", "StepTypeRelLst.LastUser", "lastuser", grmi.TypeString)
var StepTypeRelLst_CreateTime = grmi.NewField("CreateTime", "StepTypeRelLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : StepTypeRelLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
var StepTypeRelLst = grmi.NewEntity(
	"StepTypeRelLst",
	func() interface{} { return &model.StepTypeRelLst{} },
	map[string]grmi.Field{
		StepTypeRelLst_PlantNr.Name:      StepTypeRelLst_PlantNr,
		StepTypeRelLst_StepTypeName.Name: StepTypeRelLst_StepTypeName,
		StepTypeRelLst_PID.Name:          StepTypeRelLst_PID,
		StepTypeRelLst_OriginID.Name:     StepTypeRelLst_OriginID,
		StepTypeRelLst_LastModify.Name:   StepTypeRelLst_LastModify,
		StepTypeRelLst_LastUser.Name:     StepTypeRelLst_LastUser,
		StepTypeRelLst_CreateTime.Name:   StepTypeRelLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"OriginID", "LastUser"})
