// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : TightenWrenchInfo的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-13 16:59:07
 *
 ******************************************************************************/
var TightenWrenchInfo_PlantNr = grmi.NewField("PlantNr", "TightenWrenchInfo.PlantNr", "plantnr", grmi.TypeInt)
var TightenWrenchInfo_OperationId = grmi.NewField("OperationId", "TightenWrenchInfo.OperationId", "operationid", grmi.TypeInt)
var TightenWrenchInfo_WorkPlaceNr = grmi.NewField("WorkPlaceNr", "TightenWrenchInfo.WorkPlaceNr", "workplacenr", grmi.TypeInt)
var TightenWrenchInfo_PO = grmi.NewField("PO", "TightenWrenchInfo.PO", "po", grmi.TypeInt)
var TightenWrenchInfo_StepNo = grmi.NewField("StepNo", "TightenWrenchInfo.StepNo", "stepno", grmi.TypeInt)
var TightenWrenchInfo_StepDesc = grmi.NewField("StepDesc", "TightenWrenchInfo.StepDesc", "stepdesc", grmi.TypeString)
var TightenWrenchInfo_ProjectId = grmi.NewField("ProjectId", "TightenWrenchInfo.ProjectId", "projectid", grmi.TypeString)
var TightenWrenchInfo_BrandName = grmi.NewField("BrandName", "TightenWrenchInfo.BrandName", "brandname", grmi.TypeString)
var TightenWrenchInfo_MachineType = grmi.NewField("MachineType", "TightenWrenchInfo.MachineType", "machinetype", grmi.TypeString)
var TightenWrenchInfo_IpAddress = grmi.NewField("IpAddress", "TightenWrenchInfo.IpAddress", "ipaddress", grmi.TypeString)
var TightenWrenchInfo_LastModify = grmi.NewField("LastModify", "TightenWrenchInfo.LastModify", "lastmodify", grmi.TypeDateTime)
var TightenWrenchInfo_LastUser = grmi.NewField("LastUser", "TightenWrenchInfo.LastUser", "lastuser", grmi.TypeString)
var TightenWrenchInfo_CreateTime = grmi.NewField("CreateTime", "TightenWrenchInfo.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : TightenWrenchInfo的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-13 16:59:07
 *
 ******************************************************************************/
var TightenWrenchInfo = grmi.NewEntity(
	"TightenWrenchInfo",
	func() interface{} { return &model.TightenWrenchInfo{} },
	map[string]grmi.Field{
		TightenWrenchInfo_PlantNr.Name:     TightenWrenchInfo_PlantNr,
		TightenWrenchInfo_OperationId.Name: TightenWrenchInfo_OperationId,
		TightenWrenchInfo_WorkPlaceNr.Name: TightenWrenchInfo_WorkPlaceNr,
		TightenWrenchInfo_PO.Name:          TightenWrenchInfo_PO,
		TightenWrenchInfo_StepNo.Name:      TightenWrenchInfo_StepNo,
		TightenWrenchInfo_StepDesc.Name:    TightenWrenchInfo_StepDesc,
		TightenWrenchInfo_ProjectId.Name:   TightenWrenchInfo_ProjectId,
		TightenWrenchInfo_BrandName.Name:   TightenWrenchInfo_BrandName,
		TightenWrenchInfo_MachineType.Name: TightenWrenchInfo_MachineType,
		TightenWrenchInfo_IpAddress.Name:   TightenWrenchInfo_IpAddress,
		TightenWrenchInfo_LastModify.Name:  TightenWrenchInfo_LastModify,
		TightenWrenchInfo_LastUser.Name:    TightenWrenchInfo_LastUser,
		TightenWrenchInfo_CreateTime.Name:  TightenWrenchInfo_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PO", "StepNo", "StepDesc", "ProjectId", "BrandName", "MachineType", "IpAddress", "LastUser"})
