// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : TightenWrenchRuleInfo的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-13 16:59:07
 *
 ******************************************************************************/
var TightenWrenchRuleInfo_PlantNr = grmi.NewField("PlantNr", "TightenWrenchRuleInfo.PlantNr", "plantnr", grmi.TypeInt)
var TightenWrenchRuleInfo_OperationId = grmi.NewField("OperationId", "TightenWrenchRuleInfo.OperationId", "operationid", grmi.TypeInt)
var TightenWrenchRuleInfo_RuleId = grmi.NewField("RuleId", "TightenWrenchRuleInfo.RuleId", "ruleid", grmi.TypeInt)
var TightenWrenchRuleInfo_WorkPlaceNr = grmi.NewField("WorkPlaceNr", "TightenWrenchRuleInfo.WorkPlaceNr", "workplacenr", grmi.TypeInt)
var TightenWrenchRuleInfo_PO = grmi.NewField("PO", "TightenWrenchRuleInfo.PO", "po", grmi.TypeInt)
var TightenWrenchRuleInfo_StepNo = grmi.NewField("StepNo", "TightenWrenchRuleInfo.StepNo", "stepno", grmi.TypeInt)
var TightenWrenchRuleInfo_StepDesc = grmi.NewField("StepDesc", "TightenWrenchRuleInfo.StepDesc", "stepdesc", grmi.TypeString)
var TightenWrenchRuleInfo_ProjectId = grmi.NewField("ProjectId", "TightenWrenchRuleInfo.ProjectId", "projectid", grmi.TypeString)
var TightenWrenchRuleInfo_MainControlAction = grmi.NewField("MainControlAction", "TightenWrenchRuleInfo.MainControlAction", "maincontrolaction", grmi.TypeString)
var TightenWrenchRuleInfo_ControlId = grmi.NewField("ControlId", "TightenWrenchRuleInfo.ControlId", "controlid", grmi.TypeInt)
var TightenWrenchRuleInfo_ControlTime = grmi.NewField("ControlTime", "TightenWrenchRuleInfo.ControlTime", "controltime", grmi.TypeInt)
var TightenWrenchRuleInfo_LastModify = grmi.NewField("LastModify", "TightenWrenchRuleInfo.LastModify", "lastmodify", grmi.TypeDateTime)
var TightenWrenchRuleInfo_LastUser = grmi.NewField("LastUser", "TightenWrenchRuleInfo.LastUser", "lastuser", grmi.TypeString)
var TightenWrenchRuleInfo_CreateTime = grmi.NewField("CreateTime", "TightenWrenchRuleInfo.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : TightenWrenchRuleInfo的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-13 16:59:07
 *
 ******************************************************************************/
var TightenWrenchRuleInfo = grmi.NewEntity(
	"TightenWrenchRuleInfo",
	func() interface{} { return &model.TightenWrenchRuleInfo{} },
	map[string]grmi.Field{
		TightenWrenchRuleInfo_PlantNr.Name:           TightenWrenchRuleInfo_PlantNr,
		TightenWrenchRuleInfo_OperationId.Name:       TightenWrenchRuleInfo_OperationId,
		TightenWrenchRuleInfo_RuleId.Name:            TightenWrenchRuleInfo_RuleId,
		TightenWrenchRuleInfo_WorkPlaceNr.Name:       TightenWrenchRuleInfo_WorkPlaceNr,
		TightenWrenchRuleInfo_PO.Name:                TightenWrenchRuleInfo_PO,
		TightenWrenchRuleInfo_StepNo.Name:            TightenWrenchRuleInfo_StepNo,
		TightenWrenchRuleInfo_StepDesc.Name:          TightenWrenchRuleInfo_StepDesc,
		TightenWrenchRuleInfo_ProjectId.Name:         TightenWrenchRuleInfo_ProjectId,
		TightenWrenchRuleInfo_MainControlAction.Name: TightenWrenchRuleInfo_MainControlAction,
		TightenWrenchRuleInfo_ControlId.Name:         TightenWrenchRuleInfo_ControlId,
		TightenWrenchRuleInfo_ControlTime.Name:       TightenWrenchRuleInfo_ControlTime,
		TightenWrenchRuleInfo_LastModify.Name:        TightenWrenchRuleInfo_LastModify,
		TightenWrenchRuleInfo_LastUser.Name:          TightenWrenchRuleInfo_LastUser,
		TightenWrenchRuleInfo_CreateTime.Name:        TightenWrenchRuleInfo_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PO", "StepNo", "StepDesc", "ProjectId", "MainControlAction", "ControlId", "ControlTime", "LastUser"})
