// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : WeekModel的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var WeekModel_PlantNr = grmi.NewField("PlantNr", "WeekModel.PlantNr", "plantnr", grmi.TypeInt)
var WeekModel_WeekModelNr = grmi.NewField("WeekModelNr", "WeekModel.WeekModelNr", "weekmodelnr", grmi.TypeInt)
var WeekModel_Descr = grmi.NewField("Descr", "WeekModel.Descr", "descr", grmi.TypeString)
var WeekModel_Abrev = grmi.NewField("Abrev", "WeekModel.Abrev", "abrev", grmi.TypeString)
var WeekModel_CtrlToggle = grmi.NewField("CtrlToggle", "WeekModel.CtrlToggle", "ctrltoggle", grmi.TypeBool)
var WeekModel_LoopDays = grmi.NewField("LoopDays", "WeekModel.LoopDays", "loopdays", grmi.TypeInt)
var WeekModel_DateFrom = grmi.NewField("DateFrom", "WeekModel.DateFrom", "datefrom", grmi.TypeDate)
var WeekModel_LastModify = grmi.NewField("LastModify", "WeekModel.LastModify", "lastmodify", grmi.TypeDateTime)
var WeekModel_LastUser = grmi.NewField("LastUser", "WeekModel.LastUser", "lastuser", grmi.TypeString)
var WeekModel_CreateTime = grmi.NewField("CreateTime", "WeekModel.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WeekModel的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var WeekModel = grmi.NewEntity(
	"WeekModel",
	func() interface{} { return &model.WeekModel{} },
	map[string]grmi.Field{
		WeekModel_PlantNr.Name:     WeekModel_PlantNr,
		WeekModel_WeekModelNr.Name: WeekModel_WeekModelNr,
		WeekModel_Descr.Name:       WeekModel_Descr,
		WeekModel_Abrev.Name:       WeekModel_Abrev,
		WeekModel_CtrlToggle.Name:  WeekModel_CtrlToggle,
		WeekModel_LoopDays.Name:    WeekModel_LoopDays,
		WeekModel_DateFrom.Name:    WeekModel_DateFrom,
		WeekModel_LastModify.Name:  WeekModel_LastModify,
		WeekModel_LastUser.Name:    WeekModel_LastUser,
		WeekModel_CreateTime.Name:  WeekModel_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "Abrev", "CtrlToggle", "LoopDays", "DateFrom", "LastUser"})
