// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : WorkLineSpecialDay的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var WorkLineSpecialDay_PlantNr = grmi.NewField("PlantNr", "WorkLineSpecialDay.PlantNr", "plantnr", grmi.TypeInt)
var WorkLineSpecialDay_WorkLineid = grmi.NewField("WorkLineid", "WorkLineSpecialDay.WorkLineid", "worklineid", grmi.TypeString)
var WorkLineSpecialDay_SpecialDay = grmi.NewField("SpecialDay", "WorkLineSpecialDay.SpecialDay", "specialday", grmi.TypeString)
var WorkLineSpecialDay_DayModelNr = grmi.NewField("DayModelNr", "WorkLineSpecialDay.DayModelNr", "daymodelnr", grmi.TypeInt)
var WorkLineSpecialDay_Descr = grmi.NewField("Descr", "WorkLineSpecialDay.Descr", "descr", grmi.TypeString)
var WorkLineSpecialDay_LastModify = grmi.NewField("LastModify", "WorkLineSpecialDay.LastModify", "lastmodify", grmi.TypeDateTime)
var WorkLineSpecialDay_LastUser = grmi.NewField("LastUser", "WorkLineSpecialDay.LastUser", "lastuser", grmi.TypeString)
var WorkLineSpecialDay_CreateTime = grmi.NewField("CreateTime", "WorkLineSpecialDay.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkLineSpecialDay的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var WorkLineSpecialDay = grmi.NewEntity(
	"WorkLineSpecialDay",
	func() interface{} { return &model.WorkLineSpecialDay{} },
	map[string]grmi.Field{
		WorkLineSpecialDay_PlantNr.Name:    WorkLineSpecialDay_PlantNr,
		WorkLineSpecialDay_WorkLineid.Name: WorkLineSpecialDay_WorkLineid,
		WorkLineSpecialDay_SpecialDay.Name: WorkLineSpecialDay_SpecialDay,
		WorkLineSpecialDay_DayModelNr.Name: WorkLineSpecialDay_DayModelNr,
		WorkLineSpecialDay_Descr.Name:      WorkLineSpecialDay_Descr,
		WorkLineSpecialDay_LastModify.Name: WorkLineSpecialDay_LastModify,
		WorkLineSpecialDay_LastUser.Name:   WorkLineSpecialDay_LastUser,
		WorkLineSpecialDay_CreateTime.Name: WorkLineSpecialDay_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"DayModelNr", "Descr", "LastUser"})
