// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : WorkLineWorkShiftLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-22 16:01:03
 *
 ******************************************************************************/
var WorkLineWorkShiftLst_PlantNr = grmi.NewField("PlantNr", "WorkLineWorkShiftLst.PlantNr", "plantnr", grmi.TypeInt)
var WorkLineWorkShiftLst_WorkLineId = grmi.NewField("WorkLineId", "WorkLineWorkShiftLst.WorkLineId", "worklineid", grmi.TypeString)
var WorkLineWorkShiftLst_WorkDay = grmi.NewField("WorkDay", "WorkLineWorkShiftLst.WorkDay", "workday", grmi.TypeString)
var WorkLineWorkShiftLst_WorkShiftNr = grmi.NewField("WorkShiftNr", "WorkLineWorkShiftLst.WorkShiftNr", "workshiftnr", grmi.TypeInt)
var WorkLineWorkShiftLst_PersonQty = grmi.NewField("PersonQty", "WorkLineWorkShiftLst.PersonQty", "personqty", grmi.TypeInt)
var WorkLineWorkShiftLst_LastModify = grmi.NewField("LastModify", "WorkLineWorkShiftLst.LastModify", "lastmodify", grmi.TypeDateTime)
var WorkLineWorkShiftLst_LastUser = grmi.NewField("LastUser", "WorkLineWorkShiftLst.LastUser", "lastuser", grmi.TypeString)
var WorkLineWorkShiftLst_CreateTime = grmi.NewField("CreateTime", "WorkLineWorkShiftLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkLineWorkShiftLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-22 16:01:03
 *
 ******************************************************************************/
var WorkLineWorkShiftLst = grmi.NewEntity(
	"WorkLineWorkShiftLst",
	func() interface{} { return &model.WorkLineWorkShiftLst{} },
	map[string]grmi.Field{
		WorkLineWorkShiftLst_PlantNr.Name:     WorkLineWorkShiftLst_PlantNr,
		WorkLineWorkShiftLst_WorkLineId.Name:  WorkLineWorkShiftLst_WorkLineId,
		WorkLineWorkShiftLst_WorkDay.Name:     WorkLineWorkShiftLst_WorkDay,
		WorkLineWorkShiftLst_WorkShiftNr.Name: WorkLineWorkShiftLst_WorkShiftNr,
		WorkLineWorkShiftLst_PersonQty.Name:   WorkLineWorkShiftLst_PersonQty,
		WorkLineWorkShiftLst_LastModify.Name:  WorkLineWorkShiftLst_LastModify,
		WorkLineWorkShiftLst_LastUser.Name:    WorkLineWorkShiftLst_LastUser,
		WorkLineWorkShiftLst_CreateTime.Name:  WorkLineWorkShiftLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PersonQty", "LastUser"})
