// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : WorkLineWorkShiftSpecialTime的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var WorkLineWorkShiftSpecialTime_PlantNr = grmi.NewField("PlantNr", "WorkLineWorkShiftSpecialTime.PlantNr", "plantnr", grmi.TypeInt)
var WorkLineWorkShiftSpecialTime_WorkLineId = grmi.NewField("WorkLineId", "WorkLineWorkShiftSpecialTime.WorkLineId", "worklineid", grmi.TypeString)
var WorkLineWorkShiftSpecialTime_WorkDay = grmi.NewField("WorkDay", "WorkLineWorkShiftSpecialTime.WorkDay", "workday", grmi.TypeString)
var WorkLineWorkShiftSpecialTime_Pos = grmi.NewField("Pos", "WorkLineWorkShiftSpecialTime.Pos", "pos", grmi.TypeInt)
var WorkLineWorkShiftSpecialTime_BegTime = grmi.NewField("BegTime", "WorkLineWorkShiftSpecialTime.BegTime", "begtime", grmi.TypeDateTime)
var WorkLineWorkShiftSpecialTime_AddMinus = grmi.NewField("AddMinus", "WorkLineWorkShiftSpecialTime.AddMinus", "addminus", grmi.TypeInt)
var WorkLineWorkShiftSpecialTime_EndTime = grmi.NewField("EndTime", "WorkLineWorkShiftSpecialTime.EndTime", "endtime", grmi.TypeDateTime)
var WorkLineWorkShiftSpecialTime_TimeObjId = grmi.NewField("TimeObjId", "WorkLineWorkShiftSpecialTime.TimeObjId", "timeobjid", grmi.TypeString)
var WorkLineWorkShiftSpecialTime_LastModify = grmi.NewField("LastModify", "WorkLineWorkShiftSpecialTime.LastModify", "lastmodify", grmi.TypeDateTime)
var WorkLineWorkShiftSpecialTime_LastUser = grmi.NewField("LastUser", "WorkLineWorkShiftSpecialTime.LastUser", "lastuser", grmi.TypeString)
var WorkLineWorkShiftSpecialTime_CreateTime = grmi.NewField("CreateTime", "WorkLineWorkShiftSpecialTime.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkLineWorkShiftSpecialTime的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var WorkLineWorkShiftSpecialTime = grmi.NewEntity(
	"WorkLineWorkShiftSpecialTime",
	func() interface{} { return &model.WorkLineWorkShiftSpecialTime{} },
	map[string]grmi.Field{
		WorkLineWorkShiftSpecialTime_PlantNr.Name:    WorkLineWorkShiftSpecialTime_PlantNr,
		WorkLineWorkShiftSpecialTime_WorkLineId.Name: WorkLineWorkShiftSpecialTime_WorkLineId,
		WorkLineWorkShiftSpecialTime_WorkDay.Name:    WorkLineWorkShiftSpecialTime_WorkDay,
		WorkLineWorkShiftSpecialTime_Pos.Name:        WorkLineWorkShiftSpecialTime_Pos,
		WorkLineWorkShiftSpecialTime_BegTime.Name:    WorkLineWorkShiftSpecialTime_BegTime,
		WorkLineWorkShiftSpecialTime_AddMinus.Name:   WorkLineWorkShiftSpecialTime_AddMinus,
		WorkLineWorkShiftSpecialTime_EndTime.Name:    WorkLineWorkShiftSpecialTime_EndTime,
		WorkLineWorkShiftSpecialTime_TimeObjId.Name:  WorkLineWorkShiftSpecialTime_TimeObjId,
		WorkLineWorkShiftSpecialTime_LastModify.Name: WorkLineWorkShiftSpecialTime_LastModify,
		WorkLineWorkShiftSpecialTime_LastUser.Name:   WorkLineWorkShiftSpecialTime_LastUser,
		WorkLineWorkShiftSpecialTime_CreateTime.Name: WorkLineWorkShiftSpecialTime_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"AddMinus", "EndTime", "TimeObjId", "LastUser"})
