// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : WorkShiftEffLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var WorkShiftEffLst_PlantNr = grmi.NewField("PlantNr", "WorkShiftEffLst.PlantNr", "plantnr", grmi.TypeInt)
var WorkShiftEffLst_WorkShiftNr = grmi.NewField("WorkShiftNr", "WorkShiftEffLst.WorkShiftNr", "workshiftnr", grmi.TypeInt)
var WorkShiftEffLst_LevelId = grmi.NewField("LevelId", "WorkShiftEffLst.LevelId", "levelid", grmi.TypeString)
var WorkShiftEffLst_Descr = grmi.NewField("Descr", "WorkShiftEffLst.Descr", "descr", grmi.TypeString)
var WorkShiftEffLst_PlanPersonUclQty = grmi.NewField("PlanPersonUclQty", "WorkShiftEffLst.PlanPersonUclQty", "planpersonuclqty", grmi.TypeInt)
var WorkShiftEffLst_PlanPersonLclQty = grmi.NewField("PlanPersonLclQty", "WorkShiftEffLst.PlanPersonLclQty", "planpersonlclqty", grmi.TypeInt)
var WorkShiftEffLst_PlanEfficiency = grmi.NewField("PlanEfficiency", "WorkShiftEffLst.PlanEfficiency", "planefficiency", grmi.TypeFloat64)
var WorkShiftEffLst_LastModify = grmi.NewField("LastModify", "WorkShiftEffLst.LastModify", "lastmodify", grmi.TypeDateTime)
var WorkShiftEffLst_LastUser = grmi.NewField("LastUser", "WorkShiftEffLst.LastUser", "lastuser", grmi.TypeString)
var WorkShiftEffLst_CreateTime = grmi.NewField("CreateTime", "WorkShiftEffLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkShiftEffLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var WorkShiftEffLst = grmi.NewEntity(
	"WorkShiftEffLst",
	func() interface{} { return &model.WorkShiftEffLst{} },
	map[string]grmi.Field{
		WorkShiftEffLst_PlantNr.Name:          WorkShiftEffLst_PlantNr,
		WorkShiftEffLst_WorkShiftNr.Name:      WorkShiftEffLst_WorkShiftNr,
		WorkShiftEffLst_LevelId.Name:          WorkShiftEffLst_LevelId,
		WorkShiftEffLst_Descr.Name:            WorkShiftEffLst_Descr,
		WorkShiftEffLst_PlanPersonUclQty.Name: WorkShiftEffLst_PlanPersonUclQty,
		WorkShiftEffLst_PlanPersonLclQty.Name: WorkShiftEffLst_PlanPersonLclQty,
		WorkShiftEffLst_PlanEfficiency.Name:   WorkShiftEffLst_PlanEfficiency,
		WorkShiftEffLst_LastModify.Name:       WorkShiftEffLst_LastModify,
		WorkShiftEffLst_LastUser.Name:         WorkShiftEffLst_LastUser,
		WorkShiftEffLst_CreateTime.Name:       WorkShiftEffLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "PlanPersonUclQty", "PlanPersonLclQty", "PlanEfficiency", "LastUser"})
