// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package log

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/log"
)

/******************************************************************************
 *
 * @Description              : ArtDemandLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-11 16:10:25
 *
 ******************************************************************************/
var ArtDemandLst_PlantNr = grmi.NewField("PlantNr", "LOG_ArtDemandLst.PlantNr", "plantnr", grmi.TypeInt)
var ArtDemandLst_DemandId = grmi.NewField("DemandId", "LOG_ArtDemandLst.DemandId", "demandid", grmi.TypeString)
var ArtDemandLst_Pos = grmi.NewField("Pos", "LOG_ArtDemandLst.Pos", "pos", grmi.TypeInt)
var ArtDemandLst_ArtId = grmi.NewField("ArtId", "LOG_ArtDemandLst.ArtId", "artid", grmi.TypeString)
var ArtDemandLst_DemandTime = grmi.NewField("DemandTime", "LOG_ArtDemandLst.DemandTime", "demandtime", grmi.TypeDateTime)
var ArtDemandLst_DemandYear = grmi.NewField("DemandYear", "LOG_ArtDemandLst.DemandYear", "demandyear", grmi.TypeInt)
var ArtDemandLst_DemandMonth = grmi.NewField("DemandMonth", "LOG_ArtDemandLst.DemandMonth", "demandmonth", grmi.TypeInt)
var ArtDemandLst_DemandWeek = grmi.NewField("DemandWeek", "LOG_ArtDemandLst.DemandWeek", "demandweek", grmi.TypeInt)
var ArtDemandLst_DemandDate = grmi.NewField("DemandDate", "LOG_ArtDemandLst.DemandDate", "demanddate", grmi.TypeDate)
var ArtDemandLst_DemandHour = grmi.NewField("DemandHour", "LOG_ArtDemandLst.DemandHour", "demandhour", grmi.TypeInt)
var ArtDemandLst_DemandQty = grmi.NewField("DemandQty", "LOG_ArtDemandLst.DemandQty", "demandqty", grmi.TypeFloat64)
var ArtDemandLst_QtyUomId = grmi.NewField("QtyUomId", "LOG_ArtDemandLst.QtyUomId", "qtyuomid", grmi.TypeString)
var ArtDemandLst_DemandObjId = grmi.NewField("DemandObjId", "LOG_ArtDemandLst.DemandObjId", "demandobjid", grmi.TypeString)
var ArtDemandLst_DemandType = grmi.NewField("DemandType", "LOG_ArtDemandLst.DemandType", "demandtype", grmi.TypeString)
var ArtDemandLst_Status = grmi.NewField("Status", "LOG_ArtDemandLst.Status", "status", grmi.TypeInt)
var ArtDemandLst_DemandSendTime = grmi.NewField("DemandSendTime", "LOG_ArtDemandLst.DemandSendTime", "demandsendtime", grmi.TypeDateTime)
var ArtDemandLst_DemandRecieveTime = grmi.NewField("DemandRecieveTime", "LOG_ArtDemandLst.DemandRecieveTime", "demandrecievetime", grmi.TypeDateTime)
var ArtDemandLst_DemandConfirmTime = grmi.NewField("DemandConfirmTime", "LOG_ArtDemandLst.DemandConfirmTime", "demandconfirmtime", grmi.TypeDateTime)
var ArtDemandLst_DemandCloseTime = grmi.NewField("DemandCloseTime", "LOG_ArtDemandLst.DemandCloseTime", "demandclosetime", grmi.TypeDateTime)
var ArtDemandLst_DemandDeliveredQty = grmi.NewField("DemandDeliveredQty", "LOG_ArtDemandLst.DemandDeliveredQty", "demanddeliveredqty", grmi.TypeFloat64)
var ArtDemandLst_DemandCtrlPara1 = grmi.NewField("DemandCtrlPara1", "LOG_ArtDemandLst.DemandCtrlPara1", "demandctrlpara1", grmi.TypeInt)
var ArtDemandLst_DemandCtrlPara2 = grmi.NewField("DemandCtrlPara2", "LOG_ArtDemandLst.DemandCtrlPara2", "demandctrlpara2", grmi.TypeInt)
var ArtDemandLst_DemandCtrlPara3 = grmi.NewField("DemandCtrlPara3", "LOG_ArtDemandLst.DemandCtrlPara3", "demandctrlpara3", grmi.TypeString)
var ArtDemandLst_DemandCtrlPara4 = grmi.NewField("DemandCtrlPara4", "LOG_ArtDemandLst.DemandCtrlPara4", "demandctrlpara4", grmi.TypeString)
var ArtDemandLst_DemandCtrlTime1 = grmi.NewField("DemandCtrlTime1", "LOG_ArtDemandLst.DemandCtrlTime1", "demandctrltime1", grmi.TypeDateTime)
var ArtDemandLst_DemandCtrlTime2 = grmi.NewField("DemandCtrlTime2", "LOG_ArtDemandLst.DemandCtrlTime2", "demandctrltime2", grmi.TypeDateTime)
var ArtDemandLst_OrderStatus = grmi.NewField("OrderStatus", "LOG_ArtDemandLst.OrderStatus", "orderstatus", grmi.TypeInt)
var ArtDemandLst_UnproducedQty = grmi.NewField("UnproducedQty", "LOG_ArtDemandLst.UnproducedQty", "unproducedqty", grmi.TypeFloat64)
var ArtDemandLst_OrderType = grmi.NewField("OrderType", "LOG_ArtDemandLst.OrderType", "ordertype", grmi.TypeString)
var ArtDemandLst_ProjectId = grmi.NewField("ProjectId", "LOG_ArtDemandLst.ProjectId", "projectid", grmi.TypeString)
var ArtDemandLst_DemandStatus = grmi.NewField("DemandStatus", "LOG_ArtDemandLst.DemandStatus", "demandstatus", grmi.TypeInt)
var ArtDemandLst_PlanResourceId = grmi.NewField("PlanResourceId", "LOG_ArtDemandLst.PlanResourceId", "planresourceid", grmi.TypeString)
var ArtDemandLst_PlanStartDate = grmi.NewField("PlanStartDate", "LOG_ArtDemandLst.PlanStartDate", "planstartdate", grmi.TypeDate)
var ArtDemandLst_PlanEndDate = grmi.NewField("PlanEndDate", "LOG_ArtDemandLst.PlanEndDate", "planenddate", grmi.TypeDate)
var ArtDemandLst_PlanStartTime = grmi.NewField("PlanStartTime", "LOG_ArtDemandLst.PlanStartTime", "planstarttime", grmi.TypeDateTime)
var ArtDemandLst_PlanEndTime = grmi.NewField("PlanEndTime", "LOG_ArtDemandLst.PlanEndTime", "planendtime", grmi.TypeDateTime)
var ArtDemandLst_ActStartTime = grmi.NewField("ActStartTime", "LOG_ArtDemandLst.ActStartTime", "actstarttime", grmi.TypeDateTime)
var ArtDemandLst_ActEndTime = grmi.NewField("ActEndTime", "LOG_ArtDemandLst.ActEndTime", "actendtime", grmi.TypeDateTime)
var ArtDemandLst_LastModify = grmi.NewField("LastModify", "LOG_ArtDemandLst.LastModify", "lastmodify", grmi.TypeDateTime)
var ArtDemandLst_LastUser = grmi.NewField("LastUser", "LOG_ArtDemandLst.LastUser", "lastuser", grmi.TypeString)
var ArtDemandLst_CreateTime = grmi.NewField("CreateTime", "LOG_ArtDemandLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ArtDemandLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-11 16:10:25
 *
 ******************************************************************************/
var ArtDemandLst = grmi.NewEntity(
	"LOG_ArtDemandLst",
	func() interface{} { return &model.ArtDemandLst{} },
	map[string]grmi.Field{
		ArtDemandLst_PlantNr.Name:            ArtDemandLst_PlantNr,
		ArtDemandLst_DemandId.Name:           ArtDemandLst_DemandId,
		ArtDemandLst_Pos.Name:                ArtDemandLst_Pos,
		ArtDemandLst_ArtId.Name:              ArtDemandLst_ArtId,
		ArtDemandLst_DemandTime.Name:         ArtDemandLst_DemandTime,
		ArtDemandLst_DemandYear.Name:         ArtDemandLst_DemandYear,
		ArtDemandLst_DemandMonth.Name:        ArtDemandLst_DemandMonth,
		ArtDemandLst_DemandWeek.Name:         ArtDemandLst_DemandWeek,
		ArtDemandLst_DemandDate.Name:         ArtDemandLst_DemandDate,
		ArtDemandLst_DemandHour.Name:         ArtDemandLst_DemandHour,
		ArtDemandLst_DemandQty.Name:          ArtDemandLst_DemandQty,
		ArtDemandLst_QtyUomId.Name:           ArtDemandLst_QtyUomId,
		ArtDemandLst_DemandObjId.Name:        ArtDemandLst_DemandObjId,
		ArtDemandLst_DemandType.Name:         ArtDemandLst_DemandType,
		ArtDemandLst_Status.Name:             ArtDemandLst_Status,
		ArtDemandLst_DemandSendTime.Name:     ArtDemandLst_DemandSendTime,
		ArtDemandLst_DemandRecieveTime.Name:  ArtDemandLst_DemandRecieveTime,
		ArtDemandLst_DemandConfirmTime.Name:  ArtDemandLst_DemandConfirmTime,
		ArtDemandLst_DemandCloseTime.Name:    ArtDemandLst_DemandCloseTime,
		ArtDemandLst_DemandDeliveredQty.Name: ArtDemandLst_DemandDeliveredQty,
		ArtDemandLst_DemandCtrlPara1.Name:    ArtDemandLst_DemandCtrlPara1,
		ArtDemandLst_DemandCtrlPara2.Name:    ArtDemandLst_DemandCtrlPara2,
		ArtDemandLst_DemandCtrlPara3.Name:    ArtDemandLst_DemandCtrlPara3,
		ArtDemandLst_DemandCtrlPara4.Name:    ArtDemandLst_DemandCtrlPara4,
		ArtDemandLst_DemandCtrlTime1.Name:    ArtDemandLst_DemandCtrlTime1,
		ArtDemandLst_DemandCtrlTime2.Name:    ArtDemandLst_DemandCtrlTime2,
		ArtDemandLst_OrderStatus.Name:        ArtDemandLst_OrderStatus,
		ArtDemandLst_UnproducedQty.Name:      ArtDemandLst_UnproducedQty,
		ArtDemandLst_OrderType.Name:          ArtDemandLst_OrderType,
		ArtDemandLst_ProjectId.Name:          ArtDemandLst_ProjectId,
		ArtDemandLst_DemandStatus.Name:       ArtDemandLst_DemandStatus,
		ArtDemandLst_PlanResourceId.Name:     ArtDemandLst_PlanResourceId,
		ArtDemandLst_PlanStartDate.Name:      ArtDemandLst_PlanStartDate,
		ArtDemandLst_PlanEndDate.Name:        ArtDemandLst_PlanEndDate,
		ArtDemandLst_PlanStartTime.Name:      ArtDemandLst_PlanStartTime,
		ArtDemandLst_PlanEndTime.Name:        ArtDemandLst_PlanEndTime,
		ArtDemandLst_ActStartTime.Name:       ArtDemandLst_ActStartTime,
		ArtDemandLst_ActEndTime.Name:         ArtDemandLst_ActEndTime,
		ArtDemandLst_LastModify.Name:         ArtDemandLst_LastModify,
		ArtDemandLst_LastUser.Name:           ArtDemandLst_LastUser,
		ArtDemandLst_CreateTime.Name:         ArtDemandLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"ArtId", "DemandTime", "DemandYear", "DemandMonth", "DemandWeek", "DemandDate", "DemandHour", "DemandQty", "QtyUomId", "DemandObjId", "DemandType", "Status", "DemandSendTime", "DemandRecieveTime", "DemandConfirmTime", "DemandCloseTime", "DemandDeliveredQty", "DemandCtrlPara1", "DemandCtrlPara2", "DemandCtrlPara3", "DemandCtrlPara4", "DemandCtrlTime1", "DemandCtrlTime2", "OrderStatus", "UnproducedQty", "OrderType", "ProjectId", "DemandStatus", "PlanResourceId", "PlanStartDate", "PlanEndDate", "PlanStartTime", "PlanEndTime", "ActStartTime", "ActEndTime", "LastUser"})
