// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package log

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/log"
)

/******************************************************************************
 *
 * @Description              : ArtDemandLstCache的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-11 16:10:25
 *
 ******************************************************************************/
var ArtDemandLstCache_PlantNr = grmi.NewField("PlantNr", "LOG_ArtDemandLstCache.PlantNr", "plantnr", grmi.TypeInt)
var ArtDemandLstCache_DemandId = grmi.NewField("DemandId", "LOG_ArtDemandLstCache.DemandId", "demandid", grmi.TypeString)
var ArtDemandLstCache_Pos = grmi.NewField("Pos", "LOG_ArtDemandLstCache.Pos", "pos", grmi.TypeInt)
var ArtDemandLstCache_ArtId = grmi.NewField("ArtId", "LOG_ArtDemandLstCache.ArtId", "artid", grmi.TypeString)
var ArtDemandLstCache_DemandTime = grmi.NewField("DemandTime", "LOG_ArtDemandLstCache.DemandTime", "demandtime", grmi.TypeDateTime)
var ArtDemandLstCache_DemandYear = grmi.NewField("DemandYear", "LOG_ArtDemandLstCache.DemandYear", "demandyear", grmi.TypeInt)
var ArtDemandLstCache_DemandMonth = grmi.NewField("DemandMonth", "LOG_ArtDemandLstCache.DemandMonth", "demandmonth", grmi.TypeInt)
var ArtDemandLstCache_DemandWeek = grmi.NewField("DemandWeek", "LOG_ArtDemandLstCache.DemandWeek", "demandweek", grmi.TypeInt)
var ArtDemandLstCache_DemandDate = grmi.NewField("DemandDate", "LOG_ArtDemandLstCache.DemandDate", "demanddate", grmi.TypeDate)
var ArtDemandLstCache_DemandHour = grmi.NewField("DemandHour", "LOG_ArtDemandLstCache.DemandHour", "demandhour", grmi.TypeInt)
var ArtDemandLstCache_DemandQty = grmi.NewField("DemandQty", "LOG_ArtDemandLstCache.DemandQty", "demandqty", grmi.TypeFloat64)
var ArtDemandLstCache_QtyUomId = grmi.NewField("QtyUomId", "LOG_ArtDemandLstCache.QtyUomId", "qtyuomid", grmi.TypeString)
var ArtDemandLstCache_DemandObjId = grmi.NewField("DemandObjId", "LOG_ArtDemandLstCache.DemandObjId", "demandobjid", grmi.TypeString)
var ArtDemandLstCache_DemandType = grmi.NewField("DemandType", "LOG_ArtDemandLstCache.DemandType", "demandtype", grmi.TypeString)
var ArtDemandLstCache_Status = grmi.NewField("Status", "LOG_ArtDemandLstCache.Status", "status", grmi.TypeInt)
var ArtDemandLstCache_DemandSendTime = grmi.NewField("DemandSendTime", "LOG_ArtDemandLstCache.DemandSendTime", "demandsendtime", grmi.TypeDateTime)
var ArtDemandLstCache_DemandRecieveTime = grmi.NewField("DemandRecieveTime", "LOG_ArtDemandLstCache.DemandRecieveTime", "demandrecievetime", grmi.TypeDateTime)
var ArtDemandLstCache_DemandConfirmTime = grmi.NewField("DemandConfirmTime", "LOG_ArtDemandLstCache.DemandConfirmTime", "demandconfirmtime", grmi.TypeDateTime)
var ArtDemandLstCache_DemandCloseTime = grmi.NewField("DemandCloseTime", "LOG_ArtDemandLstCache.DemandCloseTime", "demandclosetime", grmi.TypeDateTime)
var ArtDemandLstCache_DemandDeliveredQty = grmi.NewField("DemandDeliveredQty", "LOG_ArtDemandLstCache.DemandDeliveredQty", "demanddeliveredqty", grmi.TypeFloat64)
var ArtDemandLstCache_DemandCtrlPara1 = grmi.NewField("DemandCtrlPara1", "LOG_ArtDemandLstCache.DemandCtrlPara1", "demandctrlpara1", grmi.TypeInt)
var ArtDemandLstCache_DemandCtrlPara2 = grmi.NewField("DemandCtrlPara2", "LOG_ArtDemandLstCache.DemandCtrlPara2", "demandctrlpara2", grmi.TypeInt)
var ArtDemandLstCache_DemandCtrlPara3 = grmi.NewField("DemandCtrlPara3", "LOG_ArtDemandLstCache.DemandCtrlPara3", "demandctrlpara3", grmi.TypeString)
var ArtDemandLstCache_DemandCtrlPara4 = grmi.NewField("DemandCtrlPara4", "LOG_ArtDemandLstCache.DemandCtrlPara4", "demandctrlpara4", grmi.TypeString)
var ArtDemandLstCache_DemandCtrlTime1 = grmi.NewField("DemandCtrlTime1", "LOG_ArtDemandLstCache.DemandCtrlTime1", "demandctrltime1", grmi.TypeDateTime)
var ArtDemandLstCache_DemandCtrlTime2 = grmi.NewField("DemandCtrlTime2", "LOG_ArtDemandLstCache.DemandCtrlTime2", "demandctrltime2", grmi.TypeDateTime)
var ArtDemandLstCache_OrderStatus = grmi.NewField("OrderStatus", "LOG_ArtDemandLstCache.OrderStatus", "orderstatus", grmi.TypeInt)
var ArtDemandLstCache_UnproducedQty = grmi.NewField("UnproducedQty", "LOG_ArtDemandLstCache.UnproducedQty", "unproducedqty", grmi.TypeFloat64)
var ArtDemandLstCache_OrderType = grmi.NewField("OrderType", "LOG_ArtDemandLstCache.OrderType", "ordertype", grmi.TypeString)
var ArtDemandLstCache_ProjectId = grmi.NewField("ProjectId", "LOG_ArtDemandLstCache.ProjectId", "projectid", grmi.TypeString)
var ArtDemandLstCache_DemandStatus = grmi.NewField("DemandStatus", "LOG_ArtDemandLstCache.DemandStatus", "demandstatus", grmi.TypeInt)
var ArtDemandLstCache_PlanResourceId = grmi.NewField("PlanResourceId", "LOG_ArtDemandLstCache.PlanResourceId", "planresourceid", grmi.TypeString)
var ArtDemandLstCache_PlanStartDate = grmi.NewField("PlanStartDate", "LOG_ArtDemandLstCache.PlanStartDate", "planstartdate", grmi.TypeDate)
var ArtDemandLstCache_PlanEndDate = grmi.NewField("PlanEndDate", "LOG_ArtDemandLstCache.PlanEndDate", "planenddate", grmi.TypeDate)
var ArtDemandLstCache_PlanStartTime = grmi.NewField("PlanStartTime", "LOG_ArtDemandLstCache.PlanStartTime", "planstarttime", grmi.TypeDateTime)
var ArtDemandLstCache_PlanEndTime = grmi.NewField("PlanEndTime", "LOG_ArtDemandLstCache.PlanEndTime", "planendtime", grmi.TypeDateTime)
var ArtDemandLstCache_ActStartTime = grmi.NewField("ActStartTime", "LOG_ArtDemandLstCache.ActStartTime", "actstarttime", grmi.TypeDateTime)
var ArtDemandLstCache_ActEndTime = grmi.NewField("ActEndTime", "LOG_ArtDemandLstCache.ActEndTime", "actendtime", grmi.TypeDateTime)
var ArtDemandLstCache_LastModify = grmi.NewField("LastModify", "LOG_ArtDemandLstCache.LastModify", "lastmodify", grmi.TypeDateTime)
var ArtDemandLstCache_LastUser = grmi.NewField("LastUser", "LOG_ArtDemandLstCache.LastUser", "lastuser", grmi.TypeString)
var ArtDemandLstCache_CreateTime = grmi.NewField("CreateTime", "LOG_ArtDemandLstCache.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ArtDemandLstCache的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-11 16:10:25
 *
 ******************************************************************************/
var ArtDemandLstCache = grmi.NewEntity(
	"LOG_ArtDemandLstCache",
	func() interface{} { return &model.ArtDemandLstCache{} },
	map[string]grmi.Field{
		ArtDemandLstCache_PlantNr.Name:            ArtDemandLstCache_PlantNr,
		ArtDemandLstCache_DemandId.Name:           ArtDemandLstCache_DemandId,
		ArtDemandLstCache_Pos.Name:                ArtDemandLstCache_Pos,
		ArtDemandLstCache_ArtId.Name:              ArtDemandLstCache_ArtId,
		ArtDemandLstCache_DemandTime.Name:         ArtDemandLstCache_DemandTime,
		ArtDemandLstCache_DemandYear.Name:         ArtDemandLstCache_DemandYear,
		ArtDemandLstCache_DemandMonth.Name:        ArtDemandLstCache_DemandMonth,
		ArtDemandLstCache_DemandWeek.Name:         ArtDemandLstCache_DemandWeek,
		ArtDemandLstCache_DemandDate.Name:         ArtDemandLstCache_DemandDate,
		ArtDemandLstCache_DemandHour.Name:         ArtDemandLstCache_DemandHour,
		ArtDemandLstCache_DemandQty.Name:          ArtDemandLstCache_DemandQty,
		ArtDemandLstCache_QtyUomId.Name:           ArtDemandLstCache_QtyUomId,
		ArtDemandLstCache_DemandObjId.Name:        ArtDemandLstCache_DemandObjId,
		ArtDemandLstCache_DemandType.Name:         ArtDemandLstCache_DemandType,
		ArtDemandLstCache_Status.Name:             ArtDemandLstCache_Status,
		ArtDemandLstCache_DemandSendTime.Name:     ArtDemandLstCache_DemandSendTime,
		ArtDemandLstCache_DemandRecieveTime.Name:  ArtDemandLstCache_DemandRecieveTime,
		ArtDemandLstCache_DemandConfirmTime.Name:  ArtDemandLstCache_DemandConfirmTime,
		ArtDemandLstCache_DemandCloseTime.Name:    ArtDemandLstCache_DemandCloseTime,
		ArtDemandLstCache_DemandDeliveredQty.Name: ArtDemandLstCache_DemandDeliveredQty,
		ArtDemandLstCache_DemandCtrlPara1.Name:    ArtDemandLstCache_DemandCtrlPara1,
		ArtDemandLstCache_DemandCtrlPara2.Name:    ArtDemandLstCache_DemandCtrlPara2,
		ArtDemandLstCache_DemandCtrlPara3.Name:    ArtDemandLstCache_DemandCtrlPara3,
		ArtDemandLstCache_DemandCtrlPara4.Name:    ArtDemandLstCache_DemandCtrlPara4,
		ArtDemandLstCache_DemandCtrlTime1.Name:    ArtDemandLstCache_DemandCtrlTime1,
		ArtDemandLstCache_DemandCtrlTime2.Name:    ArtDemandLstCache_DemandCtrlTime2,
		ArtDemandLstCache_OrderStatus.Name:        ArtDemandLstCache_OrderStatus,
		ArtDemandLstCache_UnproducedQty.Name:      ArtDemandLstCache_UnproducedQty,
		ArtDemandLstCache_OrderType.Name:          ArtDemandLstCache_OrderType,
		ArtDemandLstCache_ProjectId.Name:          ArtDemandLstCache_ProjectId,
		ArtDemandLstCache_DemandStatus.Name:       ArtDemandLstCache_DemandStatus,
		ArtDemandLstCache_PlanResourceId.Name:     ArtDemandLstCache_PlanResourceId,
		ArtDemandLstCache_PlanStartDate.Name:      ArtDemandLstCache_PlanStartDate,
		ArtDemandLstCache_PlanEndDate.Name:        ArtDemandLstCache_PlanEndDate,
		ArtDemandLstCache_PlanStartTime.Name:      ArtDemandLstCache_PlanStartTime,
		ArtDemandLstCache_PlanEndTime.Name:        ArtDemandLstCache_PlanEndTime,
		ArtDemandLstCache_ActStartTime.Name:       ArtDemandLstCache_ActStartTime,
		ArtDemandLstCache_ActEndTime.Name:         ArtDemandLstCache_ActEndTime,
		ArtDemandLstCache_LastModify.Name:         ArtDemandLstCache_LastModify,
		ArtDemandLstCache_LastUser.Name:           ArtDemandLstCache_LastUser,
		ArtDemandLstCache_CreateTime.Name:         ArtDemandLstCache_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"ArtId", "DemandTime", "DemandYear", "DemandMonth", "DemandWeek", "DemandDate", "DemandHour", "DemandQty", "QtyUomId", "DemandObjId", "DemandType", "Status", "DemandSendTime", "DemandRecieveTime", "DemandConfirmTime", "DemandCloseTime", "DemandDeliveredQty", "DemandCtrlPara1", "DemandCtrlPara2", "DemandCtrlPara3", "DemandCtrlPara4", "DemandCtrlTime1", "DemandCtrlTime2", "OrderStatus", "UnproducedQty", "OrderType", "ProjectId", "DemandStatus", "PlanResourceId", "PlanStartDate", "PlanEndDate", "PlanStartTime", "PlanEndTime", "ActStartTime", "ActEndTime", "LastUser"})
