// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package log

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/log"
)

/******************************************************************************
 *
 * @Description              : PackOrderItemlst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var PackOrderItemlst_PlantNr = grmi.NewField("PlantNr", "LOG_PackOrderItemlst.PlantNr", "plantnr", grmi.TypeInt)
var PackOrderItemlst_PackOrderId = grmi.NewField("PackOrderId", "LOG_PackOrderItemlst.PackOrderId", "packorderid", grmi.TypeString)
var PackOrderItemlst_Pos = grmi.NewField("Pos", "LOG_PackOrderItemlst.Pos", "pos", grmi.TypeInt)
var PackOrderItemlst_PosCode = grmi.NewField("PosCode", "LOG_PackOrderItemlst.PosCode", "poscode", grmi.TypeString)
var PackOrderItemlst_MaterialId = grmi.NewField("MaterialId", "LOG_PackOrderItemlst.MaterialId", "materialid", grmi.TypeString)
var PackOrderItemlst_SerialOrderId = grmi.NewField("SerialOrderId", "LOG_PackOrderItemlst.SerialOrderId", "serialorderid", grmi.TypeString)
var PackOrderItemlst_PlanQty = grmi.NewField("PlanQty", "LOG_PackOrderItemlst.PlanQty", "planqty", grmi.TypeFloat64)
var PackOrderItemlst_ActQty = grmi.NewField("ActQty", "LOG_PackOrderItemlst.ActQty", "actqty", grmi.TypeFloat64)
var PackOrderItemlst_Status = grmi.NewField("Status", "LOG_PackOrderItemlst.Status", "status", grmi.TypeInt)
var PackOrderItemlst_Seq = grmi.NewField("Seq", "LOG_PackOrderItemlst.Seq", "seq", grmi.TypeInt)
var PackOrderItemlst_PKOICustC1 = grmi.NewField("PKOICustC1", "LOG_PackOrderItemlst.PKOI_CustC1", "pkoicustc1", grmi.TypeString)
var PackOrderItemlst_PKOICustC2 = grmi.NewField("PKOICustC2", "LOG_PackOrderItemlst.PKOI_CustC2", "pkoicustc2", grmi.TypeString)
var PackOrderItemlst_PKOICustI1 = grmi.NewField("PKOICustI1", "LOG_PackOrderItemlst.PKOI_CustI1", "pkoicusti1", grmi.TypeInt)
var PackOrderItemlst_PKOICustI2 = grmi.NewField("PKOICustI2", "LOG_PackOrderItemlst.PKOI_CustI2", "pkoicusti2", grmi.TypeInt)
var PackOrderItemlst_LastModify = grmi.NewField("LastModify", "LOG_PackOrderItemlst.LastModify", "lastmodify", grmi.TypeDateTime)
var PackOrderItemlst_LastUser = grmi.NewField("LastUser", "LOG_PackOrderItemlst.LastUser", "lastuser", grmi.TypeString)
var PackOrderItemlst_CreateTime = grmi.NewField("CreateTime", "LOG_PackOrderItemlst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : PackOrderItemlst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var PackOrderItemlst = grmi.NewEntity(
	"LOG_PackOrderItemlst",
	func() interface{} { return &model.PackOrderItemlst{} },
	map[string]grmi.Field{
		PackOrderItemlst_PlantNr.Name:       PackOrderItemlst_PlantNr,
		PackOrderItemlst_PackOrderId.Name:   PackOrderItemlst_PackOrderId,
		PackOrderItemlst_Pos.Name:           PackOrderItemlst_Pos,
		PackOrderItemlst_PosCode.Name:       PackOrderItemlst_PosCode,
		PackOrderItemlst_MaterialId.Name:    PackOrderItemlst_MaterialId,
		PackOrderItemlst_SerialOrderId.Name: PackOrderItemlst_SerialOrderId,
		PackOrderItemlst_PlanQty.Name:       PackOrderItemlst_PlanQty,
		PackOrderItemlst_ActQty.Name:        PackOrderItemlst_ActQty,
		PackOrderItemlst_Status.Name:        PackOrderItemlst_Status,
		PackOrderItemlst_Seq.Name:           PackOrderItemlst_Seq,
		PackOrderItemlst_PKOICustC1.Name:    PackOrderItemlst_PKOICustC1,
		PackOrderItemlst_PKOICustC2.Name:    PackOrderItemlst_PKOICustC2,
		PackOrderItemlst_PKOICustI1.Name:    PackOrderItemlst_PKOICustI1,
		PackOrderItemlst_PKOICustI2.Name:    PackOrderItemlst_PKOICustI2,
		PackOrderItemlst_LastModify.Name:    PackOrderItemlst_LastModify,
		PackOrderItemlst_LastUser.Name:      PackOrderItemlst_LastUser,
		PackOrderItemlst_CreateTime.Name:    PackOrderItemlst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PosCode", "MaterialId", "SerialOrderId", "PlanQty", "ActQty", "Status", "Seq", "PKOI_CustC1", "PKOI_CustC2", "PKOI_CustI1", "PKOI_CustI2", "LastUser"})
