// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package log

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/log"
)

/******************************************************************************
 *
 * @Description              : VendorArtLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var VendorArtLst_PlantNr = grmi.NewField("PlantNr", "LOG_VendorArtLst.PlantNr", "plantnr", grmi.TypeInt)
var VendorArtLst_VendorId = grmi.NewField("VendorId", "LOG_VendorArtLst.VendorId", "vendorid", grmi.TypeString)
var VendorArtLst_ArtId = grmi.NewField("ArtId", "LOG_VendorArtLst.ArtId", "artid", grmi.TypeString)
var VendorArtLst_Pos = grmi.NewField("Pos", "LOG_VendorArtLst.Pos", "pos", grmi.TypeInt)
var VendorArtLst_CtrlLevel = grmi.NewField("CtrlLevel", "LOG_VendorArtLst.CtrlLevel", "ctrllevel", grmi.TypeInt)
var VendorArtLst_CtrlPara1 = grmi.NewField("CtrlPara1", "LOG_VendorArtLst.CtrlPara1", "ctrlpara1", grmi.TypeInt)
var VendorArtLst_CtrlPara2 = grmi.NewField("CtrlPara2", "LOG_VendorArtLst.CtrlPara2", "ctrlpara2", grmi.TypeInt)
var VendorArtLst_CtrlPara3 = grmi.NewField("CtrlPara3", "LOG_VendorArtLst.CtrlPara3", "ctrlpara3", grmi.TypeString)
var VendorArtLst_CtrlPara4 = grmi.NewField("CtrlPara4", "LOG_VendorArtLst.CtrlPara4", "ctrlpara4", grmi.TypeString)
var VendorArtLst_LastModify = grmi.NewField("LastModify", "LOG_VendorArtLst.LastModify", "lastmodify", grmi.TypeDateTime)
var VendorArtLst_LastUser = grmi.NewField("LastUser", "LOG_VendorArtLst.LastUser", "lastuser", grmi.TypeString)
var VendorArtLst_CreateTime = grmi.NewField("CreateTime", "LOG_VendorArtLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : VendorArtLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var VendorArtLst = grmi.NewEntity(
	"LOG_VendorArtLst",
	func() interface{} { return &model.VendorArtLst{} },
	map[string]grmi.Field{
		VendorArtLst_PlantNr.Name:    VendorArtLst_PlantNr,
		VendorArtLst_VendorId.Name:   VendorArtLst_VendorId,
		VendorArtLst_ArtId.Name:      VendorArtLst_ArtId,
		VendorArtLst_Pos.Name:        VendorArtLst_Pos,
		VendorArtLst_CtrlLevel.Name:  VendorArtLst_CtrlLevel,
		VendorArtLst_CtrlPara1.Name:  VendorArtLst_CtrlPara1,
		VendorArtLst_CtrlPara2.Name:  VendorArtLst_CtrlPara2,
		VendorArtLst_CtrlPara3.Name:  VendorArtLst_CtrlPara3,
		VendorArtLst_CtrlPara4.Name:  VendorArtLst_CtrlPara4,
		VendorArtLst_LastModify.Name: VendorArtLst_LastModify,
		VendorArtLst_LastUser.Name:   VendorArtLst_LastUser,
		VendorArtLst_CreateTime.Name: VendorArtLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Pos", "CtrlLevel", "CtrlPara1", "CtrlPara2", "CtrlPara3", "CtrlPara4", "LastUser"})
