// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package ods

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/ods"
)

/******************************************************************************
 *
 * @Description              : ArtRouteOdsLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-22 16:01:03
 *
 ******************************************************************************/
var ArtRouteOdsLst_PlantNr = grmi.NewField("PlantNr", "ODS_ArtRouteOdsLst.PlantNr", "plantnr", grmi.TypeInt)
var ArtRouteOdsLst_ArtId = grmi.NewField("ArtId", "ODS_ArtRouteOdsLst.ArtId", "artid", grmi.TypeString)
var ArtRouteOdsLst_OperationNr = grmi.NewField("OperationNr", "ODS_ArtRouteOdsLst.OperationNr", "operationnr", grmi.TypeInt)
var ArtRouteOdsLst_Pos = grmi.NewField("Pos", "ODS_ArtRouteOdsLst.Pos", "pos", grmi.TypeInt)
var ArtRouteOdsLst_Descr = grmi.NewField("Descr", "ODS_ArtRouteOdsLst.Descr", "descr", grmi.TypeString)
var ArtRouteOdsLst_OdsId = grmi.NewField("OdsId", "ODS_ArtRouteOdsLst.OdsId", "odsid", grmi.TypeString)
var ArtRouteOdsLst_OdsTypeId = grmi.NewField("OdsTypeId", "ODS_ArtRouteOdsLst.OdsTypeId", "odstypeid", grmi.TypeString)
var ArtRouteOdsLst_OdsContentIdx = grmi.NewField("OdsContentIdx", "ODS_ArtRouteOdsLst.OdsContentIdx", "odscontentidx", grmi.TypeString)
var ArtRouteOdsLst_CtrlPara1 = grmi.NewField("CtrlPara1", "ODS_ArtRouteOdsLst.CtrlPara1", "ctrlpara1", grmi.TypeInt)
var ArtRouteOdsLst_CtrlPara2 = grmi.NewField("CtrlPara2", "ODS_ArtRouteOdsLst.CtrlPara2", "ctrlpara2", grmi.TypeInt)
var ArtRouteOdsLst_CtrlPara3 = grmi.NewField("CtrlPara3", "ODS_ArtRouteOdsLst.CtrlPara3", "ctrlpara3", grmi.TypeString)
var ArtRouteOdsLst_CtrlPara4 = grmi.NewField("CtrlPara4", "ODS_ArtRouteOdsLst.CtrlPara4", "ctrlpara4", grmi.TypeString)
var ArtRouteOdsLst_WorkPlaceNr = grmi.NewField("WorkPlaceNr", "ODS_ArtRouteOdsLst.WorkPlaceNr", "workplacenr", grmi.TypeInt)
var ArtRouteOdsLst_LastModify = grmi.NewField("LastModify", "ODS_ArtRouteOdsLst.LastModify", "lastmodify", grmi.TypeDateTime)
var ArtRouteOdsLst_LastUser = grmi.NewField("LastUser", "ODS_ArtRouteOdsLst.LastUser", "lastuser", grmi.TypeString)
var ArtRouteOdsLst_CreateTime = grmi.NewField("CreateTime", "ODS_ArtRouteOdsLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ArtRouteOdsLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-22 16:01:03
 *
 ******************************************************************************/
var ArtRouteOdsLst = grmi.NewEntity(
	"ODS_ArtRouteOdsLst",
	func() interface{} { return &model.ArtRouteOdsLst{} },
	map[string]grmi.Field{
		ArtRouteOdsLst_PlantNr.Name:       ArtRouteOdsLst_PlantNr,
		ArtRouteOdsLst_ArtId.Name:         ArtRouteOdsLst_ArtId,
		ArtRouteOdsLst_OperationNr.Name:   ArtRouteOdsLst_OperationNr,
		ArtRouteOdsLst_Pos.Name:           ArtRouteOdsLst_Pos,
		ArtRouteOdsLst_Descr.Name:         ArtRouteOdsLst_Descr,
		ArtRouteOdsLst_OdsId.Name:         ArtRouteOdsLst_OdsId,
		ArtRouteOdsLst_OdsTypeId.Name:     ArtRouteOdsLst_OdsTypeId,
		ArtRouteOdsLst_OdsContentIdx.Name: ArtRouteOdsLst_OdsContentIdx,
		ArtRouteOdsLst_CtrlPara1.Name:     ArtRouteOdsLst_CtrlPara1,
		ArtRouteOdsLst_CtrlPara2.Name:     ArtRouteOdsLst_CtrlPara2,
		ArtRouteOdsLst_CtrlPara3.Name:     ArtRouteOdsLst_CtrlPara3,
		ArtRouteOdsLst_CtrlPara4.Name:     ArtRouteOdsLst_CtrlPara4,
		ArtRouteOdsLst_WorkPlaceNr.Name:   ArtRouteOdsLst_WorkPlaceNr,
		ArtRouteOdsLst_LastModify.Name:    ArtRouteOdsLst_LastModify,
		ArtRouteOdsLst_LastUser.Name:      ArtRouteOdsLst_LastUser,
		ArtRouteOdsLst_CreateTime.Name:    ArtRouteOdsLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "OdsId", "OdsTypeId", "OdsContentIdx", "CtrlPara1", "CtrlPara2", "CtrlPara3", "CtrlPara4", "WorkPlaceNr", "LastUser"})
