// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/om"
)

/******************************************************************************
 *
 * @Description              : ProdOrderQty的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var ProdOrderQty_PlantNr = grmi.NewField("PlantNr", "OM_ProdOrderQty.PlantNr", "plantnr", grmi.TypeInt)
var ProdOrderQty_ProdOrderId = grmi.NewField("ProdOrderId", "OM_ProdOrderQty.ProdOrderId", "prodorderid", grmi.TypeString)
var ProdOrderQty_ActQty = grmi.NewField("ActQty", "OM_ProdOrderQty.ActQty", "actqty", grmi.TypeFloat64)
var ProdOrderQty_ActGoodQty = grmi.NewField("ActGoodQty", "OM_ProdOrderQty.ActGoodQty", "actgoodqty", grmi.TypeFloat64)
var ProdOrderQty_ActScrapQty = grmi.NewField("ActScrapQty", "OM_ProdOrderQty.ActScrapQty", "actscrapqty", grmi.TypeFloat64)
var ProdOrderQty_ActReworkQty = grmi.NewField("ActReworkQty", "OM_ProdOrderQty.ActReworkQty", "actreworkqty", grmi.TypeFloat64)
var ProdOrderQty_ActQty1 = grmi.NewField("ActQty1", "OM_ProdOrderQty.ActQty1", "actqty1", grmi.TypeFloat64)
var ProdOrderQty_ActQty2 = grmi.NewField("ActQty2", "OM_ProdOrderQty.ActQty2", "actqty2", grmi.TypeFloat64)
var ProdOrderQty_ActQty3 = grmi.NewField("ActQty3", "OM_ProdOrderQty.ActQty3", "actqty3", grmi.TypeFloat64)
var ProdOrderQty_ActQty4 = grmi.NewField("ActQty4", "OM_ProdOrderQty.ActQty4", "actqty4", grmi.TypeFloat64)
var ProdOrderQty_LastModify = grmi.NewField("LastModify", "OM_ProdOrderQty.LastModify", "lastmodify", grmi.TypeDateTime)
var ProdOrderQty_LastUser = grmi.NewField("LastUser", "OM_ProdOrderQty.LastUser", "lastuser", grmi.TypeString)
var ProdOrderQty_CreateTime = grmi.NewField("CreateTime", "OM_ProdOrderQty.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ProdOrderQty的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var ProdOrderQty = grmi.NewEntity(
	"OM_ProdOrderQty",
	func() interface{} { return &model.ProdOrderQty{} },
	map[string]grmi.Field{
		ProdOrderQty_PlantNr.Name:      ProdOrderQty_PlantNr,
		ProdOrderQty_ProdOrderId.Name:  ProdOrderQty_ProdOrderId,
		ProdOrderQty_ActQty.Name:       ProdOrderQty_ActQty,
		ProdOrderQty_ActGoodQty.Name:   ProdOrderQty_ActGoodQty,
		ProdOrderQty_ActScrapQty.Name:  ProdOrderQty_ActScrapQty,
		ProdOrderQty_ActReworkQty.Name: ProdOrderQty_ActReworkQty,
		ProdOrderQty_ActQty1.Name:      ProdOrderQty_ActQty1,
		ProdOrderQty_ActQty2.Name:      ProdOrderQty_ActQty2,
		ProdOrderQty_ActQty3.Name:      ProdOrderQty_ActQty3,
		ProdOrderQty_ActQty4.Name:      ProdOrderQty_ActQty4,
		ProdOrderQty_LastModify.Name:   ProdOrderQty_LastModify,
		ProdOrderQty_LastUser.Name:     ProdOrderQty_LastUser,
		ProdOrderQty_CreateTime.Name:   ProdOrderQty_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"ActQty", "ActGoodQty", "ActScrapQty", "ActReworkQty", "ActQty1", "ActQty2", "ActQty3", "ActQty4", "LastUser"})
