// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/om"
)

/******************************************************************************
 *
 * @Description              : ProdOrderQtyRecLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var ProdOrderQtyRecLst_PlantNr = grmi.NewField("PlantNr", "OM_ProdOrderQtyRecLst.PlantNr", "plantnr", grmi.TypeInt)
var ProdOrderQtyRecLst_ProdOrderId = grmi.NewField("ProdOrderId", "OM_ProdOrderQtyRecLst.ProdOrderId", "prodorderid", grmi.TypeString)
var ProdOrderQtyRecLst_Pos = grmi.NewField("Pos", "OM_ProdOrderQtyRecLst.Pos", "pos", grmi.TypeInt)
var ProdOrderQtyRecLst_ActQty = grmi.NewField("ActQty", "OM_ProdOrderQtyRecLst.ActQty", "actqty", grmi.TypeFloat64)
var ProdOrderQtyRecLst_OrderQtyType = grmi.NewField("OrderQtyType", "OM_ProdOrderQtyRecLst.OrderQtyType", "orderqtytype", grmi.TypeString)
var ProdOrderQtyRecLst_RecordTime = grmi.NewField("RecordTime", "OM_ProdOrderQtyRecLst.RecordTime", "recordtime", grmi.TypeString)
var ProdOrderQtyRecLst_TriggerEvent = grmi.NewField("TriggerEvent", "OM_ProdOrderQtyRecLst.TriggerEvent", "triggerevent", grmi.TypeString)
var ProdOrderQtyRecLst_TriggerObjectId = grmi.NewField("TriggerObjectId", "OM_ProdOrderQtyRecLst.TriggerObjectId", "triggerobjectid", grmi.TypeString)
var ProdOrderQtyRecLst_TriggerSubObjectId = grmi.NewField("TriggerSubObjectId", "OM_ProdOrderQtyRecLst.TriggerSubObjectId", "triggersubobjectid", grmi.TypeString)
var ProdOrderQtyRecLst_OutputEvent = grmi.NewField("OutputEvent", "OM_ProdOrderQtyRecLst.OutputEvent", "outputevent", grmi.TypeString)
var ProdOrderQtyRecLst_OutputEventMessageId = grmi.NewField("OutputEventMessageId", "OM_ProdOrderQtyRecLst.OutputEventMessageId", "outputeventmessageid", grmi.TypeString)
var ProdOrderQtyRecLst_OutputObjectId = grmi.NewField("OutputObjectId", "OM_ProdOrderQtyRecLst.OutputObjectId", "outputobjectid", grmi.TypeString)
var ProdOrderQtyRecLst_OutputSubObjectId = grmi.NewField("OutputSubObjectId", "OM_ProdOrderQtyRecLst.OutputSubObjectId", "outputsubobjectid", grmi.TypeString)
var ProdOrderQtyRecLst_Remark1 = grmi.NewField("Remark1", "OM_ProdOrderQtyRecLst.Remark1", "remark1", grmi.TypeString)
var ProdOrderQtyRecLst_Remark2 = grmi.NewField("Remark2", "OM_ProdOrderQtyRecLst.Remark2", "remark2", grmi.TypeString)
var ProdOrderQtyRecLst_LastModify = grmi.NewField("LastModify", "OM_ProdOrderQtyRecLst.LastModify", "lastmodify", grmi.TypeDateTime)
var ProdOrderQtyRecLst_LastUser = grmi.NewField("LastUser", "OM_ProdOrderQtyRecLst.LastUser", "lastuser", grmi.TypeString)
var ProdOrderQtyRecLst_CreateTime = grmi.NewField("CreateTime", "OM_ProdOrderQtyRecLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ProdOrderQtyRecLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var ProdOrderQtyRecLst = grmi.NewEntity(
	"OM_ProdOrderQtyRecLst",
	func() interface{} { return &model.ProdOrderQtyRecLst{} },
	map[string]grmi.Field{
		ProdOrderQtyRecLst_PlantNr.Name:              ProdOrderQtyRecLst_PlantNr,
		ProdOrderQtyRecLst_ProdOrderId.Name:          ProdOrderQtyRecLst_ProdOrderId,
		ProdOrderQtyRecLst_Pos.Name:                  ProdOrderQtyRecLst_Pos,
		ProdOrderQtyRecLst_ActQty.Name:               ProdOrderQtyRecLst_ActQty,
		ProdOrderQtyRecLst_OrderQtyType.Name:         ProdOrderQtyRecLst_OrderQtyType,
		ProdOrderQtyRecLst_RecordTime.Name:           ProdOrderQtyRecLst_RecordTime,
		ProdOrderQtyRecLst_TriggerEvent.Name:         ProdOrderQtyRecLst_TriggerEvent,
		ProdOrderQtyRecLst_TriggerObjectId.Name:      ProdOrderQtyRecLst_TriggerObjectId,
		ProdOrderQtyRecLst_TriggerSubObjectId.Name:   ProdOrderQtyRecLst_TriggerSubObjectId,
		ProdOrderQtyRecLst_OutputEvent.Name:          ProdOrderQtyRecLst_OutputEvent,
		ProdOrderQtyRecLst_OutputEventMessageId.Name: ProdOrderQtyRecLst_OutputEventMessageId,
		ProdOrderQtyRecLst_OutputObjectId.Name:       ProdOrderQtyRecLst_OutputObjectId,
		ProdOrderQtyRecLst_OutputSubObjectId.Name:    ProdOrderQtyRecLst_OutputSubObjectId,
		ProdOrderQtyRecLst_Remark1.Name:              ProdOrderQtyRecLst_Remark1,
		ProdOrderQtyRecLst_Remark2.Name:              ProdOrderQtyRecLst_Remark2,
		ProdOrderQtyRecLst_LastModify.Name:           ProdOrderQtyRecLst_LastModify,
		ProdOrderQtyRecLst_LastUser.Name:             ProdOrderQtyRecLst_LastUser,
		ProdOrderQtyRecLst_CreateTime.Name:           ProdOrderQtyRecLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"ActQty", "OrderQtyType", "RecordTime", "TriggerEvent", "TriggerObjectId", "TriggerSubObjectId", "OutputEvent", "OutputEventMessageId", "OutputObjectId", "OutputSubObjectId", "Remark1", "Remark2", "LastUser"})
