// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/om"
)

/******************************************************************************
 *
 * @Description              : SerialOrderOPDetailStatusRecLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 10:00:53
 *
 ******************************************************************************/
var SerialOrderOPDetailStatusRecLst_PlantNr = grmi.NewField("PlantNr", "OM_SerialOrderOPDetailStatusRecLst.PlantNr", "plantnr", grmi.TypeInt)
var SerialOrderOPDetailStatusRecLst_DetailId = grmi.NewField("DetailId", "OM_SerialOrderOPDetailStatusRecLst.DetailId", "detailid", grmi.TypeInt)
var SerialOrderOPDetailStatusRecLst_Pos = grmi.NewField("Pos", "OM_SerialOrderOPDetailStatusRecLst.Pos", "pos", grmi.TypeInt)
var SerialOrderOPDetailStatusRecLst_SerialOrderId = grmi.NewField("SerialOrderId", "OM_SerialOrderOPDetailStatusRecLst.SerialOrderId", "serialorderid", grmi.TypeString)
var SerialOrderOPDetailStatusRecLst_PO = grmi.NewField("PO", "OM_SerialOrderOPDetailStatusRecLst.PO", "po", grmi.TypeInt)
var SerialOrderOPDetailStatusRecLst_SubArtId = grmi.NewField("SubArtId", "OM_SerialOrderOPDetailStatusRecLst.SubArtId", "subartid", grmi.TypeString)
var SerialOrderOPDetailStatusRecLst_StepNo = grmi.NewField("StepNo", "OM_SerialOrderOPDetailStatusRecLst.StepNo", "stepno", grmi.TypeInt)
var SerialOrderOPDetailStatusRecLst_OriginPos = grmi.NewField("OriginPos", "OM_SerialOrderOPDetailStatusRecLst.OriginPos", "originpos", grmi.TypeInt)
var SerialOrderOPDetailStatusRecLst_StepType = grmi.NewField("StepType", "OM_SerialOrderOPDetailStatusRecLst.StepType", "steptype", grmi.TypeString)
var SerialOrderOPDetailStatusRecLst_PrevStatus = grmi.NewField("PrevStatus", "OM_SerialOrderOPDetailStatusRecLst.PrevStatus", "prevstatus", grmi.TypeInt)
var SerialOrderOPDetailStatusRecLst_Status = grmi.NewField("Status", "OM_SerialOrderOPDetailStatusRecLst.Status", "status", grmi.TypeInt)
var SerialOrderOPDetailStatusRecLst_TriggerEvent = grmi.NewField("TriggerEvent", "OM_SerialOrderOPDetailStatusRecLst.TriggerEvent", "triggerevent", grmi.TypeString)
var SerialOrderOPDetailStatusRecLst_TriggerObjectId = grmi.NewField("TriggerObjectId", "OM_SerialOrderOPDetailStatusRecLst.TriggerObjectId", "triggerobjectid", grmi.TypeString)
var SerialOrderOPDetailStatusRecLst_TriggerSubObjectId = grmi.NewField("TriggerSubObjectId", "OM_SerialOrderOPDetailStatusRecLst.TriggerSubObjectId", "triggersubobjectid", grmi.TypeString)
var SerialOrderOPDetailStatusRecLst_OutputStatus = grmi.NewField("OutputStatus", "OM_SerialOrderOPDetailStatusRecLst.OutputStatus", "outputstatus", grmi.TypeInt)
var SerialOrderOPDetailStatusRecLst_OutputEvent = grmi.NewField("OutputEvent", "OM_SerialOrderOPDetailStatusRecLst.OutputEvent", "outputevent", grmi.TypeString)
var SerialOrderOPDetailStatusRecLst_OutputEventMessageId = grmi.NewField("OutputEventMessageId", "OM_SerialOrderOPDetailStatusRecLst.OutputEventMessageId", "outputeventmessageid", grmi.TypeString)
var SerialOrderOPDetailStatusRecLst_OutputObjectId = grmi.NewField("OutputObjectId", "OM_SerialOrderOPDetailStatusRecLst.OutputObjectId", "outputobjectid", grmi.TypeString)
var SerialOrderOPDetailStatusRecLst_OutputSubObjectId = grmi.NewField("OutputSubObjectId", "OM_SerialOrderOPDetailStatusRecLst.OutputSubObjectId", "outputsubobjectid", grmi.TypeString)
var SerialOrderOPDetailStatusRecLst_OutputErrNum = grmi.NewField("OutputErrNum", "OM_SerialOrderOPDetailStatusRecLst.OutputErrNum", "outputerrnum", grmi.TypeInt)
var SerialOrderOPDetailStatusRecLst_Remark1 = grmi.NewField("Remark1", "OM_SerialOrderOPDetailStatusRecLst.Remark1", "remark1", grmi.TypeString)
var SerialOrderOPDetailStatusRecLst_Remark2 = grmi.NewField("Remark2", "OM_SerialOrderOPDetailStatusRecLst.Remark2", "remark2", grmi.TypeString)
var SerialOrderOPDetailStatusRecLst_LastModify = grmi.NewField("LastModify", "OM_SerialOrderOPDetailStatusRecLst.LastModify", "lastmodify", grmi.TypeDateTime)
var SerialOrderOPDetailStatusRecLst_LastUser = grmi.NewField("LastUser", "OM_SerialOrderOPDetailStatusRecLst.LastUser", "lastuser", grmi.TypeString)
var SerialOrderOPDetailStatusRecLst_CreateTime = grmi.NewField("CreateTime", "OM_SerialOrderOPDetailStatusRecLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : SerialOrderOPDetailStatusRecLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 10:00:53
 *
 ******************************************************************************/
var SerialOrderOPDetailStatusRecLst = grmi.NewEntity(
	"OM_SerialOrderOPDetailStatusRecLst",
	func() interface{} { return &model.SerialOrderOPDetailStatusRecLst{} },
	map[string]grmi.Field{
		SerialOrderOPDetailStatusRecLst_PlantNr.Name:              SerialOrderOPDetailStatusRecLst_PlantNr,
		SerialOrderOPDetailStatusRecLst_DetailId.Name:             SerialOrderOPDetailStatusRecLst_DetailId,
		SerialOrderOPDetailStatusRecLst_Pos.Name:                  SerialOrderOPDetailStatusRecLst_Pos,
		SerialOrderOPDetailStatusRecLst_SerialOrderId.Name:        SerialOrderOPDetailStatusRecLst_SerialOrderId,
		SerialOrderOPDetailStatusRecLst_PO.Name:                   SerialOrderOPDetailStatusRecLst_PO,
		SerialOrderOPDetailStatusRecLst_SubArtId.Name:             SerialOrderOPDetailStatusRecLst_SubArtId,
		SerialOrderOPDetailStatusRecLst_StepNo.Name:               SerialOrderOPDetailStatusRecLst_StepNo,
		SerialOrderOPDetailStatusRecLst_OriginPos.Name:            SerialOrderOPDetailStatusRecLst_OriginPos,
		SerialOrderOPDetailStatusRecLst_StepType.Name:             SerialOrderOPDetailStatusRecLst_StepType,
		SerialOrderOPDetailStatusRecLst_PrevStatus.Name:           SerialOrderOPDetailStatusRecLst_PrevStatus,
		SerialOrderOPDetailStatusRecLst_Status.Name:               SerialOrderOPDetailStatusRecLst_Status,
		SerialOrderOPDetailStatusRecLst_TriggerEvent.Name:         SerialOrderOPDetailStatusRecLst_TriggerEvent,
		SerialOrderOPDetailStatusRecLst_TriggerObjectId.Name:      SerialOrderOPDetailStatusRecLst_TriggerObjectId,
		SerialOrderOPDetailStatusRecLst_TriggerSubObjectId.Name:   SerialOrderOPDetailStatusRecLst_TriggerSubObjectId,
		SerialOrderOPDetailStatusRecLst_OutputStatus.Name:         SerialOrderOPDetailStatusRecLst_OutputStatus,
		SerialOrderOPDetailStatusRecLst_OutputEvent.Name:          SerialOrderOPDetailStatusRecLst_OutputEvent,
		SerialOrderOPDetailStatusRecLst_OutputEventMessageId.Name: SerialOrderOPDetailStatusRecLst_OutputEventMessageId,
		SerialOrderOPDetailStatusRecLst_OutputObjectId.Name:       SerialOrderOPDetailStatusRecLst_OutputObjectId,
		SerialOrderOPDetailStatusRecLst_OutputSubObjectId.Name:    SerialOrderOPDetailStatusRecLst_OutputSubObjectId,
		SerialOrderOPDetailStatusRecLst_OutputErrNum.Name:         SerialOrderOPDetailStatusRecLst_OutputErrNum,
		SerialOrderOPDetailStatusRecLst_Remark1.Name:              SerialOrderOPDetailStatusRecLst_Remark1,
		SerialOrderOPDetailStatusRecLst_Remark2.Name:              SerialOrderOPDetailStatusRecLst_Remark2,
		SerialOrderOPDetailStatusRecLst_LastModify.Name:           SerialOrderOPDetailStatusRecLst_LastModify,
		SerialOrderOPDetailStatusRecLst_LastUser.Name:             SerialOrderOPDetailStatusRecLst_LastUser,
		SerialOrderOPDetailStatusRecLst_CreateTime.Name:           SerialOrderOPDetailStatusRecLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"SerialOrderId", "PO", "SubArtId", "StepNo", "OriginPos", "StepType", "PrevStatus", "Status", "TriggerEvent", "TriggerObjectId", "TriggerSubObjectId", "OutputStatus", "OutputEvent", "OutputEventMessageId", "OutputObjectId", "OutputSubObjectId", "OutputErrNum", "Remark1", "Remark2", "LastUser"})
