// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/om"
)

/******************************************************************************
 *
 * @Description              : SerialOrderPOStatusRecLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-29 17:19:37
 *
 ******************************************************************************/
var SerialOrderPOStatusRecLst_PlantNr = grmi.NewField("PlantNr", "OM_SerialOrderPOStatusRecLst.PlantNr", "plantnr", grmi.TypeInt)
var SerialOrderPOStatusRecLst_SerialOrderId = grmi.NewField("SerialOrderId", "OM_SerialOrderPOStatusRecLst.SerialOrderId", "serialorderid", grmi.TypeString)
var SerialOrderPOStatusRecLst_PO = grmi.NewField("PO", "OM_SerialOrderPOStatusRecLst.PO", "po", grmi.TypeInt)
var SerialOrderPOStatusRecLst_Pos = grmi.NewField("Pos", "OM_SerialOrderPOStatusRecLst.Pos", "pos", grmi.TypeInt)
var SerialOrderPOStatusRecLst_WorkPlaceNr = grmi.NewField("WorkPlaceNr", "OM_SerialOrderPOStatusRecLst.WorkPlaceNr", "workplacenr", grmi.TypeInt)
var SerialOrderPOStatusRecLst_PrevStatus = grmi.NewField("PrevStatus", "OM_SerialOrderPOStatusRecLst.PrevStatus", "prevstatus", grmi.TypeInt)
var SerialOrderPOStatusRecLst_Status = grmi.NewField("Status", "OM_SerialOrderPOStatusRecLst.Status", "status", grmi.TypeInt)
var SerialOrderPOStatusRecLst_TriggerEvent = grmi.NewField("TriggerEvent", "OM_SerialOrderPOStatusRecLst.TriggerEvent", "triggerevent", grmi.TypeString)
var SerialOrderPOStatusRecLst_TriggerObjectId = grmi.NewField("TriggerObjectId", "OM_SerialOrderPOStatusRecLst.TriggerObjectId", "triggerobjectid", grmi.TypeString)
var SerialOrderPOStatusRecLst_TriggerSubObjectId = grmi.NewField("TriggerSubObjectId", "OM_SerialOrderPOStatusRecLst.TriggerSubObjectId", "triggersubobjectid", grmi.TypeString)
var SerialOrderPOStatusRecLst_OutputStatus = grmi.NewField("OutputStatus", "OM_SerialOrderPOStatusRecLst.OutputStatus", "outputstatus", grmi.TypeInt)
var SerialOrderPOStatusRecLst_OutputEvent = grmi.NewField("OutputEvent", "OM_SerialOrderPOStatusRecLst.OutputEvent", "outputevent", grmi.TypeString)
var SerialOrderPOStatusRecLst_OutputEventMessageId = grmi.NewField("OutputEventMessageId", "OM_SerialOrderPOStatusRecLst.OutputEventMessageId", "outputeventmessageid", grmi.TypeString)
var SerialOrderPOStatusRecLst_OutputObjectId = grmi.NewField("OutputObjectId", "OM_SerialOrderPOStatusRecLst.OutputObjectId", "outputobjectid", grmi.TypeString)
var SerialOrderPOStatusRecLst_OutputSubObjectId = grmi.NewField("OutputSubObjectId", "OM_SerialOrderPOStatusRecLst.OutputSubObjectId", "outputsubobjectid", grmi.TypeString)
var SerialOrderPOStatusRecLst_OutputErrNum = grmi.NewField("OutputErrNum", "OM_SerialOrderPOStatusRecLst.OutputErrNum", "outputerrnum", grmi.TypeInt)
var SerialOrderPOStatusRecLst_Remark1 = grmi.NewField("Remark1", "OM_SerialOrderPOStatusRecLst.Remark1", "remark1", grmi.TypeString)
var SerialOrderPOStatusRecLst_Remark2 = grmi.NewField("Remark2", "OM_SerialOrderPOStatusRecLst.Remark2", "remark2", grmi.TypeString)
var SerialOrderPOStatusRecLst_LastModify = grmi.NewField("LastModify", "OM_SerialOrderPOStatusRecLst.LastModify", "lastmodify", grmi.TypeDateTime)
var SerialOrderPOStatusRecLst_LastUser = grmi.NewField("LastUser", "OM_SerialOrderPOStatusRecLst.LastUser", "lastuser", grmi.TypeString)
var SerialOrderPOStatusRecLst_CreateTime = grmi.NewField("CreateTime", "OM_SerialOrderPOStatusRecLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : SerialOrderPOStatusRecLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-29 17:19:37
 *
 ******************************************************************************/
var SerialOrderPOStatusRecLst = grmi.NewEntity(
	"OM_SerialOrderPOStatusRecLst",
	func() interface{} { return &model.SerialOrderPOStatusRecLst{} },
	map[string]grmi.Field{
		SerialOrderPOStatusRecLst_PlantNr.Name:              SerialOrderPOStatusRecLst_PlantNr,
		SerialOrderPOStatusRecLst_SerialOrderId.Name:        SerialOrderPOStatusRecLst_SerialOrderId,
		SerialOrderPOStatusRecLst_PO.Name:                   SerialOrderPOStatusRecLst_PO,
		SerialOrderPOStatusRecLst_Pos.Name:                  SerialOrderPOStatusRecLst_Pos,
		SerialOrderPOStatusRecLst_WorkPlaceNr.Name:          SerialOrderPOStatusRecLst_WorkPlaceNr,
		SerialOrderPOStatusRecLst_PrevStatus.Name:           SerialOrderPOStatusRecLst_PrevStatus,
		SerialOrderPOStatusRecLst_Status.Name:               SerialOrderPOStatusRecLst_Status,
		SerialOrderPOStatusRecLst_TriggerEvent.Name:         SerialOrderPOStatusRecLst_TriggerEvent,
		SerialOrderPOStatusRecLst_TriggerObjectId.Name:      SerialOrderPOStatusRecLst_TriggerObjectId,
		SerialOrderPOStatusRecLst_TriggerSubObjectId.Name:   SerialOrderPOStatusRecLst_TriggerSubObjectId,
		SerialOrderPOStatusRecLst_OutputStatus.Name:         SerialOrderPOStatusRecLst_OutputStatus,
		SerialOrderPOStatusRecLst_OutputEvent.Name:          SerialOrderPOStatusRecLst_OutputEvent,
		SerialOrderPOStatusRecLst_OutputEventMessageId.Name: SerialOrderPOStatusRecLst_OutputEventMessageId,
		SerialOrderPOStatusRecLst_OutputObjectId.Name:       SerialOrderPOStatusRecLst_OutputObjectId,
		SerialOrderPOStatusRecLst_OutputSubObjectId.Name:    SerialOrderPOStatusRecLst_OutputSubObjectId,
		SerialOrderPOStatusRecLst_OutputErrNum.Name:         SerialOrderPOStatusRecLst_OutputErrNum,
		SerialOrderPOStatusRecLst_Remark1.Name:              SerialOrderPOStatusRecLst_Remark1,
		SerialOrderPOStatusRecLst_Remark2.Name:              SerialOrderPOStatusRecLst_Remark2,
		SerialOrderPOStatusRecLst_LastModify.Name:           SerialOrderPOStatusRecLst_LastModify,
		SerialOrderPOStatusRecLst_LastUser.Name:             SerialOrderPOStatusRecLst_LastUser,
		SerialOrderPOStatusRecLst_CreateTime.Name:           SerialOrderPOStatusRecLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"WorkPlaceNr", "PrevStatus", "Status", "TriggerEvent", "TriggerObjectId", "TriggerSubObjectId", "OutputStatus", "OutputEvent", "OutputEventMessageId", "OutputObjectId", "OutputSubObjectId", "OutputErrNum", "Remark1", "Remark2", "LastUser"})
