// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/om"
)

/******************************************************************************
 *
 * @Description              : SerialOrderStepLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 10:00:53
 *
 ******************************************************************************/
var SerialOrderStepLst_PlantNr = grmi.NewField("PlantNr", "OM_SerialOrderStepLst.PlantNr", "plantnr", grmi.TypeInt)
var SerialOrderStepLst_SerialOrderId = grmi.NewField("SerialOrderId", "OM_SerialOrderStepLst.SerialOrderId", "serialorderid", grmi.TypeString)
var SerialOrderStepLst_OperationId = grmi.NewField("OperationId", "OM_SerialOrderStepLst.OperationId", "operationid", grmi.TypeInt)
var SerialOrderStepLst_PO = grmi.NewField("PO", "OM_SerialOrderStepLst.PO", "po", grmi.TypeInt)
var SerialOrderStepLst_StepNo = grmi.NewField("StepNo", "OM_SerialOrderStepLst.StepNo", "stepno", grmi.TypeInt)
var SerialOrderStepLst_Pos = grmi.NewField("Pos", "OM_SerialOrderStepLst.Pos", "pos", grmi.TypeInt)
var SerialOrderStepLst_Status = grmi.NewField("Status", "OM_SerialOrderStepLst.Status", "status", grmi.TypeInt)
var SerialOrderStepLst_StepType = grmi.NewField("StepType", "OM_SerialOrderStepLst.StepType", "steptype", grmi.TypeString)
var SerialOrderStepLst_StepDesc = grmi.NewField("StepDesc", "OM_SerialOrderStepLst.StepDesc", "stepdesc", grmi.TypeString)
var SerialOrderStepLst_SubArtId = grmi.NewField("SubArtId", "OM_SerialOrderStepLst.SubArtId", "subartid", grmi.TypeString)
var SerialOrderStepLst_AttrCode = grmi.NewField("AttrCode", "OM_SerialOrderStepLst.AttrCode", "attrcode", grmi.TypeInt)
var SerialOrderStepLst_AttrValue = grmi.NewField("AttrValue", "OM_SerialOrderStepLst.AttrValue", "attrvalue", grmi.TypeString)
var SerialOrderStepLst_SSCtrlPara1 = grmi.NewField("SSCtrlPara1", "OM_SerialOrderStepLst.SSCtrlPara1", "ssctrlpara1", grmi.TypeString)
var SerialOrderStepLst_SSCtrlPara2 = grmi.NewField("SSCtrlPara2", "OM_SerialOrderStepLst.SSCtrlPara2", "ssctrlpara2", grmi.TypeString)
var SerialOrderStepLst_SSCtrlPara3 = grmi.NewField("SSCtrlPara3", "OM_SerialOrderStepLst.SSCtrlPara3", "ssctrlpara3", grmi.TypeInt)
var SerialOrderStepLst_SSCtrlPara4 = grmi.NewField("SSCtrlPara4", "OM_SerialOrderStepLst.SSCtrlPara4", "ssctrlpara4", grmi.TypeInt)
var SerialOrderStepLst_SSCtrlPara5 = grmi.NewField("SSCtrlPara5", "OM_SerialOrderStepLst.SSCtrlPara5", "ssctrlpara5", grmi.TypeFloat64)
var SerialOrderStepLst_SSCtrlPara6 = grmi.NewField("SSCtrlPara6", "OM_SerialOrderStepLst.SSCtrlPara6", "ssctrlpara6", grmi.TypeFloat64)
var SerialOrderStepLst_LastModify = grmi.NewField("LastModify", "OM_SerialOrderStepLst.LastModify", "lastmodify", grmi.TypeDateTime)
var SerialOrderStepLst_LastUser = grmi.NewField("LastUser", "OM_SerialOrderStepLst.LastUser", "lastuser", grmi.TypeString)
var SerialOrderStepLst_CreateTime = grmi.NewField("CreateTime", "OM_SerialOrderStepLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : SerialOrderStepLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 10:00:53
 *
 ******************************************************************************/
var SerialOrderStepLst = grmi.NewEntity(
	"OM_SerialOrderStepLst",
	func() interface{} { return &model.SerialOrderStepLst{} },
	map[string]grmi.Field{
		SerialOrderStepLst_PlantNr.Name:       SerialOrderStepLst_PlantNr,
		SerialOrderStepLst_SerialOrderId.Name: SerialOrderStepLst_SerialOrderId,
		SerialOrderStepLst_OperationId.Name:   SerialOrderStepLst_OperationId,
		SerialOrderStepLst_PO.Name:            SerialOrderStepLst_PO,
		SerialOrderStepLst_StepNo.Name:        SerialOrderStepLst_StepNo,
		SerialOrderStepLst_Pos.Name:           SerialOrderStepLst_Pos,
		SerialOrderStepLst_Status.Name:        SerialOrderStepLst_Status,
		SerialOrderStepLst_StepType.Name:      SerialOrderStepLst_StepType,
		SerialOrderStepLst_StepDesc.Name:      SerialOrderStepLst_StepDesc,
		SerialOrderStepLst_SubArtId.Name:      SerialOrderStepLst_SubArtId,
		SerialOrderStepLst_AttrCode.Name:      SerialOrderStepLst_AttrCode,
		SerialOrderStepLst_AttrValue.Name:     SerialOrderStepLst_AttrValue,
		SerialOrderStepLst_SSCtrlPara1.Name:   SerialOrderStepLst_SSCtrlPara1,
		SerialOrderStepLst_SSCtrlPara2.Name:   SerialOrderStepLst_SSCtrlPara2,
		SerialOrderStepLst_SSCtrlPara3.Name:   SerialOrderStepLst_SSCtrlPara3,
		SerialOrderStepLst_SSCtrlPara4.Name:   SerialOrderStepLst_SSCtrlPara4,
		SerialOrderStepLst_SSCtrlPara5.Name:   SerialOrderStepLst_SSCtrlPara5,
		SerialOrderStepLst_SSCtrlPara6.Name:   SerialOrderStepLst_SSCtrlPara6,
		SerialOrderStepLst_LastModify.Name:    SerialOrderStepLst_LastModify,
		SerialOrderStepLst_LastUser.Name:      SerialOrderStepLst_LastUser,
		SerialOrderStepLst_CreateTime.Name:    SerialOrderStepLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PO", "StepNo", "Pos", "Status", "StepType", "StepDesc", "SubArtId", "AttrCode", "AttrValue", "SSCtrlPara1", "SSCtrlPara2", "SSCtrlPara3", "SSCtrlPara4", "SSCtrlPara5", "SSCtrlPara6", "LastUser"})
