// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/om"
)

/******************************************************************************
 *
 * @Description              : SerialOrderStepStatusRecLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 10:00:53
 *
 ******************************************************************************/
var SerialOrderStepStatusRecLst_PlantNr = grmi.NewField("PlantNr", "OM_SerialOrderStepStatusRecLst.PlantNr", "plantnr", grmi.TypeInt)
var SerialOrderStepStatusRecLst_SerialOrderId = grmi.NewField("SerialOrderId", "OM_SerialOrderStepStatusRecLst.SerialOrderId", "serialorderid", grmi.TypeString)
var SerialOrderStepStatusRecLst_OperationId = grmi.NewField("OperationId", "OM_SerialOrderStepStatusRecLst.OperationId", "operationid", grmi.TypeInt)
var SerialOrderStepStatusRecLst_Pos = grmi.NewField("Pos", "OM_SerialOrderStepStatusRecLst.Pos", "pos", grmi.TypeInt)
var SerialOrderStepStatusRecLst_PO = grmi.NewField("PO", "OM_SerialOrderStepStatusRecLst.PO", "po", grmi.TypeInt)
var SerialOrderStepStatusRecLst_StepNo = grmi.NewField("StepNo", "OM_SerialOrderStepStatusRecLst.StepNo", "stepno", grmi.TypeInt)
var SerialOrderStepStatusRecLst_PrevStatus = grmi.NewField("PrevStatus", "OM_SerialOrderStepStatusRecLst.PrevStatus", "prevstatus", grmi.TypeInt)
var SerialOrderStepStatusRecLst_Status = grmi.NewField("Status", "OM_SerialOrderStepStatusRecLst.Status", "status", grmi.TypeInt)
var SerialOrderStepStatusRecLst_TriggerEvent = grmi.NewField("TriggerEvent", "OM_SerialOrderStepStatusRecLst.TriggerEvent", "triggerevent", grmi.TypeString)
var SerialOrderStepStatusRecLst_TriggerObjectId = grmi.NewField("TriggerObjectId", "OM_SerialOrderStepStatusRecLst.TriggerObjectId", "triggerobjectid", grmi.TypeString)
var SerialOrderStepStatusRecLst_TriggerSubObjectId = grmi.NewField("TriggerSubObjectId", "OM_SerialOrderStepStatusRecLst.TriggerSubObjectId", "triggersubobjectid", grmi.TypeString)
var SerialOrderStepStatusRecLst_OutputStatus = grmi.NewField("OutputStatus", "OM_SerialOrderStepStatusRecLst.OutputStatus", "outputstatus", grmi.TypeInt)
var SerialOrderStepStatusRecLst_OutputEvent = grmi.NewField("OutputEvent", "OM_SerialOrderStepStatusRecLst.OutputEvent", "outputevent", grmi.TypeString)
var SerialOrderStepStatusRecLst_OutputEventMessageId = grmi.NewField("OutputEventMessageId", "OM_SerialOrderStepStatusRecLst.OutputEventMessageId", "outputeventmessageid", grmi.TypeString)
var SerialOrderStepStatusRecLst_OutputObjectId = grmi.NewField("OutputObjectId", "OM_SerialOrderStepStatusRecLst.OutputObjectId", "outputobjectid", grmi.TypeString)
var SerialOrderStepStatusRecLst_OutputSubObjectId = grmi.NewField("OutputSubObjectId", "OM_SerialOrderStepStatusRecLst.OutputSubObjectId", "outputsubobjectid", grmi.TypeString)
var SerialOrderStepStatusRecLst_OutputErrNum = grmi.NewField("OutputErrNum", "OM_SerialOrderStepStatusRecLst.OutputErrNum", "outputerrnum", grmi.TypeInt)
var SerialOrderStepStatusRecLst_Remark1 = grmi.NewField("Remark1", "OM_SerialOrderStepStatusRecLst.Remark1", "remark1", grmi.TypeString)
var SerialOrderStepStatusRecLst_Remark2 = grmi.NewField("Remark2", "OM_SerialOrderStepStatusRecLst.Remark2", "remark2", grmi.TypeString)
var SerialOrderStepStatusRecLst_LastModify = grmi.NewField("LastModify", "OM_SerialOrderStepStatusRecLst.LastModify", "lastmodify", grmi.TypeDateTime)
var SerialOrderStepStatusRecLst_LastUser = grmi.NewField("LastUser", "OM_SerialOrderStepStatusRecLst.LastUser", "lastuser", grmi.TypeString)
var SerialOrderStepStatusRecLst_CreateTime = grmi.NewField("CreateTime", "OM_SerialOrderStepStatusRecLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : SerialOrderStepStatusRecLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 10:00:53
 *
 ******************************************************************************/
var SerialOrderStepStatusRecLst = grmi.NewEntity(
	"OM_SerialOrderStepStatusRecLst",
	func() interface{} { return &model.SerialOrderStepStatusRecLst{} },
	map[string]grmi.Field{
		SerialOrderStepStatusRecLst_PlantNr.Name:              SerialOrderStepStatusRecLst_PlantNr,
		SerialOrderStepStatusRecLst_SerialOrderId.Name:        SerialOrderStepStatusRecLst_SerialOrderId,
		SerialOrderStepStatusRecLst_OperationId.Name:          SerialOrderStepStatusRecLst_OperationId,
		SerialOrderStepStatusRecLst_Pos.Name:                  SerialOrderStepStatusRecLst_Pos,
		SerialOrderStepStatusRecLst_PO.Name:                   SerialOrderStepStatusRecLst_PO,
		SerialOrderStepStatusRecLst_StepNo.Name:               SerialOrderStepStatusRecLst_StepNo,
		SerialOrderStepStatusRecLst_PrevStatus.Name:           SerialOrderStepStatusRecLst_PrevStatus,
		SerialOrderStepStatusRecLst_Status.Name:               SerialOrderStepStatusRecLst_Status,
		SerialOrderStepStatusRecLst_TriggerEvent.Name:         SerialOrderStepStatusRecLst_TriggerEvent,
		SerialOrderStepStatusRecLst_TriggerObjectId.Name:      SerialOrderStepStatusRecLst_TriggerObjectId,
		SerialOrderStepStatusRecLst_TriggerSubObjectId.Name:   SerialOrderStepStatusRecLst_TriggerSubObjectId,
		SerialOrderStepStatusRecLst_OutputStatus.Name:         SerialOrderStepStatusRecLst_OutputStatus,
		SerialOrderStepStatusRecLst_OutputEvent.Name:          SerialOrderStepStatusRecLst_OutputEvent,
		SerialOrderStepStatusRecLst_OutputEventMessageId.Name: SerialOrderStepStatusRecLst_OutputEventMessageId,
		SerialOrderStepStatusRecLst_OutputObjectId.Name:       SerialOrderStepStatusRecLst_OutputObjectId,
		SerialOrderStepStatusRecLst_OutputSubObjectId.Name:    SerialOrderStepStatusRecLst_OutputSubObjectId,
		SerialOrderStepStatusRecLst_OutputErrNum.Name:         SerialOrderStepStatusRecLst_OutputErrNum,
		SerialOrderStepStatusRecLst_Remark1.Name:              SerialOrderStepStatusRecLst_Remark1,
		SerialOrderStepStatusRecLst_Remark2.Name:              SerialOrderStepStatusRecLst_Remark2,
		SerialOrderStepStatusRecLst_LastModify.Name:           SerialOrderStepStatusRecLst_LastModify,
		SerialOrderStepStatusRecLst_LastUser.Name:             SerialOrderStepStatusRecLst_LastUser,
		SerialOrderStepStatusRecLst_CreateTime.Name:           SerialOrderStepStatusRecLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PO", "StepNo", "PrevStatus", "Status", "TriggerEvent", "TriggerObjectId", "TriggerSubObjectId", "OutputStatus", "OutputEvent", "OutputEventMessageId", "OutputObjectId", "OutputSubObjectId", "OutputErrNum", "Remark1", "Remark2", "LastUser"})
