// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/om"
)

/******************************************************************************
 *
 * @Description              : WorkOrder的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-22 16:45:05
 *
 ******************************************************************************/
var WorkOrder_PlantNr = grmi.NewField("PlantNr", "OM_WorkOrder.PlantNr", "plantnr", grmi.TypeInt)
var WorkOrder_WorkOrderId = grmi.NewField("WorkOrderId", "OM_WorkOrder.WorkOrderId", "workorderid", grmi.TypeString)
var WorkOrder_ArtId = grmi.NewField("ArtId", "OM_WorkOrder.ArtId", "artid", grmi.TypeString)
var WorkOrder_CustArtId = grmi.NewField("CustArtId", "OM_WorkOrder.CustArtId", "custartid", grmi.TypeString)
var WorkOrder_RouteTemplateId = grmi.NewField("RouteTemplateId", "OM_WorkOrder.RouteTemplateId", "routetemplateid", grmi.TypeString)
var WorkOrder_OrderType = grmi.NewField("OrderType", "OM_WorkOrder.OrderType", "ordertype", grmi.TypeString)
var WorkOrder_OrderType1 = grmi.NewField("OrderType1", "OM_WorkOrder.OrderType1", "ordertype1", grmi.TypeString)
var WorkOrder_OrderType2 = grmi.NewField("OrderType2", "OM_WorkOrder.OrderType2", "ordertype2", grmi.TypeString)
var WorkOrder_OrderInfo = grmi.NewField("OrderInfo", "OM_WorkOrder.OrderInfo", "orderinfo", grmi.TypeString)
var WorkOrder_CustOrderId = grmi.NewField("CustOrderId", "OM_WorkOrder.CustOrderId", "custorderid", grmi.TypeString)
var WorkOrder_ErpOrderId = grmi.NewField("ErpOrderId", "OM_WorkOrder.ErpOrderId", "erporderid", grmi.TypeString)
var WorkOrder_ParentOrderId = grmi.NewField("ParentOrderId", "OM_WorkOrder.ParentOrderId", "parentorderid", grmi.TypeString)
var WorkOrder_Priority = grmi.NewField("Priority", "OM_WorkOrder.Priority", "priority", grmi.TypeInt)
var WorkOrder_PlanResourceGroupId = grmi.NewField("PlanResourceGroupId", "OM_WorkOrder.PlanResourceGroupId", "planresourcegroupid", grmi.TypeString)
var WorkOrder_PlanResourceId = grmi.NewField("PlanResourceId", "OM_WorkOrder.PlanResourceId", "planresourceid", grmi.TypeString)
var WorkOrder_UsedResourceId = grmi.NewField("UsedResourceId", "OM_WorkOrder.UsedResourceId", "usedresourceid", grmi.TypeString)
var WorkOrder_PlanQty = grmi.NewField("PlanQty", "OM_WorkOrder.PlanQty", "planqty", grmi.TypeFloat64)
var WorkOrder_QtyUomId = grmi.NewField("QtyUomId", "OM_WorkOrder.QtyUomId", "qtyuomid", grmi.TypeString)
var WorkOrder_RatePerHourToggle = grmi.NewField("RatePerHourToggle", "OM_WorkOrder.RatePerHourToggle", "rateperhourtoggle", grmi.TypeBool)
var WorkOrder_TimePerItemToggle = grmi.NewField("TimePerItemToggle", "OM_WorkOrder.TimePerItemToggle", "timeperitemtoggle", grmi.TypeBool)
var WorkOrder_TimePerBatchToggle = grmi.NewField("TimePerBatchToggle", "OM_WorkOrder.TimePerBatchToggle", "timeperbatchtoggle", grmi.TypeBool)
var WorkOrder_BatchTimeFieldToggle = grmi.NewField("BatchTimeFieldToggle", "OM_WorkOrder.BatchTimeFieldToggle", "batchtimefieldtoggle", grmi.TypeBool)
var WorkOrder_OpTimePerItem = grmi.NewField("OpTimePerItem", "OM_WorkOrder.OpTimePerItem", "optimeperitem", grmi.TypeFloat64)
var WorkOrder_BatchTime = grmi.NewField("BatchTime", "OM_WorkOrder.BatchTime", "batchtime", grmi.TypeFloat64)
var WorkOrder_QuantityPerHour = grmi.NewField("QuantityPerHour", "OM_WorkOrder.QuantityPerHour", "quantityperhour", grmi.TypeFloat64)
var WorkOrder_BatchQuantity = grmi.NewField("BatchQuantity", "OM_WorkOrder.BatchQuantity", "batchquantity", grmi.TypeFloat64)
var WorkOrder_TimeUomId = grmi.NewField("TimeUomId", "OM_WorkOrder.TimeUomId", "timeuomid", grmi.TypeString)
var WorkOrder_BatchingMethod = grmi.NewField("BatchingMethod", "OM_WorkOrder.BatchingMethod", "batchingmethod", grmi.TypeInt)
var WorkOrder_PlanStartDate = grmi.NewField("PlanStartDate", "OM_WorkOrder.PlanStartDate", "planstartdate", grmi.TypeDate)
var WorkOrder_PlanEndDate = grmi.NewField("PlanEndDate", "OM_WorkOrder.PlanEndDate", "planenddate", grmi.TypeDate)
var WorkOrder_SetupStartTime = grmi.NewField("SetupStartTime", "OM_WorkOrder.SetupStartTime", "setupstarttime", grmi.TypeDateTime)
var WorkOrder_SetupEndTime = grmi.NewField("SetupEndTime", "OM_WorkOrder.SetupEndTime", "setupendtime", grmi.TypeDateTime)
var WorkOrder_PlanStartTime = grmi.NewField("PlanStartTime", "OM_WorkOrder.PlanStartTime", "planstarttime", grmi.TypeDateTime)
var WorkOrder_PlanEndTime = grmi.NewField("PlanEndTime", "OM_WorkOrder.PlanEndTime", "planendtime", grmi.TypeDateTime)
var WorkOrder_ActStartTime = grmi.NewField("ActStartTime", "OM_WorkOrder.ActStartTime", "actstarttime", grmi.TypeDateTime)
var WorkOrder_ActEndTime = grmi.NewField("ActEndTime", "OM_WorkOrder.ActEndTime", "actendtime", grmi.TypeDateTime)
var WorkOrder_ProjectId = grmi.NewField("ProjectId", "OM_WorkOrder.ProjectId", "projectid", grmi.TypeString)
var WorkOrder_CustomerId = grmi.NewField("CustomerId", "OM_WorkOrder.CustomerId", "customerid", grmi.TypeString)
var WorkOrder_CustomerName = grmi.NewField("CustomerName", "OM_WorkOrder.CustomerName", "customername", grmi.TypeString)
var WorkOrder_FixStartTimeToggle = grmi.NewField("FixStartTimeToggle", "OM_WorkOrder.FixStartTimeToggle", "fixstarttimetoggle", grmi.TypeBool)
var WorkOrder_LastModify = grmi.NewField("LastModify", "OM_WorkOrder.LastModify", "lastmodify", grmi.TypeDateTime)
var WorkOrder_LastUser = grmi.NewField("LastUser", "OM_WorkOrder.LastUser", "lastuser", grmi.TypeString)
var WorkOrder_CreateTime = grmi.NewField("CreateTime", "OM_WorkOrder.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkOrder的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-22 16:45:05
 *
 ******************************************************************************/
var WorkOrder = grmi.NewEntity(
	"OM_WorkOrder",
	func() interface{} { return &model.WorkOrder{} },
	map[string]grmi.Field{
		WorkOrder_PlantNr.Name:              WorkOrder_PlantNr,
		WorkOrder_WorkOrderId.Name:          WorkOrder_WorkOrderId,
		WorkOrder_ArtId.Name:                WorkOrder_ArtId,
		WorkOrder_CustArtId.Name:            WorkOrder_CustArtId,
		WorkOrder_RouteTemplateId.Name:      WorkOrder_RouteTemplateId,
		WorkOrder_OrderType.Name:            WorkOrder_OrderType,
		WorkOrder_OrderType1.Name:           WorkOrder_OrderType1,
		WorkOrder_OrderType2.Name:           WorkOrder_OrderType2,
		WorkOrder_OrderInfo.Name:            WorkOrder_OrderInfo,
		WorkOrder_CustOrderId.Name:          WorkOrder_CustOrderId,
		WorkOrder_ErpOrderId.Name:           WorkOrder_ErpOrderId,
		WorkOrder_ParentOrderId.Name:        WorkOrder_ParentOrderId,
		WorkOrder_Priority.Name:             WorkOrder_Priority,
		WorkOrder_PlanResourceGroupId.Name:  WorkOrder_PlanResourceGroupId,
		WorkOrder_PlanResourceId.Name:       WorkOrder_PlanResourceId,
		WorkOrder_UsedResourceId.Name:       WorkOrder_UsedResourceId,
		WorkOrder_PlanQty.Name:              WorkOrder_PlanQty,
		WorkOrder_QtyUomId.Name:             WorkOrder_QtyUomId,
		WorkOrder_RatePerHourToggle.Name:    WorkOrder_RatePerHourToggle,
		WorkOrder_TimePerItemToggle.Name:    WorkOrder_TimePerItemToggle,
		WorkOrder_TimePerBatchToggle.Name:   WorkOrder_TimePerBatchToggle,
		WorkOrder_BatchTimeFieldToggle.Name: WorkOrder_BatchTimeFieldToggle,
		WorkOrder_OpTimePerItem.Name:        WorkOrder_OpTimePerItem,
		WorkOrder_BatchTime.Name:            WorkOrder_BatchTime,
		WorkOrder_QuantityPerHour.Name:      WorkOrder_QuantityPerHour,
		WorkOrder_BatchQuantity.Name:        WorkOrder_BatchQuantity,
		WorkOrder_TimeUomId.Name:            WorkOrder_TimeUomId,
		WorkOrder_BatchingMethod.Name:       WorkOrder_BatchingMethod,
		WorkOrder_PlanStartDate.Name:        WorkOrder_PlanStartDate,
		WorkOrder_PlanEndDate.Name:          WorkOrder_PlanEndDate,
		WorkOrder_SetupStartTime.Name:       WorkOrder_SetupStartTime,
		WorkOrder_SetupEndTime.Name:         WorkOrder_SetupEndTime,
		WorkOrder_PlanStartTime.Name:        WorkOrder_PlanStartTime,
		WorkOrder_PlanEndTime.Name:          WorkOrder_PlanEndTime,
		WorkOrder_ActStartTime.Name:         WorkOrder_ActStartTime,
		WorkOrder_ActEndTime.Name:           WorkOrder_ActEndTime,
		WorkOrder_ProjectId.Name:            WorkOrder_ProjectId,
		WorkOrder_CustomerId.Name:           WorkOrder_CustomerId,
		WorkOrder_CustomerName.Name:         WorkOrder_CustomerName,
		WorkOrder_FixStartTimeToggle.Name:   WorkOrder_FixStartTimeToggle,
		WorkOrder_LastModify.Name:           WorkOrder_LastModify,
		WorkOrder_LastUser.Name:             WorkOrder_LastUser,
		WorkOrder_CreateTime.Name:           WorkOrder_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"ArtId", "CustArtId", "RouteTemplateId", "OrderType", "OrderType1", "OrderType2", "OrderInfo", "CustOrderId", "ErpOrderId", "ParentOrderId", "Priority", "PlanResourceGroupId", "PlanResourceId", "UsedResourceId", "PlanQty", "QtyUomId", "RatePerHourToggle", "TimePerItemToggle", "TimePerBatchToggle", "BatchTimeFieldToggle", "OpTimePerItem", "BatchTime", "QuantityPerHour", "BatchQuantity", "TimeUomId", "BatchingMethod", "PlanStartDate", "PlanEndDate", "SetupStartTime", "SetupEndTime", "PlanStartTime", "PlanEndTime", "ActStartTime", "ActEndTime", "ProjectId", "CustomerId", "CustomerName", "FixStartTimeToggle", "LastUser"})
