// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/om"
)

/******************************************************************************
 *
 * @Description              : WorkOrderStatus的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var WorkOrderStatus_PlantNr = grmi.NewField("PlantNr", "OM_WorkOrderStatus.PlantNr", "plantnr", grmi.TypeInt)
var WorkOrderStatus_WorkOrderId = grmi.NewField("WorkOrderId", "OM_WorkOrderStatus.WorkOrderId", "workorderid", grmi.TypeString)
var WorkOrderStatus_Status = grmi.NewField("Status", "OM_WorkOrderStatus.Status", "status", grmi.TypeInt)
var WorkOrderStatus_TriggerEvent = grmi.NewField("TriggerEvent", "OM_WorkOrderStatus.TriggerEvent", "triggerevent", grmi.TypeString)
var WorkOrderStatus_TriggerObjectId = grmi.NewField("TriggerObjectId", "OM_WorkOrderStatus.TriggerObjectId", "triggerobjectid", grmi.TypeString)
var WorkOrderStatus_TriggerSubObjectId = grmi.NewField("TriggerSubObjectId", "OM_WorkOrderStatus.TriggerSubObjectId", "triggersubobjectid", grmi.TypeString)
var WorkOrderStatus_LastModify = grmi.NewField("LastModify", "OM_WorkOrderStatus.LastModify", "lastmodify", grmi.TypeDateTime)
var WorkOrderStatus_LastUser = grmi.NewField("LastUser", "OM_WorkOrderStatus.LastUser", "lastuser", grmi.TypeString)
var WorkOrderStatus_CreateTime = grmi.NewField("CreateTime", "OM_WorkOrderStatus.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkOrderStatus的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var WorkOrderStatus = grmi.NewEntity(
	"OM_WorkOrderStatus",
	func() interface{} { return &model.WorkOrderStatus{} },
	map[string]grmi.Field{
		WorkOrderStatus_PlantNr.Name:            WorkOrderStatus_PlantNr,
		WorkOrderStatus_WorkOrderId.Name:        WorkOrderStatus_WorkOrderId,
		WorkOrderStatus_Status.Name:             WorkOrderStatus_Status,
		WorkOrderStatus_TriggerEvent.Name:       WorkOrderStatus_TriggerEvent,
		WorkOrderStatus_TriggerObjectId.Name:    WorkOrderStatus_TriggerObjectId,
		WorkOrderStatus_TriggerSubObjectId.Name: WorkOrderStatus_TriggerSubObjectId,
		WorkOrderStatus_LastModify.Name:         WorkOrderStatus_LastModify,
		WorkOrderStatus_LastUser.Name:           WorkOrderStatus_LastUser,
		WorkOrderStatus_CreateTime.Name:         WorkOrderStatus_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Status", "TriggerEvent", "TriggerObjectId", "TriggerSubObjectId", "LastUser"})
