// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/om"
)

/******************************************************************************
 *
 * @Description              : WorkOrderStatusRecLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-12 09:59:40
 *
 ******************************************************************************/
var WorkOrderStatusRecLst_PlantNr = grmi.NewField("PlantNr", "OM_WorkOrderStatusRecLst.PlantNr", "plantnr", grmi.TypeInt)
var WorkOrderStatusRecLst_WorkOrderId = grmi.NewField("WorkOrderId", "OM_WorkOrderStatusRecLst.WorkOrderId", "workorderid", grmi.TypeString)
var WorkOrderStatusRecLst_Pos = grmi.NewField("Pos", "OM_WorkOrderStatusRecLst.Pos", "pos", grmi.TypeInt)
var WorkOrderStatusRecLst_PrevStatus = grmi.NewField("PrevStatus", "OM_WorkOrderStatusRecLst.PrevStatus", "prevstatus", grmi.TypeInt)
var WorkOrderStatusRecLst_Status = grmi.NewField("Status", "OM_WorkOrderStatusRecLst.Status", "status", grmi.TypeInt)
var WorkOrderStatusRecLst_StartTime = grmi.NewField("StartTime", "OM_WorkOrderStatusRecLst.StartTime", "starttime", grmi.TypeDateTime)
var WorkOrderStatusRecLst_EndTime = grmi.NewField("EndTime", "OM_WorkOrderStatusRecLst.EndTime", "endtime", grmi.TypeDateTime)
var WorkOrderStatusRecLst_TriggerEvent = grmi.NewField("TriggerEvent", "OM_WorkOrderStatusRecLst.TriggerEvent", "triggerevent", grmi.TypeString)
var WorkOrderStatusRecLst_TriggerObjectId = grmi.NewField("TriggerObjectId", "OM_WorkOrderStatusRecLst.TriggerObjectId", "triggerobjectid", grmi.TypeString)
var WorkOrderStatusRecLst_TriggerSubObjectId = grmi.NewField("TriggerSubObjectId", "OM_WorkOrderStatusRecLst.TriggerSubObjectId", "triggersubobjectid", grmi.TypeString)
var WorkOrderStatusRecLst_OutputStatus = grmi.NewField("OutputStatus", "OM_WorkOrderStatusRecLst.OutputStatus", "outputstatus", grmi.TypeInt)
var WorkOrderStatusRecLst_OutputEvent = grmi.NewField("OutputEvent", "OM_WorkOrderStatusRecLst.OutputEvent", "outputevent", grmi.TypeString)
var WorkOrderStatusRecLst_OutputEventMessageId = grmi.NewField("OutputEventMessageId", "OM_WorkOrderStatusRecLst.OutputEventMessageId", "outputeventmessageid", grmi.TypeString)
var WorkOrderStatusRecLst_OutputObjectId = grmi.NewField("OutputObjectId", "OM_WorkOrderStatusRecLst.OutputObjectId", "outputobjectid", grmi.TypeString)
var WorkOrderStatusRecLst_OutputSubObjectId = grmi.NewField("OutputSubObjectId", "OM_WorkOrderStatusRecLst.OutputSubObjectId", "outputsubobjectid", grmi.TypeString)
var WorkOrderStatusRecLst_Remark1 = grmi.NewField("Remark1", "OM_WorkOrderStatusRecLst.Remark1", "remark1", grmi.TypeString)
var WorkOrderStatusRecLst_Remark2 = grmi.NewField("Remark2", "OM_WorkOrderStatusRecLst.Remark2", "remark2", grmi.TypeString)
var WorkOrderStatusRecLst_OutputErrNum = grmi.NewField("OutputErrNum", "OM_WorkOrderStatusRecLst.OutputErrNum", "outputerrnum", grmi.TypeInt)
var WorkOrderStatusRecLst_LastModify = grmi.NewField("LastModify", "OM_WorkOrderStatusRecLst.LastModify", "lastmodify", grmi.TypeDateTime)
var WorkOrderStatusRecLst_LastUser = grmi.NewField("LastUser", "OM_WorkOrderStatusRecLst.LastUser", "lastuser", grmi.TypeString)
var WorkOrderStatusRecLst_CreateTime = grmi.NewField("CreateTime", "OM_WorkOrderStatusRecLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkOrderStatusRecLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-12 09:59:40
 *
 ******************************************************************************/
var WorkOrderStatusRecLst = grmi.NewEntity(
	"OM_WorkOrderStatusRecLst",
	func() interface{} { return &model.WorkOrderStatusRecLst{} },
	map[string]grmi.Field{
		WorkOrderStatusRecLst_PlantNr.Name:              WorkOrderStatusRecLst_PlantNr,
		WorkOrderStatusRecLst_WorkOrderId.Name:          WorkOrderStatusRecLst_WorkOrderId,
		WorkOrderStatusRecLst_Pos.Name:                  WorkOrderStatusRecLst_Pos,
		WorkOrderStatusRecLst_PrevStatus.Name:           WorkOrderStatusRecLst_PrevStatus,
		WorkOrderStatusRecLst_Status.Name:               WorkOrderStatusRecLst_Status,
		WorkOrderStatusRecLst_StartTime.Name:            WorkOrderStatusRecLst_StartTime,
		WorkOrderStatusRecLst_EndTime.Name:              WorkOrderStatusRecLst_EndTime,
		WorkOrderStatusRecLst_TriggerEvent.Name:         WorkOrderStatusRecLst_TriggerEvent,
		WorkOrderStatusRecLst_TriggerObjectId.Name:      WorkOrderStatusRecLst_TriggerObjectId,
		WorkOrderStatusRecLst_TriggerSubObjectId.Name:   WorkOrderStatusRecLst_TriggerSubObjectId,
		WorkOrderStatusRecLst_OutputStatus.Name:         WorkOrderStatusRecLst_OutputStatus,
		WorkOrderStatusRecLst_OutputEvent.Name:          WorkOrderStatusRecLst_OutputEvent,
		WorkOrderStatusRecLst_OutputEventMessageId.Name: WorkOrderStatusRecLst_OutputEventMessageId,
		WorkOrderStatusRecLst_OutputObjectId.Name:       WorkOrderStatusRecLst_OutputObjectId,
		WorkOrderStatusRecLst_OutputSubObjectId.Name:    WorkOrderStatusRecLst_OutputSubObjectId,
		WorkOrderStatusRecLst_Remark1.Name:              WorkOrderStatusRecLst_Remark1,
		WorkOrderStatusRecLst_Remark2.Name:              WorkOrderStatusRecLst_Remark2,
		WorkOrderStatusRecLst_OutputErrNum.Name:         WorkOrderStatusRecLst_OutputErrNum,
		WorkOrderStatusRecLst_LastModify.Name:           WorkOrderStatusRecLst_LastModify,
		WorkOrderStatusRecLst_LastUser.Name:             WorkOrderStatusRecLst_LastUser,
		WorkOrderStatusRecLst_CreateTime.Name:           WorkOrderStatusRecLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PrevStatus", "Status", "StartTime", "EndTime", "TriggerEvent", "TriggerObjectId", "TriggerSubObjectId", "OutputStatus", "OutputEvent", "OutputEventMessageId", "OutputObjectId", "OutputSubObjectId", "Remark1", "Remark2", "OutputErrNum", "LastUser"})
