// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pdc

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/pdc"
)

/******************************************************************************
 *
 * @Description              : ScrewDown的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-27 11:35:42
 *
 ******************************************************************************/
var ScrewDown_PlantNr = grmi.NewField("PlantNr", "PDC_ScrewDown.PlantNr", "plantnr", grmi.TypeInt)
var ScrewDown_ArtId = grmi.NewField("ArtId", "PDC_ScrewDown.ArtId", "artid", grmi.TypeString)
var ScrewDown_ScrewPos = grmi.NewField("ScrewPos", "PDC_ScrewDown.ScrewPos", "screwpos", grmi.TypeInt)
var ScrewDown_Result = grmi.NewField("Result", "PDC_ScrewDown.Result", "result", grmi.TypeBool)
var ScrewDown_PicPath = grmi.NewField("PicPath", "PDC_ScrewDown.PicPath", "picpath", grmi.TypeString)
var ScrewDown_LastModify = grmi.NewField("LastModify", "PDC_ScrewDown.LastModify", "lastmodify", grmi.TypeDateTime)
var ScrewDown_LastUser = grmi.NewField("LastUser", "PDC_ScrewDown.LastUser", "lastuser", grmi.TypeString)
var ScrewDown_CreateTime = grmi.NewField("CreateTime", "PDC_ScrewDown.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ScrewDown的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-24 10:49:50
 *
 ******************************************************************************/
var ScrewDown = grmi.NewEntity(
	"PDC_ScrewDown",
	func() interface{} { return &model.ScrewDown{} },
	map[string]grmi.Field{
		ScrewDown_PlantNr.Name:    ScrewDown_PlantNr,
		ScrewDown_ArtId.Name:      ScrewDown_ArtId,
		ScrewDown_ScrewPos.Name:   ScrewDown_ScrewPos,
		ScrewDown_Result.Name:     ScrewDown_Result,
		ScrewDown_PicPath.Name:    ScrewDown_PicPath,
		ScrewDown_LastModify.Name: ScrewDown_LastModify,
		ScrewDown_LastUser.Name:   ScrewDown_LastUser,
		ScrewDown_CreateTime.Name: ScrewDown_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PicPath", "LastUser"})
