// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : AssetKpi的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var AssetKpi_PlantNr = grmi.NewField("PlantNr", "PM_AssetKpi.PlantNr", "plantnr", grmi.TypeInt)
var AssetKpi_AssetNr = grmi.NewField("AssetNr", "PM_AssetKpi.AssetNr", "assetnr", grmi.TypeInt)
var AssetKpi_Kpi = grmi.NewField("Kpi", "PM_AssetKpi.Kpi", "kpi", grmi.TypeString)
var AssetKpi_KpiName = grmi.NewField("KpiName", "PM_AssetKpi.KpiName", "kpiname", grmi.TypeString)
var AssetKpi_KpiType = grmi.NewField("KpiType", "PM_AssetKpi.KpiType", "kpitype", grmi.TypeInt)
var AssetKpi_TriggerStatus = grmi.NewField("TriggerStatus", "PM_AssetKpi.TriggerStatus", "triggerstatus", grmi.TypeInt)
var AssetKpi_ThresholdVal = grmi.NewField("ThresholdVal", "PM_AssetKpi.ThresholdVal", "thresholdval", grmi.TypeFloat64)
var AssetKpi_ActualVal = grmi.NewField("ActualVal", "PM_AssetKpi.ActualVal", "actualval", grmi.TypeFloat64)
var AssetKpi_ResetAttrNr = grmi.NewField("ResetAttrNr", "PM_AssetKpi.ResetAttrNr", "resetattrnr", grmi.TypeInt)
var AssetKpi_CounterVal = grmi.NewField("CounterVal", "PM_AssetKpi.CounterVal", "counterval", grmi.TypeInt)
var AssetKpi_CounterCycle = grmi.NewField("CounterCycle", "PM_AssetKpi.CounterCycle", "countercycle", grmi.TypeInt)
var AssetKpi_CounterCycleVal = grmi.NewField("CounterCycleVal", "PM_AssetKpi.CounterCycleVal", "countercycleval", grmi.TypeInt)
var AssetKpi_MainServiceNr = grmi.NewField("MainServiceNr", "PM_AssetKpi.MainServiceNr", "mainservicenr", grmi.TypeInt)
var AssetKpi_LastModify = grmi.NewField("LastModify", "PM_AssetKpi.LastModify", "lastmodify", grmi.TypeDateTime)
var AssetKpi_LastUser = grmi.NewField("LastUser", "PM_AssetKpi.LastUser", "lastuser", grmi.TypeString)
var AssetKpi_CreateTime = grmi.NewField("CreateTime", "PM_AssetKpi.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : AssetKpi的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var AssetKpi = grmi.NewEntity(
	"PM_AssetKpi",
	func() interface{} { return &model.AssetKpi{} },
	map[string]grmi.Field{
		AssetKpi_PlantNr.Name:         AssetKpi_PlantNr,
		AssetKpi_AssetNr.Name:         AssetKpi_AssetNr,
		AssetKpi_Kpi.Name:             AssetKpi_Kpi,
		AssetKpi_KpiName.Name:         AssetKpi_KpiName,
		AssetKpi_KpiType.Name:         AssetKpi_KpiType,
		AssetKpi_TriggerStatus.Name:   AssetKpi_TriggerStatus,
		AssetKpi_ThresholdVal.Name:    AssetKpi_ThresholdVal,
		AssetKpi_ActualVal.Name:       AssetKpi_ActualVal,
		AssetKpi_ResetAttrNr.Name:     AssetKpi_ResetAttrNr,
		AssetKpi_CounterVal.Name:      AssetKpi_CounterVal,
		AssetKpi_CounterCycle.Name:    AssetKpi_CounterCycle,
		AssetKpi_CounterCycleVal.Name: AssetKpi_CounterCycleVal,
		AssetKpi_MainServiceNr.Name:   AssetKpi_MainServiceNr,
		AssetKpi_LastModify.Name:      AssetKpi_LastModify,
		AssetKpi_LastUser.Name:        AssetKpi_LastUser,
		AssetKpi_CreateTime.Name:      AssetKpi_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"KpiName", "KpiType", "TriggerStatus", "ThresholdVal", "ActualVal", "ResetAttrNr", "CounterVal", "CounterCycle", "CounterCycleVal", "MainServiceNr", "LastUser"})
