// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : AssetTemplateLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var AssetTemplateLst_PlantNr = grmi.NewField("PlantNr", "PM_AssetTemplateLst.PlantNr", "plantnr", grmi.TypeInt)
var AssetTemplateLst_AssetNr = grmi.NewField("AssetNr", "PM_AssetTemplateLst.AssetNr", "assetnr", grmi.TypeInt)
var AssetTemplateLst_MainTemplateNr = grmi.NewField("MainTemplateNr", "PM_AssetTemplateLst.MainTemplateNr", "maintemplatenr", grmi.TypeInt)
var AssetTemplateLst_Pos = grmi.NewField("Pos", "PM_AssetTemplateLst.Pos", "pos", grmi.TypeInt)
var AssetTemplateLst_LastModify = grmi.NewField("LastModify", "PM_AssetTemplateLst.LastModify", "lastmodify", grmi.TypeDateTime)
var AssetTemplateLst_LastUser = grmi.NewField("LastUser", "PM_AssetTemplateLst.LastUser", "lastuser", grmi.TypeString)
var AssetTemplateLst_CreateTime = grmi.NewField("CreateTime", "PM_AssetTemplateLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : AssetTemplateLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var AssetTemplateLst = grmi.NewEntity(
	"PM_AssetTemplateLst",
	func() interface{} { return &model.AssetTemplateLst{} },
	map[string]grmi.Field{
		AssetTemplateLst_PlantNr.Name:        AssetTemplateLst_PlantNr,
		AssetTemplateLst_AssetNr.Name:        AssetTemplateLst_AssetNr,
		AssetTemplateLst_MainTemplateNr.Name: AssetTemplateLst_MainTemplateNr,
		AssetTemplateLst_Pos.Name:            AssetTemplateLst_Pos,
		AssetTemplateLst_LastModify.Name:     AssetTemplateLst_LastModify,
		AssetTemplateLst_LastUser.Name:       AssetTemplateLst_LastUser,
		AssetTemplateLst_CreateTime.Name:     AssetTemplateLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Pos", "LastUser"})
