// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : UserAssetLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var UserAssetLst_PlantNr = grmi.NewField("PlantNr", "PM_UserAssetLst.PlantNr", "plantnr", grmi.TypeInt)
var UserAssetLst_UserId = grmi.NewField("UserId", "PM_UserAssetLst.UserId", "userid", grmi.TypeString)
var UserAssetLst_AssetId = grmi.NewField("AssetId", "PM_UserAssetLst.AssetId", "assetid", grmi.TypeInt)
var UserAssetLst_Pos = grmi.NewField("Pos", "PM_UserAssetLst.Pos", "pos", grmi.TypeInt)
var UserAssetLst_CtrlPara1 = grmi.NewField("CtrlPara1", "PM_UserAssetLst.CtrlPara1", "ctrlpara1", grmi.TypeInt)
var UserAssetLst_CtrlPara2 = grmi.NewField("CtrlPara2", "PM_UserAssetLst.CtrlPara2", "ctrlpara2", grmi.TypeInt)
var UserAssetLst_CtrlPara3 = grmi.NewField("CtrlPara3", "PM_UserAssetLst.CtrlPara3", "ctrlpara3", grmi.TypeString)
var UserAssetLst_CtrlPara4 = grmi.NewField("CtrlPara4", "PM_UserAssetLst.CtrlPara4", "ctrlpara4", grmi.TypeString)
var UserAssetLst_LastModify = grmi.NewField("LastModify", "PM_UserAssetLst.LastModify", "lastmodify", grmi.TypeDateTime)
var UserAssetLst_LastUser = grmi.NewField("LastUser", "PM_UserAssetLst.LastUser", "lastuser", grmi.TypeString)
var UserAssetLst_CreateTime = grmi.NewField("CreateTime", "PM_UserAssetLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : UserAssetLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var UserAssetLst = grmi.NewEntity(
	"PM_UserAssetLst",
	func() interface{} { return &model.UserAssetLst{} },
	map[string]grmi.Field{
		UserAssetLst_PlantNr.Name:    UserAssetLst_PlantNr,
		UserAssetLst_UserId.Name:     UserAssetLst_UserId,
		UserAssetLst_AssetId.Name:    UserAssetLst_AssetId,
		UserAssetLst_Pos.Name:        UserAssetLst_Pos,
		UserAssetLst_CtrlPara1.Name:  UserAssetLst_CtrlPara1,
		UserAssetLst_CtrlPara2.Name:  UserAssetLst_CtrlPara2,
		UserAssetLst_CtrlPara3.Name:  UserAssetLst_CtrlPara3,
		UserAssetLst_CtrlPara4.Name:  UserAssetLst_CtrlPara4,
		UserAssetLst_LastModify.Name: UserAssetLst_LastModify,
		UserAssetLst_LastUser.Name:   UserAssetLst_LastUser,
		UserAssetLst_CreateTime.Name: UserAssetLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Pos", "CtrlPara1", "CtrlPara2", "CtrlPara3", "CtrlPara4", "LastUser"})
