// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : WorkOrderStatus的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var WorkOrderStatus_PlantNr = grmi.NewField("PlantNr", "PM_WorkOrderStatus.PlantNr", "plantnr", grmi.TypeInt)
var WorkOrderStatus_WorkOrderRecNr = grmi.NewField("WorkOrderRecNr", "PM_WorkOrderStatus.WorkOrderRecNr", "workorderrecnr", grmi.TypeInt)
var WorkOrderStatus_MaintWorkOrderId = grmi.NewField("MaintWorkOrderId", "PM_WorkOrderStatus.MaintWorkOrderId", "maintworkorderid", grmi.TypeString)
var WorkOrderStatus_Operator = grmi.NewField("Operator", "PM_WorkOrderStatus.Operator", "operator", grmi.TypeInt)
var WorkOrderStatus_WorkOrderBagType = grmi.NewField("WorkOrderBagType", "PM_WorkOrderStatus.WorkOrderBagType", "workorderbagtype", grmi.TypeString)
var WorkOrderStatus_StatusFrom = grmi.NewField("StatusFrom", "PM_WorkOrderStatus.StatusFrom", "statusfrom", grmi.TypeInt)
var WorkOrderStatus_StatusTo = grmi.NewField("StatusTo", "PM_WorkOrderStatus.StatusTo", "statusto", grmi.TypeInt)
var WorkOrderStatus_OperateTime = grmi.NewField("OperateTime", "PM_WorkOrderStatus.OperateTime", "operatetime", grmi.TypeDateTime)
var WorkOrderStatus_LastModify = grmi.NewField("LastModify", "PM_WorkOrderStatus.LastModify", "lastmodify", grmi.TypeDateTime)
var WorkOrderStatus_LastUser = grmi.NewField("LastUser", "PM_WorkOrderStatus.LastUser", "lastuser", grmi.TypeString)
var WorkOrderStatus_CreateTime = grmi.NewField("CreateTime", "PM_WorkOrderStatus.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkOrderStatus的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var WorkOrderStatus = grmi.NewEntity(
	"PM_WorkOrderStatus",
	func() interface{} { return &model.WorkOrderStatus{} },
	map[string]grmi.Field{
		WorkOrderStatus_PlantNr.Name:          WorkOrderStatus_PlantNr,
		WorkOrderStatus_WorkOrderRecNr.Name:   WorkOrderStatus_WorkOrderRecNr,
		WorkOrderStatus_MaintWorkOrderId.Name: WorkOrderStatus_MaintWorkOrderId,
		WorkOrderStatus_Operator.Name:         WorkOrderStatus_Operator,
		WorkOrderStatus_WorkOrderBagType.Name: WorkOrderStatus_WorkOrderBagType,
		WorkOrderStatus_StatusFrom.Name:       WorkOrderStatus_StatusFrom,
		WorkOrderStatus_StatusTo.Name:         WorkOrderStatus_StatusTo,
		WorkOrderStatus_OperateTime.Name:      WorkOrderStatus_OperateTime,
		WorkOrderStatus_LastModify.Name:       WorkOrderStatus_LastModify,
		WorkOrderStatus_LastUser.Name:         WorkOrderStatus_LastUser,
		WorkOrderStatus_CreateTime.Name:       WorkOrderStatus_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"MaintWorkOrderId", "Operator", "WorkOrderBagType", "StatusFrom", "StatusTo", "OperateTime", "LastUser"})
