// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package qm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/qm"
)

/******************************************************************************
 *
 * @Description              : DefectGrp的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var DefectGrp_PlantNr = grmi.NewField("PlantNr", "QM_DefectGrp.PlantNr", "plantnr", grmi.TypeInt)
var DefectGrp_DefectGrpId = grmi.NewField("DefectGrpId", "QM_DefectGrp.DefectGrpId", "defectgrpid", grmi.TypeString)
var DefectGrp_Descr = grmi.NewField("Descr", "QM_DefectGrp.Descr", "descr", grmi.TypeString)
var DefectGrp_LastModify = grmi.NewField("LastModify", "QM_DefectGrp.LastModify", "lastmodify", grmi.TypeDateTime)
var DefectGrp_LastUser = grmi.NewField("LastUser", "QM_DefectGrp.LastUser", "lastuser", grmi.TypeString)
var DefectGrp_CreateTime = grmi.NewField("CreateTime", "QM_DefectGrp.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : DefectGrp的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var DefectGrp = grmi.NewEntity(
	"QM_DefectGrp",
	func() interface{} { return &model.DefectGrp{} },
	map[string]grmi.Field{
		DefectGrp_PlantNr.Name:     DefectGrp_PlantNr,
		DefectGrp_DefectGrpId.Name: DefectGrp_DefectGrpId,
		DefectGrp_Descr.Name:       DefectGrp_Descr,
		DefectGrp_LastModify.Name:  DefectGrp_LastModify,
		DefectGrp_LastUser.Name:    DefectGrp_LastUser,
		DefectGrp_CreateTime.Name:  DefectGrp_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "LastUser"})
