// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package qm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/qm"
)

/******************************************************************************
 *
 * @Description              : DefectGrpReasonLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var DefectGrpReasonLst_PlantNr = grmi.NewField("PlantNr", "QM_DefectGrpReasonLst.PlantNr", "plantnr", grmi.TypeInt)
var DefectGrpReasonLst_DefectGrpId = grmi.NewField("DefectGrpId", "QM_DefectGrpReasonLst.DefectGrpId", "defectgrpid", grmi.TypeString)
var DefectGrpReasonLst_DefectReasonId = grmi.NewField("DefectReasonId", "QM_DefectGrpReasonLst.DefectReasonId", "defectreasonid", grmi.TypeString)
var DefectGrpReasonLst_Pos = grmi.NewField("Pos", "QM_DefectGrpReasonLst.pos", "pos", grmi.TypeInt)
var DefectGrpReasonLst_LastModify = grmi.NewField("LastModify", "QM_DefectGrpReasonLst.LastModify", "lastmodify", grmi.TypeDateTime)
var DefectGrpReasonLst_LastUser = grmi.NewField("LastUser", "QM_DefectGrpReasonLst.LastUser", "lastuser", grmi.TypeString)
var DefectGrpReasonLst_CreateTime = grmi.NewField("CreateTime", "QM_DefectGrpReasonLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : DefectGrpReasonLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var DefectGrpReasonLst = grmi.NewEntity(
	"QM_DefectGrpReasonLst",
	func() interface{} { return &model.DefectGrpReasonLst{} },
	map[string]grmi.Field{
		DefectGrpReasonLst_PlantNr.Name:        DefectGrpReasonLst_PlantNr,
		DefectGrpReasonLst_DefectGrpId.Name:    DefectGrpReasonLst_DefectGrpId,
		DefectGrpReasonLst_DefectReasonId.Name: DefectGrpReasonLst_DefectReasonId,
		DefectGrpReasonLst_Pos.Name:            DefectGrpReasonLst_Pos,
		DefectGrpReasonLst_LastModify.Name:     DefectGrpReasonLst_LastModify,
		DefectGrpReasonLst_LastUser.Name:       DefectGrpReasonLst_LastUser,
		DefectGrpReasonLst_CreateTime.Name:     DefectGrpReasonLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"pos", "LastUser"})
