// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package qm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/qm"
)

/******************************************************************************
 *
 * @Description              : ReclinerReclst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-12 14:05:20
 *
 ******************************************************************************/
var ReclinerReclst_PlantNr = grmi.NewField("PlantNr", "QM_ReclinerReclst.PlantNr", "plantnr", grmi.TypeInt)
var ReclinerReclst_RecNr = grmi.NewField("RecNr", "QM_ReclinerReclst.RecNr", "recnr", grmi.TypeInt)
var ReclinerReclst_Line = grmi.NewField("Line", "QM_ReclinerReclst.Line", "line", grmi.TypeString)
var ReclinerReclst_ArtId = grmi.NewField("ArtId", "QM_ReclinerReclst.ArtId", "artid", grmi.TypeString)
var ReclinerReclst_SerialOrderId = grmi.NewField("SerialOrderId", "QM_ReclinerReclst.SerialOrderId", "serialorderid", grmi.TypeString)
var ReclinerReclst_ReclinerNr = grmi.NewField("ReclinerNr", "QM_ReclinerReclst.ReclinerNr", "reclinernr", grmi.TypeString)
var ReclinerReclst_ItemPartNr = grmi.NewField("ItemPartNr", "QM_ReclinerReclst.ItemPartNr", "itempartnr", grmi.TypeString)
var ReclinerReclst_Status = grmi.NewField("Status", "QM_ReclinerReclst.Status", "status", grmi.TypeString)
var ReclinerReclst_LastModify = grmi.NewField("LastModify", "QM_ReclinerReclst.LastModify", "lastmodify", grmi.TypeDateTime)
var ReclinerReclst_LastUser = grmi.NewField("LastUser", "QM_ReclinerReclst.LastUser", "lastuser", grmi.TypeString)
var ReclinerReclst_CreateTime = grmi.NewField("CreateTime", "QM_ReclinerReclst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ReclinerReclst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-12 14:05:20
 *
 ******************************************************************************/
var ReclinerReclst = grmi.NewEntity(
	"QM_ReclinerReclst",
	func() interface{} { return &model.ReclinerReclst{} },
	map[string]grmi.Field{
		ReclinerReclst_PlantNr.Name:       ReclinerReclst_PlantNr,
		ReclinerReclst_RecNr.Name:         ReclinerReclst_RecNr,
		ReclinerReclst_Line.Name:          ReclinerReclst_Line,
		ReclinerReclst_ArtId.Name:         ReclinerReclst_ArtId,
		ReclinerReclst_SerialOrderId.Name: ReclinerReclst_SerialOrderId,
		ReclinerReclst_ReclinerNr.Name:    ReclinerReclst_ReclinerNr,
		ReclinerReclst_ItemPartNr.Name:    ReclinerReclst_ItemPartNr,
		ReclinerReclst_Status.Name:        ReclinerReclst_Status,
		ReclinerReclst_LastModify.Name:    ReclinerReclst_LastModify,
		ReclinerReclst_LastUser.Name:      ReclinerReclst_LastUser,
		ReclinerReclst_CreateTime.Name:    ReclinerReclst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"ArtId", "SerialOrderId", "ReclinerNr", "ItemPartNr", "Status", "LastUser"})
