// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package qm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/qm"
)

/******************************************************************************
 *
 * @Description              : ViewDefectlst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var ViewDefectlst_PlantNr = grmi.NewField("PlantNr", "QM_ViewDefectlst.PlantNr", "plantnr", grmi.TypeInt)
var ViewDefectlst_ViewId = grmi.NewField("ViewId", "QM_ViewDefectlst.ViewId", "viewid", grmi.TypeString)
var ViewDefectlst_DefectReasonId = grmi.NewField("DefectReasonId", "QM_ViewDefectlst.DefectReasonId", "defectreasonid", grmi.TypeString)
var ViewDefectlst_Pos = grmi.NewField("Pos", "QM_ViewDefectlst.Pos", "pos", grmi.TypeInt)
var ViewDefectlst_LastModify = grmi.NewField("LastModify", "QM_ViewDefectlst.LastModify", "lastmodify", grmi.TypeDateTime)
var ViewDefectlst_LastUser = grmi.NewField("LastUser", "QM_ViewDefectlst.LastUser", "lastuser", grmi.TypeString)
var ViewDefectlst_CreateTime = grmi.NewField("CreateTime", "QM_ViewDefectlst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ViewDefectlst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var ViewDefectlst = grmi.NewEntity(
	"QM_ViewDefectlst",
	func() interface{} { return &model.ViewDefectlst{} },
	map[string]grmi.Field{
		ViewDefectlst_PlantNr.Name:        ViewDefectlst_PlantNr,
		ViewDefectlst_ViewId.Name:         ViewDefectlst_ViewId,
		ViewDefectlst_DefectReasonId.Name: ViewDefectlst_DefectReasonId,
		ViewDefectlst_Pos.Name:            ViewDefectlst_Pos,
		ViewDefectlst_LastModify.Name:     ViewDefectlst_LastModify,
		ViewDefectlst_LastUser.Name:       ViewDefectlst_LastUser,
		ViewDefectlst_CreateTime.Name:     ViewDefectlst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Pos", "LastUser"})
