// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package report

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/report"
)

/******************************************************************************
 *
 * @Description              : DisplayParam的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-24 15:31:29
 *
 ******************************************************************************/
var DisplayParam_DisplayId = grmi.NewField("DisplayId", "RP_DisplayParam.DisplayId", "displayid", grmi.TypeInt)
var DisplayParam_Pos = grmi.NewField("Pos", "RP_DisplayParam.Pos", "pos", grmi.TypeInt)
var DisplayParam_ParamName = grmi.NewField("ParamName", "RP_DisplayParam.ParamName", "paramname", grmi.TypeString)
var DisplayParam_CtrlPara1 = grmi.NewField("CtrlPara1", "RP_DisplayParam.CtrlPara1", "ctrlpara1", grmi.TypeInt)
var DisplayParam_CtrlPara2 = grmi.NewField("CtrlPara2", "RP_DisplayParam.CtrlPara2", "ctrlpara2", grmi.TypeInt)
var DisplayParam_CtrlPara3 = grmi.NewField("CtrlPara3", "RP_DisplayParam.CtrlPara3", "ctrlpara3", grmi.TypeFloat64)
var DisplayParam_CtrlPara4 = grmi.NewField("CtrlPara4", "RP_DisplayParam.CtrlPara4", "ctrlpara4", grmi.TypeFloat64)
var DisplayParam_CtrlPara5 = grmi.NewField("CtrlPara5", "RP_DisplayParam.CtrlPara5", "ctrlpara5", grmi.TypeString)
var DisplayParam_CtrlPara6 = grmi.NewField("CtrlPara6", "RP_DisplayParam.CtrlPara6", "ctrlpara6", grmi.TypeString)
var DisplayParam_LastModify = grmi.NewField("LastModify", "RP_DisplayParam.LastModify", "lastmodify", grmi.TypeDateTime)
var DisplayParam_LastUser = grmi.NewField("LastUser", "RP_DisplayParam.LastUser", "lastuser", grmi.TypeString)
var DisplayParam_CreateTime = grmi.NewField("CreateTime", "RP_DisplayParam.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : DisplayParam的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-24 15:31:29
 *
 ******************************************************************************/
var DisplayParam = grmi.NewEntity(
	"RP_DisplayParam",
	func() interface{} { return &model.DisplayParam{} },
	map[string]grmi.Field{
		DisplayParam_DisplayId.Name:  DisplayParam_DisplayId,
		DisplayParam_Pos.Name:        DisplayParam_Pos,
		DisplayParam_ParamName.Name:  DisplayParam_ParamName,
		DisplayParam_CtrlPara1.Name:  DisplayParam_CtrlPara1,
		DisplayParam_CtrlPara2.Name:  DisplayParam_CtrlPara2,
		DisplayParam_CtrlPara3.Name:  DisplayParam_CtrlPara3,
		DisplayParam_CtrlPara4.Name:  DisplayParam_CtrlPara4,
		DisplayParam_CtrlPara5.Name:  DisplayParam_CtrlPara5,
		DisplayParam_CtrlPara6.Name:  DisplayParam_CtrlPara6,
		DisplayParam_LastModify.Name: DisplayParam_LastModify,
		DisplayParam_LastUser.Name:   DisplayParam_LastUser,
		DisplayParam_CreateTime.Name: DisplayParam_CreateTime,
	},
	[]string{},
	[]string{"ParamName", "CtrlPara1", "CtrlPara2", "CtrlPara3", "CtrlPara4", "CtrlPara5", "CtrlPara6", "LastUser"})
