// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/wm"
)

/******************************************************************************
 *
 * @Description              : ArticlePickingRate的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var ArticlePickingRate_ArtId = grmi.NewField("ArtId", "WM_ArticlePickingRate.ArtId", "artid", grmi.TypeString)
var ArticlePickingRate_Priority = grmi.NewField("Priority", "WM_ArticlePickingRate.Priority", "priority", grmi.TypeInt)
var ArticlePickingRate_PickRateArea = grmi.NewField("PickRateArea", "WM_ArticlePickingRate.PickRateArea", "pickratearea", grmi.TypeString)
var ArticlePickingRate_Force = grmi.NewField("Force", "WM_ArticlePickingRate.Force", "force", grmi.TypeString)
var ArticlePickingRate_Uom = grmi.NewField("Uom", "WM_ArticlePickingRate.Uom", "uom", grmi.TypeString)
var ArticlePickingRate_Availiable = grmi.NewField("Availiable", "WM_ArticlePickingRate.Availiable", "availiable", grmi.TypeBool)
var ArticlePickingRate_OnStock = grmi.NewField("OnStock", "WM_ArticlePickingRate.OnStock", "onstock", grmi.TypeInt)
var ArticlePickingRate_APRCtrlPara1 = grmi.NewField("APRCtrlPara1", "WM_ArticlePickingRate.APRCtrlPara1", "aprctrlpara1", grmi.TypeString)
var ArticlePickingRate_APRCtrlPara2 = grmi.NewField("APRCtrlPara2", "WM_ArticlePickingRate.APRCtrlPara2", "aprctrlpara2", grmi.TypeString)
var ArticlePickingRate_APRCtrlPara3 = grmi.NewField("APRCtrlPara3", "WM_ArticlePickingRate.APRCtrlPara3", "aprctrlpara3", grmi.TypeInt)
var ArticlePickingRate_APRCtrlPara4 = grmi.NewField("APRCtrlPara4", "WM_ArticlePickingRate.APRCtrlPara4", "aprctrlpara4", grmi.TypeInt)
var ArticlePickingRate_APRCtrlPara5 = grmi.NewField("APRCtrlPara5", "WM_ArticlePickingRate.APRCtrlPara5", "aprctrlpara5", grmi.TypeFloat64)
var ArticlePickingRate_APRCtrlPara6 = grmi.NewField("APRCtrlPara6", "WM_ArticlePickingRate.APRCtrlPara6", "aprctrlpara6", grmi.TypeFloat64)
var ArticlePickingRate_LastModify = grmi.NewField("LastModify", "WM_ArticlePickingRate.LastModify", "lastmodify", grmi.TypeDateTime)
var ArticlePickingRate_LastUser = grmi.NewField("LastUser", "WM_ArticlePickingRate.LastUser", "lastuser", grmi.TypeString)
var ArticlePickingRate_CreateTime = grmi.NewField("CreateTime", "WM_ArticlePickingRate.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ArticlePickingRate的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var ArticlePickingRate = grmi.NewEntity(
	"WM_ArticlePickingRate",
	func() interface{} { return &model.ArticlePickingRate{} },
	map[string]grmi.Field{
		ArticlePickingRate_ArtId.Name:        ArticlePickingRate_ArtId,
		ArticlePickingRate_Priority.Name:     ArticlePickingRate_Priority,
		ArticlePickingRate_PickRateArea.Name: ArticlePickingRate_PickRateArea,
		ArticlePickingRate_Force.Name:        ArticlePickingRate_Force,
		ArticlePickingRate_Uom.Name:          ArticlePickingRate_Uom,
		ArticlePickingRate_Availiable.Name:   ArticlePickingRate_Availiable,
		ArticlePickingRate_OnStock.Name:      ArticlePickingRate_OnStock,
		ArticlePickingRate_APRCtrlPara1.Name: ArticlePickingRate_APRCtrlPara1,
		ArticlePickingRate_APRCtrlPara2.Name: ArticlePickingRate_APRCtrlPara2,
		ArticlePickingRate_APRCtrlPara3.Name: ArticlePickingRate_APRCtrlPara3,
		ArticlePickingRate_APRCtrlPara4.Name: ArticlePickingRate_APRCtrlPara4,
		ArticlePickingRate_APRCtrlPara5.Name: ArticlePickingRate_APRCtrlPara5,
		ArticlePickingRate_APRCtrlPara6.Name: ArticlePickingRate_APRCtrlPara6,
		ArticlePickingRate_LastModify.Name:   ArticlePickingRate_LastModify,
		ArticlePickingRate_LastUser.Name:     ArticlePickingRate_LastUser,
		ArticlePickingRate_CreateTime.Name:   ArticlePickingRate_CreateTime,
	},
	[]string{},
	[]string{"Priority", "PickRateArea", "Force", "Uom", "Availiable", "OnStock", "APRCtrlPara1", "APRCtrlPara2", "APRCtrlPara3", "APRCtrlPara4", "APRCtrlPara5", "APRCtrlPara6", "LastUser"})
