// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/wm"
)

/******************************************************************************
 *
 * @Description              : AssertArtLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var AssertArtLst_AssertId = grmi.NewField("AssertId", "WM_AssertArtLst.AssertId", "assertid", grmi.TypeString)
var AssertArtLst_ArtId = grmi.NewField("ArtId", "WM_AssertArtLst.ArtId", "artid", grmi.TypeString)
var AssertArtLst_Pos = grmi.NewField("Pos", "WM_AssertArtLst.Pos", "pos", grmi.TypeInt)
var AssertArtLst_Qty = grmi.NewField("Qty", "WM_AssertArtLst.Qty", "qty", grmi.TypeFloat64)
var AssertArtLst_Uom = grmi.NewField("Uom", "WM_AssertArtLst.Uom", "uom", grmi.TypeString)
var AssertArtLst_CtrlLevel = grmi.NewField("CtrlLevel", "WM_AssertArtLst.CtrlLevel", "ctrllevel", grmi.TypeInt)
var AssertArtLst_CtrlPara1 = grmi.NewField("CtrlPara1", "WM_AssertArtLst.CtrlPara1", "ctrlpara1", grmi.TypeInt)
var AssertArtLst_CtrlPara2 = grmi.NewField("CtrlPara2", "WM_AssertArtLst.CtrlPara2", "ctrlpara2", grmi.TypeInt)
var AssertArtLst_CtrlPara3 = grmi.NewField("CtrlPara3", "WM_AssertArtLst.CtrlPara3", "ctrlpara3", grmi.TypeString)
var AssertArtLst_CtrlPara4 = grmi.NewField("CtrlPara4", "WM_AssertArtLst.CtrlPara4", "ctrlpara4", grmi.TypeString)
var AssertArtLst_LastModify = grmi.NewField("LastModify", "WM_AssertArtLst.LastModify", "lastmodify", grmi.TypeDateTime)
var AssertArtLst_LastUser = grmi.NewField("LastUser", "WM_AssertArtLst.LastUser", "lastuser", grmi.TypeString)
var AssertArtLst_CreateTime = grmi.NewField("CreateTime", "WM_AssertArtLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : AssertArtLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var AssertArtLst = grmi.NewEntity(
	"WM_AssertArtLst",
	func() interface{} { return &model.AssertArtLst{} },
	map[string]grmi.Field{
		AssertArtLst_AssertId.Name:   AssertArtLst_AssertId,
		AssertArtLst_ArtId.Name:      AssertArtLst_ArtId,
		AssertArtLst_Pos.Name:        AssertArtLst_Pos,
		AssertArtLst_Qty.Name:        AssertArtLst_Qty,
		AssertArtLst_Uom.Name:        AssertArtLst_Uom,
		AssertArtLst_CtrlLevel.Name:  AssertArtLst_CtrlLevel,
		AssertArtLst_CtrlPara1.Name:  AssertArtLst_CtrlPara1,
		AssertArtLst_CtrlPara2.Name:  AssertArtLst_CtrlPara2,
		AssertArtLst_CtrlPara3.Name:  AssertArtLst_CtrlPara3,
		AssertArtLst_CtrlPara4.Name:  AssertArtLst_CtrlPara4,
		AssertArtLst_LastModify.Name: AssertArtLst_LastModify,
		AssertArtLst_LastUser.Name:   AssertArtLst_LastUser,
		AssertArtLst_CreateTime.Name: AssertArtLst_CreateTime,
	},
	[]string{},
	[]string{"Pos", "Qty", "Uom", "CtrlLevel", "CtrlPara1", "CtrlPara2", "CtrlPara3", "CtrlPara4", "LastUser"})
