// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/wm"
)

/******************************************************************************
 *
 * @Description              : GoodsReceiptLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var GoodsReceiptLst_GoodsReceiptId = grmi.NewField("GoodsReceiptId", "WM_GoodsReceiptLst.GoodsReceiptId", "goodsreceiptid", grmi.TypeString)
var GoodsReceiptLst_GRPos = grmi.NewField("GRPos", "WM_GoodsReceiptLst.GRPos", "grpos", grmi.TypeInt)
var GoodsReceiptLst_GRLPos = grmi.NewField("GRLPos", "WM_GoodsReceiptLst.GRLPos", "grlpos", grmi.TypeInt)
var GoodsReceiptLst_WarehouseId = grmi.NewField("WarehouseId", "WM_GoodsReceiptLst.WarehouseId", "warehouseid", grmi.TypeString)
var GoodsReceiptLst_StorageAreaId = grmi.NewField("StorageAreaId", "WM_GoodsReceiptLst.StorageAreaId", "storageareaid", grmi.TypeString)
var GoodsReceiptLst_StorageBinId = grmi.NewField("StorageBinId", "WM_GoodsReceiptLst.StorageBinId", "storagebinid", grmi.TypeString)
var GoodsReceiptLst_StorageRackId = grmi.NewField("StorageRackId", "WM_GoodsReceiptLst.StorageRackId", "StorageRackid", grmi.TypeString)
var GoodsReceiptLst_Qty = grmi.NewField("Qty", "WM_GoodsReceiptLst.Qty", "qty", grmi.TypeFloat64)
var GoodsReceiptLst_CtrlPara1 = grmi.NewField("CtrlPara1", "WM_GoodsReceiptLst.CtrlPara1", "ctrlpara1", grmi.TypeString)
var GoodsReceiptLst_CtrlPara2 = grmi.NewField("CtrlPara2", "WM_GoodsReceiptLst.CtrlPara2", "ctrlpara2", grmi.TypeString)
var GoodsReceiptLst_CtrlPara3 = grmi.NewField("CtrlPara3", "WM_GoodsReceiptLst.CtrlPara3", "ctrlpara3", grmi.TypeInt)
var GoodsReceiptLst_CtrlPara4 = grmi.NewField("CtrlPara4", "WM_GoodsReceiptLst.CtrlPara4", "ctrlpara4", grmi.TypeInt)
var GoodsReceiptLst_CtrlPara5 = grmi.NewField("CtrlPara5", "WM_GoodsReceiptLst.CtrlPara5", "ctrlpara5", grmi.TypeFloat64)
var GoodsReceiptLst_CtrlPara6 = grmi.NewField("CtrlPara6", "WM_GoodsReceiptLst.CtrlPara6", "ctrlpara6", grmi.TypeFloat64)
var GoodsReceiptLst_LastModify = grmi.NewField("LastModify", "WM_GoodsReceiptLst.LastModify", "lastmodify", grmi.TypeDateTime)
var GoodsReceiptLst_LastUser = grmi.NewField("LastUser", "WM_GoodsReceiptLst.LastUser", "lastuser", grmi.TypeString)
var GoodsReceiptLst_CreateTime = grmi.NewField("CreateTime", "WM_GoodsReceiptLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : GoodsReceiptLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var GoodsReceiptLst = grmi.NewEntity(
	"WM_GoodsReceiptLst",
	func() interface{} { return &model.GoodsReceiptLst{} },
	map[string]grmi.Field{
		GoodsReceiptLst_GoodsReceiptId.Name: GoodsReceiptLst_GoodsReceiptId,
		GoodsReceiptLst_GRPos.Name:          GoodsReceiptLst_GRPos,
		GoodsReceiptLst_GRLPos.Name:         GoodsReceiptLst_GRLPos,
		GoodsReceiptLst_WarehouseId.Name:    GoodsReceiptLst_WarehouseId,
		GoodsReceiptLst_StorageAreaId.Name:  GoodsReceiptLst_StorageAreaId,
		GoodsReceiptLst_StorageBinId.Name:   GoodsReceiptLst_StorageBinId,
		GoodsReceiptLst_StorageRackId.Name:  GoodsReceiptLst_StorageRackId,
		GoodsReceiptLst_Qty.Name:            GoodsReceiptLst_Qty,
		GoodsReceiptLst_CtrlPara1.Name:      GoodsReceiptLst_CtrlPara1,
		GoodsReceiptLst_CtrlPara2.Name:      GoodsReceiptLst_CtrlPara2,
		GoodsReceiptLst_CtrlPara3.Name:      GoodsReceiptLst_CtrlPara3,
		GoodsReceiptLst_CtrlPara4.Name:      GoodsReceiptLst_CtrlPara4,
		GoodsReceiptLst_CtrlPara5.Name:      GoodsReceiptLst_CtrlPara5,
		GoodsReceiptLst_CtrlPara6.Name:      GoodsReceiptLst_CtrlPara6,
		GoodsReceiptLst_LastModify.Name:     GoodsReceiptLst_LastModify,
		GoodsReceiptLst_LastUser.Name:       GoodsReceiptLst_LastUser,
		GoodsReceiptLst_CreateTime.Name:     GoodsReceiptLst_CreateTime,
	},
	[]string{},
	[]string{"WarehouseId", "StorageAreaId", "StorageBinId", "StorageRackId", "Qty", "CtrlPara1", "CtrlPara2", "CtrlPara3", "CtrlPara4", "CtrlPara5", "CtrlPara6", "LastUser"})
