// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/wm"
)

/******************************************************************************
 *
 * @Description              : InventoryCheckLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
var InventoryCheckLst_InventoryCheckId = grmi.NewField("InventoryCheckId", "WM_InventoryCheckLst.InventoryCheckId", "inventorycheckid", grmi.TypeString)
var InventoryCheckLst_ICDPos = grmi.NewField("ICDPos", "WM_InventoryCheckLst.ICDPos", "icdpos", grmi.TypeInt)
var InventoryCheckLst_ICLPos = grmi.NewField("ICLPos", "WM_InventoryCheckLst.ICLPos", "iclpos", grmi.TypeInt)
var InventoryCheckLst_StorageBinId = grmi.NewField("StorageBinId", "WM_InventoryCheckLst.StorageBinId", "storagebinid", grmi.TypeString)
var InventoryCheckLst_WarehouseId = grmi.NewField("WarehouseId", "WM_InventoryCheckLst.WarehouseId", "warehouseid", grmi.TypeString)
var InventoryCheckLst_ArtId = grmi.NewField("ArtId", "WM_InventoryCheckLst.ArtId", "artid", grmi.TypeString)
var InventoryCheckLst_ArtName = grmi.NewField("ArtName", "WM_InventoryCheckLst.ArtName", "artname", grmi.TypeString)
var InventoryCheckLst_ArtType = grmi.NewField("ArtType", "WM_InventoryCheckLst.ArtType", "arttype", grmi.TypeString)
var InventoryCheckLst_OriginQty = grmi.NewField("OriginQty", "WM_InventoryCheckLst.OriginQty", "originqty", grmi.TypeFloat64)
var InventoryCheckLst_ActQty = grmi.NewField("ActQty", "WM_InventoryCheckLst.ActQty", "actqty", grmi.TypeFloat64)
var InventoryCheckLst_QtyUom = grmi.NewField("QtyUom", "WM_InventoryCheckLst.QtyUom", "qtyuom", grmi.TypeString)
var InventoryCheckLst_ICLCtrlPara1 = grmi.NewField("ICLCtrlPara1", "WM_InventoryCheckLst.ICLCtrlPara1", "iclctrlpara1", grmi.TypeInt)
var InventoryCheckLst_ICLCtrlPara2 = grmi.NewField("ICLCtrlPara2", "WM_InventoryCheckLst.ICLCtrlPara2", "iclctrlpara2", grmi.TypeInt)
var InventoryCheckLst_ICLCtrlPara3 = grmi.NewField("ICLCtrlPara3", "WM_InventoryCheckLst.ICLCtrlPara3", "iclctrlpara3", grmi.TypeString)
var InventoryCheckLst_ICLCtrlPara4 = grmi.NewField("ICLCtrlPara4", "WM_InventoryCheckLst.ICLCtrlPara4", "iclctrlpara4", grmi.TypeString)
var InventoryCheckLst_ICLCtrlPara5 = grmi.NewField("ICLCtrlPara5", "WM_InventoryCheckLst.ICLCtrlPara5", "iclctrlpara5", grmi.TypeFloat64)
var InventoryCheckLst_ICLCtrlPara6 = grmi.NewField("ICLCtrlPara6", "WM_InventoryCheckLst.ICLCtrlPara6", "iclctrlpara6", grmi.TypeFloat64)
var InventoryCheckLst_CheckResult = grmi.NewField("CheckResult", "WM_InventoryCheckLst.CheckResult", "checkresult", grmi.TypeString)
var InventoryCheckLst_ResultExplain = grmi.NewField("ResultExplain", "WM_InventoryCheckLst.ResultExplain", "resultexplain", grmi.TypeString)
var InventoryCheckLst_LastModify = grmi.NewField("LastModify", "WM_InventoryCheckLst.LastModify", "lastmodify", grmi.TypeDateTime)
var InventoryCheckLst_LastUser = grmi.NewField("LastUser", "WM_InventoryCheckLst.LastUser", "lastuser", grmi.TypeString)
var InventoryCheckLst_CreateTime = grmi.NewField("CreateTime", "WM_InventoryCheckLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : InventoryCheckLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
var InventoryCheckLst = grmi.NewEntity(
	"WM_InventoryCheckLst",
	func() interface{} { return &model.InventoryCheckLst{} },
	map[string]grmi.Field{
		InventoryCheckLst_InventoryCheckId.Name: InventoryCheckLst_InventoryCheckId,
		InventoryCheckLst_ICDPos.Name:           InventoryCheckLst_ICDPos,
		InventoryCheckLst_ICLPos.Name:           InventoryCheckLst_ICLPos,
		InventoryCheckLst_StorageBinId.Name:     InventoryCheckLst_StorageBinId,
		InventoryCheckLst_WarehouseId.Name:      InventoryCheckLst_WarehouseId,
		InventoryCheckLst_ArtId.Name:            InventoryCheckLst_ArtId,
		InventoryCheckLst_ArtName.Name:          InventoryCheckLst_ArtName,
		InventoryCheckLst_ArtType.Name:          InventoryCheckLst_ArtType,
		InventoryCheckLst_OriginQty.Name:        InventoryCheckLst_OriginQty,
		InventoryCheckLst_ActQty.Name:           InventoryCheckLst_ActQty,
		InventoryCheckLst_QtyUom.Name:           InventoryCheckLst_QtyUom,
		InventoryCheckLst_ICLCtrlPara1.Name:     InventoryCheckLst_ICLCtrlPara1,
		InventoryCheckLst_ICLCtrlPara2.Name:     InventoryCheckLst_ICLCtrlPara2,
		InventoryCheckLst_ICLCtrlPara3.Name:     InventoryCheckLst_ICLCtrlPara3,
		InventoryCheckLst_ICLCtrlPara4.Name:     InventoryCheckLst_ICLCtrlPara4,
		InventoryCheckLst_ICLCtrlPara5.Name:     InventoryCheckLst_ICLCtrlPara5,
		InventoryCheckLst_ICLCtrlPara6.Name:     InventoryCheckLst_ICLCtrlPara6,
		InventoryCheckLst_CheckResult.Name:      InventoryCheckLst_CheckResult,
		InventoryCheckLst_ResultExplain.Name:    InventoryCheckLst_ResultExplain,
		InventoryCheckLst_LastModify.Name:       InventoryCheckLst_LastModify,
		InventoryCheckLst_LastUser.Name:         InventoryCheckLst_LastUser,
		InventoryCheckLst_CreateTime.Name:       InventoryCheckLst_CreateTime,
	},
	[]string{},
	[]string{"StorageBinId", "WarehouseId", "ArtId", "ArtName", "ArtType", "OriginQty", "ActQty", "QtyUom", "ICLCtrlPara1", "ICLCtrlPara2", "ICLCtrlPara3", "ICLCtrlPara4", "ICLCtrlPara5", "ICLCtrlPara6", "CheckResult", "ResultExplain", "LastUser"})
