// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/wm"
)

/******************************************************************************
 *
 * @Description              : ReplenishOrder的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 16:17:08
 *
 ******************************************************************************/
var ReplenishOrder_ReplenishId = grmi.NewField("ReplenishId", "WM_ReplenishOrder.ReplenishId", "replenishid", grmi.TypeString)
var ReplenishOrder_ArtId = grmi.NewField("ArtId", "WM_ReplenishOrder.ArtId", "artid", grmi.TypeString)
var ReplenishOrder_Qty = grmi.NewField("Qty", "WM_ReplenishOrder.Qty", "qty", grmi.TypeFloat64)
var ReplenishOrder_Uom = grmi.NewField("Uom", "WM_ReplenishOrder.Uom", "uom", grmi.TypeString)
var ReplenishOrder_ReplenishTime = grmi.NewField("ReplenishTime", "WM_ReplenishOrder.ReplenishTime", "replenishtime", grmi.TypeDateTime)
var ReplenishOrder_ArtType = grmi.NewField("ArtType", "WM_ReplenishOrder.ArtType", "arttype", grmi.TypeString)
var ReplenishOrder_ArtName = grmi.NewField("ArtName", "WM_ReplenishOrder.ArtName", "artname", grmi.TypeString)
var ReplenishOrder_Status = grmi.NewField("Status", "WM_ReplenishOrder.Status", "status", grmi.TypeInt)
var ReplenishOrder_LastModify = grmi.NewField("LastModify", "WM_ReplenishOrder.LastModify", "lastmodify", grmi.TypeDateTime)
var ReplenishOrder_LastUser = grmi.NewField("LastUser", "WM_ReplenishOrder.LastUser", "lastuser", grmi.TypeString)
var ReplenishOrder_CreateTime = grmi.NewField("CreateTime", "WM_ReplenishOrder.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ReplenishOrder的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 16:17:08
 *
 ******************************************************************************/
var ReplenishOrder = grmi.NewEntity(
	"WM_ReplenishOrder",
	func() interface{} { return &model.ReplenishOrder{} },
	map[string]grmi.Field{
		ReplenishOrder_ReplenishId.Name:   ReplenishOrder_ReplenishId,
		ReplenishOrder_ArtId.Name:         ReplenishOrder_ArtId,
		ReplenishOrder_Qty.Name:           ReplenishOrder_Qty,
		ReplenishOrder_Uom.Name:           ReplenishOrder_Uom,
		ReplenishOrder_ReplenishTime.Name: ReplenishOrder_ReplenishTime,
		ReplenishOrder_ArtType.Name:       ReplenishOrder_ArtType,
		ReplenishOrder_ArtName.Name:       ReplenishOrder_ArtName,
		ReplenishOrder_Status.Name:        ReplenishOrder_Status,
		ReplenishOrder_LastModify.Name:    ReplenishOrder_LastModify,
		ReplenishOrder_LastUser.Name:      ReplenishOrder_LastUser,
		ReplenishOrder_CreateTime.Name:    ReplenishOrder_CreateTime,
	},
	[]string{},
	[]string{"ArtId", "Qty", "Uom", "ReplenishTime", "ArtType", "ArtName", "Status", "LastUser"})
