// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/wm"
)

/******************************************************************************
 *
 * @Description              : StockTransferDetail的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var StockTransferDetail_StockTransferId = grmi.NewField("StockTransferId", "WM_StockTransferDetail.StockTransferId", "stocktransferid", grmi.TypeString)
var StockTransferDetail_STPos = grmi.NewField("STPos", "WM_StockTransferDetail.STPos", "stpos", grmi.TypeInt)
var StockTransferDetail_ArtId = grmi.NewField("ArtId", "WM_StockTransferDetail.ArtId", "artid", grmi.TypeString)
var StockTransferDetail_ArtName = grmi.NewField("ArtName", "WM_StockTransferDetail.ArtName", "artname", grmi.TypeString)
var StockTransferDetail_ArtType = grmi.NewField("ArtType", "WM_StockTransferDetail.ArtType", "arttype", grmi.TypeString)
var StockTransferDetail_Remark = grmi.NewField("Remark", "WM_StockTransferDetail.Remark", "remark", grmi.TypeString)
var StockTransferDetail_Auditor = grmi.NewField("Auditor", "WM_StockTransferDetail.Auditor", "auditor", grmi.TypeString)
var StockTransferDetail_AuditTime = grmi.NewField("AuditTime", "WM_StockTransferDetail.AuditTime", "audittime", grmi.TypeDateTime)
var StockTransferDetail_AuditStatus = grmi.NewField("AuditStatus", "WM_StockTransferDetail.AuditStatus", "auditstatus", grmi.TypeString)
var StockTransferDetail_BatchId = grmi.NewField("BatchId", "WM_StockTransferDetail.BatchId", "batchid", grmi.TypeString)
var StockTransferDetail_OrderedQty = grmi.NewField("OrderedQty", "WM_StockTransferDetail.OrderedQty", "orderedqty", grmi.TypeFloat64)
var StockTransferDetail_OrderType = grmi.NewField("OrderType", "WM_StockTransferDetail.OrderType", "ordertype", grmi.TypeString)
var StockTransferDetail_DeliveredQty = grmi.NewField("DeliveredQty", "WM_StockTransferDetail.DeliveredQty", "deliveredqty", grmi.TypeFloat64)
var StockTransferDetail_QtyUom = grmi.NewField("QtyUom", "WM_StockTransferDetail.QtyUom", "qtyuom", grmi.TypeString)
var StockTransferDetail_UnitPrice = grmi.NewField("UnitPrice", "WM_StockTransferDetail.UnitPrice", "unitprice", grmi.TypeFloat64)
var StockTransferDetail_TotalPrice = grmi.NewField("TotalPrice", "WM_StockTransferDetail.TotalPrice", "totalprice", grmi.TypeFloat64)
var StockTransferDetail_Currency = grmi.NewField("Currency", "WM_StockTransferDetail.Currency", "currency", grmi.TypeString)
var StockTransferDetail_InspectToggle = grmi.NewField("InspectToggle", "WM_StockTransferDetail.InspectToggle", "inspecttoggle", grmi.TypeBool)
var StockTransferDetail_InspectPlanId = grmi.NewField("InspectPlanId", "WM_StockTransferDetail.InspectPlanId", "inspectplanid", grmi.TypeString)
var StockTransferDetail_InspectStatus = grmi.NewField("InspectStatus", "WM_StockTransferDetail.InspectStatus", "inspectstatus", grmi.TypeString)
var StockTransferDetail_StorageBinId = grmi.NewField("StorageBinId", "WM_StockTransferDetail.StorageBinId", "storagebinid", grmi.TypeString)
var StockTransferDetail_StorageAreaId = grmi.NewField("StorageAreaId", "WM_StockTransferDetail.StorageAreaId", "storageareaid", grmi.TypeString)
var StockTransferDetail_WarehouseId = grmi.NewField("WarehouseId", "WM_StockTransferDetail.WarehouseId", "warehouseid", grmi.TypeString)
var StockTransferDetail_TargetStorageBinId = grmi.NewField("TargetStorageBinId", "WM_StockTransferDetail.TargetStorageBinId", "targetstoragebinid", grmi.TypeString)
var StockTransferDetail_TargetStorageAreaId = grmi.NewField("TargetStorageAreaId", "WM_StockTransferDetail.TargetStorageAreaId", "targetstorageareaid", grmi.TypeString)
var StockTransferDetail_TargetWarehouseId = grmi.NewField("TargetWarehouseId", "WM_StockTransferDetail.TargetWarehouseId", "targetwarehouseid", grmi.TypeString)
var StockTransferDetail_STICtrlPara1 = grmi.NewField("STICtrlPara1", "WM_StockTransferDetail.STICtrlPara1", "stictrlpara1", grmi.TypeInt)
var StockTransferDetail_STICtrlPara2 = grmi.NewField("STICtrlPara2", "WM_StockTransferDetail.STICtrlPara2", "stictrlpara2", grmi.TypeInt)
var StockTransferDetail_STICtrlPara3 = grmi.NewField("STICtrlPara3", "WM_StockTransferDetail.STICtrlPara3", "stictrlpara3", grmi.TypeInt)
var StockTransferDetail_STICtrlPara4 = grmi.NewField("STICtrlPara4", "WM_StockTransferDetail.STICtrlPara4", "stictrlpara4", grmi.TypeInt)
var StockTransferDetail_STICtrlPara5 = grmi.NewField("STICtrlPara5", "WM_StockTransferDetail.STICtrlPara5", "stictrlpara5", grmi.TypeString)
var StockTransferDetail_STICtrlPara6 = grmi.NewField("STICtrlPara6", "WM_StockTransferDetail.STICtrlPara6", "stictrlpara6", grmi.TypeString)
var StockTransferDetail_STICtrlPara7 = grmi.NewField("STICtrlPara7", "WM_StockTransferDetail.STICtrlPara7", "stictrlpara7", grmi.TypeString)
var StockTransferDetail_STICtrlPara8 = grmi.NewField("STICtrlPara8", "WM_StockTransferDetail.STICtrlPara8", "stictrlpara8", grmi.TypeString)
var StockTransferDetail_STICtrlPara9 = grmi.NewField("STICtrlPara9", "WM_StockTransferDetail.STICtrlPara9", "stictrlpara9", grmi.TypeFloat64)
var StockTransferDetail_STICtrlPara10 = grmi.NewField("STICtrlPara10", "WM_StockTransferDetail.STICtrlPara10", "stictrlpara10", grmi.TypeFloat64)
var StockTransferDetail_STICtrlPara11 = grmi.NewField("STICtrlPara11", "WM_StockTransferDetail.STICtrlPara11", "stictrlpara11", grmi.TypeFloat64)
var StockTransferDetail_STICtrlPara12 = grmi.NewField("STICtrlPara12", "WM_StockTransferDetail.STICtrlPara12", "stictrlpara12", grmi.TypeFloat64)
var StockTransferDetail_STICtrlPara13 = grmi.NewField("STICtrlPara13", "WM_StockTransferDetail.STICtrlPara13", "stictrlpara13", grmi.TypeDateTime)
var StockTransferDetail_STICtrlPara14 = grmi.NewField("STICtrlPara14", "WM_StockTransferDetail.STICtrlPara14", "stictrlpara14", grmi.TypeDateTime)
var StockTransferDetail_STICtrlPara15 = grmi.NewField("STICtrlPara15", "WM_StockTransferDetail.STICtrlPara15", "stictrlpara15", grmi.TypeDateTime)
var StockTransferDetail_STICtrlPara16 = grmi.NewField("STICtrlPara16", "WM_StockTransferDetail.STICtrlPara16", "stictrlpara16", grmi.TypeDateTime)
var StockTransferDetail_StorageRackId = grmi.NewField("StorageRackId", "WM_StockTransferDetail.StorageRackId", "StorageRackid", grmi.TypeString)
var StockTransferDetail_TargetStorageRackId = grmi.NewField("TargetStorageRackId", "WM_StockTransferDetail.TargetStorageRackId", "targetStorageRackid", grmi.TypeString)
var StockTransferDetail_LastModify = grmi.NewField("LastModify", "WM_StockTransferDetail.LastModify", "lastmodify", grmi.TypeDateTime)
var StockTransferDetail_LastUser = grmi.NewField("LastUser", "WM_StockTransferDetail.LastUser", "lastuser", grmi.TypeString)
var StockTransferDetail_CreateTime = grmi.NewField("CreateTime", "WM_StockTransferDetail.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : StockTransferDetail的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var StockTransferDetail = grmi.NewEntity(
	"WM_StockTransferDetail",
	func() interface{} { return &model.StockTransferDetail{} },
	map[string]grmi.Field{
		StockTransferDetail_StockTransferId.Name:     StockTransferDetail_StockTransferId,
		StockTransferDetail_STPos.Name:               StockTransferDetail_STPos,
		StockTransferDetail_ArtId.Name:               StockTransferDetail_ArtId,
		StockTransferDetail_ArtName.Name:             StockTransferDetail_ArtName,
		StockTransferDetail_ArtType.Name:             StockTransferDetail_ArtType,
		StockTransferDetail_Remark.Name:              StockTransferDetail_Remark,
		StockTransferDetail_Auditor.Name:             StockTransferDetail_Auditor,
		StockTransferDetail_AuditTime.Name:           StockTransferDetail_AuditTime,
		StockTransferDetail_AuditStatus.Name:         StockTransferDetail_AuditStatus,
		StockTransferDetail_BatchId.Name:             StockTransferDetail_BatchId,
		StockTransferDetail_OrderedQty.Name:          StockTransferDetail_OrderedQty,
		StockTransferDetail_OrderType.Name:           StockTransferDetail_OrderType,
		StockTransferDetail_DeliveredQty.Name:        StockTransferDetail_DeliveredQty,
		StockTransferDetail_QtyUom.Name:              StockTransferDetail_QtyUom,
		StockTransferDetail_UnitPrice.Name:           StockTransferDetail_UnitPrice,
		StockTransferDetail_TotalPrice.Name:          StockTransferDetail_TotalPrice,
		StockTransferDetail_Currency.Name:            StockTransferDetail_Currency,
		StockTransferDetail_InspectToggle.Name:       StockTransferDetail_InspectToggle,
		StockTransferDetail_InspectPlanId.Name:       StockTransferDetail_InspectPlanId,
		StockTransferDetail_InspectStatus.Name:       StockTransferDetail_InspectStatus,
		StockTransferDetail_StorageBinId.Name:        StockTransferDetail_StorageBinId,
		StockTransferDetail_StorageAreaId.Name:       StockTransferDetail_StorageAreaId,
		StockTransferDetail_WarehouseId.Name:         StockTransferDetail_WarehouseId,
		StockTransferDetail_TargetStorageBinId.Name:  StockTransferDetail_TargetStorageBinId,
		StockTransferDetail_TargetStorageAreaId.Name: StockTransferDetail_TargetStorageAreaId,
		StockTransferDetail_TargetWarehouseId.Name:   StockTransferDetail_TargetWarehouseId,
		StockTransferDetail_STICtrlPara1.Name:        StockTransferDetail_STICtrlPara1,
		StockTransferDetail_STICtrlPara2.Name:        StockTransferDetail_STICtrlPara2,
		StockTransferDetail_STICtrlPara3.Name:        StockTransferDetail_STICtrlPara3,
		StockTransferDetail_STICtrlPara4.Name:        StockTransferDetail_STICtrlPara4,
		StockTransferDetail_STICtrlPara5.Name:        StockTransferDetail_STICtrlPara5,
		StockTransferDetail_STICtrlPara6.Name:        StockTransferDetail_STICtrlPara6,
		StockTransferDetail_STICtrlPara7.Name:        StockTransferDetail_STICtrlPara7,
		StockTransferDetail_STICtrlPara8.Name:        StockTransferDetail_STICtrlPara8,
		StockTransferDetail_STICtrlPara9.Name:        StockTransferDetail_STICtrlPara9,
		StockTransferDetail_STICtrlPara10.Name:       StockTransferDetail_STICtrlPara10,
		StockTransferDetail_STICtrlPara11.Name:       StockTransferDetail_STICtrlPara11,
		StockTransferDetail_STICtrlPara12.Name:       StockTransferDetail_STICtrlPara12,
		StockTransferDetail_STICtrlPara13.Name:       StockTransferDetail_STICtrlPara13,
		StockTransferDetail_STICtrlPara14.Name:       StockTransferDetail_STICtrlPara14,
		StockTransferDetail_STICtrlPara15.Name:       StockTransferDetail_STICtrlPara15,
		StockTransferDetail_STICtrlPara16.Name:       StockTransferDetail_STICtrlPara16,
		StockTransferDetail_StorageRackId.Name:       StockTransferDetail_StorageRackId,
		StockTransferDetail_TargetStorageRackId.Name: StockTransferDetail_TargetStorageRackId,
		StockTransferDetail_LastModify.Name:          StockTransferDetail_LastModify,
		StockTransferDetail_LastUser.Name:            StockTransferDetail_LastUser,
		StockTransferDetail_CreateTime.Name:          StockTransferDetail_CreateTime,
	},
	[]string{},
	[]string{"ArtId", "ArtName", "ArtType", "Remark", "Auditor", "AuditTime", "AuditStatus", "BatchId", "OrderedQty", "OrderType", "DeliveredQty", "QtyUom", "UnitPrice", "TotalPrice", "Currency", "InspectToggle", "InspectPlanId", "InspectStatus", "StorageBinId", "StorageAreaId", "WarehouseId", "TargetStorageBinId", "TargetStorageAreaId", "TargetWarehouseId", "STICtrlPara1", "STICtrlPara2", "STICtrlPara3", "STICtrlPara4", "STICtrlPara5", "STICtrlPara6", "STICtrlPara7", "STICtrlPara8", "STICtrlPara9", "STICtrlPara10", "STICtrlPara11", "STICtrlPara12", "STICtrlPara13", "STICtrlPara14", "STICtrlPara15", "STICtrlPara16", "StorageRackId", "TargetStorageRackId", "LastUser"})
