// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/wm"
)

/******************************************************************************
 *
 * @Description              : StorageRack的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-05 10:40:38
 *
 ******************************************************************************/
var StorageRack_StorageRackId = grmi.NewField("StorageRackId", "WM_StorageRack.StorageRackId", "storagerackid", grmi.TypeString)
var StorageRack_WarehouseId = grmi.NewField("WarehouseId", "WM_StorageRack.WarehouseId", "warehouseid", grmi.TypeString)
var StorageRack_StorageAreaId = grmi.NewField("StorageAreaId", "WM_StorageRack.StorageAreaId", "storageareaid", grmi.TypeString)
var StorageRack_Descr = grmi.NewField("Descr", "WM_StorageRack.Descr", "descr", grmi.TypeString)
var StorageRack_Status = grmi.NewField("Status", "WM_StorageRack.Status", "status", grmi.TypeString)
var StorageRack_SRCtrlPara1 = grmi.NewField("SRCtrlPara1", "WM_StorageRack.SRCtrlPara1", "srctrlpara1", grmi.TypeString)
var StorageRack_SRCtrlPara2 = grmi.NewField("SRCtrlPara2", "WM_StorageRack.SRCtrlPara2", "srctrlpara2", grmi.TypeString)
var StorageRack_SRCtrlPara3 = grmi.NewField("SRCtrlPara3", "WM_StorageRack.SRCtrlPara3", "srctrlpara3", grmi.TypeInt)
var StorageRack_SRCtrlPara4 = grmi.NewField("SRCtrlPara4", "WM_StorageRack.SRCtrlPara4", "srctrlpara4", grmi.TypeInt)
var StorageRack_SRCtrlPara5 = grmi.NewField("SRCtrlPara5", "WM_StorageRack.SRCtrlPara5", "srctrlpara5", grmi.TypeFloat64)
var StorageRack_SRCtrlPara6 = grmi.NewField("SRCtrlPara6", "WM_StorageRack.SRCtrlPara6", "srctrlpara6", grmi.TypeFloat64)
var StorageRack_LastModify = grmi.NewField("LastModify", "WM_StorageRack.LastModify", "lastmodify", grmi.TypeDateTime)
var StorageRack_LastUser = grmi.NewField("LastUser", "WM_StorageRack.LastUser", "lastuser", grmi.TypeString)
var StorageRack_CreateTime = grmi.NewField("CreateTime", "WM_StorageRack.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : StorageRack的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-05 10:40:38
 *
 ******************************************************************************/
var StorageRack = grmi.NewEntity(
	"WM_StorageRack",
	func() interface{} { return &model.StorageRack{} },
	map[string]grmi.Field{
		StorageRack_StorageRackId.Name: StorageRack_StorageRackId,
		StorageRack_WarehouseId.Name:   StorageRack_WarehouseId,
		StorageRack_StorageAreaId.Name: StorageRack_StorageAreaId,
		StorageRack_Descr.Name:         StorageRack_Descr,
		StorageRack_Status.Name:        StorageRack_Status,
		StorageRack_SRCtrlPara1.Name:   StorageRack_SRCtrlPara1,
		StorageRack_SRCtrlPara2.Name:   StorageRack_SRCtrlPara2,
		StorageRack_SRCtrlPara3.Name:   StorageRack_SRCtrlPara3,
		StorageRack_SRCtrlPara4.Name:   StorageRack_SRCtrlPara4,
		StorageRack_SRCtrlPara5.Name:   StorageRack_SRCtrlPara5,
		StorageRack_SRCtrlPara6.Name:   StorageRack_SRCtrlPara6,
		StorageRack_LastModify.Name:    StorageRack_LastModify,
		StorageRack_LastUser.Name:      StorageRack_LastUser,
		StorageRack_CreateTime.Name:    StorageRack_CreateTime,
	},
	[]string{},
	[]string{"StorageAreaId", "Descr", "Status", "SRCtrlPara1", "SRCtrlPara2", "SRCtrlPara3", "SRCtrlPara4", "SRCtrlPara5", "SRCtrlPara6", "LastUser"})
