// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/wm"
)

/******************************************************************************
 *
 * @Description              : WorkArea的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var WorkArea_WorkAreaId = grmi.NewField("WorkAreaId", "WM_WorkArea.WorkAreaId", "workareaid", grmi.TypeString)
var WorkArea_WorkAreaType = grmi.NewField("WorkAreaType", "WM_WorkArea.WorkAreaType", "workareatype", grmi.TypeString)
var WorkArea_RelevanceId = grmi.NewField("RelevanceId", "WM_WorkArea.RelevanceId", "relevanceid", grmi.TypeString)
var WorkArea_WACtrlPara1 = grmi.NewField("WACtrlPara1", "WM_WorkArea.WACtrlPara1", "wactrlpara1", grmi.TypeInt)
var WorkArea_WACtrlPara2 = grmi.NewField("WACtrlPara2", "WM_WorkArea.WACtrlPara2", "wactrlpara2", grmi.TypeInt)
var WorkArea_WACtrlPara3 = grmi.NewField("WACtrlPara3", "WM_WorkArea.WACtrlPara3", "wactrlpara3", grmi.TypeString)
var WorkArea_WACtrlPara4 = grmi.NewField("WACtrlPara4", "WM_WorkArea.WACtrlPara4", "wactrlpara4", grmi.TypeString)
var WorkArea_LastModify = grmi.NewField("LastModify", "WM_WorkArea.LastModify", "lastmodify", grmi.TypeDateTime)
var WorkArea_LastUser = grmi.NewField("LastUser", "WM_WorkArea.LastUser", "lastuser", grmi.TypeString)
var WorkArea_CreateTime = grmi.NewField("CreateTime", "WM_WorkArea.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkArea的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var WorkArea = grmi.NewEntity(
	"WM_WorkArea",
	func() interface{} { return &model.WorkArea{} },
	map[string]grmi.Field{
		WorkArea_WorkAreaId.Name:   WorkArea_WorkAreaId,
		WorkArea_WorkAreaType.Name: WorkArea_WorkAreaType,
		WorkArea_RelevanceId.Name:  WorkArea_RelevanceId,
		WorkArea_WACtrlPara1.Name:  WorkArea_WACtrlPara1,
		WorkArea_WACtrlPara2.Name:  WorkArea_WACtrlPara2,
		WorkArea_WACtrlPara3.Name:  WorkArea_WACtrlPara3,
		WorkArea_WACtrlPara4.Name:  WorkArea_WACtrlPara4,
		WorkArea_LastModify.Name:   WorkArea_LastModify,
		WorkArea_LastUser.Name:     WorkArea_LastUser,
		WorkArea_CreateTime.Name:   WorkArea_CreateTime,
	},
	[]string{},
	[]string{"WorkAreaType", "RelevanceId", "WACtrlPara1", "WACtrlPara2", "WACtrlPara3", "WACtrlPara4", "LastUser"})
