// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/wm"
)

/******************************************************************************
 *
 * @Description              : WorkAreaUserLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var WorkAreaUserLst_WorkAreaId = grmi.NewField("WorkAreaId", "WM_WorkAreaUserLst.WorkAreaId", "workareaid", grmi.TypeString)
var WorkAreaUserLst_UserId = grmi.NewField("UserId", "WM_WorkAreaUserLst.UserId", "userid", grmi.TypeString)
var WorkAreaUserLst_Pos = grmi.NewField("Pos", "WM_WorkAreaUserLst.Pos", "pos", grmi.TypeInt)
var WorkAreaUserLst_CtrlLevel = grmi.NewField("CtrlLevel", "WM_WorkAreaUserLst.CtrlLevel", "ctrllevel", grmi.TypeInt)
var WorkAreaUserLst_CtrlPara1 = grmi.NewField("CtrlPara1", "WM_WorkAreaUserLst.CtrlPara1", "ctrlpara1", grmi.TypeInt)
var WorkAreaUserLst_CtrlPara2 = grmi.NewField("CtrlPara2", "WM_WorkAreaUserLst.CtrlPara2", "ctrlpara2", grmi.TypeInt)
var WorkAreaUserLst_CtrlPara3 = grmi.NewField("CtrlPara3", "WM_WorkAreaUserLst.CtrlPara3", "ctrlpara3", grmi.TypeString)
var WorkAreaUserLst_CtrlPara4 = grmi.NewField("CtrlPara4", "WM_WorkAreaUserLst.CtrlPara4", "ctrlpara4", grmi.TypeString)
var WorkAreaUserLst_LastModify = grmi.NewField("LastModify", "WM_WorkAreaUserLst.LastModify", "lastmodify", grmi.TypeDateTime)
var WorkAreaUserLst_LastUser = grmi.NewField("LastUser", "WM_WorkAreaUserLst.LastUser", "lastuser", grmi.TypeString)
var WorkAreaUserLst_CreateTime = grmi.NewField("CreateTime", "WM_WorkAreaUserLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkAreaUserLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var WorkAreaUserLst = grmi.NewEntity(
	"WM_WorkAreaUserLst",
	func() interface{} { return &model.WorkAreaUserLst{} },
	map[string]grmi.Field{
		WorkAreaUserLst_WorkAreaId.Name: WorkAreaUserLst_WorkAreaId,
		WorkAreaUserLst_UserId.Name:     WorkAreaUserLst_UserId,
		WorkAreaUserLst_Pos.Name:        WorkAreaUserLst_Pos,
		WorkAreaUserLst_CtrlLevel.Name:  WorkAreaUserLst_CtrlLevel,
		WorkAreaUserLst_CtrlPara1.Name:  WorkAreaUserLst_CtrlPara1,
		WorkAreaUserLst_CtrlPara2.Name:  WorkAreaUserLst_CtrlPara2,
		WorkAreaUserLst_CtrlPara3.Name:  WorkAreaUserLst_CtrlPara3,
		WorkAreaUserLst_CtrlPara4.Name:  WorkAreaUserLst_CtrlPara4,
		WorkAreaUserLst_LastModify.Name: WorkAreaUserLst_LastModify,
		WorkAreaUserLst_LastUser.Name:   WorkAreaUserLst_LastUser,
		WorkAreaUserLst_CreateTime.Name: WorkAreaUserLst_CreateTime,
	},
	[]string{},
	[]string{"Pos", "CtrlLevel", "CtrlPara1", "CtrlPara2", "CtrlPara3", "CtrlPara4", "LastUser"})
