// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package api

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : A30Mes
 *-----------------------------------------------------------------------------
 *
 * @Description              : A30Mes的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-11 17:38:55
 *
 ******************************************************************************/
type A30Mes struct {
	ClassName      string        `xorm:"pk nvarchar(50) 'class_name'" json:"A30_Mes-class_name"`
	ClassId        int           `xorm:"smallint 'class_id' not null" json:"A30_Mes-class_id"`
	ClassStartTime grmi.DateTime `xorm:"datetime 'class_start_time' not null" json:"A30_Mes-class_start_time"`
	ClassEndTime   grmi.DateTime `xorm:"datetime 'class_end_time' not null" json:"A30_Mes-class_end_time"`
	CycleTime      int           `xorm:"smallint 'cycle_time' not null" json:"A30_Mes-cycle_time"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-11 17:38:55
 *
 ******************************************************************************/
func (self *A30Mes) GetKey() core.PK {
	return core.PK{self.ClassName}
}
