// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ArticleRelLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : ArticleRelLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
type ArticleRelLst struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"ArticleRelLst-PlantNr"`
	ArtId       string        `xorm:"pk nvarchar(40) 'ArtId'" json:"ArticleRelLst-ArtId"`
	PID         string        `xorm:"pk nvarchar(40) 'PID'" json:"ArticleRelLst-PID"`
	OriginID    string        `xorm:"nvarchar(40) 'OriginID' not null" json:"ArticleRelLst-OriginID"`
	ComposeQty  float64       `xorm:"float 'ComposeQty' not null" json:"ArticleRelLst-ComposeQty"`
	ARCtrlPara1 string        `xorm:"nvarchar(40) 'ARCtrlPara1' not null" json:"ArticleRelLst-ARCtrlPara1"`
	ARCtrlPara2 string        `xorm:"nvarchar(40) 'ARCtrlPara2' not null" json:"ArticleRelLst-ARCtrlPara2"`
	ARCtrlPara3 int           `xorm:"int 'ARCtrlPara3' not null" json:"ArticleRelLst-ARCtrlPara3"`
	ARCtrlPara4 int           `xorm:"int 'ARCtrlPara4' not null" json:"ArticleRelLst-ARCtrlPara4"`
	ARCtrlPara5 float64       `xorm:"float 'ARCtrlPara5' not null" json:"ArticleRelLst-ARCtrlPara5"`
	ARCtrlPara6 float64       `xorm:"float 'ARCtrlPara6' not null" json:"ArticleRelLst-ARCtrlPara6"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"ArticleRelLst-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"ArticleRelLst-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"ArticleRelLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
func (self *ArticleRelLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ArtId, self.PID}
}
