// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : EtlLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : EtlLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
type EtlLst struct {
	PlantNr    int           `xorm:"pk int 'PlantNr'" json:"EtlLst-PlantNr"`
	EtlId      int           `xorm:"pk int 'EtlId'" json:"EtlLst-EtlId"`
	Pos        int           `xorm:"pk int 'Pos'" json:"EtlLst-Pos"`
	Table      string        `xorm:"varchar(32) 'Table'" json:"EtlLst-Table"`
	Field      string        `xorm:"varchar(32) 'Field'" json:"EtlLst-Field"`
	FieldName  string        `xorm:"varchar(64) 'FieldName'" json:"EtlLst-FieldName"`
	FieldType  string        `xorm:"varchar(10) 'FieldType'" json:"EtlLst-FieldType"`
	FuncSpec   string        `xorm:"varchar(128) 'FuncSpec'" json:"EtlLst-FuncSpec"`
	ToField    string        `xorm:"varchar(32) 'ToField'" json:"EtlLst-ToField"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"EtlLst-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"EtlLst-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"EtlLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
func (self *EtlLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.EtlId, self.Pos}
}
