// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : OPCMonitorComDetailRule
 *-----------------------------------------------------------------------------
 *
 * @Description              : OPCMonitorComDetailRule的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-22 15:49:36
 *
 ******************************************************************************/
type OPCMonitorComDetailRule struct {
	PlantNr                    int           `xorm:"pk int 'PlantNr'" json:"OPCMonitorComDetailRule-PlantNr"`
	WorkPlaceNr                int           `xorm:"pk int 'WorkPlaceNr'" json:"OPCMonitorComDetailRule-WorkPlaceNr"`
	MonitorPalletInPlace       int           `xorm:"pk int 'MonitorPalletInPlace'" json:"OPCMonitorComDetailRule-MonitorPalletInPlace"`
	MonitorManualRelease       int           `xorm:"pk int 'MonitorManualRelease'" json:"OPCMonitorComDetailRule-MonitorManualRelease"`
	MonitorProblemPieceRelease int           `xorm:"pk int 'MonitorProblemPieceRelease'" json:"OPCMonitorComDetailRule-MonitorProblemPieceRelease"`
	RuleId                     int           `xorm:"pk int 'RuleId'" json:"OPCMonitorComDetailRule-RuleId"`
	DetailId                   int           `xorm:"pk int 'DetailId'" json:"OPCMonitorComDetailRule-DetailId"`
	BaseOnType                 string        `xorm:"nvarchar(40) 'BaseOnType' not null" json:"OPCMonitorComDetailRule-BaseOnType"`
	BaseOnValue                string        `xorm:"nvarchar(40) 'BaseOnValue' not null" json:"OPCMonitorComDetailRule-BaseOnValue"`
	DataType                   string        `xorm:"nvarchar(40) 'DataType' not null" json:"OPCMonitorComDetailRule-DataType"`
	LastModify                 grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OPCMonitorComDetailRule-LastModify"`
	LastUser                   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OPCMonitorComDetailRule-LastUser"`
	CreateTime                 grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OPCMonitorComDetailRule-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-22 15:49:36
 *
 ******************************************************************************/
func (self *OPCMonitorComDetailRule) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkPlaceNr, self.MonitorPalletInPlace, self.MonitorManualRelease, self.MonitorProblemPieceRelease, self.RuleId, self.DetailId}
}
