// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : RoleMenu
 *-----------------------------------------------------------------------------
 *
 * @Description              : RoleMenu的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 15:04:54
 *
 ******************************************************************************/
type RoleMenu struct {
	RoleId     int           `xorm:"pk int 'RoleId'" json:"RoleMenu-RoleId"`
	MenuId     int           `xorm:"pk int 'MenuId'" json:"RoleMenu-MenuId"`
	RoleName   string        `xorm:"varchar(40) 'RoleName'" json:"RoleMenu-RoleName"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"RoleMenu-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"RoleMenu-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"RoleMenu-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 15:04:54
 *
 ******************************************************************************/
func (self *RoleMenu) GetKey() core.PK {
	return core.PK{self.RoleId, self.MenuId}
}
