// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : SpecArtShareAllocate
 *-----------------------------------------------------------------------------
 *
 * @Description              : SpecArtShareAllocate的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-14 14:51:48
 *
 ******************************************************************************/
type SpecArtShareAllocate struct {
	PlantNr       int           `xorm:"pk int 'PlantNr'" json:"SpecArtShareAllocate-PlantNr"`
	AttriCode     int           `xorm:"pk int 'AttriCode'" json:"SpecArtShareAllocate-AttriCode"`
	WorkLineId    string        `xorm:"pk nvarchar(40) 'WorkLineId'" json:"SpecArtShareAllocate-WorkLineId"`
	SubObject     string        `xorm:"pk nvarchar(40) 'SubObject'" json:"SpecArtShareAllocate-SubObject"`
	AttriCodeDesc string        `xorm:"nvarchar(100) 'AttriCodeDesc' not null" json:"SpecArtShareAllocate-AttriCodeDesc"`
	WorkPlaceNr   int           `xorm:"int 'WorkPlaceNr' not null" json:"SpecArtShareAllocate-WorkPlaceNr"`
	TotalPlanty   int           `xorm:"int 'TotalPlanty' not null" json:"SpecArtShareAllocate-TotalPlanty"`
	AssignPlanty  int           `xorm:"int 'AssignPlanty' not null" json:"SpecArtShareAllocate-AssignPlanty"`
	CtrlPara1     int           `xorm:"int 'CtrlPara1' not null" json:"SpecArtShareAllocate-CtrlPara1"`
	CtrlPara2     int           `xorm:"int 'CtrlPara2' not null" json:"SpecArtShareAllocate-CtrlPara2"`
	CtrlPara3     float64       `xorm:"float 'CtrlPara3' not null" json:"SpecArtShareAllocate-CtrlPara3"`
	CtrlPara4     float64       `xorm:"float 'CtrlPara4' not null" json:"SpecArtShareAllocate-CtrlPara4"`
	CtrlPara5     string        `xorm:"nvarchar(40) 'CtrlPara5' not null" json:"SpecArtShareAllocate-CtrlPara5"`
	CtrlPara6     string        `xorm:"nvarchar(40) 'CtrlPara6' not null" json:"SpecArtShareAllocate-CtrlPara6"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"SpecArtShareAllocate-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"SpecArtShareAllocate-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"SpecArtShareAllocate-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-14 14:51:48
 *
 ******************************************************************************/
func (self *SpecArtShareAllocate) GetKey() core.PK {
	return core.PK{self.PlantNr, self.AttriCode, self.WorkLineId, self.SubObject}
}
