// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : Stdef
 *-----------------------------------------------------------------------------
 *
 * @Description              : Stdef的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 15:04:54
 *
 ******************************************************************************/
type Stdef struct {
	StdefTyp   string        `xorm:"pk varchar(15) 'StdefTyp'" json:"Stdef-StdefTyp"`
	StatId     string        `xorm:"pk varchar(30) 'StatId'" json:"Stdef-StatId"`
	Lang       string        `xorm:"pk varchar(32) 'Lang'" json:"Stdef-Lang"`
	Bez        string        `xorm:"varchar(30) 'Bez' not null" json:"Stdef-Bez"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"Stdef-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"Stdef-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"Stdef-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 15:04:54
 *
 ******************************************************************************/
func (self *Stdef) GetKey() core.PK {
	return core.PK{self.StdefTyp, self.StatId, self.Lang}
}
