// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : StepTypeRelLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : StepTypeRelLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
type StepTypeRelLst struct {
	PlantNr      int           `xorm:"pk int 'PlantNr'" json:"StepTypeRelLst-PlantNr"`
	StepTypeName string        `xorm:"pk nvarchar(40) 'StepTypeName'" json:"StepTypeRelLst-StepTypeName"`
	PID          string        `xorm:"pk nvarchar(40) 'PID'" json:"StepTypeRelLst-PID"`
	OriginID     string        `xorm:"nvarchar(40) 'OriginID' not null" json:"StepTypeRelLst-OriginID"`
	LastModify   grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"StepTypeRelLst-LastModify"`
	LastUser     string        `xorm:"nvarchar(20) 'LastUser' not null" json:"StepTypeRelLst-LastUser"`
	CreateTime   grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"StepTypeRelLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
func (self *StepTypeRelLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.StepTypeName, self.PID}
}
