// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : TabColName
 *-----------------------------------------------------------------------------
 *
 * @Description              : TabColName的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 15:04:54
 *
 ******************************************************************************/
type TabColName struct {
	TabName    string        `xorm:"pk varchar(40) 'TabName'" json:"TabColName-TabName"`
	ColName    string        `xorm:"pk varchar(40) 'ColName'" json:"TabColName-ColName"`
	TextLabel  string        `xorm:"varchar(30) 'TextLabel' not null" json:"TabColName-TextLabel"`
	LongLabel  string        `xorm:"varchar(60) 'LongLabel' not null" json:"TabColName-LongLabel"`
	ValFormat  string        `xorm:"varchar(60) 'ValFormat' not null" json:"TabColName-ValFormat"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"TabColName-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"TabColName-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"TabColName-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 15:04:54
 *
 ******************************************************************************/
func (self *TabColName) GetKey() core.PK {
	return core.PK{self.TabName, self.ColName}
}
