// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WorkCalendarLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkCalendarLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-16 10:03:06
 *
 ******************************************************************************/
type WorkCalendarLst struct {
	PlantNr        int           `xorm:"pk int 'PlantNr'" json:"WorkCalendarLst-PlantNr"`
	WorkCalendarNr int           `xorm:"pk int 'WorkCalendarNr' autoincr" json:"WorkCalendarLst-WorkCalendarNr"`
	WorkDate       grmi.Date     `xorm:"pk date 'WorkDate'" json:"WorkCalendarLst-WorkDate"`
	DayModelNr     int           `xorm:"int 'DayModelNr' not null" json:"WorkCalendarLst-DayModelNr"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WorkCalendarLst-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WorkCalendarLst-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WorkCalendarLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
func (self *WorkCalendarLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkCalendarNr, self.WorkDate}
}
