// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WorkPlacePersonLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkPlacePersonLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-25 14:20:56
 *
 ******************************************************************************/
type WorkPlacePersonLst struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"WorkPlacePersonLst-PlantNr"`
	WorkPlaceNr int           `xorm:"pk int 'WorkPlaceNr'" json:"WorkPlacePersonLst-WorkPlaceNr"`
	PersonNr    int           `xorm:"pk int 'PersonNr'" json:"WorkPlacePersonLst-PersonNr"`
	Pos         int           `xorm:"int 'Pos' not null" json:"WorkPlacePersonLst-Pos"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WorkPlacePersonLst-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WorkPlacePersonLst-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WorkPlacePersonLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-25 14:20:56
 *
 ******************************************************************************/
func (self *WorkPlacePersonLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkPlaceNr, self.PersonNr}
}
