// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package log

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : PackTemplateItemlst
 *-----------------------------------------------------------------------------
 *
 * @Description              : PackTemplateItemlst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
type PackTemplateItemlst struct {
	PlantNr        int           `xorm:"pk int 'PlantNr'" json:"LOG_PackTemplateItemlst-PlantNr"`
	PackTemplateId string        `xorm:"pk nvarchar(40) 'PackTemplateId'" json:"LOG_PackTemplateItemlst-PackTemplateId"`
	Pos            int           `xorm:"pk int 'Pos'" json:"LOG_PackTemplateItemlst-Pos"`
	PosCode        string        `xorm:"nvarchar(40) 'PosCode' not null" json:"LOG_PackTemplateItemlst-PosCode"`
	MaterialId     string        `xorm:"nvarchar(40) 'MaterialId' not null" json:"LOG_PackTemplateItemlst-MaterialId"`
	Seq            int           `xorm:"int 'Seq' not null" json:"LOG_PackTemplateItemlst-Seq"`
	PlanQty        int           `xorm:"int 'PlanQty' not null" json:"LOG_PackTemplateItemlst-PlanQty"`
	PKTMPICustC1   string        `xorm:"nvarchar(40) 'PKTMPI_CustC1' not null" json:"LOG_PackTemplateItemlst-PKTMPI_CustC1"`
	PKTMPICustC2   string        `xorm:"nvarchar(40) 'PKTMPI_CustC2' not null" json:"LOG_PackTemplateItemlst-PKTMPI_CustC2"`
	PKTMPICustI1   int           `xorm:"int 'PKTMPI_CustI1' not null" json:"LOG_PackTemplateItemlst-PKTMPI_CustI1"`
	PKTMPICustI2   int           `xorm:"int 'PKTMPI_CustI2' not null" json:"LOG_PackTemplateItemlst-PKTMPI_CustI2"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"LOG_PackTemplateItemlst-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"LOG_PackTemplateItemlst-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"LOG_PackTemplateItemlst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
func (self *PackTemplateItemlst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.PackTemplateId, self.Pos}
}
