// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package ods

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : OdsStepLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : OdsStepLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
type OdsStepLst struct {
	PlantNr       int           `xorm:"pk int 'PlantNr'" json:"ODS_OdsStepLst-PlantNr"`
	OdsId         string        `xorm:"pk nvarchar(40) 'OdsId'" json:"ODS_OdsStepLst-OdsId"`
	Pos           int           `xorm:"pk int 'Pos'" json:"ODS_OdsStepLst-Pos"`
	Descr         string        `xorm:"nvarchar(100) 'Descr' not null" json:"ODS_OdsStepLst-Descr"`
	OdsTypeId     string        `xorm:"nvarchar(40) 'OdsTypeId' not null" json:"ODS_OdsStepLst-OdsTypeId"`
	OdsContentIdx string        `xorm:"nvarchar(255) 'OdsContentIdx' not null" json:"ODS_OdsStepLst-OdsContentIdx"`
	CtrlPara1     int           `xorm:"int 'CtrlPara1' not null" json:"ODS_OdsStepLst-CtrlPara1"`
	CtrlPara2     int           `xorm:"int 'CtrlPara2' not null" json:"ODS_OdsStepLst-CtrlPara2"`
	CtrlPara3     string        `xorm:"nvarchar(100) 'CtrlPara3' not null" json:"ODS_OdsStepLst-CtrlPara3"`
	CtrlPara4     string        `xorm:"nvarchar(100) 'CtrlPara4' not null" json:"ODS_OdsStepLst-CtrlPara4"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"ODS_OdsStepLst-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"ODS_OdsStepLst-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"ODS_OdsStepLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
func (self *OdsStepLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.OdsId, self.Pos}
}
