// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : TemplateServiceLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : TemplateServiceLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
type TemplateServiceLst struct {
	PlantNr        int           `xorm:"pk int 'PlantNr'" json:"PM_TemplateServiceLst-PlantNr"`
	MainTemplateNr int           `xorm:"pk int 'MainTemplateNr'" json:"PM_TemplateServiceLst-MainTemplateNr"`
	MainServiceNr  int           `xorm:"pk int 'MainServiceNr'" json:"PM_TemplateServiceLst-MainServiceNr"`
	Pos            int           `xorm:"smallint 'Pos' not null" json:"PM_TemplateServiceLst-Pos"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PM_TemplateServiceLst-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PM_TemplateServiceLst-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PM_TemplateServiceLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
func (self *TemplateServiceLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.MainTemplateNr, self.MainServiceNr}
}
