// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package qm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : DefectGrpReasonLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : DefectGrpReasonLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
type DefectGrpReasonLst struct {
	PlantNr        int           `xorm:"pk int 'PlantNr'" json:"QM_DefectGrpReasonLst-PlantNr"`
	DefectGrpId    string        `xorm:"pk nvarchar(20) 'DefectGrpId'" json:"QM_DefectGrpReasonLst-DefectGrpId"`
	DefectReasonId string        `xorm:"pk nvarchar(20) 'DefectReasonId'" json:"QM_DefectGrpReasonLst-DefectReasonId"`
	Pos            int           `xorm:"int 'pos' not null" json:"QM_DefectGrpReasonLst-pos"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"QM_DefectGrpReasonLst-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"QM_DefectGrpReasonLst-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"QM_DefectGrpReasonLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
func (self *DefectGrpReasonLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.DefectGrpId, self.DefectReasonId}
}
