// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package qm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ViewDefectGrplst
 *-----------------------------------------------------------------------------
 *
 * @Description              : ViewDefectGrplst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
type ViewDefectGrplst struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"QM_ViewDefectGrplst-PlantNr"`
	ViewId      string        `xorm:"pk nvarchar(20) 'ViewId'" json:"QM_ViewDefectGrplst-ViewId"`
	DefectGrpId string        `xorm:"pk nvarchar(20) 'DefectGrpId'" json:"QM_ViewDefectGrplst-DefectGrpId"`
	Pos         int           `xorm:"int 'Pos' not null" json:"QM_ViewDefectGrplst-Pos"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"QM_ViewDefectGrplst-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"QM_ViewDefectGrplst-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"QM_ViewDefectGrplst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
func (self *ViewDefectGrplst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ViewId, self.DefectGrpId}
}
