// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package qm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ViewDefectlst
 *-----------------------------------------------------------------------------
 *
 * @Description              : ViewDefectlst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
type ViewDefectlst struct {
	PlantNr        int           `xorm:"pk int 'PlantNr'" json:"QM_ViewDefectlst-PlantNr"`
	ViewId         string        `xorm:"pk nvarchar(20) 'ViewId'" json:"QM_ViewDefectlst-ViewId"`
	DefectReasonId string        `xorm:"pk nvarchar(20) 'DefectReasonId'" json:"QM_ViewDefectlst-DefectReasonId"`
	Pos            int           `xorm:"int 'Pos' not null" json:"QM_ViewDefectlst-Pos"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"QM_ViewDefectlst-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"QM_ViewDefectlst-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"QM_ViewDefectlst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
func (self *ViewDefectlst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ViewId, self.DefectReasonId}
}
