// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package report

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : FilterDataInfo
 *-----------------------------------------------------------------------------
 *
 * @Description              : FilterDataInfo的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-21 09:55:32
 *
 ******************************************************************************/
type FilterDataInfo struct {
	Station    string        `xorm:"varchar(20) 'Station' not null" json:"FilterDataInfo-Station"`
	Ts         grmi.DateTime `xorm:"datetime '_ts' not null" json:"FilterDataInfo-_ts"`
	Address    string        `xorm:"varchar(20) 'Address' not null" json:"FilterDataInfo-Address"`
	Value      string        `xorm:"varchar(20) 'Value' not null" json:"FilterDataInfo-Value"`
	Duration   string        `xorm:"varchar(20) 'Duration' not null" json:"FilterDataInfo-Duration"`
	DescCN     string        `xorm:"varchar(50) 'DescCN' not null" json:"FilterDataInfo-DescCN"`
	PartNo     string        `xorm:"varchar(50) 'PartNo' not null" json:"FilterDataInfo-PartNo"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-21 09:55:32
 *
 ******************************************************************************/
func (self *FilterDataInfo) GetKey() core.PK {
	return core.PK{}
}
