package report

import "time"

type AWMDisplay struct {
	Title    string           `json:"title"`
	Uom      string           `json:"uom"`
	Avg      float64          `json:"avg"`
	Start    string           `json:"start"`
	End      string           `json:"end"`
	Standard float64          `json:"standard"`
	UseField string           `json:"useField"`
	Data     []FilterDataInfo `json:"data"`
	Capacity int              `json:"capacity"`
	MU       string          `json:"mu"`
	Cate     string           `json:"cate"`
	MuTitle  string           `json:"muTitle"`
	MuUom    string           `json:"muUom"`
}

const (
	DISPLAY_SOURCE_ARC = "ARC"
)

type ListElement struct {
	Start    time.Time
	End      time.Time
	Duration time.Duration
}
