// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.
package common

import (
	"LAPP_LF_MOM_BACKEND/services/common/implments"
	"LAPP_LF_MOM_BACKEND/web/models"
)

/******************************************************************************
*
* @Interface Name           : UploadPicService
*-----------------------------------------------------------------------------
*
* @Description              : OdsHead的服务接口
*
* @Author                   : 代码生成器创建
*
* @Date                     : 2021-03-18 23:20:31
*
******************************************************************************/
type UploadPicService interface {
	/******************************************************************************
	 *
	 * @Function Name            : UploadMustPic
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : UploadMustPic
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的UploadMustPic
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-18 23:20:31
	 *
	 ******************************************************************************/
	UploadMustPic(*models.Usertab) error
}
/******************************************************************************
 *
 * @Function Name            : NewUploadPicService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个UploadPicService
 *
 * @Return Value             : UploadPicService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-18 23:20:31
 *
 ******************************************************************************/
func NewUploadPicService() UploadPicService {
	return implments.NewUploadMustPicImplement()
}
