package om

import "LAPP_LF_MOM_BACKEND/services/om/implments"

type ParseMesWorkOrder interface {
	/******************************************************************************
	 *
	 * @Function Name            : OMParseDemand
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : OMParseDemand 从数据库中读取订单需求数据，解析到workOrder和artDemand
	 *
	 * @Author                   : 张鑫
	 *
	 * @Date                     : 2021-04-21
	 *
	 ******************************************************************************/
	OMParseDemandFromFile(int)
	/******************************************************************************
	 *
	 * @Function Name            : OMParseDemand
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : OMParseDemand 从数据库中读取订单需求数据，解析到workOrder和artDemand
	 *
	 * @Author                   : 张鑫
	 *
	 * @Date                     : 2021-04-21
	 *
	 ******************************************************************************/
	OMParseDemandFromDB(int)
}

/******************************************************************************
 *
 * @Function Name            : NewDemandHeadService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个DemandHeadService
 *
 * @Return Value             : DemandHeadService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-21 10:27:00
 *
 ******************************************************************************/
func NewParseMesWorkOrderService() ParseMesWorkOrder {
	return implments.NewParseMesWorkOrderServiceImplement()
}
