package common

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	svr "LAPP_LF_MOM_BACKEND/services/common"
	"github.com/kataras/iris/v12/core/router"
)

/******************************************************************************
 *
 * @Interface Name           : RegisterRoutes
 *-----------------------------------------------------------------------------
 *
 * @Description              : 注册路由
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-18 22:50:49
 *
 ******************************************************************************/
func RegisterRoutes() {
	// 模块ods路由分组
	grmi.RegisterRouteMapping("/common", func(party router.Party) {
		// uploadpic的路由组
		upload := party.Party("/uploadpic")
		// uploadpic的服务实例
		var serviceOfUploadPic = svr.NewUploadPicService()
		// uploadpic上传多张张图片
		RegisterUploadPic(upload, "/uploadmustpic", serviceOfUploadPic.UploadMustPic)
	})
}

/******************************************************************************
 *
 * @Interface Name           : init
 *-----------------------------------------------------------------------------
 *
 * @Description              : 包初始化方法
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-18 22:50:49
 *
 ******************************************************************************/
func init() {

	// 注册路由
	RegisterRoutes()
}