// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package api

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/api"
)

/******************************************************************************
 *
 * @Description              : ACCUNITSTATUS的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-25 15:07:15
 *
 ******************************************************************************/
var ACCUNITSTATUS_UNITSN = grmi.NewField("UNITSN", "ACC_UNITSTATUS.UNITSN", "unitsn", grmi.TypeString)
var ACCUNITSTATUS_LINE = grmi.NewField("LINE", "ACC_UNITSTATUS.LINE", "line", grmi.TypeString)
var ACCUNITSTATUS_CTIME = grmi.NewField("CTIME", "ACC_UNITSTATUS.CTIME", "ctime", grmi.TypeDateTime)
var ACCUNITSTATUS_PARTNO = grmi.NewField("PARTNO", "ACC_UNITSTATUS.PARTNO", "partno", grmi.TypeString)
var ACCUNITSTATUS_OP = grmi.NewField("OP", "ACC_UNITSTATUS.OP", "op", grmi.TypeString)
var ACCUNITSTATUS_DT = grmi.NewField("DT", "ACC_UNITSTATUS.DT", "dt", grmi.TypeDateTime)
var ACCUNITSTATUS_RESULT = grmi.NewField("RESULT", "ACC_UNITSTATUS.RESULT", "result", grmi.TypeString)
var ACCUNITSTATUS_REPEATCOUNT = grmi.NewField("REPEATCOUNT", "ACC_UNITSTATUS.REPEAT_COUNT", "repeatcount", grmi.TypeInt)
var ACCUNITSTATUS_STATUS = grmi.NewField("STATUS", "ACC_UNITSTATUS.STATUS", "status", grmi.TypeString)
var ACCUNITSTATUS_SHIFT = grmi.NewField("SHIFT", "ACC_UNITSTATUS.SHIFT", "shift", grmi.TypeString)
var ACCUNITSTATUS_RWKTOOP = grmi.NewField("RWKTOOP", "ACC_UNITSTATUS.RWKTO_OP", "rwktoop", grmi.TypeString)
var ACCUNITSTATUS_RWKTOSTN = grmi.NewField("RWKTOSTN", "ACC_UNITSTATUS.RWKTO_STN", "rwktostn", grmi.TypeString)
var ACCUNITSTATUS_RECID = grmi.NewField("RECID", "ACC_UNITSTATUS.REC_ID", "recid", grmi.TypeInt64)
var ACCUNITSTATUS_PARTTYPEID = grmi.NewField("PARTTYPEID", "ACC_UNITSTATUS.PARTTYPEID", "parttypeid", grmi.TypeInt64)
var ACCUNITSTATUS_STATUSWORD = grmi.NewField("STATUSWORD", "ACC_UNITSTATUS.STATUSWORD", "statusword", grmi.TypeInt64)
var ACCUNITSTATUS_SEGMENTCODE = grmi.NewField("SEGMENTCODE", "ACC_UNITSTATUS.SEGMENT_CODE", "segmentcode", grmi.TypeString)
var ACCUNITSTATUS_CLUSTERTYPE = grmi.NewField("CLUSTERTYPE", "ACC_UNITSTATUS.CLUSTER_TYPE", "clustertype", grmi.TypeString)

/******************************************************************************
 *
 * @Description              : ACCUNITSTATUS的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-25 15:07:15
 *
 ******************************************************************************/
var ACCUNITSTATUS = grmi.NewEntity(
	"ACC_UNITSTATUS",
	func() interface{} { return &model.ACCUNITSTATUS{} },
	map[string]grmi.Field{
		ACCUNITSTATUS_UNITSN.Name:      ACCUNITSTATUS_UNITSN,
		ACCUNITSTATUS_LINE.Name:        ACCUNITSTATUS_LINE,
		ACCUNITSTATUS_CTIME.Name:       ACCUNITSTATUS_CTIME,
		ACCUNITSTATUS_PARTNO.Name:      ACCUNITSTATUS_PARTNO,
		ACCUNITSTATUS_OP.Name:          ACCUNITSTATUS_OP,
		ACCUNITSTATUS_DT.Name:          ACCUNITSTATUS_DT,
		ACCUNITSTATUS_RESULT.Name:      ACCUNITSTATUS_RESULT,
		ACCUNITSTATUS_REPEATCOUNT.Name: ACCUNITSTATUS_REPEATCOUNT,
		ACCUNITSTATUS_STATUS.Name:      ACCUNITSTATUS_STATUS,
		ACCUNITSTATUS_SHIFT.Name:       ACCUNITSTATUS_SHIFT,
		ACCUNITSTATUS_RWKTOOP.Name:     ACCUNITSTATUS_RWKTOOP,
		ACCUNITSTATUS_RWKTOSTN.Name:    ACCUNITSTATUS_RWKTOSTN,
		ACCUNITSTATUS_RECID.Name:       ACCUNITSTATUS_RECID,
		ACCUNITSTATUS_PARTTYPEID.Name:  ACCUNITSTATUS_PARTTYPEID,
		ACCUNITSTATUS_STATUSWORD.Name:  ACCUNITSTATUS_STATUSWORD,
		ACCUNITSTATUS_SEGMENTCODE.Name: ACCUNITSTATUS_SEGMENTCODE,
		ACCUNITSTATUS_CLUSTERTYPE.Name: ACCUNITSTATUS_CLUSTERTYPE,
	},
	[]string{},
	[]string{"CTIME", "PARTNO", "OP", "DT", "RESULT", "REPEAT_COUNT", "STATUS", "SHIFT", "RWKTO_OP", "RWKTO_STN", "REC_ID", "PARTTYPEID", "STATUSWORD", "SEGMENT_CODE", "CLUSTER_TYPE"})
