// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package api

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/api"
)

/******************************************************************************
 *
 * @Description              : PortalWorkOrder的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-14 10:40:07
 *
 ******************************************************************************/
var PortalWorkOrder_Barcode = grmi.NewField("Barcode", "Portal_WorkOrder.barcode", "barcode", grmi.TypeString)
var PortalWorkOrder_StationCode = grmi.NewField("StationCode", "Portal_WorkOrder.station_code", "stationcode", grmi.TypeString)
var PortalWorkOrder_StationDesc = grmi.NewField("StationDesc", "Portal_WorkOrder.station_desc", "stationdesc", grmi.TypeString)
var PortalWorkOrder_ConfigDesc = grmi.NewField("ConfigDesc", "Portal_WorkOrder.config_desc", "configdesc", grmi.TypeString)
var PortalWorkOrder_LogTime = grmi.NewField("LogTime", "Portal_WorkOrder.log_time", "logtime", grmi.TypeDateTime)
var PortalWorkOrder_AutoId = grmi.NewField("AutoId", "Portal_WorkOrder.auto_id", "autoid", grmi.TypeInt64)
var PortalWorkOrder_BarcodeDesc = grmi.NewField("BarcodeDesc", "Portal_WorkOrder.barcode_desc", "barcodedesc", grmi.TypeString)
var PortalWorkOrder_PartCode = grmi.NewField("PartCode", "Portal_WorkOrder.part_code", "partcode", grmi.TypeString)
var PortalWorkOrder_PlanDttm = grmi.NewField("PlanDttm", "Portal_WorkOrder.plan_dttm", "plandttm", grmi.TypeDateTime)
var PortalWorkOrder_Class1 = grmi.NewField("Class1", "Portal_WorkOrder.class1", "class1", grmi.TypeInt)
var PortalWorkOrder_ConfigKey = grmi.NewField("ConfigKey", "Portal_WorkOrder.config_key", "configkey", grmi.TypeString)
var PortalWorkOrder_Seq = grmi.NewField("Seq", "Portal_WorkOrder.seq", "seq", grmi.TypeInt64)
var PortalWorkOrder_Serial = grmi.NewField("Serial", "Portal_WorkOrder.serial", "serial", grmi.TypeString)
var PortalWorkOrder_State = grmi.NewField("State", "Portal_WorkOrder.state", "state", grmi.TypeInt)
var PortalWorkOrder_Station = grmi.NewField("Station", "Portal_WorkOrder.station", "station", grmi.TypeInt)
var PortalWorkOrder_Memo = grmi.NewField("Memo", "Portal_WorkOrder.memo", "memo", grmi.TypeString)
var PortalWorkOrder_CustomId = grmi.NewField("CustomId", "Portal_WorkOrder.custom_id", "customid", grmi.TypeString)
var PortalWorkOrder_Codebar = grmi.NewField("Codebar", "Portal_WorkOrder.codebar", "codebar", grmi.TypeString)
var PortalWorkOrder_IsRefresh = grmi.NewField("IsRefresh", "Portal_WorkOrder.is_refresh", "isrefresh", grmi.TypeBool)
var PortalWorkOrder_StateName = grmi.NewField("StateName", "Portal_WorkOrder.state_name", "statename", grmi.TypeString)
var PortalWorkOrder_CreateTime = grmi.NewField("CreateTime", "Portal_WorkOrder.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : PortalWorkOrder的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-14 10:40:07
 *
 ******************************************************************************/
var PortalWorkOrder = grmi.NewEntity(
	"Portal_WorkOrder",
	func() interface{} { return &model.PortalWorkOrder{} },
	map[string]grmi.Field{
		PortalWorkOrder_Barcode.Name:     PortalWorkOrder_Barcode,
		PortalWorkOrder_StationCode.Name: PortalWorkOrder_StationCode,
		PortalWorkOrder_StationDesc.Name: PortalWorkOrder_StationDesc,
		PortalWorkOrder_ConfigDesc.Name:  PortalWorkOrder_ConfigDesc,
		PortalWorkOrder_LogTime.Name:     PortalWorkOrder_LogTime,
		PortalWorkOrder_AutoId.Name:      PortalWorkOrder_AutoId,
		PortalWorkOrder_BarcodeDesc.Name: PortalWorkOrder_BarcodeDesc,
		PortalWorkOrder_PartCode.Name:    PortalWorkOrder_PartCode,
		PortalWorkOrder_PlanDttm.Name:    PortalWorkOrder_PlanDttm,
		PortalWorkOrder_Class1.Name:      PortalWorkOrder_Class1,
		PortalWorkOrder_ConfigKey.Name:   PortalWorkOrder_ConfigKey,
		PortalWorkOrder_Seq.Name:         PortalWorkOrder_Seq,
		PortalWorkOrder_Serial.Name:      PortalWorkOrder_Serial,
		PortalWorkOrder_State.Name:       PortalWorkOrder_State,
		PortalWorkOrder_Station.Name:     PortalWorkOrder_Station,
		PortalWorkOrder_Memo.Name:        PortalWorkOrder_Memo,
		PortalWorkOrder_CustomId.Name:    PortalWorkOrder_CustomId,
		PortalWorkOrder_Codebar.Name:     PortalWorkOrder_Codebar,
		PortalWorkOrder_IsRefresh.Name:   PortalWorkOrder_IsRefresh,
		PortalWorkOrder_StateName.Name:   PortalWorkOrder_StateName,
		PortalWorkOrder_CreateTime.Name:  PortalWorkOrder_CreateTime,
	},
	[]string{},
	[]string{"station_code", "station_desc", "config_desc", "log_time", "auto_id", "barcode_desc", "part_code", "plan_dttm", "class1", "config_key", "seq", "serial", "state", "station", "memo", "custom_id", "codebar", "is_refresh", "state_name"})
