// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : ArtQtyAllocate的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-27 13:55:54
 *
 ******************************************************************************/
var ArtQtyAllocate_PlantNr = grmi.NewField("PlantNr", "ArtQtyAllocate.PlantNr", "plantnr", grmi.TypeInt)
var ArtQtyAllocate_AttriCode = grmi.NewField("AttriCode", "ArtQtyAllocate.AttriCode", "attricode", grmi.TypeInt)
var ArtQtyAllocate_WorkLineId = grmi.NewField("WorkLineId", "ArtQtyAllocate.WorkLineId", "worklineid", grmi.TypeString)
var ArtQtyAllocate_SubObject = grmi.NewField("SubObject", "ArtQtyAllocate.SubObject", "subobject", grmi.TypeString)
var ArtQtyAllocate_AttriCodeDesc = grmi.NewField("AttriCodeDesc", "ArtQtyAllocate.AttriCodeDesc", "attricodedesc", grmi.TypeString)
var ArtQtyAllocate_TotalPlanty = grmi.NewField("TotalPlanty", "ArtQtyAllocate.TotalPlanty", "totalplanty", grmi.TypeInt)
var ArtQtyAllocate_PO = grmi.NewField("PO", "ArtQtyAllocate.PO", "po", grmi.TypeInt)
var ArtQtyAllocate_AssignPlanty = grmi.NewField("AssignPlanty", "ArtQtyAllocate.AssignPlanty", "assignplanty", grmi.TypeInt)
var ArtQtyAllocate_AQCtrlPara1 = grmi.NewField("AQCtrlPara1", "ArtQtyAllocate.AQCtrlPara1", "aqctrlpara1", grmi.TypeInt)
var ArtQtyAllocate_AQCtrlPara2 = grmi.NewField("AQCtrlPara2", "ArtQtyAllocate.AQCtrlPara2", "aqctrlpara2", grmi.TypeInt)
var ArtQtyAllocate_AQCtrlPara3 = grmi.NewField("AQCtrlPara3", "ArtQtyAllocate.AQCtrlPara3", "aqctrlpara3", grmi.TypeString)
var ArtQtyAllocate_AQCtrlPara4 = grmi.NewField("AQCtrlPara4", "ArtQtyAllocate.AQCtrlPara4", "aqctrlpara4", grmi.TypeString)
var ArtQtyAllocate_AQCtrlPara5 = grmi.NewField("AQCtrlPara5", "ArtQtyAllocate.AQCtrlPara5", "aqctrlpara5", grmi.TypeFloat64)
var ArtQtyAllocate_AQCtrlPara6 = grmi.NewField("AQCtrlPara6", "ArtQtyAllocate.AQCtrlPara6", "aqctrlpara6", grmi.TypeFloat64)
var ArtQtyAllocate_LastModify = grmi.NewField("LastModify", "ArtQtyAllocate.LastModify", "lastmodify", grmi.TypeDateTime)
var ArtQtyAllocate_LastUser = grmi.NewField("LastUser", "ArtQtyAllocate.LastUser", "lastuser", grmi.TypeString)
var ArtQtyAllocate_CreateTime = grmi.NewField("CreateTime", "ArtQtyAllocate.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ArtQtyAllocate的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-27 13:55:54
 *
 ******************************************************************************/
var ArtQtyAllocate = grmi.NewEntity(
	"ArtQtyAllocate",
	func() interface{} { return &model.ArtQtyAllocate{} },
	map[string]grmi.Field{
		ArtQtyAllocate_PlantNr.Name:       ArtQtyAllocate_PlantNr,
		ArtQtyAllocate_AttriCode.Name:     ArtQtyAllocate_AttriCode,
		ArtQtyAllocate_WorkLineId.Name:    ArtQtyAllocate_WorkLineId,
		ArtQtyAllocate_SubObject.Name:     ArtQtyAllocate_SubObject,
		ArtQtyAllocate_AttriCodeDesc.Name: ArtQtyAllocate_AttriCodeDesc,
		ArtQtyAllocate_TotalPlanty.Name:   ArtQtyAllocate_TotalPlanty,
		ArtQtyAllocate_PO.Name:            ArtQtyAllocate_PO,
		ArtQtyAllocate_AssignPlanty.Name:  ArtQtyAllocate_AssignPlanty,
		ArtQtyAllocate_AQCtrlPara1.Name:   ArtQtyAllocate_AQCtrlPara1,
		ArtQtyAllocate_AQCtrlPara2.Name:   ArtQtyAllocate_AQCtrlPara2,
		ArtQtyAllocate_AQCtrlPara3.Name:   ArtQtyAllocate_AQCtrlPara3,
		ArtQtyAllocate_AQCtrlPara4.Name:   ArtQtyAllocate_AQCtrlPara4,
		ArtQtyAllocate_AQCtrlPara5.Name:   ArtQtyAllocate_AQCtrlPara5,
		ArtQtyAllocate_AQCtrlPara6.Name:   ArtQtyAllocate_AQCtrlPara6,
		ArtQtyAllocate_LastModify.Name:    ArtQtyAllocate_LastModify,
		ArtQtyAllocate_LastUser.Name:      ArtQtyAllocate_LastUser,
		ArtQtyAllocate_CreateTime.Name:    ArtQtyAllocate_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"AttriCodeDesc", "TotalPlanty", "PO", "AssignPlanty", "AQCtrlPara1", "AQCtrlPara2", "AQCtrlPara3", "AQCtrlPara4", "AQCtrlPara5", "AQCtrlPara6", "LastUser"})
