// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : ArtWorkLineLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-23 15:03:00
 *
 ******************************************************************************/
var ArtWorkLineLst_PlantNr = grmi.NewField("PlantNr", "ArtWorkLineLst.PlantNr", "plantnr", grmi.TypeInt)
var ArtWorkLineLst_ArtId = grmi.NewField("ArtId", "ArtWorkLineLst.ArtId", "artid", grmi.TypeString)
var ArtWorkLineLst_WorkLineId = grmi.NewField("WorkLineId", "ArtWorkLineLst.WorkLineId", "worklineid", grmi.TypeString)
var ArtWorkLineLst_LastModify = grmi.NewField("LastModify", "ArtWorkLineLst.LastModify", "lastmodify", grmi.TypeDateTime)
var ArtWorkLineLst_LastUser = grmi.NewField("LastUser", "ArtWorkLineLst.LastUser", "lastuser", grmi.TypeString)
var ArtWorkLineLst_CreateTime = grmi.NewField("CreateTime", "ArtWorkLineLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ArtWorkLineLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-23 15:03:00
 *
 ******************************************************************************/
var ArtWorkLineLst = grmi.NewEntity(
	"ArtWorkLineLst",
	func() interface{} { return &model.ArtWorkLineLst{} },
	map[string]grmi.Field{
		ArtWorkLineLst_PlantNr.Name:    ArtWorkLineLst_PlantNr,
		ArtWorkLineLst_ArtId.Name:      ArtWorkLineLst_ArtId,
		ArtWorkLineLst_WorkLineId.Name: ArtWorkLineLst_WorkLineId,
		ArtWorkLineLst_LastModify.Name: ArtWorkLineLst_LastModify,
		ArtWorkLineLst_LastUser.Name:   ArtWorkLineLst_LastUser,
		ArtWorkLineLst_CreateTime.Name: ArtWorkLineLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"LastUser"})
