// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : ArticleAtcodLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var ArticleAtcodLst_PlantNr = grmi.NewField("PlantNr", "ArticleAtcodLst.PlantNr", "plantnr", grmi.TypeInt)
var ArticleAtcodLst_ArtId = grmi.NewField("ArtId", "ArticleAtcodLst.ArtId", "artid", grmi.TypeString)
var ArticleAtcodLst_Version = grmi.NewField("Version", "ArticleAtcodLst.Version", "version", grmi.TypeInt)
var ArticleAtcodLst_ProjectId = grmi.NewField("ProjectId", "ArticleAtcodLst.ProjectId", "projectid", grmi.TypeString)
var ArticleAtcodLst_AttrCode = grmi.NewField("AttrCode", "ArticleAtcodLst.AttrCode", "attrcode", grmi.TypeInt)
var ArticleAtcodLst_AttrValue = grmi.NewField("AttrValue", "ArticleAtcodLst.AttrValue", "attrvalue", grmi.TypeString)
var ArticleAtcodLst_LastModify = grmi.NewField("LastModify", "ArticleAtcodLst.LastModify", "lastmodify", grmi.TypeDateTime)
var ArticleAtcodLst_LastUser = grmi.NewField("LastUser", "ArticleAtcodLst.LastUser", "lastuser", grmi.TypeString)
var ArticleAtcodLst_CreateTime = grmi.NewField("CreateTime", "ArticleAtcodLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ArticleAtcodLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var ArticleAtcodLst = grmi.NewEntity(
	"ArticleAtcodLst",
	func() interface{} { return &model.ArticleAtcodLst{} },
	map[string]grmi.Field{
		ArticleAtcodLst_PlantNr.Name:    ArticleAtcodLst_PlantNr,
		ArticleAtcodLst_ArtId.Name:      ArticleAtcodLst_ArtId,
		ArticleAtcodLst_Version.Name:    ArticleAtcodLst_Version,
		ArticleAtcodLst_ProjectId.Name:  ArticleAtcodLst_ProjectId,
		ArticleAtcodLst_AttrCode.Name:   ArticleAtcodLst_AttrCode,
		ArticleAtcodLst_AttrValue.Name:  ArticleAtcodLst_AttrValue,
		ArticleAtcodLst_LastModify.Name: ArticleAtcodLst_LastModify,
		ArticleAtcodLst_LastUser.Name:   ArticleAtcodLst_LastUser,
		ArticleAtcodLst_CreateTime.Name: ArticleAtcodLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"LastUser"})
