// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : ArticleRelLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
var ArticleRelLst_PlantNr = grmi.NewField("PlantNr", "ArticleRelLst.PlantNr", "plantnr", grmi.TypeInt)
var ArticleRelLst_ArtId = grmi.NewField("ArtId", "ArticleRelLst.ArtId", "artid", grmi.TypeString)
var ArticleRelLst_PID = grmi.NewField("PID", "ArticleRelLst.PID", "pid", grmi.TypeString)
var ArticleRelLst_OriginID = grmi.NewField("OriginID", "ArticleRelLst.OriginID", "originid", grmi.TypeString)
var ArticleRelLst_ComposeQty = grmi.NewField("ComposeQty", "ArticleRelLst.ComposeQty", "composeqty", grmi.TypeFloat64)
var ArticleRelLst_ARCtrlPara1 = grmi.NewField("ARCtrlPara1", "ArticleRelLst.ARCtrlPara1", "arctrlpara1", grmi.TypeString)
var ArticleRelLst_ARCtrlPara2 = grmi.NewField("ARCtrlPara2", "ArticleRelLst.ARCtrlPara2", "arctrlpara2", grmi.TypeString)
var ArticleRelLst_ARCtrlPara3 = grmi.NewField("ARCtrlPara3", "ArticleRelLst.ARCtrlPara3", "arctrlpara3", grmi.TypeInt)
var ArticleRelLst_ARCtrlPara4 = grmi.NewField("ARCtrlPara4", "ArticleRelLst.ARCtrlPara4", "arctrlpara4", grmi.TypeInt)
var ArticleRelLst_ARCtrlPara5 = grmi.NewField("ARCtrlPara5", "ArticleRelLst.ARCtrlPara5", "arctrlpara5", grmi.TypeFloat64)
var ArticleRelLst_ARCtrlPara6 = grmi.NewField("ARCtrlPara6", "ArticleRelLst.ARCtrlPara6", "arctrlpara6", grmi.TypeFloat64)
var ArticleRelLst_LastModify = grmi.NewField("LastModify", "ArticleRelLst.LastModify", "lastmodify", grmi.TypeDateTime)
var ArticleRelLst_LastUser = grmi.NewField("LastUser", "ArticleRelLst.LastUser", "lastuser", grmi.TypeString)
var ArticleRelLst_CreateTime = grmi.NewField("CreateTime", "ArticleRelLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ArticleRelLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
var ArticleRelLst = grmi.NewEntity(
	"ArticleRelLst",
	func() interface{} { return &model.ArticleRelLst{} },
	map[string]grmi.Field{
		ArticleRelLst_PlantNr.Name:     ArticleRelLst_PlantNr,
		ArticleRelLst_ArtId.Name:       ArticleRelLst_ArtId,
		ArticleRelLst_PID.Name:         ArticleRelLst_PID,
		ArticleRelLst_OriginID.Name:    ArticleRelLst_OriginID,
		ArticleRelLst_ComposeQty.Name:  ArticleRelLst_ComposeQty,
		ArticleRelLst_ARCtrlPara1.Name: ArticleRelLst_ARCtrlPara1,
		ArticleRelLst_ARCtrlPara2.Name: ArticleRelLst_ARCtrlPara2,
		ArticleRelLst_ARCtrlPara3.Name: ArticleRelLst_ARCtrlPara3,
		ArticleRelLst_ARCtrlPara4.Name: ArticleRelLst_ARCtrlPara4,
		ArticleRelLst_ARCtrlPara5.Name: ArticleRelLst_ARCtrlPara5,
		ArticleRelLst_ARCtrlPara6.Name: ArticleRelLst_ARCtrlPara6,
		ArticleRelLst_LastModify.Name:  ArticleRelLst_LastModify,
		ArticleRelLst_LastUser.Name:    ArticleRelLst_LastUser,
		ArticleRelLst_CreateTime.Name:  ArticleRelLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"OriginID", "ComposeQty", "ARCtrlPara1", "ARCtrlPara2", "ARCtrlPara3", "ARCtrlPara4", "ARCtrlPara5", "ARCtrlPara6", "LastUser"})
