// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : Attribute的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-27 14:21:19
 *
 ******************************************************************************/
var Attribute_PlantNr = grmi.NewField("PlantNr", "Attribute.PlantNr", "plantnr", grmi.TypeInt)
var Attribute_AttrCode = grmi.NewField("AttrCode", "Attribute.AttrCode", "attrcode", grmi.TypeInt)
var Attribute_AttrName = grmi.NewField("AttrName", "Attribute.AttrName", "attrname", grmi.TypeString)
var Attribute_Descr = grmi.NewField("Descr", "Attribute.Descr", "descr", grmi.TypeString)
var Attribute_ShortCode = grmi.NewField("ShortCode", "Attribute.ShortCode", "shortcode", grmi.TypeString)
var Attribute_AttrType = grmi.NewField("AttrType", "Attribute.AttrType", "attrtype", grmi.TypeInt)
var Attribute_AttrDataType = grmi.NewField("AttrDataType", "Attribute.AttrDataType", "attrdatatype", grmi.TypeInt)
var Attribute_AttrValType = grmi.NewField("AttrValType", "Attribute.AttrValType", "attrvaltype", grmi.TypeInt)
var Attribute_ValFormat = grmi.NewField("ValFormat", "Attribute.ValFormat", "valformat", grmi.TypeString)
var Attribute_LastModify = grmi.NewField("LastModify", "Attribute.LastModify", "lastmodify", grmi.TypeDateTime)
var Attribute_LastUser = grmi.NewField("LastUser", "Attribute.LastUser", "lastuser", grmi.TypeString)
var Attribute_CreateTime = grmi.NewField("CreateTime", "Attribute.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Attribute的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-27 14:21:19
 *
 ******************************************************************************/
var Attribute = grmi.NewEntity(
	"Attribute",
	func() interface{} { return &model.Attribute{} },
	map[string]grmi.Field{
		Attribute_PlantNr.Name:      Attribute_PlantNr,
		Attribute_AttrCode.Name:     Attribute_AttrCode,
		Attribute_AttrName.Name:     Attribute_AttrName,
		Attribute_Descr.Name:        Attribute_Descr,
		Attribute_ShortCode.Name:    Attribute_ShortCode,
		Attribute_AttrType.Name:     Attribute_AttrType,
		Attribute_AttrDataType.Name: Attribute_AttrDataType,
		Attribute_AttrValType.Name:  Attribute_AttrValType,
		Attribute_ValFormat.Name:    Attribute_ValFormat,
		Attribute_LastModify.Name:   Attribute_LastModify,
		Attribute_LastUser.Name:     Attribute_LastUser,
		Attribute_CreateTime.Name:   Attribute_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"AttrName", "Descr", "ShortCode", "AttrType", "AttrDataType", "AttrValType", "ValFormat", "LastUser"})
