// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : AttributeGroup的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var AttributeGroup_PlantNr = grmi.NewField("PlantNr", "AttributeGroup.PlantNr", "plantnr", grmi.TypeInt)
var AttributeGroup_AttrGrpCode = grmi.NewField("AttrGrpCode", "AttributeGroup.AttrGrpCode", "attrgrpcode", grmi.TypeInt)
var AttributeGroup_Descr = grmi.NewField("Descr", "AttributeGroup.Descr", "descr", grmi.TypeString)
var AttributeGroup_Color = grmi.NewField("Color", "AttributeGroup.Color", "color", grmi.TypeString)
var AttributeGroup_AgiPara1 = grmi.NewField("AgiPara1", "AttributeGroup.AgiPara1", "agipara1", grmi.TypeInt)
var AttributeGroup_AgiPara2 = grmi.NewField("AgiPara2", "AttributeGroup.AgiPara2", "agipara2", grmi.TypeInt)
var AttributeGroup_AgcPara1 = grmi.NewField("AgcPara1", "AttributeGroup.AgcPara1", "agcpara1", grmi.TypeString)
var AttributeGroup_AgcPara2 = grmi.NewField("AgcPara2", "AttributeGroup.AgcPara2", "agcpara2", grmi.TypeString)
var AttributeGroup_LastModify = grmi.NewField("LastModify", "AttributeGroup.LastModify", "lastmodify", grmi.TypeDateTime)
var AttributeGroup_LastUser = grmi.NewField("LastUser", "AttributeGroup.LastUser", "lastuser", grmi.TypeString)
var AttributeGroup_CreateTime = grmi.NewField("CreateTime", "AttributeGroup.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : AttributeGroup的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var AttributeGroup = grmi.NewEntity(
	"AttributeGroup",
	func() interface{} { return &model.AttributeGroup{} },
	map[string]grmi.Field{
		AttributeGroup_PlantNr.Name:     AttributeGroup_PlantNr,
		AttributeGroup_AttrGrpCode.Name: AttributeGroup_AttrGrpCode,
		AttributeGroup_Descr.Name:       AttributeGroup_Descr,
		AttributeGroup_Color.Name:       AttributeGroup_Color,
		AttributeGroup_AgiPara1.Name:    AttributeGroup_AgiPara1,
		AttributeGroup_AgiPara2.Name:    AttributeGroup_AgiPara2,
		AttributeGroup_AgcPara1.Name:    AttributeGroup_AgcPara1,
		AttributeGroup_AgcPara2.Name:    AttributeGroup_AgcPara2,
		AttributeGroup_LastModify.Name:  AttributeGroup_LastModify,
		AttributeGroup_LastUser.Name:    AttributeGroup_LastUser,
		AttributeGroup_CreateTime.Name:  AttributeGroup_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "Color", "AgiPara1", "AgiPara2", "AgcPara1", "AgcPara2", "LastUser"})
