// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : AttributeGroupValst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var AttributeGroupValst_PlantNr = grmi.NewField("PlantNr", "AttributeGroupValst.PlantNr", "plantnr", grmi.TypeInt)
var AttributeGroupValst_AttrCode = grmi.NewField("AttrCode", "AttributeGroupValst.AttrCode", "attrcode", grmi.TypeInt)
var AttributeGroupValst_AttrGrpCode = grmi.NewField("AttrGrpCode", "AttributeGroupValst.AttrGrpCode", "attrgrpcode", grmi.TypeInt)
var AttributeGroupValst_Pos = grmi.NewField("Pos", "AttributeGroupValst.Pos", "pos", grmi.TypeInt)
var AttributeGroupValst_LastModify = grmi.NewField("LastModify", "AttributeGroupValst.LastModify", "lastmodify", grmi.TypeDateTime)
var AttributeGroupValst_LastUser = grmi.NewField("LastUser", "AttributeGroupValst.LastUser", "lastuser", grmi.TypeString)
var AttributeGroupValst_CreateTime = grmi.NewField("CreateTime", "AttributeGroupValst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : AttributeGroupValst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var AttributeGroupValst = grmi.NewEntity(
	"AttributeGroupValst",
	func() interface{} { return &model.AttributeGroupValst{} },
	map[string]grmi.Field{
		AttributeGroupValst_PlantNr.Name:     AttributeGroupValst_PlantNr,
		AttributeGroupValst_AttrCode.Name:    AttributeGroupValst_AttrCode,
		AttributeGroupValst_AttrGrpCode.Name: AttributeGroupValst_AttrGrpCode,
		AttributeGroupValst_Pos.Name:         AttributeGroupValst_Pos,
		AttributeGroupValst_LastModify.Name:  AttributeGroupValst_LastModify,
		AttributeGroupValst_LastUser.Name:    AttributeGroupValst_LastUser,
		AttributeGroupValst_CreateTime.Name:  AttributeGroupValst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Pos", "LastUser"})
