// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : AttributeValst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var AttributeValst_PlantNr = grmi.NewField("PlantNr", "AttributeValst.PlantNr", "plantnr", grmi.TypeInt)
var AttributeValst_AttrCode = grmi.NewField("AttrCode", "AttributeValst.AttrCode", "attrcode", grmi.TypeInt)
var AttributeValst_Pos = grmi.NewField("Pos", "AttributeValst.Pos", "pos", grmi.TypeInt)
var AttributeValst_AttrValue = grmi.NewField("AttrValue", "AttributeValst.AttrValue", "attrvalue", grmi.TypeString)
var AttributeValst_Descr = grmi.NewField("Descr", "AttributeValst.Descr", "descr", grmi.TypeString)
var AttributeValst_ShortCode = grmi.NewField("ShortCode", "AttributeValst.ShortCode", "shortcode", grmi.TypeString)
var AttributeValst_Valformat = grmi.NewField("Valformat", "AttributeValst.Valformat", "valformat", grmi.TypeString)
var AttributeValst_LastModify = grmi.NewField("LastModify", "AttributeValst.LastModify", "lastmodify", grmi.TypeDateTime)
var AttributeValst_LastUser = grmi.NewField("LastUser", "AttributeValst.LastUser", "lastuser", grmi.TypeString)
var AttributeValst_CreateTime = grmi.NewField("CreateTime", "AttributeValst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : AttributeValst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var AttributeValst = grmi.NewEntity(
	"AttributeValst",
	func() interface{} { return &model.AttributeValst{} },
	map[string]grmi.Field{
		AttributeValst_PlantNr.Name:    AttributeValst_PlantNr,
		AttributeValst_AttrCode.Name:   AttributeValst_AttrCode,
		AttributeValst_Pos.Name:        AttributeValst_Pos,
		AttributeValst_AttrValue.Name:  AttributeValst_AttrValue,
		AttributeValst_Descr.Name:      AttributeValst_Descr,
		AttributeValst_ShortCode.Name:  AttributeValst_ShortCode,
		AttributeValst_Valformat.Name:  AttributeValst_Valformat,
		AttributeValst_LastModify.Name: AttributeValst_LastModify,
		AttributeValst_LastUser.Name:   AttributeValst_LastUser,
		AttributeValst_CreateTime.Name: AttributeValst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"AttrValue", "Descr", "ShortCode", "Valformat", "LastUser"})
