// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : CodeParser的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var CodeParser_PlantNr = grmi.NewField("PlantNr", "CodeParser.PlantNr", "plantnr", grmi.TypeInt)
var CodeParser_ParserId = grmi.NewField("ParserId", "CodeParser.ParserId", "parserid", grmi.TypeString)
var CodeParser_StartPos = grmi.NewField("StartPos", "CodeParser.StartPos", "startpos", grmi.TypeInt)
var CodeParser_Length = grmi.NewField("Length", "CodeParser.Length", "length", grmi.TypeInt)
var CodeParser_ParserType = grmi.NewField("ParserType", "CodeParser.ParserType", "parsertype", grmi.TypeString)
var CodeParser_Descr = grmi.NewField("Descr", "CodeParser.Descr", "descr", grmi.TypeString)
var CodeParser_LastModify = grmi.NewField("LastModify", "CodeParser.LastModify", "lastmodify", grmi.TypeDateTime)
var CodeParser_LastUser = grmi.NewField("LastUser", "CodeParser.LastUser", "lastuser", grmi.TypeString)
var CodeParser_CreateTime = grmi.NewField("CreateTime", "CodeParser.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : CodeParser的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var CodeParser = grmi.NewEntity(
	"CodeParser",
	func() interface{} { return &model.CodeParser{} },
	map[string]grmi.Field{
		CodeParser_PlantNr.Name:    CodeParser_PlantNr,
		CodeParser_ParserId.Name:   CodeParser_ParserId,
		CodeParser_StartPos.Name:   CodeParser_StartPos,
		CodeParser_Length.Name:     CodeParser_Length,
		CodeParser_ParserType.Name: CodeParser_ParserType,
		CodeParser_Descr.Name:      CodeParser_Descr,
		CodeParser_LastModify.Name: CodeParser_LastModify,
		CodeParser_LastUser.Name:   CodeParser_LastUser,
		CodeParser_CreateTime.Name: CodeParser_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"StartPos", "Length", "ParserType", "Descr", "LastUser"})
