// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : LabelParserHead的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-02 09:38:09
 *
 ******************************************************************************/
var LabelParserHead_PlantNr = grmi.NewField("PlantNr", "LabelParserHead.PlantNr", "plantnr", grmi.TypeInt)
var LabelParserHead_ParserId = grmi.NewField("ParserId", "LabelParserHead.ParserId", "parserid", grmi.TypeString)
var LabelParserHead_Length = grmi.NewField("Length", "LabelParserHead.Length", "length", grmi.TypeInt)
var LabelParserHead_ParserType = grmi.NewField("ParserType", "LabelParserHead.ParserType", "parsertype", grmi.TypeString)
var LabelParserHead_Descr = grmi.NewField("Descr", "LabelParserHead.Descr", "descr", grmi.TypeString)
var LabelParserHead_Example = grmi.NewField("Example", "LabelParserHead.Example", "example", grmi.TypeString)
var LabelParserHead_LastModify = grmi.NewField("LastModify", "LabelParserHead.LastModify", "lastmodify", grmi.TypeDateTime)
var LabelParserHead_LastUser = grmi.NewField("LastUser", "LabelParserHead.LastUser", "lastuser", grmi.TypeString)
var LabelParserHead_CreateTime = grmi.NewField("CreateTime", "LabelParserHead.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : LabelParserHead的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-02 09:38:09
 *
 ******************************************************************************/
var LabelParserHead = grmi.NewEntity(
	"LabelParserHead",
	func() interface{} { return &model.LabelParserHead{} },
	map[string]grmi.Field{
		LabelParserHead_PlantNr.Name:    LabelParserHead_PlantNr,
		LabelParserHead_ParserId.Name:   LabelParserHead_ParserId,
		LabelParserHead_Length.Name:     LabelParserHead_Length,
		LabelParserHead_ParserType.Name: LabelParserHead_ParserType,
		LabelParserHead_Descr.Name:      LabelParserHead_Descr,
		LabelParserHead_Example.Name:    LabelParserHead_Example,
		LabelParserHead_LastModify.Name: LabelParserHead_LastModify,
		LabelParserHead_LastUser.Name:   LabelParserHead_LastUser,
		LabelParserHead_CreateTime.Name: LabelParserHead_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Length", "ParserType", "Descr", "Example", "LastUser"})
