// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : OPCMonitorBasicComInfo的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-22 15:49:36
 *
 ******************************************************************************/
var OPCMonitorBasicComInfo_PlantNr = grmi.NewField("PlantNr", "OPCMonitorBasicComInfo.PlantNr", "plantnr", grmi.TypeInt)
var OPCMonitorBasicComInfo_WorkPlaceNr = grmi.NewField("WorkPlaceNr", "OPCMonitorBasicComInfo.WorkPlaceNr", "workplacenr", grmi.TypeInt)
var OPCMonitorBasicComInfo_MonitorPalletInPlace = grmi.NewField("MonitorPalletInPlace", "OPCMonitorBasicComInfo.MonitorPalletInPlace", "monitorpalletinplace", grmi.TypeInt)
var OPCMonitorBasicComInfo_MonitorManualRelease = grmi.NewField("MonitorManualRelease", "OPCMonitorBasicComInfo.MonitorManualRelease", "monitormanualrelease", grmi.TypeInt)
var OPCMonitorBasicComInfo_MonitorProblemPieceRelease = grmi.NewField("MonitorProblemPieceRelease", "OPCMonitorBasicComInfo.MonitorProblemPieceRelease", "monitorproblempiecerelease", grmi.TypeInt)
var OPCMonitorBasicComInfo_BrandName = grmi.NewField("BrandName", "OPCMonitorBasicComInfo.BrandName", "brandname", grmi.TypeString)
var OPCMonitorBasicComInfo_MachineType = grmi.NewField("MachineType", "OPCMonitorBasicComInfo.MachineType", "machinetype", grmi.TypeString)
var OPCMonitorBasicComInfo_IpAddress = grmi.NewField("IpAddress", "OPCMonitorBasicComInfo.IpAddress", "ipaddress", grmi.TypeString)
var OPCMonitorBasicComInfo_LastModify = grmi.NewField("LastModify", "OPCMonitorBasicComInfo.LastModify", "lastmodify", grmi.TypeDateTime)
var OPCMonitorBasicComInfo_LastUser = grmi.NewField("LastUser", "OPCMonitorBasicComInfo.LastUser", "lastuser", grmi.TypeString)
var OPCMonitorBasicComInfo_CreateTime = grmi.NewField("CreateTime", "OPCMonitorBasicComInfo.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : OPCMonitorBasicComInfo的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-22 15:49:36
 *
 ******************************************************************************/
var OPCMonitorBasicComInfo = grmi.NewEntity(
	"OPCMonitorBasicComInfo",
	func() interface{} { return &model.OPCMonitorBasicComInfo{} },
	map[string]grmi.Field{
		OPCMonitorBasicComInfo_PlantNr.Name:                    OPCMonitorBasicComInfo_PlantNr,
		OPCMonitorBasicComInfo_WorkPlaceNr.Name:                OPCMonitorBasicComInfo_WorkPlaceNr,
		OPCMonitorBasicComInfo_MonitorPalletInPlace.Name:       OPCMonitorBasicComInfo_MonitorPalletInPlace,
		OPCMonitorBasicComInfo_MonitorManualRelease.Name:       OPCMonitorBasicComInfo_MonitorManualRelease,
		OPCMonitorBasicComInfo_MonitorProblemPieceRelease.Name: OPCMonitorBasicComInfo_MonitorProblemPieceRelease,
		OPCMonitorBasicComInfo_BrandName.Name:                  OPCMonitorBasicComInfo_BrandName,
		OPCMonitorBasicComInfo_MachineType.Name:                OPCMonitorBasicComInfo_MachineType,
		OPCMonitorBasicComInfo_IpAddress.Name:                  OPCMonitorBasicComInfo_IpAddress,
		OPCMonitorBasicComInfo_LastModify.Name:                 OPCMonitorBasicComInfo_LastModify,
		OPCMonitorBasicComInfo_LastUser.Name:                   OPCMonitorBasicComInfo_LastUser,
		OPCMonitorBasicComInfo_CreateTime.Name:                 OPCMonitorBasicComInfo_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"BrandName", "MachineType", "IpAddress", "LastUser"})
