// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : PersonLoginHistory的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-25 14:20:56
 *
 ******************************************************************************/
var PersonLoginHistory_PlantNr = grmi.NewField("PlantNr", "PersonLoginHistory.PlantNr", "plantnr", grmi.TypeInt)
var PersonLoginHistory_RecNr = grmi.NewField("RecNr", "PersonLoginHistory.RecNr", "recnr", grmi.TypeInt)
var PersonLoginHistory_PersonNr = grmi.NewField("PersonNr", "PersonLoginHistory.PersonNr", "personnr", grmi.TypeInt)
var PersonLoginHistory_WorkPlaceNr = grmi.NewField("WorkPlaceNr", "PersonLoginHistory.WorkPlaceNr", "workplacenr", grmi.TypeInt)
var PersonLoginHistory_LoginTime = grmi.NewField("LoginTime", "PersonLoginHistory.LoginTime", "logintime", grmi.TypeDateTime)
var PersonLoginHistory_LogoutTime = grmi.NewField("LogoutTime", "PersonLoginHistory.LogoutTime", "logouttime", grmi.TypeDateTime)
var PersonLoginHistory_Status = grmi.NewField("Status", "PersonLoginHistory.Status", "status", grmi.TypeInt)
var PersonLoginHistory_TerminalId = grmi.NewField("TerminalId", "PersonLoginHistory.TerminalId", "terminalid", grmi.TypeString)
var PersonLoginHistory_FunctionId = grmi.NewField("FunctionId", "PersonLoginHistory.FunctionId", "functionid", grmi.TypeString)
var PersonLoginHistory_LastModify = grmi.NewField("LastModify", "PersonLoginHistory.LastModify", "lastmodify", grmi.TypeDateTime)
var PersonLoginHistory_LastUser = grmi.NewField("LastUser", "PersonLoginHistory.LastUser", "lastuser", grmi.TypeString)
var PersonLoginHistory_CreateTime = grmi.NewField("CreateTime", "PersonLoginHistory.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : PersonLoginHistory的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-25 14:20:56
 *
 ******************************************************************************/
var PersonLoginHistory = grmi.NewEntity(
	"PersonLoginHistory",
	func() interface{} { return &model.PersonLoginHistory{} },
	map[string]grmi.Field{
		PersonLoginHistory_PlantNr.Name:     PersonLoginHistory_PlantNr,
		PersonLoginHistory_RecNr.Name:       PersonLoginHistory_RecNr,
		PersonLoginHistory_PersonNr.Name:    PersonLoginHistory_PersonNr,
		PersonLoginHistory_WorkPlaceNr.Name: PersonLoginHistory_WorkPlaceNr,
		PersonLoginHistory_LoginTime.Name:   PersonLoginHistory_LoginTime,
		PersonLoginHistory_LogoutTime.Name:  PersonLoginHistory_LogoutTime,
		PersonLoginHistory_Status.Name:      PersonLoginHistory_Status,
		PersonLoginHistory_TerminalId.Name:  PersonLoginHistory_TerminalId,
		PersonLoginHistory_FunctionId.Name:  PersonLoginHistory_FunctionId,
		PersonLoginHistory_LastModify.Name:  PersonLoginHistory_LastModify,
		PersonLoginHistory_LastUser.Name:    PersonLoginHistory_LastUser,
		PersonLoginHistory_CreateTime.Name:  PersonLoginHistory_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PersonNr", "WorkPlaceNr", "LoginTime", "LogoutTime", "Status", "TerminalId", "FunctionId", "LastUser"})
