// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : ProcessDependOn的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 13:29:43
 *
 ******************************************************************************/
var ProcessDependOn_PlantNr = grmi.NewField("PlantNr", "ProcessDependOn.PlantNr", "plantnr", grmi.TypeInt)
var ProcessDependOn_PO = grmi.NewField("PO", "ProcessDependOn.PO", "po", grmi.TypeInt)
var ProcessDependOn_WorkLineId = grmi.NewField("WorkLineId", "ProcessDependOn.WorkLineId", "worklineid", grmi.TypeString)
var ProcessDependOn_Pos = grmi.NewField("Pos", "ProcessDependOn.Pos", "pos", grmi.TypeInt)
var ProcessDependOn_DependPO = grmi.NewField("DependPO", "ProcessDependOn.DependPO", "dependpo", grmi.TypeInt)
var ProcessDependOn_DependStepNo = grmi.NewField("DependStepNo", "ProcessDependOn.DependStepNo", "dependstepno", grmi.TypeInt)
var ProcessDependOn_DependRuleId = grmi.NewField("DependRuleId", "ProcessDependOn.DependRuleId", "dependruleid", grmi.TypeInt)
var ProcessDependOn_DependValue1 = grmi.NewField("DependValue1", "ProcessDependOn.DependValue1", "dependvalue1", grmi.TypeInt)
var ProcessDependOn_DependValue2 = grmi.NewField("DependValue2", "ProcessDependOn.DependValue2", "dependvalue2", grmi.TypeString)
var ProcessDependOn_CtrlPara1 = grmi.NewField("CtrlPara1", "ProcessDependOn.CtrlPara1", "ctrlpara1", grmi.TypeString)
var ProcessDependOn_CtrlPara2 = grmi.NewField("CtrlPara2", "ProcessDependOn.CtrlPara2", "ctrlpara2", grmi.TypeString)
var ProcessDependOn_CtrlPara3 = grmi.NewField("CtrlPara3", "ProcessDependOn.CtrlPara3", "ctrlpara3", grmi.TypeString)
var ProcessDependOn_CtrlPara4 = grmi.NewField("CtrlPara4", "ProcessDependOn.CtrlPara4", "ctrlpara4", grmi.TypeString)
var ProcessDependOn_CtrlPara5 = grmi.NewField("CtrlPara5", "ProcessDependOn.CtrlPara5", "ctrlpara5", grmi.TypeInt)
var ProcessDependOn_CtrlPara6 = grmi.NewField("CtrlPara6", "ProcessDependOn.CtrlPara6", "ctrlpara6", grmi.TypeInt)
var ProcessDependOn_LastModify = grmi.NewField("LastModify", "ProcessDependOn.LastModify", "lastmodify", grmi.TypeDateTime)
var ProcessDependOn_LastUser = grmi.NewField("LastUser", "ProcessDependOn.LastUser", "lastuser", grmi.TypeString)
var ProcessDependOn_CreateTime = grmi.NewField("CreateTime", "ProcessDependOn.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ProcessDependOn的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 13:29:43
 *
 ******************************************************************************/
var ProcessDependOn = grmi.NewEntity(
	"ProcessDependOn",
	func() interface{} { return &model.ProcessDependOn{} },
	map[string]grmi.Field{
		ProcessDependOn_PlantNr.Name:        ProcessDependOn_PlantNr,
		ProcessDependOn_PO.Name:             ProcessDependOn_PO,
		ProcessDependOn_WorkLineId.Name:     ProcessDependOn_WorkLineId,
		ProcessDependOn_Pos.Name:            ProcessDependOn_Pos,
		ProcessDependOn_DependPO.Name: ProcessDependOn_DependPO,
		ProcessDependOn_DependStepNo.Name:         ProcessDependOn_DependStepNo,
		ProcessDependOn_DependRuleId.Name:  ProcessDependOn_DependRuleId,
		ProcessDependOn_DependValue1.Name: ProcessDependOn_DependValue1,
		ProcessDependOn_DependValue2.Name: ProcessDependOn_DependValue2,
		ProcessDependOn_CtrlPara1.Name:      ProcessDependOn_CtrlPara1,
		ProcessDependOn_CtrlPara2.Name:      ProcessDependOn_CtrlPara2,
		ProcessDependOn_CtrlPara3.Name:      ProcessDependOn_CtrlPara3,
		ProcessDependOn_CtrlPara4.Name:      ProcessDependOn_CtrlPara4,
		ProcessDependOn_CtrlPara5.Name:      ProcessDependOn_CtrlPara5,
		ProcessDependOn_CtrlPara6.Name:      ProcessDependOn_CtrlPara6,
		ProcessDependOn_LastModify.Name:     ProcessDependOn_LastModify,
		ProcessDependOn_LastUser.Name:       ProcessDependOn_LastUser,
		ProcessDependOn_CreateTime.Name:     ProcessDependOn_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"DependPO", "DependStepNo", "DependRuleId", "DependValue1", "DependValue2", "CtrlPara1", "CtrlPara2", "CtrlPara3", "CtrlPara4", "CtrlPara5", "CtrlPara6", "LastUser"})
