// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : ProcessWorkPlaceLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-29 17:19:37
 *
 ******************************************************************************/
var ProcessWorkPlaceLst_PlantNr = grmi.NewField("PlantNr", "ProcessWorkPlaceLst.PlantNr", "plantnr", grmi.TypeInt)
var ProcessWorkPlaceLst_PO = grmi.NewField("PO", "ProcessWorkPlaceLst.PO", "po", grmi.TypeInt)
var ProcessWorkPlaceLst_WorkPlaceNr = grmi.NewField("WorkPlaceNr", "ProcessWorkPlaceLst.WorkPlaceNr", "workplacenr", grmi.TypeInt)
var ProcessWorkPlaceLst_WorkLineId = grmi.NewField("WorkLineId", "ProcessWorkPlaceLst.WorkLineId", "worklineid", grmi.TypeString)
var ProcessWorkPlaceLst_LastModify = grmi.NewField("LastModify", "ProcessWorkPlaceLst.LastModify", "lastmodify", grmi.TypeDateTime)
var ProcessWorkPlaceLst_LastUser = grmi.NewField("LastUser", "ProcessWorkPlaceLst.LastUser", "lastuser", grmi.TypeString)
var ProcessWorkPlaceLst_CreateTime = grmi.NewField("CreateTime", "ProcessWorkPlaceLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ProcessWorkPlaceLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-29 17:19:37
 *
 ******************************************************************************/
var ProcessWorkPlaceLst = grmi.NewEntity(
	"ProcessWorkPlaceLst",
	func() interface{} { return &model.ProcessWorkPlaceLst{} },
	map[string]grmi.Field{
		ProcessWorkPlaceLst_PlantNr.Name:     ProcessWorkPlaceLst_PlantNr,
		ProcessWorkPlaceLst_PO.Name:          ProcessWorkPlaceLst_PO,
		ProcessWorkPlaceLst_WorkPlaceNr.Name: ProcessWorkPlaceLst_WorkPlaceNr,
		ProcessWorkPlaceLst_WorkLineId.Name:  ProcessWorkPlaceLst_WorkLineId,
		ProcessWorkPlaceLst_LastModify.Name:  ProcessWorkPlaceLst_LastModify,
		ProcessWorkPlaceLst_LastUser.Name:    ProcessWorkPlaceLst_LastUser,
		ProcessWorkPlaceLst_CreateTime.Name:  ProcessWorkPlaceLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"LastUser"})
