// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : Role的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var Role_RoleId = grmi.NewField("RoleId", "Role.RoleId", "roleid", grmi.TypeInt)
var Role_RoleName = grmi.NewField("RoleName", "Role.RoleName", "rolename", grmi.TypeString)
var Role_RoleSort = grmi.NewField("RoleSort", "Role.RoleSort", "rolesort", grmi.TypeInt)
var Role_Status = grmi.NewField("Status", "Role.Status", "status", grmi.TypeString)
var Role_Remark = grmi.NewField("Remark", "Role.Remark", "remark", grmi.TypeString)
var Role_RoleKey = grmi.NewField("RoleKey", "Role.RoleKey", "rolekey", grmi.TypeString)
var Role_DataScope = grmi.NewField("DataScope", "Role.DataScope", "datascope", grmi.TypeString)
var Role_LastModify = grmi.NewField("LastModify", "Role.LastModify", "lastmodify", grmi.TypeDateTime)
var Role_LastUser = grmi.NewField("LastUser", "Role.LastUser", "lastuser", grmi.TypeString)
var Role_CreateTime = grmi.NewField("CreateTime", "Role.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Role的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var Role = grmi.NewEntity(
	"Role",
	func() interface{} { return &model.Role{} },
	map[string]grmi.Field{
		Role_RoleId.Name:     Role_RoleId,
		Role_RoleName.Name:   Role_RoleName,
		Role_RoleSort.Name:   Role_RoleSort,
		Role_Status.Name:     Role_Status,
		Role_Remark.Name:     Role_Remark,
		Role_RoleKey.Name:    Role_RoleKey,
		Role_DataScope.Name:  Role_DataScope,
		Role_LastModify.Name: Role_LastModify,
		Role_LastUser.Name:   Role_LastUser,
		Role_CreateTime.Name: Role_CreateTime,
	},
	[]string{},
	[]string{"RoleName", "RoleSort", "Status", "Remark", "RoleKey", "DataScope", "LastUser"})
