// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : ScanRuleInfo的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 10:00:53
 *
 ******************************************************************************/
var ScanRuleInfo_PlantNr = grmi.NewField("PlantNr", "ScanRuleInfo.PlantNr", "plantnr", grmi.TypeInt)
var ScanRuleInfo_OperationId = grmi.NewField("OperationId", "ScanRuleInfo.OperationId", "operationid", grmi.TypeInt)
var ScanRuleInfo_PO = grmi.NewField("PO", "ScanRuleInfo.PO", "po", grmi.TypeInt)
var ScanRuleInfo_StepNo = grmi.NewField("StepNo", "ScanRuleInfo.StepNo", "stepno", grmi.TypeInt)
var ScanRuleInfo_StepDesc = grmi.NewField("StepDesc", "ScanRuleInfo.StepDesc", "stepdesc", grmi.TypeString)
var ScanRuleInfo_ProjectId = grmi.NewField("ProjectId", "ScanRuleInfo.ProjectId", "projectid", grmi.TypeString)
var ScanRuleInfo_RuleType = grmi.NewField("RuleType", "ScanRuleInfo.RuleType", "ruletype", grmi.TypeString)
var ScanRuleInfo_SRCtrlPara1 = grmi.NewField("SRCtrlPara1", "ScanRuleInfo.SRCtrlPara1", "srctrlpara1", grmi.TypeString)
var ScanRuleInfo_SRCtrlPara2 = grmi.NewField("SRCtrlPara2", "ScanRuleInfo.SRCtrlPara2", "srctrlpara2", grmi.TypeString)
var ScanRuleInfo_SRCtrlPara3 = grmi.NewField("SRCtrlPara3", "ScanRuleInfo.SRCtrlPara3", "srctrlpara3", grmi.TypeString)
var ScanRuleInfo_SRCtrlPara4 = grmi.NewField("SRCtrlPara4", "ScanRuleInfo.SRCtrlPara4", "srctrlpara4", grmi.TypeString)
var ScanRuleInfo_SRCtrlPara5 = grmi.NewField("SRCtrlPara5", "ScanRuleInfo.SRCtrlPara5", "srctrlpara5", grmi.TypeString)
var ScanRuleInfo_SRCtrlPara6 = grmi.NewField("SRCtrlPara6", "ScanRuleInfo.SRCtrlPara6", "srctrlpara6", grmi.TypeInt)
var ScanRuleInfo_SRCtrlPara7 = grmi.NewField("SRCtrlPara7", "ScanRuleInfo.SRCtrlPara7", "srctrlpara7", grmi.TypeInt)
var ScanRuleInfo_LastModify = grmi.NewField("LastModify", "ScanRuleInfo.LastModify", "lastmodify", grmi.TypeDateTime)
var ScanRuleInfo_LastUser = grmi.NewField("LastUser", "ScanRuleInfo.LastUser", "lastuser", grmi.TypeString)
var ScanRuleInfo_CreateTime = grmi.NewField("CreateTime", "ScanRuleInfo.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ScanRuleInfo的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 10:00:53
 *
 ******************************************************************************/
var ScanRuleInfo = grmi.NewEntity(
	"ScanRuleInfo",
	func() interface{} { return &model.ScanRuleInfo{} },
	map[string]grmi.Field{
		ScanRuleInfo_PlantNr.Name:     ScanRuleInfo_PlantNr,
		ScanRuleInfo_OperationId.Name: ScanRuleInfo_OperationId,
		ScanRuleInfo_PO.Name:          ScanRuleInfo_PO,
		ScanRuleInfo_StepNo.Name:      ScanRuleInfo_StepNo,
		ScanRuleInfo_StepDesc.Name:    ScanRuleInfo_StepDesc,
		ScanRuleInfo_ProjectId.Name:   ScanRuleInfo_ProjectId,
		ScanRuleInfo_RuleType.Name:    ScanRuleInfo_RuleType,
		ScanRuleInfo_SRCtrlPara1.Name: ScanRuleInfo_SRCtrlPara1,
		ScanRuleInfo_SRCtrlPara2.Name: ScanRuleInfo_SRCtrlPara2,
		ScanRuleInfo_SRCtrlPara3.Name: ScanRuleInfo_SRCtrlPara3,
		ScanRuleInfo_SRCtrlPara4.Name: ScanRuleInfo_SRCtrlPara4,
		ScanRuleInfo_SRCtrlPara5.Name: ScanRuleInfo_SRCtrlPara5,
		ScanRuleInfo_SRCtrlPara6.Name: ScanRuleInfo_SRCtrlPara6,
		ScanRuleInfo_SRCtrlPara7.Name: ScanRuleInfo_SRCtrlPara7,
		ScanRuleInfo_LastModify.Name:  ScanRuleInfo_LastModify,
		ScanRuleInfo_LastUser.Name:    ScanRuleInfo_LastUser,
		ScanRuleInfo_CreateTime.Name:  ScanRuleInfo_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PO", "StepNo", "StepDesc", "ProjectId", "RuleType", "SRCtrlPara1", "SRCtrlPara2", "SRCtrlPara3", "SRCtrlPara4", "SRCtrlPara5", "SRCtrlPara6", "SRCtrlPara7", "LastUser"})
