// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : TabColName的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var TabColName_TabName = grmi.NewField("TabName", "TabColName_New.TabName", "tabname", grmi.TypeString)
var TabColName_ColName = grmi.NewField("ColName", "TabColName_New.ColName", "colname", grmi.TypeString)
var TabColName_TextLabel = grmi.NewField("TextLabel", "TabColName_New.TextLabel", "textlabel", grmi.TypeString)
var TabColName_LongLabel = grmi.NewField("LongLabel", "TabColName_New.LongLabel", "longlabel", grmi.TypeString)
var TabColName_ValFormat = grmi.NewField("ValFormat", "TabColName_New.ValFormat", "valformat", grmi.TypeString)
var TabColName_LastModify = grmi.NewField("LastModify", "TabColName_New.LastModify", "lastmodify", grmi.TypeDateTime)
var TabColName_LastUser = grmi.NewField("LastUser", "TabColName_New.LastUser", "lastuser", grmi.TypeString)
var TabColName_CreateTime = grmi.NewField("CreateTime", "TabColName_New.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : TabColName的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var TabColName = grmi.NewEntity(
	"TabColName_New",
	func() interface{} { return &model.TabColName{} },
	map[string]grmi.Field{
		TabColName_TabName.Name:    TabColName_TabName,
		TabColName_ColName.Name:    TabColName_ColName,
		TabColName_TextLabel.Name:  TabColName_TextLabel,
		TabColName_LongLabel.Name:  TabColName_LongLabel,
		TabColName_ValFormat.Name:  TabColName_ValFormat,
		TabColName_LastModify.Name: TabColName_LastModify,
		TabColName_LastUser.Name:   TabColName_LastUser,
		TabColName_CreateTime.Name: TabColName_CreateTime,
	},
	[]string{},
	[]string{"TextLabel", "LongLabel", "ValFormat", "LastUser"})
