// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : WeekModelLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var WeekModelLst_PlantNr = grmi.NewField("PlantNr", "WeekModelLst.PlantNr", "plantnr", grmi.TypeInt)
var WeekModelLst_WeekModelNr = grmi.NewField("WeekModelNr", "WeekModelLst.WeekModelNr", "weekmodelnr", grmi.TypeInt)
var WeekModelLst_WorkDate = grmi.NewField("WorkDate", "WeekModelLst.WorkDate", "workdate", grmi.TypeDate)
var WeekModelLst_DayModelNr = grmi.NewField("DayModelNr", "WeekModelLst.DayModelNr", "daymodelnr", grmi.TypeInt)
var WeekModelLst_LastModify = grmi.NewField("LastModify", "WeekModelLst.LastModify", "lastmodify", grmi.TypeDateTime)
var WeekModelLst_LastUser = grmi.NewField("LastUser", "WeekModelLst.LastUser", "lastuser", grmi.TypeString)
var WeekModelLst_CreateTime = grmi.NewField("CreateTime", "WeekModelLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WeekModelLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var WeekModelLst = grmi.NewEntity(
	"WeekModelLst",
	func() interface{} { return &model.WeekModelLst{} },
	map[string]grmi.Field{
		WeekModelLst_PlantNr.Name:     WeekModelLst_PlantNr,
		WeekModelLst_WeekModelNr.Name: WeekModelLst_WeekModelNr,
		WeekModelLst_WorkDate.Name:    WeekModelLst_WorkDate,
		WeekModelLst_DayModelNr.Name:  WeekModelLst_DayModelNr,
		WeekModelLst_LastModify.Name:  WeekModelLst_LastModify,
		WeekModelLst_LastUser.Name:    WeekModelLst_LastUser,
		WeekModelLst_CreateTime.Name:  WeekModelLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"DayModelNr", "LastUser"})
