// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : WorkCalendar的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var WorkCalendar_PlantNr = grmi.NewField("PlantNr", "WorkCalendar.PlantNr", "plantnr", grmi.TypeInt)
var WorkCalendar_WorkCalendarNr = grmi.NewField("WorkCalendarNr", "WorkCalendar.WorkCalendarNr", "workcalendarnr", grmi.TypeInt)
var WorkCalendar_Descr = grmi.NewField("Descr", "WorkCalendar.Descr", "descr", grmi.TypeString)
var WorkCalendar_LastModify = grmi.NewField("LastModify", "WorkCalendar.LastModify", "lastmodify", grmi.TypeDateTime)
var WorkCalendar_LastUser = grmi.NewField("LastUser", "WorkCalendar.LastUser", "lastuser", grmi.TypeString)
var WorkCalendar_CreateTime = grmi.NewField("CreateTime", "WorkCalendar.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkCalendar的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var WorkCalendar = grmi.NewEntity(
	"WorkCalendar",
	func() interface{} { return &model.WorkCalendar{} },
	map[string]grmi.Field{
		WorkCalendar_PlantNr.Name:        WorkCalendar_PlantNr,
		WorkCalendar_WorkCalendarNr.Name: WorkCalendar_WorkCalendarNr,
		WorkCalendar_Descr.Name:          WorkCalendar_Descr,
		WorkCalendar_LastModify.Name:     WorkCalendar_LastModify,
		WorkCalendar_LastUser.Name:       WorkCalendar_LastUser,
		WorkCalendar_CreateTime.Name:     WorkCalendar_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "LastUser"})
