// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : WorkCalendarLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var WorkCalendarLst_PlantNr = grmi.NewField("PlantNr", "WorkCalendarLst.PlantNr", "plantnr", grmi.TypeInt)
var WorkCalendarLst_WorkCalendarNr = grmi.NewField("WorkCalendarNr", "WorkCalendarLst.WorkCalendarNr", "workcalendarnr", grmi.TypeInt)
var WorkCalendarLst_WorkDate = grmi.NewField("WorkDate", "WorkCalendarLst.WorkDate", "workdate", grmi.TypeDate)
var WorkCalendarLst_DayModelNr = grmi.NewField("DayModelNr", "WorkCalendarLst.DayModelNr", "daymodelnr", grmi.TypeInt)
var WorkCalendarLst_LastModify = grmi.NewField("LastModify", "WorkCalendarLst.LastModify", "lastmodify", grmi.TypeDateTime)
var WorkCalendarLst_LastUser = grmi.NewField("LastUser", "WorkCalendarLst.LastUser", "lastuser", grmi.TypeString)
var WorkCalendarLst_CreateTime = grmi.NewField("CreateTime", "WorkCalendarLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkCalendarLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var WorkCalendarLst = grmi.NewEntity(
	"WorkCalendarLst",
	func() interface{} { return &model.WorkCalendarLst{} },
	map[string]grmi.Field{
		WorkCalendarLst_PlantNr.Name:        WorkCalendarLst_PlantNr,
		WorkCalendarLst_WorkCalendarNr.Name: WorkCalendarLst_WorkCalendarNr,
		WorkCalendarLst_WorkDate.Name:       WorkCalendarLst_WorkDate,
		WorkCalendarLst_DayModelNr.Name:     WorkCalendarLst_DayModelNr,
		WorkCalendarLst_LastModify.Name:     WorkCalendarLst_LastModify,
		WorkCalendarLst_LastUser.Name:       WorkCalendarLst_LastUser,
		WorkCalendarLst_CreateTime.Name:     WorkCalendarLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"DayModelNr", "LastUser"})
