// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : WorkLineSpecialTime的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var WorkLineSpecialTime_PlantNr = grmi.NewField("PlantNr", "WorkLineSpecialTime.PlantNr", "plantnr", grmi.TypeInt)
var WorkLineSpecialTime_WorkLineid = grmi.NewField("WorkLineid", "WorkLineSpecialTime.WorkLineid", "worklineid", grmi.TypeString)
var WorkLineSpecialTime_BegTime = grmi.NewField("BegTime", "WorkLineSpecialTime.BegTime", "begtime", grmi.TypeDateTime)
var WorkLineSpecialTime_AddMinus = grmi.NewField("AddMinus", "WorkLineSpecialTime.AddMinus", "addminus", grmi.TypeInt)
var WorkLineSpecialTime_EndTime = grmi.NewField("EndTime", "WorkLineSpecialTime.EndTime", "endtime", grmi.TypeDateTime)
var WorkLineSpecialTime_TimeObjId = grmi.NewField("TimeObjId", "WorkLineSpecialTime.TimeObjId", "timeobjid", grmi.TypeString)
var WorkLineSpecialTime_LastModify = grmi.NewField("LastModify", "WorkLineSpecialTime.LastModify", "lastmodify", grmi.TypeDateTime)
var WorkLineSpecialTime_LastUser = grmi.NewField("LastUser", "WorkLineSpecialTime.LastUser", "lastuser", grmi.TypeString)
var WorkLineSpecialTime_CreateTime = grmi.NewField("CreateTime", "WorkLineSpecialTime.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkLineSpecialTime的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var WorkLineSpecialTime = grmi.NewEntity(
	"WorkLineSpecialTime",
	func() interface{} { return &model.WorkLineSpecialTime{} },
	map[string]grmi.Field{
		WorkLineSpecialTime_PlantNr.Name:    WorkLineSpecialTime_PlantNr,
		WorkLineSpecialTime_WorkLineid.Name: WorkLineSpecialTime_WorkLineid,
		WorkLineSpecialTime_BegTime.Name:    WorkLineSpecialTime_BegTime,
		WorkLineSpecialTime_AddMinus.Name:   WorkLineSpecialTime_AddMinus,
		WorkLineSpecialTime_EndTime.Name:    WorkLineSpecialTime_EndTime,
		WorkLineSpecialTime_TimeObjId.Name:  WorkLineSpecialTime_TimeObjId,
		WorkLineSpecialTime_LastModify.Name: WorkLineSpecialTime_LastModify,
		WorkLineSpecialTime_LastUser.Name:   WorkLineSpecialTime_LastUser,
		WorkLineSpecialTime_CreateTime.Name: WorkLineSpecialTime_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"AddMinus", "EndTime", "TimeObjId", "LastUser"})
