// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : WorkLineWorkPlaceLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-22 16:01:03
 *
 ******************************************************************************/
var WorkLineWorkPlaceLst_PlantNr = grmi.NewField("PlantNr", "WorkLineWorkPlaceLst.PlantNr", "plantnr", grmi.TypeInt)
var WorkLineWorkPlaceLst_WorkLineId = grmi.NewField("WorkLineId", "WorkLineWorkPlaceLst.WorkLineId", "worklineid", grmi.TypeString)
var WorkLineWorkPlaceLst_WorkPlaceNr = grmi.NewField("WorkPlaceNr", "WorkLineWorkPlaceLst.WorkPlaceNr", "workplacenr", grmi.TypeInt)
var WorkLineWorkPlaceLst_Pos = grmi.NewField("Pos", "WorkLineWorkPlaceLst.Pos", "pos", grmi.TypeInt)
var WorkLineWorkPlaceLst_LastModify = grmi.NewField("LastModify", "WorkLineWorkPlaceLst.LastModify", "lastmodify", grmi.TypeDateTime)
var WorkLineWorkPlaceLst_LastUser = grmi.NewField("LastUser", "WorkLineWorkPlaceLst.LastUser", "lastuser", grmi.TypeString)
var WorkLineWorkPlaceLst_CreateTime = grmi.NewField("CreateTime", "WorkLineWorkPlaceLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkLineWorkPlaceLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-22 16:01:03
 *
 ******************************************************************************/
var WorkLineWorkPlaceLst = grmi.NewEntity(
	"WorkLineWorkPlaceLst",
	func() interface{} { return &model.WorkLineWorkPlaceLst{} },
	map[string]grmi.Field{
		WorkLineWorkPlaceLst_PlantNr.Name:     WorkLineWorkPlaceLst_PlantNr,
		WorkLineWorkPlaceLst_WorkLineId.Name:  WorkLineWorkPlaceLst_WorkLineId,
		WorkLineWorkPlaceLst_WorkPlaceNr.Name: WorkLineWorkPlaceLst_WorkPlaceNr,
		WorkLineWorkPlaceLst_Pos.Name:         WorkLineWorkPlaceLst_Pos,
		WorkLineWorkPlaceLst_LastModify.Name:  WorkLineWorkPlaceLst_LastModify,
		WorkLineWorkPlaceLst_LastUser.Name:    WorkLineWorkPlaceLst_LastUser,
		WorkLineWorkPlaceLst_CreateTime.Name:  WorkLineWorkPlaceLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Pos", "LastUser"})
