// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : WorkPlacePersonLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-25 14:20:56
 *
 ******************************************************************************/
var WorkPlacePersonLst_PlantNr = grmi.NewField("PlantNr", "WorkPlacePersonLst.PlantNr", "plantnr", grmi.TypeInt)
var WorkPlacePersonLst_WorkPlaceNr = grmi.NewField("WorkPlaceNr", "WorkPlacePersonLst.WorkPlaceNr", "workplacenr", grmi.TypeInt)
var WorkPlacePersonLst_PersonNr = grmi.NewField("PersonNr", "WorkPlacePersonLst.PersonNr", "personnr", grmi.TypeInt)
var WorkPlacePersonLst_Pos = grmi.NewField("Pos", "WorkPlacePersonLst.Pos", "pos", grmi.TypeInt)
var WorkPlacePersonLst_LastModify = grmi.NewField("LastModify", "WorkPlacePersonLst.LastModify", "lastmodify", grmi.TypeDateTime)
var WorkPlacePersonLst_LastUser = grmi.NewField("LastUser", "WorkPlacePersonLst.LastUser", "lastuser", grmi.TypeString)
var WorkPlacePersonLst_CreateTime = grmi.NewField("CreateTime", "WorkPlacePersonLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkPlacePersonLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-25 14:20:56
 *
 ******************************************************************************/
var WorkPlacePersonLst = grmi.NewEntity(
	"WorkPlacePersonLst",
	func() interface{} { return &model.WorkPlacePersonLst{} },
	map[string]grmi.Field{
		WorkPlacePersonLst_PlantNr.Name:     WorkPlacePersonLst_PlantNr,
		WorkPlacePersonLst_WorkPlaceNr.Name: WorkPlacePersonLst_WorkPlaceNr,
		WorkPlacePersonLst_PersonNr.Name:    WorkPlacePersonLst_PersonNr,
		WorkPlacePersonLst_Pos.Name:         WorkPlacePersonLst_Pos,
		WorkPlacePersonLst_LastModify.Name:  WorkPlacePersonLst_LastModify,
		WorkPlacePersonLst_LastUser.Name:    WorkPlacePersonLst_LastUser,
		WorkPlacePersonLst_CreateTime.Name:  WorkPlacePersonLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Pos", "LastUser"})
