// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : WorkPlaceStatus的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-21 10:27:00
 *
 ******************************************************************************/
var WorkPlaceStatus_PlantNr = grmi.NewField("PlantNr", "WorkPlaceStatus.PlantNr", "plantnr", grmi.TypeInt)
var WorkPlaceStatus_WorkPlaceNr = grmi.NewField("WorkPlaceNr", "WorkPlaceStatus.WorkPlaceNr", "workplacenr", grmi.TypeInt)
var WorkPlaceStatus_Status = grmi.NewField("Status", "WorkPlaceStatus.Status", "status", grmi.TypeInt)
var WorkPlaceStatus_TriggerEvent = grmi.NewField("TriggerEvent", "WorkPlaceStatus.TriggerEvent", "triggerevent", grmi.TypeString)
var WorkPlaceStatus_TriggerObjectId = grmi.NewField("TriggerObjectId", "WorkPlaceStatus.TriggerObjectId", "triggerobjectid", grmi.TypeString)
var WorkPlaceStatus_TriggerSubObjectId = grmi.NewField("TriggerSubObjectId", "WorkPlaceStatus.TriggerSubObjectId", "triggersubobjectid", grmi.TypeString)
var WorkPlaceStatus_LastModify = grmi.NewField("LastModify", "WorkPlaceStatus.LastModify", "lastmodify", grmi.TypeDateTime)
var WorkPlaceStatus_LastUser = grmi.NewField("LastUser", "WorkPlaceStatus.LastUser", "lastuser", grmi.TypeString)
var WorkPlaceStatus_CreateTime = grmi.NewField("CreateTime", "WorkPlaceStatus.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkPlaceStatus的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-21 10:27:00
 *
 ******************************************************************************/
var WorkPlaceStatus = grmi.NewEntity(
	"WorkPlaceStatus",
	func() interface{} { return &model.WorkPlaceStatus{} },
	map[string]grmi.Field{
		WorkPlaceStatus_PlantNr.Name:            WorkPlaceStatus_PlantNr,
		WorkPlaceStatus_WorkPlaceNr.Name:        WorkPlaceStatus_WorkPlaceNr,
		WorkPlaceStatus_Status.Name:             WorkPlaceStatus_Status,
		WorkPlaceStatus_TriggerEvent.Name:       WorkPlaceStatus_TriggerEvent,
		WorkPlaceStatus_TriggerObjectId.Name:    WorkPlaceStatus_TriggerObjectId,
		WorkPlaceStatus_TriggerSubObjectId.Name: WorkPlaceStatus_TriggerSubObjectId,
		WorkPlaceStatus_LastModify.Name:         WorkPlaceStatus_LastModify,
		WorkPlaceStatus_LastUser.Name:           WorkPlaceStatus_LastUser,
		WorkPlaceStatus_CreateTime.Name:         WorkPlaceStatus_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Status", "TriggerEvent", "TriggerObjectId", "TriggerSubObjectId", "LastUser"})
