// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : WorkPlaceStatusRecLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-21 10:27:00
 *
 ******************************************************************************/
var WorkPlaceStatusRecLst_PlantNr = grmi.NewField("PlantNr", "WorkPlaceStatusRecLst.PlantNr", "plantnr", grmi.TypeInt)
var WorkPlaceStatusRecLst_WorkPlaceNr = grmi.NewField("WorkPlaceNr", "WorkPlaceStatusRecLst.WorkPlaceNr", "workplacenr", grmi.TypeInt)
var WorkPlaceStatusRecLst_Pos = grmi.NewField("Pos", "WorkPlaceStatusRecLst.Pos", "pos", grmi.TypeInt)
var WorkPlaceStatusRecLst_PrevStatus = grmi.NewField("PrevStatus", "WorkPlaceStatusRecLst.PrevStatus", "prevstatus", grmi.TypeInt)
var WorkPlaceStatusRecLst_Status = grmi.NewField("Status", "WorkPlaceStatusRecLst.Status", "status", grmi.TypeInt)
var WorkPlaceStatusRecLst_StartTime = grmi.NewField("StartTime", "WorkPlaceStatusRecLst.StartTime", "starttime", grmi.TypeDateTime)
var WorkPlaceStatusRecLst_EndTime = grmi.NewField("EndTime", "WorkPlaceStatusRecLst.EndTime", "endtime", grmi.TypeDateTime)
var WorkPlaceStatusRecLst_TriggerEvent = grmi.NewField("TriggerEvent", "WorkPlaceStatusRecLst.TriggerEvent", "triggerevent", grmi.TypeString)
var WorkPlaceStatusRecLst_TriggerObjectId = grmi.NewField("TriggerObjectId", "WorkPlaceStatusRecLst.TriggerObjectId", "triggerobjectid", grmi.TypeString)
var WorkPlaceStatusRecLst_TriggerSubObjectId = grmi.NewField("TriggerSubObjectId", "WorkPlaceStatusRecLst.TriggerSubObjectId", "triggersubobjectid", grmi.TypeString)
var WorkPlaceStatusRecLst_OutputStatus = grmi.NewField("OutputStatus", "WorkPlaceStatusRecLst.OutputStatus", "outputstatus", grmi.TypeInt)
var WorkPlaceStatusRecLst_OutputEvent = grmi.NewField("OutputEvent", "WorkPlaceStatusRecLst.OutputEvent", "outputevent", grmi.TypeString)
var WorkPlaceStatusRecLst_OutputEventMessageId = grmi.NewField("OutputEventMessageId", "WorkPlaceStatusRecLst.OutputEventMessageId", "outputeventmessageid", grmi.TypeString)
var WorkPlaceStatusRecLst_OutputObjectId = grmi.NewField("OutputObjectId", "WorkPlaceStatusRecLst.OutputObjectId", "outputobjectid", grmi.TypeString)
var WorkPlaceStatusRecLst_OutputSubObjectId = grmi.NewField("OutputSubObjectId", "WorkPlaceStatusRecLst.OutputSubObjectId", "outputsubobjectid", grmi.TypeString)
var WorkPlaceStatusRecLst_Remark1 = grmi.NewField("Remark1", "WorkPlaceStatusRecLst.Remark1", "remark1", grmi.TypeString)
var WorkPlaceStatusRecLst_Remark2 = grmi.NewField("Remark2", "WorkPlaceStatusRecLst.Remark2", "remark2", grmi.TypeString)
var WorkPlaceStatusRecLst_LastModify = grmi.NewField("LastModify", "WorkPlaceStatusRecLst.LastModify", "lastmodify", grmi.TypeDateTime)
var WorkPlaceStatusRecLst_LastUser = grmi.NewField("LastUser", "WorkPlaceStatusRecLst.LastUser", "lastuser", grmi.TypeString)
var WorkPlaceStatusRecLst_CreateTime = grmi.NewField("CreateTime", "WorkPlaceStatusRecLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkPlaceStatusRecLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-21 10:27:00
 *
 ******************************************************************************/
var WorkPlaceStatusRecLst = grmi.NewEntity(
	"WorkPlaceStatusRecLst",
	func() interface{} { return &model.WorkPlaceStatusRecLst{} },
	map[string]grmi.Field{
		WorkPlaceStatusRecLst_PlantNr.Name:              WorkPlaceStatusRecLst_PlantNr,
		WorkPlaceStatusRecLst_WorkPlaceNr.Name:          WorkPlaceStatusRecLst_WorkPlaceNr,
		WorkPlaceStatusRecLst_Pos.Name:                  WorkPlaceStatusRecLst_Pos,
		WorkPlaceStatusRecLst_PrevStatus.Name:           WorkPlaceStatusRecLst_PrevStatus,
		WorkPlaceStatusRecLst_Status.Name:               WorkPlaceStatusRecLst_Status,
		WorkPlaceStatusRecLst_StartTime.Name:            WorkPlaceStatusRecLst_StartTime,
		WorkPlaceStatusRecLst_EndTime.Name:              WorkPlaceStatusRecLst_EndTime,
		WorkPlaceStatusRecLst_TriggerEvent.Name:         WorkPlaceStatusRecLst_TriggerEvent,
		WorkPlaceStatusRecLst_TriggerObjectId.Name:      WorkPlaceStatusRecLst_TriggerObjectId,
		WorkPlaceStatusRecLst_TriggerSubObjectId.Name:   WorkPlaceStatusRecLst_TriggerSubObjectId,
		WorkPlaceStatusRecLst_OutputStatus.Name:         WorkPlaceStatusRecLst_OutputStatus,
		WorkPlaceStatusRecLst_OutputEvent.Name:          WorkPlaceStatusRecLst_OutputEvent,
		WorkPlaceStatusRecLst_OutputEventMessageId.Name: WorkPlaceStatusRecLst_OutputEventMessageId,
		WorkPlaceStatusRecLst_OutputObjectId.Name:       WorkPlaceStatusRecLst_OutputObjectId,
		WorkPlaceStatusRecLst_OutputSubObjectId.Name:    WorkPlaceStatusRecLst_OutputSubObjectId,
		WorkPlaceStatusRecLst_Remark1.Name:              WorkPlaceStatusRecLst_Remark1,
		WorkPlaceStatusRecLst_Remark2.Name:              WorkPlaceStatusRecLst_Remark2,
		WorkPlaceStatusRecLst_LastModify.Name:           WorkPlaceStatusRecLst_LastModify,
		WorkPlaceStatusRecLst_LastUser.Name:             WorkPlaceStatusRecLst_LastUser,
		WorkPlaceStatusRecLst_CreateTime.Name:           WorkPlaceStatusRecLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PrevStatus", "Status", "StartTime", "EndTime", "TriggerEvent", "TriggerObjectId", "TriggerSubObjectId", "OutputStatus", "OutputEvent", "OutputEventMessageId", "OutputObjectId", "OutputSubObjectId", "Remark1", "Remark2", "LastUser"})
