// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package log

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/log"
)

/******************************************************************************
 *
 * @Description              : ArtDemandHead的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-15 15:28:12
 *
 ******************************************************************************/
var ArtDemandHead_PlantNr = grmi.NewField("PlantNr", "LOG_ArtDemandHead.PlantNr", "plantnr", grmi.TypeInt)
var ArtDemandHead_ArtId = grmi.NewField("ArtId", "LOG_ArtDemandHead.ArtId", "artid", grmi.TypeString)
var ArtDemandHead_DemandId = grmi.NewField("DemandId", "LOG_ArtDemandHead.DemandId", "demandid", grmi.TypeString)
var ArtDemandHead_DemandType = grmi.NewField("DemandType", "LOG_ArtDemandHead.DemandType", "demandtype", grmi.TypeString)
var ArtDemandHead_DemandYear = grmi.NewField("DemandYear", "LOG_ArtDemandHead.DemandYear", "demandyear", grmi.TypeInt)
var ArtDemandHead_DemandMonth = grmi.NewField("DemandMonth", "LOG_ArtDemandHead.DemandMonth", "demandmonth", grmi.TypeInt)
var ArtDemandHead_DemandWeek = grmi.NewField("DemandWeek", "LOG_ArtDemandHead.DemandWeek", "demandweek", grmi.TypeInt)
var ArtDemandHead_DemandDate = grmi.NewField("DemandDate", "LOG_ArtDemandHead.DemandDate", "demanddate", grmi.TypeDate)
var ArtDemandHead_DemandHour = grmi.NewField("DemandHour", "LOG_ArtDemandHead.DemandHour", "demandhour", grmi.TypeInt)
var ArtDemandHead_DemandTime = grmi.NewField("DemandTime", "LOG_ArtDemandHead.DemandTime", "demandtime", grmi.TypeDateTime)
var ArtDemandHead_DemandQty = grmi.NewField("DemandQty", "LOG_ArtDemandHead.DemandQty", "demandqty", grmi.TypeFloat64)
var ArtDemandHead_QtyUomId = grmi.NewField("QtyUomId", "LOG_ArtDemandHead.QtyUomId", "qtyuomid", grmi.TypeString)
var ArtDemandHead_Status = grmi.NewField("Status", "LOG_ArtDemandHead.Status", "status", grmi.TypeInt)
var ArtDemandHead_DemandSendTime = grmi.NewField("DemandSendTime", "LOG_ArtDemandHead.DemandSendTime", "demandsendtime", grmi.TypeDateTime)
var ArtDemandHead_DemandRecieveTime = grmi.NewField("DemandRecieveTime", "LOG_ArtDemandHead.DemandRecieveTime", "demandrecievetime", grmi.TypeDateTime)
var ArtDemandHead_DemandConfirmTime = grmi.NewField("DemandConfirmTime", "LOG_ArtDemandHead.DemandConfirmTime", "demandconfirmtime", grmi.TypeDateTime)
var ArtDemandHead_DemandCloseTime = grmi.NewField("DemandCloseTime", "LOG_ArtDemandHead.DemandCloseTime", "demandclosetime", grmi.TypeDateTime)
var ArtDemandHead_DemandDeliveredQty = grmi.NewField("DemandDeliveredQty", "LOG_ArtDemandHead.DemandDeliveredQty", "demanddeliveredqty", grmi.TypeFloat64)
var ArtDemandHead_DemandCtrlPara1 = grmi.NewField("DemandCtrlPara1", "LOG_ArtDemandHead.DemandCtrlPara1", "demandctrlpara1", grmi.TypeInt)
var ArtDemandHead_DemandCtrlPara2 = grmi.NewField("DemandCtrlPara2", "LOG_ArtDemandHead.DemandCtrlPara2", "demandctrlpara2", grmi.TypeInt)
var ArtDemandHead_DemandCtrlPara3 = grmi.NewField("DemandCtrlPara3", "LOG_ArtDemandHead.DemandCtrlPara3", "demandctrlpara3", grmi.TypeString)
var ArtDemandHead_DemandCtrlPara4 = grmi.NewField("DemandCtrlPara4", "LOG_ArtDemandHead.DemandCtrlPara4", "demandctrlpara4", grmi.TypeString)
var ArtDemandHead_DemandCtrlTime1 = grmi.NewField("DemandCtrlTime1", "LOG_ArtDemandHead.DemandCtrlTime1", "demandctrltime1", grmi.TypeDateTime)
var ArtDemandHead_DemandCtrlTime2 = grmi.NewField("DemandCtrlTime2", "LOG_ArtDemandHead.DemandCtrlTime2", "demandctrltime2", grmi.TypeDateTime)
var ArtDemandHead_OrderStatus = grmi.NewField("OrderStatus", "LOG_ArtDemandHead.OrderStatus", "orderstatus", grmi.TypeInt)
var ArtDemandHead_UnproducedQty = grmi.NewField("UnproducedQty", "LOG_ArtDemandHead.UnproducedQty", "unproducedqty", grmi.TypeFloat64)
var ArtDemandHead_OrderType = grmi.NewField("OrderType", "LOG_ArtDemandHead.OrderType", "ordertype", grmi.TypeString)
var ArtDemandHead_WorkOrderId = grmi.NewField("WorkOrderId", "LOG_ArtDemandHead.WorkOrderId", "workorderid", grmi.TypeString)
var ArtDemandHead_ProjectId = grmi.NewField("ProjectId", "LOG_ArtDemandHead.ProjectId", "projectid", grmi.TypeString)
var ArtDemandHead_DemandStatus = grmi.NewField("DemandStatus", "LOG_ArtDemandHead.DemandStatus", "demandstatus", grmi.TypeInt)
var ArtDemandHead_DemandCtrlPara5 = grmi.NewField("DemandCtrlPara5", "LOG_ArtDemandHead.DemandCtrlPara5", "demandctrlpara5", grmi.TypeInt)
var ArtDemandHead_DemandCtrlPara6 = grmi.NewField("DemandCtrlPara6", "LOG_ArtDemandHead.DemandCtrlPara6", "demandctrlpara6", grmi.TypeInt)
var ArtDemandHead_ChangeStatus = grmi.NewField("ChangeStatus", "LOG_ArtDemandHead.ChangeStatus", "changestatus", grmi.TypeInt)
var ArtDemandHead_PlanResourceId = grmi.NewField("PlanResourceId", "LOG_ArtDemandHead.PlanResourceId", "planresourceid", grmi.TypeString)
var ArtDemandHead_PlanStartDate = grmi.NewField("PlanStartDate", "LOG_ArtDemandHead.PlanStartDate", "planstartdate", grmi.TypeDate)
var ArtDemandHead_PlanEndDate = grmi.NewField("PlanEndDate", "LOG_ArtDemandHead.PlanEndDate", "planenddate", grmi.TypeDate)
var ArtDemandHead_PlanStartTime = grmi.NewField("PlanStartTime", "LOG_ArtDemandHead.PlanStartTime", "planstarttime", grmi.TypeDateTime)
var ArtDemandHead_PlanEndTime = grmi.NewField("PlanEndTime", "LOG_ArtDemandHead.PlanEndTime", "planendtime", grmi.TypeDateTime)
var ArtDemandHead_ActStartTime = grmi.NewField("ActStartTime", "LOG_ArtDemandHead.ActStartTime", "actstarttime", grmi.TypeDateTime)
var ArtDemandHead_ActEndTime = grmi.NewField("ActEndTime", "LOG_ArtDemandHead.ActEndTime", "actendtime", grmi.TypeDateTime)
var ArtDemandHead_CancelQty = grmi.NewField("CancelQty", "LOG_ArtDemandHead.CancelQty", "cancelqty", grmi.TypeFloat64)
var ArtDemandHead_LastModify = grmi.NewField("LastModify", "LOG_ArtDemandHead.LastModify", "lastmodify", grmi.TypeDateTime)
var ArtDemandHead_LastUser = grmi.NewField("LastUser", "LOG_ArtDemandHead.LastUser", "lastuser", grmi.TypeString)
var ArtDemandHead_CreateTime = grmi.NewField("CreateTime", "LOG_ArtDemandHead.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ArtDemandHead的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-15 15:14:40
 *
 ******************************************************************************/
var ArtDemandHead = grmi.NewEntity(
	"LOG_ArtDemandHead",
	func() interface{} { return &model.ArtDemandHead{} },
	map[string]grmi.Field{
		ArtDemandHead_PlantNr.Name:            ArtDemandHead_PlantNr,
		ArtDemandHead_ArtId.Name:              ArtDemandHead_ArtId,
		ArtDemandHead_DemandId.Name:           ArtDemandHead_DemandId,
		ArtDemandHead_DemandType.Name:         ArtDemandHead_DemandType,
		ArtDemandHead_DemandYear.Name:         ArtDemandHead_DemandYear,
		ArtDemandHead_DemandMonth.Name:        ArtDemandHead_DemandMonth,
		ArtDemandHead_DemandWeek.Name:         ArtDemandHead_DemandWeek,
		ArtDemandHead_DemandDate.Name:         ArtDemandHead_DemandDate,
		ArtDemandHead_DemandHour.Name:         ArtDemandHead_DemandHour,
		ArtDemandHead_DemandTime.Name:         ArtDemandHead_DemandTime,
		ArtDemandHead_DemandQty.Name:          ArtDemandHead_DemandQty,
		ArtDemandHead_QtyUomId.Name:           ArtDemandHead_QtyUomId,
		ArtDemandHead_Status.Name:             ArtDemandHead_Status,
		ArtDemandHead_DemandSendTime.Name:     ArtDemandHead_DemandSendTime,
		ArtDemandHead_DemandRecieveTime.Name:  ArtDemandHead_DemandRecieveTime,
		ArtDemandHead_DemandConfirmTime.Name:  ArtDemandHead_DemandConfirmTime,
		ArtDemandHead_DemandCloseTime.Name:    ArtDemandHead_DemandCloseTime,
		ArtDemandHead_DemandDeliveredQty.Name: ArtDemandHead_DemandDeliveredQty,
		ArtDemandHead_DemandCtrlPara1.Name:    ArtDemandHead_DemandCtrlPara1,
		ArtDemandHead_DemandCtrlPara2.Name:    ArtDemandHead_DemandCtrlPara2,
		ArtDemandHead_DemandCtrlPara3.Name:    ArtDemandHead_DemandCtrlPara3,
		ArtDemandHead_DemandCtrlPara4.Name:    ArtDemandHead_DemandCtrlPara4,
		ArtDemandHead_DemandCtrlTime1.Name:    ArtDemandHead_DemandCtrlTime1,
		ArtDemandHead_DemandCtrlTime2.Name:    ArtDemandHead_DemandCtrlTime2,
		ArtDemandHead_OrderStatus.Name:        ArtDemandHead_OrderStatus,
		ArtDemandHead_UnproducedQty.Name:      ArtDemandHead_UnproducedQty,
		ArtDemandHead_OrderType.Name:          ArtDemandHead_OrderType,
		ArtDemandHead_WorkOrderId.Name:        ArtDemandHead_WorkOrderId,
		ArtDemandHead_ProjectId.Name:          ArtDemandHead_ProjectId,
		ArtDemandHead_DemandStatus.Name:       ArtDemandHead_DemandStatus,
		ArtDemandHead_DemandCtrlPara5.Name:    ArtDemandHead_DemandCtrlPara5,
		ArtDemandHead_DemandCtrlPara6.Name:    ArtDemandHead_DemandCtrlPara6,
		ArtDemandHead_ChangeStatus.Name:       ArtDemandHead_ChangeStatus,
		ArtDemandHead_PlanResourceId.Name:     ArtDemandHead_PlanResourceId,
		ArtDemandHead_PlanStartDate.Name:      ArtDemandHead_PlanStartDate,
		ArtDemandHead_PlanEndDate.Name:        ArtDemandHead_PlanEndDate,
		ArtDemandHead_PlanStartTime.Name:      ArtDemandHead_PlanStartTime,
		ArtDemandHead_PlanEndTime.Name:        ArtDemandHead_PlanEndTime,
		ArtDemandHead_ActStartTime.Name:       ArtDemandHead_ActStartTime,
		ArtDemandHead_ActEndTime.Name:         ArtDemandHead_ActEndTime,
		ArtDemandHead_CancelQty.Name:          ArtDemandHead_CancelQty,
		ArtDemandHead_LastModify.Name:         ArtDemandHead_LastModify,
		ArtDemandHead_LastUser.Name:           ArtDemandHead_LastUser,
		ArtDemandHead_CreateTime.Name:         ArtDemandHead_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"DemandType", "DemandYear", "DemandMonth", "DemandWeek", "DemandDate", "DemandHour", "DemandTime", "DemandQty", "QtyUomId", "Status", "DemandSendTime", "DemandRecieveTime", "DemandConfirmTime", "DemandCloseTime", "DemandDeliveredQty", "DemandCtrlPara1", "DemandCtrlPara2", "DemandCtrlPara3", "DemandCtrlPara4", "DemandCtrlTime1", "DemandCtrlTime2", "OrderStatus", "UnproducedQty", "OrderType", "WorkOrderId", "ProjectId", "DemandStatus", "DemandCtrlPara5", "DemandCtrlPara6", "ChangeStatus", "PlanResourceId", "PlanStartDate", "PlanEndDate", "PlanStartTime", "PlanEndTime", "ActStartTime", "ActEndTime", "CancelQty", "LastUser"})
