// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package log

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/log"
)

/******************************************************************************
 *
 * @Description              : ArtDemandHeadCache的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-15 15:28:12
 *
 ******************************************************************************/
var ArtDemandHeadCache_PlantNr = grmi.NewField("PlantNr", "LOG_ArtDemandHeadCache.PlantNr", "plantnr", grmi.TypeInt)
var ArtDemandHeadCache_ArtId = grmi.NewField("ArtId", "LOG_ArtDemandHeadCache.ArtId", "artid", grmi.TypeString)
var ArtDemandHeadCache_DemandId = grmi.NewField("DemandId", "LOG_ArtDemandHeadCache.DemandId", "demandid", grmi.TypeString)
var ArtDemandHeadCache_DemandType = grmi.NewField("DemandType", "LOG_ArtDemandHeadCache.DemandType", "demandtype", grmi.TypeString)
var ArtDemandHeadCache_DemandYear = grmi.NewField("DemandYear", "LOG_ArtDemandHeadCache.DemandYear", "demandyear", grmi.TypeInt)
var ArtDemandHeadCache_DemandMonth = grmi.NewField("DemandMonth", "LOG_ArtDemandHeadCache.DemandMonth", "demandmonth", grmi.TypeInt)
var ArtDemandHeadCache_DemandWeek = grmi.NewField("DemandWeek", "LOG_ArtDemandHeadCache.DemandWeek", "demandweek", grmi.TypeInt)
var ArtDemandHeadCache_DemandDate = grmi.NewField("DemandDate", "LOG_ArtDemandHeadCache.DemandDate", "demanddate", grmi.TypeDate)
var ArtDemandHeadCache_DemandHour = grmi.NewField("DemandHour", "LOG_ArtDemandHeadCache.DemandHour", "demandhour", grmi.TypeInt)
var ArtDemandHeadCache_DemandTime = grmi.NewField("DemandTime", "LOG_ArtDemandHeadCache.DemandTime", "demandtime", grmi.TypeDateTime)
var ArtDemandHeadCache_DemandQty = grmi.NewField("DemandQty", "LOG_ArtDemandHeadCache.DemandQty", "demandqty", grmi.TypeFloat64)
var ArtDemandHeadCache_QtyUomId = grmi.NewField("QtyUomId", "LOG_ArtDemandHeadCache.QtyUomId", "qtyuomid", grmi.TypeString)
var ArtDemandHeadCache_Status = grmi.NewField("Status", "LOG_ArtDemandHeadCache.Status", "status", grmi.TypeInt)
var ArtDemandHeadCache_DemandSendTime = grmi.NewField("DemandSendTime", "LOG_ArtDemandHeadCache.DemandSendTime", "demandsendtime", grmi.TypeDateTime)
var ArtDemandHeadCache_DemandRecieveTime = grmi.NewField("DemandRecieveTime", "LOG_ArtDemandHeadCache.DemandRecieveTime", "demandrecievetime", grmi.TypeDateTime)
var ArtDemandHeadCache_DemandConfirmTime = grmi.NewField("DemandConfirmTime", "LOG_ArtDemandHeadCache.DemandConfirmTime", "demandconfirmtime", grmi.TypeDateTime)
var ArtDemandHeadCache_DemandCloseTime = grmi.NewField("DemandCloseTime", "LOG_ArtDemandHeadCache.DemandCloseTime", "demandclosetime", grmi.TypeDateTime)
var ArtDemandHeadCache_DemandDeliveredQty = grmi.NewField("DemandDeliveredQty", "LOG_ArtDemandHeadCache.DemandDeliveredQty", "demanddeliveredqty", grmi.TypeFloat64)
var ArtDemandHeadCache_DemandCtrlPara1 = grmi.NewField("DemandCtrlPara1", "LOG_ArtDemandHeadCache.DemandCtrlPara1", "demandctrlpara1", grmi.TypeInt)
var ArtDemandHeadCache_DemandCtrlPara2 = grmi.NewField("DemandCtrlPara2", "LOG_ArtDemandHeadCache.DemandCtrlPara2", "demandctrlpara2", grmi.TypeInt)
var ArtDemandHeadCache_DemandCtrlPara3 = grmi.NewField("DemandCtrlPara3", "LOG_ArtDemandHeadCache.DemandCtrlPara3", "demandctrlpara3", grmi.TypeString)
var ArtDemandHeadCache_DemandCtrlPara4 = grmi.NewField("DemandCtrlPara4", "LOG_ArtDemandHeadCache.DemandCtrlPara4", "demandctrlpara4", grmi.TypeString)
var ArtDemandHeadCache_DemandCtrlTime1 = grmi.NewField("DemandCtrlTime1", "LOG_ArtDemandHeadCache.DemandCtrlTime1", "demandctrltime1", grmi.TypeDateTime)
var ArtDemandHeadCache_DemandCtrlTime2 = grmi.NewField("DemandCtrlTime2", "LOG_ArtDemandHeadCache.DemandCtrlTime2", "demandctrltime2", grmi.TypeDateTime)
var ArtDemandHeadCache_OrderStatus = grmi.NewField("OrderStatus", "LOG_ArtDemandHeadCache.OrderStatus", "orderstatus", grmi.TypeInt)
var ArtDemandHeadCache_UnproducedQty = grmi.NewField("UnproducedQty", "LOG_ArtDemandHeadCache.UnproducedQty", "unproducedqty", grmi.TypeFloat64)
var ArtDemandHeadCache_OrderType = grmi.NewField("OrderType", "LOG_ArtDemandHeadCache.OrderType", "ordertype", grmi.TypeString)
var ArtDemandHeadCache_WorkOrderId = grmi.NewField("WorkOrderId", "LOG_ArtDemandHeadCache.WorkOrderId", "workorderid", grmi.TypeString)
var ArtDemandHeadCache_ProjectId = grmi.NewField("ProjectId", "LOG_ArtDemandHeadCache.ProjectId", "projectid", grmi.TypeString)
var ArtDemandHeadCache_DemandStatus = grmi.NewField("DemandStatus", "LOG_ArtDemandHeadCache.DemandStatus", "demandstatus", grmi.TypeInt)
var ArtDemandHeadCache_DemandCtrlPara5 = grmi.NewField("DemandCtrlPara5", "LOG_ArtDemandHeadCache.DemandCtrlPara5", "demandctrlpara5", grmi.TypeInt)
var ArtDemandHeadCache_DemandCtrlPara6 = grmi.NewField("DemandCtrlPara6", "LOG_ArtDemandHeadCache.DemandCtrlPara6", "demandctrlpara6", grmi.TypeInt)
var ArtDemandHeadCache_ChangeStatus = grmi.NewField("ChangeStatus", "LOG_ArtDemandHeadCache.ChangeStatus", "changestatus", grmi.TypeInt)
var ArtDemandHeadCache_PlanResourceId = grmi.NewField("PlanResourceId", "LOG_ArtDemandHeadCache.PlanResourceId", "planresourceid", grmi.TypeString)
var ArtDemandHeadCache_PlanStartDate = grmi.NewField("PlanStartDate", "LOG_ArtDemandHeadCache.PlanStartDate", "planstartdate", grmi.TypeDate)
var ArtDemandHeadCache_PlanEndDate = grmi.NewField("PlanEndDate", "LOG_ArtDemandHeadCache.PlanEndDate", "planenddate", grmi.TypeDate)
var ArtDemandHeadCache_PlanStartTime = grmi.NewField("PlanStartTime", "LOG_ArtDemandHeadCache.PlanStartTime", "planstarttime", grmi.TypeDateTime)
var ArtDemandHeadCache_PlanEndTime = grmi.NewField("PlanEndTime", "LOG_ArtDemandHeadCache.PlanEndTime", "planendtime", grmi.TypeDateTime)
var ArtDemandHeadCache_ActStartTime = grmi.NewField("ActStartTime", "LOG_ArtDemandHeadCache.ActStartTime", "actstarttime", grmi.TypeDateTime)
var ArtDemandHeadCache_ActEndTime = grmi.NewField("ActEndTime", "LOG_ArtDemandHeadCache.ActEndTime", "actendtime", grmi.TypeDateTime)
var ArtDemandHeadCache_CancelQty = grmi.NewField("CancelQty", "LOG_ArtDemandHeadCache.CancelQty", "cancelqty", grmi.TypeFloat64)
var ArtDemandHeadCache_LastModify = grmi.NewField("LastModify", "LOG_ArtDemandHeadCache.LastModify", "lastmodify", grmi.TypeDateTime)
var ArtDemandHeadCache_LastUser = grmi.NewField("LastUser", "LOG_ArtDemandHeadCache.LastUser", "lastuser", grmi.TypeString)
var ArtDemandHeadCache_CreateTime = grmi.NewField("CreateTime", "LOG_ArtDemandHeadCache.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ArtDemandHeadCache的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-15 15:14:40
 *
 ******************************************************************************/
var ArtDemandHeadCache = grmi.NewEntity(
	"LOG_ArtDemandHeadCache",
	func() interface{} { return &model.ArtDemandHeadCache{} },
	map[string]grmi.Field{
		ArtDemandHeadCache_PlantNr.Name:            ArtDemandHeadCache_PlantNr,
		ArtDemandHeadCache_ArtId.Name:              ArtDemandHeadCache_ArtId,
		ArtDemandHeadCache_DemandId.Name:           ArtDemandHeadCache_DemandId,
		ArtDemandHeadCache_DemandType.Name:         ArtDemandHeadCache_DemandType,
		ArtDemandHeadCache_DemandYear.Name:         ArtDemandHeadCache_DemandYear,
		ArtDemandHeadCache_DemandMonth.Name:        ArtDemandHeadCache_DemandMonth,
		ArtDemandHeadCache_DemandWeek.Name:         ArtDemandHeadCache_DemandWeek,
		ArtDemandHeadCache_DemandDate.Name:         ArtDemandHeadCache_DemandDate,
		ArtDemandHeadCache_DemandHour.Name:         ArtDemandHeadCache_DemandHour,
		ArtDemandHeadCache_DemandTime.Name:         ArtDemandHeadCache_DemandTime,
		ArtDemandHeadCache_DemandQty.Name:          ArtDemandHeadCache_DemandQty,
		ArtDemandHeadCache_QtyUomId.Name:           ArtDemandHeadCache_QtyUomId,
		ArtDemandHeadCache_Status.Name:             ArtDemandHeadCache_Status,
		ArtDemandHeadCache_DemandSendTime.Name:     ArtDemandHeadCache_DemandSendTime,
		ArtDemandHeadCache_DemandRecieveTime.Name:  ArtDemandHeadCache_DemandRecieveTime,
		ArtDemandHeadCache_DemandConfirmTime.Name:  ArtDemandHeadCache_DemandConfirmTime,
		ArtDemandHeadCache_DemandCloseTime.Name:    ArtDemandHeadCache_DemandCloseTime,
		ArtDemandHeadCache_DemandDeliveredQty.Name: ArtDemandHeadCache_DemandDeliveredQty,
		ArtDemandHeadCache_DemandCtrlPara1.Name:    ArtDemandHeadCache_DemandCtrlPara1,
		ArtDemandHeadCache_DemandCtrlPara2.Name:    ArtDemandHeadCache_DemandCtrlPara2,
		ArtDemandHeadCache_DemandCtrlPara3.Name:    ArtDemandHeadCache_DemandCtrlPara3,
		ArtDemandHeadCache_DemandCtrlPara4.Name:    ArtDemandHeadCache_DemandCtrlPara4,
		ArtDemandHeadCache_DemandCtrlTime1.Name:    ArtDemandHeadCache_DemandCtrlTime1,
		ArtDemandHeadCache_DemandCtrlTime2.Name:    ArtDemandHeadCache_DemandCtrlTime2,
		ArtDemandHeadCache_OrderStatus.Name:        ArtDemandHeadCache_OrderStatus,
		ArtDemandHeadCache_UnproducedQty.Name:      ArtDemandHeadCache_UnproducedQty,
		ArtDemandHeadCache_OrderType.Name:          ArtDemandHeadCache_OrderType,
		ArtDemandHeadCache_WorkOrderId.Name:        ArtDemandHeadCache_WorkOrderId,
		ArtDemandHeadCache_ProjectId.Name:          ArtDemandHeadCache_ProjectId,
		ArtDemandHeadCache_DemandStatus.Name:       ArtDemandHeadCache_DemandStatus,
		ArtDemandHeadCache_DemandCtrlPara5.Name:    ArtDemandHeadCache_DemandCtrlPara5,
		ArtDemandHeadCache_DemandCtrlPara6.Name:    ArtDemandHeadCache_DemandCtrlPara6,
		ArtDemandHeadCache_ChangeStatus.Name:       ArtDemandHeadCache_ChangeStatus,
		ArtDemandHeadCache_PlanResourceId.Name:     ArtDemandHeadCache_PlanResourceId,
		ArtDemandHeadCache_PlanStartDate.Name:      ArtDemandHeadCache_PlanStartDate,
		ArtDemandHeadCache_PlanEndDate.Name:        ArtDemandHeadCache_PlanEndDate,
		ArtDemandHeadCache_PlanStartTime.Name:      ArtDemandHeadCache_PlanStartTime,
		ArtDemandHeadCache_PlanEndTime.Name:        ArtDemandHeadCache_PlanEndTime,
		ArtDemandHeadCache_ActStartTime.Name:       ArtDemandHeadCache_ActStartTime,
		ArtDemandHeadCache_ActEndTime.Name:         ArtDemandHeadCache_ActEndTime,
		ArtDemandHeadCache_CancelQty.Name:          ArtDemandHeadCache_CancelQty,
		ArtDemandHeadCache_LastModify.Name:         ArtDemandHeadCache_LastModify,
		ArtDemandHeadCache_LastUser.Name:           ArtDemandHeadCache_LastUser,
		ArtDemandHeadCache_CreateTime.Name:         ArtDemandHeadCache_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"DemandType", "DemandYear", "DemandMonth", "DemandWeek", "DemandDate", "DemandHour", "DemandTime", "DemandQty", "QtyUomId", "Status", "DemandSendTime", "DemandRecieveTime", "DemandConfirmTime", "DemandCloseTime", "DemandDeliveredQty", "DemandCtrlPara1", "DemandCtrlPara2", "DemandCtrlPara3", "DemandCtrlPara4", "DemandCtrlTime1", "DemandCtrlTime2", "OrderStatus", "UnproducedQty", "OrderType", "WorkOrderId", "ProjectId", "DemandStatus", "DemandCtrlPara5", "DemandCtrlPara6", "ChangeStatus", "PlanResourceId", "PlanStartDate", "PlanEndDate", "PlanStartTime", "PlanEndTime", "ActStartTime", "ActEndTime", "CancelQty", "LastUser"})
