// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package log

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/log"
)

/******************************************************************************
 *
 * @Description              : PackTemplateItemlst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var PackTemplateItemlst_PlantNr = grmi.NewField("PlantNr", "LOG_PackTemplateItemlst.PlantNr", "plantnr", grmi.TypeInt)
var PackTemplateItemlst_PackTemplateId = grmi.NewField("PackTemplateId", "LOG_PackTemplateItemlst.PackTemplateId", "packtemplateid", grmi.TypeString)
var PackTemplateItemlst_Pos = grmi.NewField("Pos", "LOG_PackTemplateItemlst.Pos", "pos", grmi.TypeInt)
var PackTemplateItemlst_PosCode = grmi.NewField("PosCode", "LOG_PackTemplateItemlst.PosCode", "poscode", grmi.TypeString)
var PackTemplateItemlst_MaterialId = grmi.NewField("MaterialId", "LOG_PackTemplateItemlst.MaterialId", "materialid", grmi.TypeString)
var PackTemplateItemlst_Seq = grmi.NewField("Seq", "LOG_PackTemplateItemlst.Seq", "seq", grmi.TypeInt)
var PackTemplateItemlst_PlanQty = grmi.NewField("PlanQty", "LOG_PackTemplateItemlst.PlanQty", "planqty", grmi.TypeInt)
var PackTemplateItemlst_PKTMPICustC1 = grmi.NewField("PKTMPICustC1", "LOG_PackTemplateItemlst.PKTMPI_CustC1", "pktmpicustc1", grmi.TypeString)
var PackTemplateItemlst_PKTMPICustC2 = grmi.NewField("PKTMPICustC2", "LOG_PackTemplateItemlst.PKTMPI_CustC2", "pktmpicustc2", grmi.TypeString)
var PackTemplateItemlst_PKTMPICustI1 = grmi.NewField("PKTMPICustI1", "LOG_PackTemplateItemlst.PKTMPI_CustI1", "pktmpicusti1", grmi.TypeInt)
var PackTemplateItemlst_PKTMPICustI2 = grmi.NewField("PKTMPICustI2", "LOG_PackTemplateItemlst.PKTMPI_CustI2", "pktmpicusti2", grmi.TypeInt)
var PackTemplateItemlst_LastModify = grmi.NewField("LastModify", "LOG_PackTemplateItemlst.LastModify", "lastmodify", grmi.TypeDateTime)
var PackTemplateItemlst_LastUser = grmi.NewField("LastUser", "LOG_PackTemplateItemlst.LastUser", "lastuser", grmi.TypeString)
var PackTemplateItemlst_CreateTime = grmi.NewField("CreateTime", "LOG_PackTemplateItemlst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : PackTemplateItemlst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var PackTemplateItemlst = grmi.NewEntity(
	"LOG_PackTemplateItemlst",
	func() interface{} { return &model.PackTemplateItemlst{} },
	map[string]grmi.Field{
		PackTemplateItemlst_PlantNr.Name:        PackTemplateItemlst_PlantNr,
		PackTemplateItemlst_PackTemplateId.Name: PackTemplateItemlst_PackTemplateId,
		PackTemplateItemlst_Pos.Name:            PackTemplateItemlst_Pos,
		PackTemplateItemlst_PosCode.Name:        PackTemplateItemlst_PosCode,
		PackTemplateItemlst_MaterialId.Name:     PackTemplateItemlst_MaterialId,
		PackTemplateItemlst_Seq.Name:            PackTemplateItemlst_Seq,
		PackTemplateItemlst_PlanQty.Name:        PackTemplateItemlst_PlanQty,
		PackTemplateItemlst_PKTMPICustC1.Name:   PackTemplateItemlst_PKTMPICustC1,
		PackTemplateItemlst_PKTMPICustC2.Name:   PackTemplateItemlst_PKTMPICustC2,
		PackTemplateItemlst_PKTMPICustI1.Name:   PackTemplateItemlst_PKTMPICustI1,
		PackTemplateItemlst_PKTMPICustI2.Name:   PackTemplateItemlst_PKTMPICustI2,
		PackTemplateItemlst_LastModify.Name:     PackTemplateItemlst_LastModify,
		PackTemplateItemlst_LastUser.Name:       PackTemplateItemlst_LastUser,
		PackTemplateItemlst_CreateTime.Name:     PackTemplateItemlst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PosCode", "MaterialId", "Seq", "PlanQty", "PKTMPI_CustC1", "PKTMPI_CustC2", "PKTMPI_CustI1", "PKTMPI_CustI2", "LastUser"})
