// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package log

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/log"
)

/******************************************************************************
 *
 * @Description              : PackTemplatePrintlst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var PackTemplatePrintlst_PlantNr = grmi.NewField("PlantNr", "LOG_PackTemplatePrintlst.PlantNr", "plantnr", grmi.TypeInt)
var PackTemplatePrintlst_PackTemplateId = grmi.NewField("PackTemplateId", "LOG_PackTemplatePrintlst.PackTemplateId", "packtemplateid", grmi.TypeString)
var PackTemplatePrintlst_Pos = grmi.NewField("Pos", "LOG_PackTemplatePrintlst.Pos", "pos", grmi.TypeInt)
var PackTemplatePrintlst_VarName = grmi.NewField("VarName", "LOG_PackTemplatePrintlst.VarName", "varname", grmi.TypeString)
var PackTemplatePrintlst_VarValue = grmi.NewField("VarValue", "LOG_PackTemplatePrintlst.VarValue", "varvalue", grmi.TypeString)
var PackTemplatePrintlst_VarType = grmi.NewField("VarType", "LOG_PackTemplatePrintlst.VarType", "vartype", grmi.TypeString)
var PackTemplatePrintlst_VarPos = grmi.NewField("VarPos", "LOG_PackTemplatePrintlst.VarPos", "varpos", grmi.TypeString)
var PackTemplatePrintlst_Picture = grmi.NewField("Picture", "LOG_PackTemplatePrintlst.Picture", "picture", grmi.TypeString)
var PackTemplatePrintlst_IsIdxToggle = grmi.NewField("IsIdxToggle", "LOG_PackTemplatePrintlst.IsIdxToggle", "isidxtoggle", grmi.TypeBool)
var PackTemplatePrintlst_KeyVal = grmi.NewField("KeyVal", "LOG_PackTemplatePrintlst.KeyVal", "keyval", grmi.TypeString)
var PackTemplatePrintlst_LastModify = grmi.NewField("LastModify", "LOG_PackTemplatePrintlst.LastModify", "lastmodify", grmi.TypeDateTime)
var PackTemplatePrintlst_LastUser = grmi.NewField("LastUser", "LOG_PackTemplatePrintlst.LastUser", "lastuser", grmi.TypeString)
var PackTemplatePrintlst_CreateTime = grmi.NewField("CreateTime", "LOG_PackTemplatePrintlst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : PackTemplatePrintlst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var PackTemplatePrintlst = grmi.NewEntity(
	"LOG_PackTemplatePrintlst",
	func() interface{} { return &model.PackTemplatePrintlst{} },
	map[string]grmi.Field{
		PackTemplatePrintlst_PlantNr.Name:        PackTemplatePrintlst_PlantNr,
		PackTemplatePrintlst_PackTemplateId.Name: PackTemplatePrintlst_PackTemplateId,
		PackTemplatePrintlst_Pos.Name:            PackTemplatePrintlst_Pos,
		PackTemplatePrintlst_VarName.Name:        PackTemplatePrintlst_VarName,
		PackTemplatePrintlst_VarValue.Name:       PackTemplatePrintlst_VarValue,
		PackTemplatePrintlst_VarType.Name:        PackTemplatePrintlst_VarType,
		PackTemplatePrintlst_VarPos.Name:         PackTemplatePrintlst_VarPos,
		PackTemplatePrintlst_Picture.Name:        PackTemplatePrintlst_Picture,
		PackTemplatePrintlst_IsIdxToggle.Name:    PackTemplatePrintlst_IsIdxToggle,
		PackTemplatePrintlst_KeyVal.Name:         PackTemplatePrintlst_KeyVal,
		PackTemplatePrintlst_LastModify.Name:     PackTemplatePrintlst_LastModify,
		PackTemplatePrintlst_LastUser.Name:       PackTemplatePrintlst_LastUser,
		PackTemplatePrintlst_CreateTime.Name:     PackTemplatePrintlst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"VarName", "VarValue", "VarType", "VarPos", "Picture", "IsIdxToggle", "KeyVal", "LastUser"})
