// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package log

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/log"
)

/******************************************************************************
 *
 * @Description              : PackType的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var PackType_PlantNr = grmi.NewField("PlantNr", "LOG_PackType.PlantNr", "plantnr", grmi.TypeInt)
var PackType_PackTypeId = grmi.NewField("PackTypeId", "LOG_PackType.PackTypeId", "packtypeid", grmi.TypeString)
var PackType_Descr = grmi.NewField("Descr", "LOG_PackType.Descr", "descr", grmi.TypeString)
var PackType_SortWay = grmi.NewField("SortWay", "LOG_PackType.SortWay", "sortway", grmi.TypeString)
var PackType_VerifySlotToggle = grmi.NewField("VerifySlotToggle", "LOG_PackType.VerifySlotToggle", "verifyslottoggle", grmi.TypeBool)
var PackType_VerifyRule = grmi.NewField("VerifyRule", "LOG_PackType.VerifyRule", "verifyrule", grmi.TypeString)
var PackType_Length = grmi.NewField("Length", "LOG_PackType.Length", "length", grmi.TypeFloat64)
var PackType_Width = grmi.NewField("Width", "LOG_PackType.Width", "width", grmi.TypeFloat64)
var PackType_Height = grmi.NewField("Height", "LOG_PackType.Height", "height", grmi.TypeFloat64)
var PackType_SizeUom = grmi.NewField("SizeUom", "LOG_PackType.SizeUom", "sizeuom", grmi.TypeString)
var PackType_Weight = grmi.NewField("Weight", "LOG_PackType.Weight", "weight", grmi.TypeFloat64)
var PackType_WeightUom = grmi.NewField("WeightUom", "LOG_PackType.WeightUom", "weightuom", grmi.TypeString)
var PackType_LastModify = grmi.NewField("LastModify", "LOG_PackType.LastModify", "lastmodify", grmi.TypeDateTime)
var PackType_LastUser = grmi.NewField("LastUser", "LOG_PackType.LastUser", "lastuser", grmi.TypeString)
var PackType_CreateTime = grmi.NewField("CreateTime", "LOG_PackType.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : PackType的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var PackType = grmi.NewEntity(
	"LOG_PackType",
	func() interface{} { return &model.PackType{} },
	map[string]grmi.Field{
		PackType_PlantNr.Name:          PackType_PlantNr,
		PackType_PackTypeId.Name:       PackType_PackTypeId,
		PackType_Descr.Name:            PackType_Descr,
		PackType_SortWay.Name:          PackType_SortWay,
		PackType_VerifySlotToggle.Name: PackType_VerifySlotToggle,
		PackType_VerifyRule.Name:       PackType_VerifyRule,
		PackType_Length.Name:           PackType_Length,
		PackType_Width.Name:            PackType_Width,
		PackType_Height.Name:           PackType_Height,
		PackType_SizeUom.Name:          PackType_SizeUom,
		PackType_Weight.Name:           PackType_Weight,
		PackType_WeightUom.Name:        PackType_WeightUom,
		PackType_LastModify.Name:       PackType_LastModify,
		PackType_LastUser.Name:         PackType_LastUser,
		PackType_CreateTime.Name:       PackType_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "SortWay", "VerifySlotToggle", "VerifyRule", "Length", "Width", "Height", "SizeUom", "Weight", "WeightUom", "LastUser"})
