// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package log

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/log"
)

/******************************************************************************
 *
 * @Description              : VendorUserLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var VendorUserLst_PlantNr = grmi.NewField("PlantNr", "LOG_VendorUserLst.PlantNr", "plantnr", grmi.TypeInt)
var VendorUserLst_VendorId = grmi.NewField("VendorId", "LOG_VendorUserLst.VendorId", "vendorid", grmi.TypeString)
var VendorUserLst_UserId = grmi.NewField("UserId", "LOG_VendorUserLst.UserId", "userid", grmi.TypeString)
var VendorUserLst_Pos = grmi.NewField("Pos", "LOG_VendorUserLst.Pos", "pos", grmi.TypeInt)
var VendorUserLst_CtrlLevel = grmi.NewField("CtrlLevel", "LOG_VendorUserLst.CtrlLevel", "ctrllevel", grmi.TypeInt)
var VendorUserLst_CtrlPara1 = grmi.NewField("CtrlPara1", "LOG_VendorUserLst.CtrlPara1", "ctrlpara1", grmi.TypeInt)
var VendorUserLst_CtrlPara2 = grmi.NewField("CtrlPara2", "LOG_VendorUserLst.CtrlPara2", "ctrlpara2", grmi.TypeInt)
var VendorUserLst_CtrlPara3 = grmi.NewField("CtrlPara3", "LOG_VendorUserLst.CtrlPara3", "ctrlpara3", grmi.TypeString)
var VendorUserLst_CtrlPara4 = grmi.NewField("CtrlPara4", "LOG_VendorUserLst.CtrlPara4", "ctrlpara4", grmi.TypeString)
var VendorUserLst_LastModify = grmi.NewField("LastModify", "LOG_VendorUserLst.LastModify", "lastmodify", grmi.TypeDateTime)
var VendorUserLst_LastUser = grmi.NewField("LastUser", "LOG_VendorUserLst.LastUser", "lastuser", grmi.TypeString)
var VendorUserLst_CreateTime = grmi.NewField("CreateTime", "LOG_VendorUserLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : VendorUserLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var VendorUserLst = grmi.NewEntity(
	"LOG_VendorUserLst",
	func() interface{} { return &model.VendorUserLst{} },
	map[string]grmi.Field{
		VendorUserLst_PlantNr.Name:    VendorUserLst_PlantNr,
		VendorUserLst_VendorId.Name:   VendorUserLst_VendorId,
		VendorUserLst_UserId.Name:     VendorUserLst_UserId,
		VendorUserLst_Pos.Name:        VendorUserLst_Pos,
		VendorUserLst_CtrlLevel.Name:  VendorUserLst_CtrlLevel,
		VendorUserLst_CtrlPara1.Name:  VendorUserLst_CtrlPara1,
		VendorUserLst_CtrlPara2.Name:  VendorUserLst_CtrlPara2,
		VendorUserLst_CtrlPara3.Name:  VendorUserLst_CtrlPara3,
		VendorUserLst_CtrlPara4.Name:  VendorUserLst_CtrlPara4,
		VendorUserLst_LastModify.Name: VendorUserLst_LastModify,
		VendorUserLst_LastUser.Name:   VendorUserLst_LastUser,
		VendorUserLst_CreateTime.Name: VendorUserLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Pos", "CtrlLevel", "CtrlPara1", "CtrlPara2", "CtrlPara3", "CtrlPara4", "LastUser"})
