// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package me

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/me"
)

/******************************************************************************
 *
 * @Description              : BomHead的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-09 14:13:50
 *
 ******************************************************************************/
var BomHead_PlantNr = grmi.NewField("PlantNr", "ME_BomHead.PlantNr", "plantnr", grmi.TypeInt)
var BomHead_BomId = grmi.NewField("BomId", "ME_BomHead.BomId", "bomid", grmi.TypeString)
var BomHead_MatNr = grmi.NewField("MatNr", "ME_BomHead.MatNr", "matnr", grmi.TypeString)
var BomHead_Descr = grmi.NewField("Descr", "ME_BomHead.Descr", "descr", grmi.TypeString)
var BomHead_BomheadCval1 = grmi.NewField("BomheadCval1", "ME_BomHead.BomheadCval1", "bomheadcval1", grmi.TypeString)
var BomHead_BomheadCval2 = grmi.NewField("BomheadCval2", "ME_BomHead.BomheadCval2", "bomheadcval2", grmi.TypeString)
var BomHead_BomheadIval1 = grmi.NewField("BomheadIval1", "ME_BomHead.BomheadIval1", "bomheadival1", grmi.TypeInt)
var BomHead_BomheadIval2 = grmi.NewField("BomheadIval2", "ME_BomHead.BomheadIval2", "bomheadival2", grmi.TypeInt)
var BomHead_BomheadDval1 = grmi.NewField("BomheadDval1", "ME_BomHead.BomheadDval1", "bomheaddval1", grmi.TypeFloat64)
var BomHead_BomheadDval2 = grmi.NewField("BomheadDval2", "ME_BomHead.BomheadDval2", "bomheaddval2", grmi.TypeFloat64)
var BomHead_LastModify = grmi.NewField("LastModify", "ME_BomHead.LastModify", "lastmodify", grmi.TypeDateTime)
var BomHead_LastUser = grmi.NewField("LastUser", "ME_BomHead.LastUser", "lastuser", grmi.TypeString)
var BomHead_CreateTime = grmi.NewField("CreateTime", "ME_BomHead.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : BomHead的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-09 14:13:50
 *
 ******************************************************************************/
var BomHead = grmi.NewEntity(
	"ME_BomHead",
	func() interface{} { return &model.BomHead{} },
	map[string]grmi.Field{
		BomHead_PlantNr.Name:      BomHead_PlantNr,
		BomHead_BomId.Name:        BomHead_BomId,
		BomHead_MatNr.Name:        BomHead_MatNr,
		BomHead_Descr.Name:        BomHead_Descr,
		BomHead_BomheadCval1.Name: BomHead_BomheadCval1,
		BomHead_BomheadCval2.Name: BomHead_BomheadCval2,
		BomHead_BomheadIval1.Name: BomHead_BomheadIval1,
		BomHead_BomheadIval2.Name: BomHead_BomheadIval2,
		BomHead_BomheadDval1.Name: BomHead_BomheadDval1,
		BomHead_BomheadDval2.Name: BomHead_BomheadDval2,
		BomHead_LastModify.Name:   BomHead_LastModify,
		BomHead_LastUser.Name:     BomHead_LastUser,
		BomHead_CreateTime.Name:   BomHead_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"MatNr", "Descr", "BomheadCval1", "BomheadCval2", "BomheadIval1", "BomheadIval2", "BomheadDval1", "BomheadDval2", "LastUser"})
