// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package me

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/me"
)

/******************************************************************************
 *
 * @Description              : Project的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var Project_PlantNr = grmi.NewField("PlantNr", "ME_Project.PlantNr", "plantnr", grmi.TypeInt)
var Project_ProjectId = grmi.NewField("ProjectId", "ME_Project.ProjectId", "projectid", grmi.TypeString)
var Project_Descr = grmi.NewField("Descr", "ME_Project.Descr", "descr", grmi.TypeString)
var Project_EnableToggle = grmi.NewField("EnableToggle", "ME_Project.EnableToggle", "enabletoggle", grmi.TypeBool)
var Project_PlantSiteCode = grmi.NewField("PlantSiteCode", "ME_Project.PlantSiteCode", "plantsitecode", grmi.TypeInt)
var Project_CustName1 = grmi.NewField("CustName1", "ME_Project.CustName1", "custname1", grmi.TypeString)
var Project_CustName2 = grmi.NewField("CustName2", "ME_Project.CustName2", "custname2", grmi.TypeString)
var Project_FileServerHost = grmi.NewField("FileServerHost", "ME_Project.FileServerHost", "fileserverhost", grmi.TypeString)
var Project_FileFolder1 = grmi.NewField("FileFolder1", "ME_Project.FileFolder1", "filefolder1", grmi.TypeString)
var Project_FileFolder2 = grmi.NewField("FileFolder2", "ME_Project.FileFolder2", "filefolder2", grmi.TypeString)
var Project_FileFolder3 = grmi.NewField("FileFolder3", "ME_Project.FileFolder3", "filefolder3", grmi.TypeString)
var Project_FileFolder4 = grmi.NewField("FileFolder4", "ME_Project.FileFolder4", "filefolder4", grmi.TypeString)
var Project_FileFolder5 = grmi.NewField("FileFolder5", "ME_Project.FileFolder5", "filefolder5", grmi.TypeString)
var Project_FileFolder6 = grmi.NewField("FileFolder6", "ME_Project.FileFolder6", "filefolder6", grmi.TypeString)
var Project_File1NameRegexp = grmi.NewField("File1NameRegexp", "ME_Project.File1NameRegexp", "file1nameregexp", grmi.TypeString)
var Project_File2NameRegexp = grmi.NewField("File2NameRegexp", "ME_Project.File2NameRegexp", "file2nameregexp", grmi.TypeString)
var Project_File3NameRegexp = grmi.NewField("File3NameRegexp", "ME_Project.File3NameRegexp", "file3nameregexp", grmi.TypeString)
var Project_File4NameRegexp = grmi.NewField("File4NameRegexp", "ME_Project.File4NameRegexp", "file4nameregexp", grmi.TypeString)
var Project_File5NameRegexp = grmi.NewField("File5NameRegexp", "ME_Project.File5NameRegexp", "file5nameregexp", grmi.TypeString)
var Project_File6NameRegexp = grmi.NewField("File6NameRegexp", "ME_Project.File6NameRegexp", "file6nameregexp", grmi.TypeString)
var Project_OrderVerifyRuleToggle1 = grmi.NewField("OrderVerifyRuleToggle1", "ME_Project.OrderVerifyRuleToggle1", "orderverifyruletoggle1", grmi.TypeBool)
var Project_OrderVerifyRuleToggle2 = grmi.NewField("OrderVerifyRuleToggle2", "ME_Project.OrderVerifyRuleToggle2", "orderverifyruletoggle2", grmi.TypeBool)
var Project_OrderVerifyRuleToggle3 = grmi.NewField("OrderVerifyRuleToggle3", "ME_Project.OrderVerifyRuleToggle3", "orderverifyruletoggle3", grmi.TypeBool)
var Project_OrderVerifyRuleToggle4 = grmi.NewField("OrderVerifyRuleToggle4", "ME_Project.OrderVerifyRuleToggle4", "orderverifyruletoggle4", grmi.TypeBool)
var Project_OrderVerifyRuleToggle5 = grmi.NewField("OrderVerifyRuleToggle5", "ME_Project.OrderVerifyRuleToggle5", "orderverifyruletoggle5", grmi.TypeBool)
var Project_OrderVerifyRuleToggle6 = grmi.NewField("OrderVerifyRuleToggle6", "ME_Project.OrderVerifyRuleToggle6", "orderverifyruletoggle6", grmi.TypeBool)
var Project_OrderVerifyRule1 = grmi.NewField("OrderVerifyRule1", "ME_Project.OrderVerifyRule1", "orderverifyrule1", grmi.TypeString)
var Project_OrderVerifyRule2 = grmi.NewField("OrderVerifyRule2", "ME_Project.OrderVerifyRule2", "orderverifyrule2", grmi.TypeString)
var Project_OrderVerifyRule3 = grmi.NewField("OrderVerifyRule3", "ME_Project.OrderVerifyRule3", "orderverifyrule3", grmi.TypeString)
var Project_OrderVerifyRule4 = grmi.NewField("OrderVerifyRule4", "ME_Project.OrderVerifyRule4", "orderverifyrule4", grmi.TypeString)
var Project_OrderVerifyRule5 = grmi.NewField("OrderVerifyRule5", "ME_Project.OrderVerifyRule5", "orderverifyrule5", grmi.TypeString)
var Project_OrderVerifyRule6 = grmi.NewField("OrderVerifyRule6", "ME_Project.OrderVerifyRule6", "orderverifyrule6", grmi.TypeString)
var Project_EmailServerHost = grmi.NewField("EmailServerHost", "ME_Project.EmailServerHost", "emailserverhost", grmi.TypeString)
var Project_EmailServerPort = grmi.NewField("EmailServerPort", "ME_Project.EmailServerPort", "emailserverport", grmi.TypeInt)
var Project_FromEmail = grmi.NewField("FromEmail", "ME_Project.FromEmail", "fromemail", grmi.TypeString)
var Project_FromPwd = grmi.NewField("FromPwd", "ME_Project.FromPwd", "frompwd", grmi.TypeString)
var Project_ErrorRecievers = grmi.NewField("ErrorRecievers", "ME_Project.ErrorRecievers", "errorrecievers", grmi.TypeString)
var Project_ErrorCcRecievers = grmi.NewField("ErrorCcRecievers", "ME_Project.ErrorCcRecievers", "errorccrecievers", grmi.TypeString)
var Project_LogUrl = grmi.NewField("LogUrl", "ME_Project.LogUrl", "logurl", grmi.TypeString)
var Project_LogTable = grmi.NewField("LogTable", "ME_Project.LogTable", "logtable", grmi.TypeString)
var Project_CustOrderSnr = grmi.NewField("CustOrderSnr", "ME_Project.CustOrderSnr", "custordersnr", grmi.TypeString)
var Project_WorkOrderSnr = grmi.NewField("WorkOrderSnr", "ME_Project.WorkOrderSnr", "workordersnr", grmi.TypeString)
var Project_WorkOrderCacheSnr = grmi.NewField("WorkOrderCacheSnr", "ME_Project.WorkOrderCacheSnr", "workordercachesnr", grmi.TypeString)
var Project_LogDemandCacheSnr = grmi.NewField("LogDemandCacheSnr", "ME_Project.LogDemandCacheSnr", "logdemandcachesnr", grmi.TypeString)
var Project_LogDemandSnr = grmi.NewField("LogDemandSnr", "ME_Project.LogDemandSnr", "logdemandsnr", grmi.TypeString)
var Project_SerialOrderSnr = grmi.NewField("SerialOrderSnr", "ME_Project.SerialOrderSnr", "serialordersnr", grmi.TypeString)
var Project_ManualOrderSnr = grmi.NewField("ManualOrderSnr", "ME_Project.ManualOrderSnr", "manualordersnr", grmi.TypeString)
var Project_OrderMsgSnr = grmi.NewField("OrderMsgSnr", "ME_Project.OrderMsgSnr", "ordermsgsnr", grmi.TypeString)
var Project_ReworkOrderSnr = grmi.NewField("ReworkOrderSnr", "ME_Project.ReworkOrderSnr", "reworkordersnr", grmi.TypeString)
var Project_PackOrderSnr = grmi.NewField("PackOrderSnr", "ME_Project.PackOrderSnr", "packordersnr", grmi.TypeString)
var Project_PackOrderSyncSnr = grmi.NewField("PackOrderSyncSnr", "ME_Project.PackOrderSyncSnr", "packordersyncsnr", grmi.TypeString)
var Project_ShipOrderSnr = grmi.NewField("ShipOrderSnr", "ME_Project.ShipOrderSnr", "shipordersnr", grmi.TypeString)
var Project_ShipFileSnr = grmi.NewField("ShipFileSnr", "ME_Project.ShipFileSnr", "shipfilesnr", grmi.TypeString)
var Project_AsnFileSnr = grmi.NewField("AsnFileSnr", "ME_Project.AsnFileSnr", "asnfilesnr", grmi.TypeString)
var Project_LastModify = grmi.NewField("LastModify", "ME_Project.LastModify", "lastmodify", grmi.TypeDateTime)
var Project_LastUser = grmi.NewField("LastUser", "ME_Project.LastUser", "lastuser", grmi.TypeString)
var Project_CreateTime = grmi.NewField("CreateTime", "ME_Project.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Project的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var Project = grmi.NewEntity(
	"ME_Project",
	func() interface{} { return &model.Project{} },
	map[string]grmi.Field{
		Project_PlantNr.Name:                Project_PlantNr,
		Project_ProjectId.Name:              Project_ProjectId,
		Project_Descr.Name:                  Project_Descr,
		Project_EnableToggle.Name:           Project_EnableToggle,
		Project_PlantSiteCode.Name:          Project_PlantSiteCode,
		Project_CustName1.Name:              Project_CustName1,
		Project_CustName2.Name:              Project_CustName2,
		Project_FileServerHost.Name:         Project_FileServerHost,
		Project_FileFolder1.Name:            Project_FileFolder1,
		Project_FileFolder2.Name:            Project_FileFolder2,
		Project_FileFolder3.Name:            Project_FileFolder3,
		Project_FileFolder4.Name:            Project_FileFolder4,
		Project_FileFolder5.Name:            Project_FileFolder5,
		Project_FileFolder6.Name:            Project_FileFolder6,
		Project_File1NameRegexp.Name:        Project_File1NameRegexp,
		Project_File2NameRegexp.Name:        Project_File2NameRegexp,
		Project_File3NameRegexp.Name:        Project_File3NameRegexp,
		Project_File4NameRegexp.Name:        Project_File4NameRegexp,
		Project_File5NameRegexp.Name:        Project_File5NameRegexp,
		Project_File6NameRegexp.Name:        Project_File6NameRegexp,
		Project_OrderVerifyRuleToggle1.Name: Project_OrderVerifyRuleToggle1,
		Project_OrderVerifyRuleToggle2.Name: Project_OrderVerifyRuleToggle2,
		Project_OrderVerifyRuleToggle3.Name: Project_OrderVerifyRuleToggle3,
		Project_OrderVerifyRuleToggle4.Name: Project_OrderVerifyRuleToggle4,
		Project_OrderVerifyRuleToggle5.Name: Project_OrderVerifyRuleToggle5,
		Project_OrderVerifyRuleToggle6.Name: Project_OrderVerifyRuleToggle6,
		Project_OrderVerifyRule1.Name:       Project_OrderVerifyRule1,
		Project_OrderVerifyRule2.Name:       Project_OrderVerifyRule2,
		Project_OrderVerifyRule3.Name:       Project_OrderVerifyRule3,
		Project_OrderVerifyRule4.Name:       Project_OrderVerifyRule4,
		Project_OrderVerifyRule5.Name:       Project_OrderVerifyRule5,
		Project_OrderVerifyRule6.Name:       Project_OrderVerifyRule6,
		Project_EmailServerHost.Name:        Project_EmailServerHost,
		Project_EmailServerPort.Name:        Project_EmailServerPort,
		Project_FromEmail.Name:              Project_FromEmail,
		Project_FromPwd.Name:                Project_FromPwd,
		Project_ErrorRecievers.Name:         Project_ErrorRecievers,
		Project_ErrorCcRecievers.Name:       Project_ErrorCcRecievers,
		Project_LogUrl.Name:                 Project_LogUrl,
		Project_LogTable.Name:               Project_LogTable,
		Project_CustOrderSnr.Name:           Project_CustOrderSnr,
		Project_WorkOrderSnr.Name:           Project_WorkOrderSnr,
		Project_WorkOrderCacheSnr.Name:      Project_WorkOrderCacheSnr,
		Project_LogDemandCacheSnr.Name:      Project_LogDemandCacheSnr,
		Project_LogDemandSnr.Name:           Project_LogDemandSnr,
		Project_SerialOrderSnr.Name:         Project_SerialOrderSnr,
		Project_ManualOrderSnr.Name:         Project_ManualOrderSnr,
		Project_OrderMsgSnr.Name:            Project_OrderMsgSnr,
		Project_ReworkOrderSnr.Name:         Project_ReworkOrderSnr,
		Project_PackOrderSnr.Name:           Project_PackOrderSnr,
		Project_PackOrderSyncSnr.Name:       Project_PackOrderSyncSnr,
		Project_ShipOrderSnr.Name:           Project_ShipOrderSnr,
		Project_ShipFileSnr.Name:            Project_ShipFileSnr,
		Project_AsnFileSnr.Name:             Project_AsnFileSnr,
		Project_LastModify.Name:             Project_LastModify,
		Project_LastUser.Name:               Project_LastUser,
		Project_CreateTime.Name:             Project_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "EnableToggle", "PlantSiteCode", "CustName1", "CustName2", "FileServerHost", "FileFolder1", "FileFolder2", "FileFolder3", "FileFolder4", "FileFolder5", "FileFolder6", "File1NameRegexp", "File2NameRegexp", "File3NameRegexp", "File4NameRegexp", "File5NameRegexp", "File6NameRegexp", "OrderVerifyRuleToggle1", "OrderVerifyRuleToggle2", "OrderVerifyRuleToggle3", "OrderVerifyRuleToggle4", "OrderVerifyRuleToggle5", "OrderVerifyRuleToggle6", "OrderVerifyRule1", "OrderVerifyRule2", "OrderVerifyRule3", "OrderVerifyRule4", "OrderVerifyRule5", "OrderVerifyRule6", "EmailServerHost", "EmailServerPort", "FromEmail", "FromPwd", "ErrorRecievers", "ErrorCcRecievers", "LogUrl", "LogTable", "CustOrderSnr", "WorkOrderSnr", "WorkOrderCacheSnr", "LogDemandCacheSnr", "LogDemandSnr", "SerialOrderSnr", "ManualOrderSnr", "OrderMsgSnr", "ReworkOrderSnr", "PackOrderSnr", "PackOrderSyncSnr", "ShipOrderSnr", "ShipFileSnr", "AsnFileSnr", "LastUser"})
