// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package me

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/me"
)

/******************************************************************************
 *
 * @Description              : SetupMatrix的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var SetupMatrix_PlantNr = grmi.NewField("PlantNr", "ME_SetupMatrix.PlantNr", "plantnr", grmi.TypeInt)
var SetupMatrix_FromArtId = grmi.NewField("FromArtId", "ME_SetupMatrix.FromArtId", "fromartid", grmi.TypeString)
var SetupMatrix_ToArtId = grmi.NewField("ToArtId", "ME_SetupMatrix.ToArtId", "toartid", grmi.TypeString)
var SetupMatrix_WorkLineId = grmi.NewField("WorkLineId", "ME_SetupMatrix.WorkLineId", "worklineid", grmi.TypeString)
var SetupMatrix_Descr1 = grmi.NewField("Descr1", "ME_SetupMatrix.Descr1", "descr1", grmi.TypeString)
var SetupMatrix_Descr2 = grmi.NewField("Descr2", "ME_SetupMatrix.Descr2", "descr2", grmi.TypeString)
var SetupMatrix_ProjectId = grmi.NewField("ProjectId", "ME_SetupMatrix.ProjectId", "projectid", grmi.TypeString)
var SetupMatrix_SetupTime = grmi.NewField("SetupTime", "ME_SetupMatrix.SetupTime", "setuptime", grmi.TypeFloat64)
var SetupMatrix_TimeUomId = grmi.NewField("TimeUomId", "ME_SetupMatrix.TimeUomId", "timeuomid", grmi.TypeString)
var SetupMatrix_LastModify = grmi.NewField("LastModify", "ME_SetupMatrix.LastModify", "lastmodify", grmi.TypeDateTime)
var SetupMatrix_LastUser = grmi.NewField("LastUser", "ME_SetupMatrix.LastUser", "lastuser", grmi.TypeString)
var SetupMatrix_CreateTime = grmi.NewField("CreateTime", "ME_SetupMatrix.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : SetupMatrix的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var SetupMatrix = grmi.NewEntity(
	"ME_SetupMatrix",
	func() interface{} { return &model.SetupMatrix{} },
	map[string]grmi.Field{
		SetupMatrix_PlantNr.Name:    SetupMatrix_PlantNr,
		SetupMatrix_FromArtId.Name:  SetupMatrix_FromArtId,
		SetupMatrix_ToArtId.Name:    SetupMatrix_ToArtId,
		SetupMatrix_WorkLineId.Name: SetupMatrix_WorkLineId,
		SetupMatrix_Descr1.Name:     SetupMatrix_Descr1,
		SetupMatrix_Descr2.Name:     SetupMatrix_Descr2,
		SetupMatrix_ProjectId.Name:  SetupMatrix_ProjectId,
		SetupMatrix_SetupTime.Name:  SetupMatrix_SetupTime,
		SetupMatrix_TimeUomId.Name:  SetupMatrix_TimeUomId,
		SetupMatrix_LastModify.Name: SetupMatrix_LastModify,
		SetupMatrix_LastUser.Name:   SetupMatrix_LastUser,
		SetupMatrix_CreateTime.Name: SetupMatrix_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr1", "Descr2", "ProjectId", "SetupTime", "TimeUomId", "LastUser"})
