// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package ods

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/ods"
)

/******************************************************************************
 *
 * @Description              : ArtRouteStepOdsLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-22 16:01:03
 *
 ******************************************************************************/
var ArtRouteStepOdsLst_PlantNr = grmi.NewField("PlantNr", "ODS_ArtRouteStepOdsLst.PlantNr", "plantnr", grmi.TypeInt)
var ArtRouteStepOdsLst_ArtId = grmi.NewField("ArtId", "ODS_ArtRouteStepOdsLst.ArtId", "artid", grmi.TypeString)
var ArtRouteStepOdsLst_OperationNr = grmi.NewField("OperationNr", "ODS_ArtRouteStepOdsLst.OperationNr", "operationnr", grmi.TypeInt)
var ArtRouteStepOdsLst_Step = grmi.NewField("Step", "ODS_ArtRouteStepOdsLst.Step", "step", grmi.TypeInt)
var ArtRouteStepOdsLst_Pos = grmi.NewField("Pos", "ODS_ArtRouteStepOdsLst.Pos", "pos", grmi.TypeInt)
var ArtRouteStepOdsLst_Descr = grmi.NewField("Descr", "ODS_ArtRouteStepOdsLst.Descr", "descr", grmi.TypeString)
var ArtRouteStepOdsLst_OdsId = grmi.NewField("OdsId", "ODS_ArtRouteStepOdsLst.OdsId", "odsid", grmi.TypeString)
var ArtRouteStepOdsLst_OdsTypeId = grmi.NewField("OdsTypeId", "ODS_ArtRouteStepOdsLst.OdsTypeId", "odstypeid", grmi.TypeString)
var ArtRouteStepOdsLst_OdsContentIdx = grmi.NewField("OdsContentIdx", "ODS_ArtRouteStepOdsLst.OdsContentIdx", "odscontentidx", grmi.TypeString)
var ArtRouteStepOdsLst_CtrlPara1 = grmi.NewField("CtrlPara1", "ODS_ArtRouteStepOdsLst.CtrlPara1", "ctrlpara1", grmi.TypeInt)
var ArtRouteStepOdsLst_CtrlPara2 = grmi.NewField("CtrlPara2", "ODS_ArtRouteStepOdsLst.CtrlPara2", "ctrlpara2", grmi.TypeInt)
var ArtRouteStepOdsLst_CtrlPara3 = grmi.NewField("CtrlPara3", "ODS_ArtRouteStepOdsLst.CtrlPara3", "ctrlpara3", grmi.TypeString)
var ArtRouteStepOdsLst_CtrlPara4 = grmi.NewField("CtrlPara4", "ODS_ArtRouteStepOdsLst.CtrlPara4", "ctrlpara4", grmi.TypeString)
var ArtRouteStepOdsLst_WorkPlaceNr = grmi.NewField("WorkPlaceNr", "ODS_ArtRouteStepOdsLst.WorkPlaceNr", "workplacenr", grmi.TypeInt)
var ArtRouteStepOdsLst_LastModify = grmi.NewField("LastModify", "ODS_ArtRouteStepOdsLst.LastModify", "lastmodify", grmi.TypeDateTime)
var ArtRouteStepOdsLst_LastUser = grmi.NewField("LastUser", "ODS_ArtRouteStepOdsLst.LastUser", "lastuser", grmi.TypeString)
var ArtRouteStepOdsLst_CreateTime = grmi.NewField("CreateTime", "ODS_ArtRouteStepOdsLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ArtRouteStepOdsLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-22 16:01:03
 *
 ******************************************************************************/
var ArtRouteStepOdsLst = grmi.NewEntity(
	"ODS_ArtRouteStepOdsLst",
	func() interface{} { return &model.ArtRouteStepOdsLst{} },
	map[string]grmi.Field{
		ArtRouteStepOdsLst_PlantNr.Name:       ArtRouteStepOdsLst_PlantNr,
		ArtRouteStepOdsLst_ArtId.Name:         ArtRouteStepOdsLst_ArtId,
		ArtRouteStepOdsLst_OperationNr.Name:   ArtRouteStepOdsLst_OperationNr,
		ArtRouteStepOdsLst_Step.Name:          ArtRouteStepOdsLst_Step,
		ArtRouteStepOdsLst_Pos.Name:           ArtRouteStepOdsLst_Pos,
		ArtRouteStepOdsLst_Descr.Name:         ArtRouteStepOdsLst_Descr,
		ArtRouteStepOdsLst_OdsId.Name:         ArtRouteStepOdsLst_OdsId,
		ArtRouteStepOdsLst_OdsTypeId.Name:     ArtRouteStepOdsLst_OdsTypeId,
		ArtRouteStepOdsLst_OdsContentIdx.Name: ArtRouteStepOdsLst_OdsContentIdx,
		ArtRouteStepOdsLst_CtrlPara1.Name:     ArtRouteStepOdsLst_CtrlPara1,
		ArtRouteStepOdsLst_CtrlPara2.Name:     ArtRouteStepOdsLst_CtrlPara2,
		ArtRouteStepOdsLst_CtrlPara3.Name:     ArtRouteStepOdsLst_CtrlPara3,
		ArtRouteStepOdsLst_CtrlPara4.Name:     ArtRouteStepOdsLst_CtrlPara4,
		ArtRouteStepOdsLst_WorkPlaceNr.Name:   ArtRouteStepOdsLst_WorkPlaceNr,
		ArtRouteStepOdsLst_LastModify.Name:    ArtRouteStepOdsLst_LastModify,
		ArtRouteStepOdsLst_LastUser.Name:      ArtRouteStepOdsLst_LastUser,
		ArtRouteStepOdsLst_CreateTime.Name:    ArtRouteStepOdsLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "OdsId", "OdsTypeId", "OdsContentIdx", "CtrlPara1", "CtrlPara2", "CtrlPara3", "CtrlPara4", "WorkPlaceNr", "LastUser"})
