// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package ods

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/ods"
)

/******************************************************************************
 *
 * @Description              : OdsHead的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var OdsHead_PlantNr = grmi.NewField("PlantNr", "ODS_OdsHead.PlantNr", "plantnr", grmi.TypeInt)
var OdsHead_OdsId = grmi.NewField("OdsId", "ODS_OdsHead.OdsId", "odsid", grmi.TypeString)
var OdsHead_Descr = grmi.NewField("Descr", "ODS_OdsHead.Descr", "descr", grmi.TypeString)
var OdsHead_OdsTypeId = grmi.NewField("OdsTypeId", "ODS_OdsHead.OdsTypeId", "odstypeid", grmi.TypeString)
var OdsHead_OdsContentIdx = grmi.NewField("OdsContentIdx", "ODS_OdsHead.OdsContentIdx", "odscontentidx", grmi.TypeString)
var OdsHead_CtrlPara1 = grmi.NewField("CtrlPara1", "ODS_OdsHead.CtrlPara1", "ctrlpara1", grmi.TypeInt)
var OdsHead_CtrlPara2 = grmi.NewField("CtrlPara2", "ODS_OdsHead.CtrlPara2", "ctrlpara2", grmi.TypeInt)
var OdsHead_CtrlPara3 = grmi.NewField("CtrlPara3", "ODS_OdsHead.CtrlPara3", "ctrlpara3", grmi.TypeString)
var OdsHead_CtrlPara4 = grmi.NewField("CtrlPara4", "ODS_OdsHead.CtrlPara4", "ctrlpara4", grmi.TypeString)
var OdsHead_LastModify = grmi.NewField("LastModify", "ODS_OdsHead.LastModify", "lastmodify", grmi.TypeDateTime)
var OdsHead_LastUser = grmi.NewField("LastUser", "ODS_OdsHead.LastUser", "lastuser", grmi.TypeString)
var OdsHead_CreateTime = grmi.NewField("CreateTime", "ODS_OdsHead.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : OdsHead的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var OdsHead = grmi.NewEntity(
	"ODS_OdsHead",
	func() interface{} { return &model.OdsHead{} },
	map[string]grmi.Field{
		OdsHead_PlantNr.Name:       OdsHead_PlantNr,
		OdsHead_OdsId.Name:         OdsHead_OdsId,
		OdsHead_Descr.Name:         OdsHead_Descr,
		OdsHead_OdsTypeId.Name:     OdsHead_OdsTypeId,
		OdsHead_OdsContentIdx.Name: OdsHead_OdsContentIdx,
		OdsHead_CtrlPara1.Name:     OdsHead_CtrlPara1,
		OdsHead_CtrlPara2.Name:     OdsHead_CtrlPara2,
		OdsHead_CtrlPara3.Name:     OdsHead_CtrlPara3,
		OdsHead_CtrlPara4.Name:     OdsHead_CtrlPara4,
		OdsHead_LastModify.Name:    OdsHead_LastModify,
		OdsHead_LastUser.Name:      OdsHead_LastUser,
		OdsHead_CreateTime.Name:    OdsHead_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "OdsTypeId", "OdsContentIdx", "CtrlPara1", "CtrlPara2", "CtrlPara3", "CtrlPara4", "LastUser"})
