// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package ods

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/ods"
)

/******************************************************************************
 *
 * @Description              : OdsStepLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var OdsStepLst_PlantNr = grmi.NewField("PlantNr", "ODS_OdsStepLst.PlantNr", "plantnr", grmi.TypeInt)
var OdsStepLst_OdsId = grmi.NewField("OdsId", "ODS_OdsStepLst.OdsId", "odsid", grmi.TypeString)
var OdsStepLst_Pos = grmi.NewField("Pos", "ODS_OdsStepLst.Pos", "pos", grmi.TypeInt)
var OdsStepLst_Descr = grmi.NewField("Descr", "ODS_OdsStepLst.Descr", "descr", grmi.TypeString)
var OdsStepLst_OdsTypeId = grmi.NewField("OdsTypeId", "ODS_OdsStepLst.OdsTypeId", "odstypeid", grmi.TypeString)
var OdsStepLst_OdsContentIdx = grmi.NewField("OdsContentIdx", "ODS_OdsStepLst.OdsContentIdx", "odscontentidx", grmi.TypeString)
var OdsStepLst_CtrlPara1 = grmi.NewField("CtrlPara1", "ODS_OdsStepLst.CtrlPara1", "ctrlpara1", grmi.TypeInt)
var OdsStepLst_CtrlPara2 = grmi.NewField("CtrlPara2", "ODS_OdsStepLst.CtrlPara2", "ctrlpara2", grmi.TypeInt)
var OdsStepLst_CtrlPara3 = grmi.NewField("CtrlPara3", "ODS_OdsStepLst.CtrlPara3", "ctrlpara3", grmi.TypeString)
var OdsStepLst_CtrlPara4 = grmi.NewField("CtrlPara4", "ODS_OdsStepLst.CtrlPara4", "ctrlpara4", grmi.TypeString)
var OdsStepLst_LastModify = grmi.NewField("LastModify", "ODS_OdsStepLst.LastModify", "lastmodify", grmi.TypeDateTime)
var OdsStepLst_LastUser = grmi.NewField("LastUser", "ODS_OdsStepLst.LastUser", "lastuser", grmi.TypeString)
var OdsStepLst_CreateTime = grmi.NewField("CreateTime", "ODS_OdsStepLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : OdsStepLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var OdsStepLst = grmi.NewEntity(
	"ODS_OdsStepLst",
	func() interface{} { return &model.OdsStepLst{} },
	map[string]grmi.Field{
		OdsStepLst_PlantNr.Name:       OdsStepLst_PlantNr,
		OdsStepLst_OdsId.Name:         OdsStepLst_OdsId,
		OdsStepLst_Pos.Name:           OdsStepLst_Pos,
		OdsStepLst_Descr.Name:         OdsStepLst_Descr,
		OdsStepLst_OdsTypeId.Name:     OdsStepLst_OdsTypeId,
		OdsStepLst_OdsContentIdx.Name: OdsStepLst_OdsContentIdx,
		OdsStepLst_CtrlPara1.Name:     OdsStepLst_CtrlPara1,
		OdsStepLst_CtrlPara2.Name:     OdsStepLst_CtrlPara2,
		OdsStepLst_CtrlPara3.Name:     OdsStepLst_CtrlPara3,
		OdsStepLst_CtrlPara4.Name:     OdsStepLst_CtrlPara4,
		OdsStepLst_LastModify.Name:    OdsStepLst_LastModify,
		OdsStepLst_LastUser.Name:      OdsStepLst_LastUser,
		OdsStepLst_CreateTime.Name:    OdsStepLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "OdsTypeId", "OdsContentIdx", "CtrlPara1", "CtrlPara2", "CtrlPara3", "CtrlPara4", "LastUser"})
