// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package ods

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/ods"
)

/******************************************************************************
 *
 * @Description              : StationOrder的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-18 11:12:43
 *
 ******************************************************************************/
var StationOrder_PlantNr = grmi.NewField("PlantNr", "ODS_StationOrder.PlantNr", "plantnr", grmi.TypeInt)
var StationOrder_Station = grmi.NewField("Station", "ODS_StationOrder.Station", "station", grmi.TypeString)
var StationOrder_ArtId = grmi.NewField("ArtId", "ODS_StationOrder.ArtId", "artid", grmi.TypeString)
var StationOrder_SerialOrderId = grmi.NewField("SerialOrderId", "ODS_StationOrder.SerialOrderId", "serialorderid", grmi.TypeString)
var StationOrder_ODSCtrlPara1 = grmi.NewField("ODSCtrlPara1", "ODS_StationOrder.ODSCtrlPara1", "odsctrlpara1", grmi.TypeString)
var StationOrder_ODSCtrlPara2 = grmi.NewField("ODSCtrlPara2", "ODS_StationOrder.ODSCtrlPara2", "odsctrlpara2", grmi.TypeString)
var StationOrder_ODSCtrlPara3 = grmi.NewField("ODSCtrlPara3", "ODS_StationOrder.ODSCtrlPara3", "odsctrlpara3", grmi.TypeInt)
var StationOrder_ODSCtrlPara4 = grmi.NewField("ODSCtrlPara4", "ODS_StationOrder.ODSCtrlPara4", "odsctrlpara4", grmi.TypeInt)
var StationOrder_LastModify = grmi.NewField("LastModify", "ODS_StationOrder.LastModify", "lastmodify", grmi.TypeDateTime)
var StationOrder_LastUser = grmi.NewField("LastUser", "ODS_StationOrder.LastUser", "lastuser", grmi.TypeString)
var StationOrder_CreateTime = grmi.NewField("CreateTime", "ODS_StationOrder.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : StationOrder的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-18 11:12:43
 *
 ******************************************************************************/
var StationOrder = grmi.NewEntity(
	"ODS_StationOrder",
	func() interface{} { return &model.StationOrder{} },
	map[string]grmi.Field{
		StationOrder_PlantNr.Name:       StationOrder_PlantNr,
		StationOrder_Station.Name:       StationOrder_Station,
		StationOrder_ArtId.Name:         StationOrder_ArtId,
		StationOrder_SerialOrderId.Name: StationOrder_SerialOrderId,
		StationOrder_ODSCtrlPara1.Name:  StationOrder_ODSCtrlPara1,
		StationOrder_ODSCtrlPara2.Name:  StationOrder_ODSCtrlPara2,
		StationOrder_ODSCtrlPara3.Name:  StationOrder_ODSCtrlPara3,
		StationOrder_ODSCtrlPara4.Name:  StationOrder_ODSCtrlPara4,
		StationOrder_LastModify.Name:    StationOrder_LastModify,
		StationOrder_LastUser.Name:      StationOrder_LastUser,
		StationOrder_CreateTime.Name:    StationOrder_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"ArtId", "SerialOrderId", "ODSCtrlPara1", "ODSCtrlPara2", "ODSCtrlPara3", "ODSCtrlPara4", "LastUser"})
