// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/om"
)

/******************************************************************************
 *
 * @Description              : DemandHead的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-20 14:31:33
 *
 ******************************************************************************/
var DemandHead_PlantNr = grmi.NewField("PlantNr", "OM_DemandHead.PlantNr", "plantnr", grmi.TypeInt)
var DemandHead_FileNr = grmi.NewField("FileNr", "OM_DemandHead.FileNr", "filenr", grmi.TypeInt)
var DemandHead_FileName = grmi.NewField("FileName", "OM_DemandHead.FileName", "filename", grmi.TypeString)
var DemandHead_Status = grmi.NewField("Status", "OM_DemandHead.Status", "status", grmi.TypeInt)
var DemandHead_ErrorInfo = grmi.NewField("ErrorInfo", "OM_DemandHead.ErrorInfo", "errorinfo", grmi.TypeString)
var DemandHead_ErrNum = grmi.NewField("ErrNum", "OM_DemandHead.ErrNum", "errnum", grmi.TypeInt)
var DemandHead_Source = grmi.NewField("Source", "OM_DemandHead.Source", "source", grmi.TypeString)
var DemandHead_LastModify = grmi.NewField("LastModify", "OM_DemandHead.LastModify", "lastmodify", grmi.TypeDateTime)
var DemandHead_LastUser = grmi.NewField("LastUser", "OM_DemandHead.LastUser", "lastuser", grmi.TypeString)
var DemandHead_CreateTime = grmi.NewField("CreateTime", "OM_DemandHead.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : DemandHead的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-20 14:31:33
 *
 ******************************************************************************/
var DemandHead = grmi.NewEntity(
	"OM_DemandHead",
	func() interface{} { return &model.DemandHead{} },
	map[string]grmi.Field{
		DemandHead_PlantNr.Name:    DemandHead_PlantNr,
		DemandHead_FileNr.Name:     DemandHead_FileNr,
		DemandHead_FileName.Name:   DemandHead_FileName,
		DemandHead_Status.Name:     DemandHead_Status,
		DemandHead_ErrorInfo.Name:  DemandHead_ErrorInfo,
		DemandHead_ErrNum.Name:     DemandHead_ErrNum,
		DemandHead_Source.Name:     DemandHead_Source,
		DemandHead_LastModify.Name: DemandHead_LastModify,
		DemandHead_LastUser.Name:   DemandHead_LastUser,
		DemandHead_CreateTime.Name: DemandHead_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"FileName", "Status", "ErrorInfo", "ErrNum", "Source", "LastUser"})
