// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/om"
)

/******************************************************************************
 *
 * @Description              : DemandHeadFromDB的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-13 16:05:11
 *
 ******************************************************************************/
var DemandHeadFromDB_PlantNr = grmi.NewField("PlantNr", "OM_DemandHeadFromDB.PlantNr", "plantnr", grmi.TypeInt)
var DemandHeadFromDB_TaskNr = grmi.NewField("TaskNr", "OM_DemandHeadFromDB.TaskNr", "tasknr", grmi.TypeInt)
var DemandHeadFromDB_TaskDate = grmi.NewField("TaskDate", "OM_DemandHeadFromDB.TaskDate", "taskdate", grmi.TypeDate)
var DemandHeadFromDB_TaskType = grmi.NewField("TaskType", "OM_DemandHeadFromDB.TaskType", "tasktype", grmi.TypeString)
var DemandHeadFromDB_Status = grmi.NewField("Status", "OM_DemandHeadFromDB.Status", "status", grmi.TypeInt)
var DemandHeadFromDB_ErrNum = grmi.NewField("ErrNum", "OM_DemandHeadFromDB.ErrNum", "errnum", grmi.TypeInt)
var DemandHeadFromDB_ErrInfo = grmi.NewField("ErrInfo", "OM_DemandHeadFromDB.ErrInfo", "errinfo", grmi.TypeString)
var DemandHeadFromDB_LastModify = grmi.NewField("LastModify", "OM_DemandHeadFromDB.LastModify", "lastmodify", grmi.TypeDateTime)
var DemandHeadFromDB_LastUser = grmi.NewField("LastUser", "OM_DemandHeadFromDB.LastUser", "lastuser", grmi.TypeString)
var DemandHeadFromDB_CreateTime = grmi.NewField("CreateTime", "OM_DemandHeadFromDB.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : DemandHeadFromDB的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-13 16:05:11
 *
 ******************************************************************************/
var DemandHeadFromDB = grmi.NewEntity(
	"OM_DemandHeadFromDB",
	func() interface{} { return &model.DemandHeadFromDB{} },
	map[string]grmi.Field{
		DemandHeadFromDB_PlantNr.Name:    DemandHeadFromDB_PlantNr,
		DemandHeadFromDB_TaskNr.Name:     DemandHeadFromDB_TaskNr,
		DemandHeadFromDB_TaskDate.Name:   DemandHeadFromDB_TaskDate,
		DemandHeadFromDB_TaskType.Name:   DemandHeadFromDB_TaskType,
		DemandHeadFromDB_Status.Name:     DemandHeadFromDB_Status,
		DemandHeadFromDB_ErrNum.Name:     DemandHeadFromDB_ErrNum,
		DemandHeadFromDB_ErrInfo.Name:    DemandHeadFromDB_ErrInfo,
		DemandHeadFromDB_LastModify.Name: DemandHeadFromDB_LastModify,
		DemandHeadFromDB_LastUser.Name:   DemandHeadFromDB_LastUser,
		DemandHeadFromDB_CreateTime.Name: DemandHeadFromDB_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"TaskDate", "TaskType", "Status", "ErrNum", "ErrInfo", "LastUser"})
