// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/om"
)

/******************************************************************************
 *
 * @Description              : ProdOrder的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var ProdOrder_PlantNr = grmi.NewField("PlantNr", "OM_ProdOrder.PlantNr", "plantnr", grmi.TypeInt)
var ProdOrder_ProdOrderId = grmi.NewField("ProdOrderId", "OM_ProdOrder.ProdOrderId", "prodorderid", grmi.TypeString)
var ProdOrder_ArtId = grmi.NewField("ArtId", "OM_ProdOrder.ArtId", "artid", grmi.TypeString)
var ProdOrder_CustArtId = grmi.NewField("CustArtId", "OM_ProdOrder.CustArtId", "custartid", grmi.TypeString)
var ProdOrder_RouteTemplateId = grmi.NewField("RouteTemplateId", "OM_ProdOrder.RouteTemplateId", "routetemplateid", grmi.TypeString)
var ProdOrder_OrderType = grmi.NewField("OrderType", "OM_ProdOrder.OrderType", "ordertype", grmi.TypeString)
var ProdOrder_OrderInfo = grmi.NewField("OrderInfo", "OM_ProdOrder.OrderInfo", "orderinfo", grmi.TypeString)
var ProdOrder_CustOrderId = grmi.NewField("CustOrderId", "OM_ProdOrder.CustOrderId", "custorderid", grmi.TypeString)
var ProdOrder_ErpOrderId = grmi.NewField("ErpOrderId", "OM_ProdOrder.ErpOrderId", "erporderid", grmi.TypeString)
var ProdOrder_ParentOrderId = grmi.NewField("ParentOrderId", "OM_ProdOrder.ParentOrderId", "parentorderid", grmi.TypeString)
var ProdOrder_Priority = grmi.NewField("Priority", "OM_ProdOrder.Priority", "priority", grmi.TypeInt)
var ProdOrder_Status = grmi.NewField("Status", "OM_ProdOrder.Status", "status", grmi.TypeInt)
var ProdOrder_PlanResourceGroupId = grmi.NewField("PlanResourceGroupId", "OM_ProdOrder.PlanResourceGroupId", "planresourcegroupid", grmi.TypeString)
var ProdOrder_PlanResourceId = grmi.NewField("PlanResourceId", "OM_ProdOrder.PlanResourceId", "planresourceid", grmi.TypeString)
var ProdOrder_UsedResourceId = grmi.NewField("UsedResourceId", "OM_ProdOrder.UsedResourceId", "usedresourceid", grmi.TypeString)
var ProdOrder_PlanQty = grmi.NewField("PlanQty", "OM_ProdOrder.PlanQty", "planqty", grmi.TypeFloat64)
var ProdOrder_QtyUomId = grmi.NewField("QtyUomId", "OM_ProdOrder.QtyUomId", "qtyuomid", grmi.TypeString)
var ProdOrder_RatePerHourToggle = grmi.NewField("RatePerHourToggle", "OM_ProdOrder.RatePerHourToggle", "rateperhourtoggle", grmi.TypeBool)
var ProdOrder_TimePerItemToggle = grmi.NewField("TimePerItemToggle", "OM_ProdOrder.TimePerItemToggle", "timeperitemtoggle", grmi.TypeBool)
var ProdOrder_TimePerBatchToggle = grmi.NewField("TimePerBatchToggle", "OM_ProdOrder.TimePerBatchToggle", "timeperbatchtoggle", grmi.TypeBool)
var ProdOrder_BatchTimeFieldToggle = grmi.NewField("BatchTimeFieldToggle", "OM_ProdOrder.BatchTimeFieldToggle", "batchtimefieldtoggle", grmi.TypeBool)
var ProdOrder_OpTimePerItem = grmi.NewField("OpTimePerItem", "OM_ProdOrder.OpTimePerItem", "optimeperitem", grmi.TypeFloat64)
var ProdOrder_BatchTime = grmi.NewField("BatchTime", "OM_ProdOrder.BatchTime", "batchtime", grmi.TypeFloat64)
var ProdOrder_QuantityPerHour = grmi.NewField("QuantityPerHour", "OM_ProdOrder.QuantityPerHour", "quantityperhour", grmi.TypeFloat64)
var ProdOrder_MidBatchQuantity = grmi.NewField("MidBatchQuantity", "OM_ProdOrder.MidBatchQuantity", "midbatchquantity", grmi.TypeInt)
var ProdOrder_MidBatchTime = grmi.NewField("MidBatchTime", "OM_ProdOrder.MidBatchTime", "midbatchtime", grmi.TypeDateTime)
var ProdOrder_BatchingMethod = grmi.NewField("BatchingMethod", "OM_ProdOrder.BatchingMethod", "batchingmethod", grmi.TypeInt)
var ProdOrder_PlanStartDate = grmi.NewField("PlanStartDate", "OM_ProdOrder.PlanStartDate", "planstartdate", grmi.TypeDate)
var ProdOrder_PlanEndDate = grmi.NewField("PlanEndDate", "OM_ProdOrder.PlanEndDate", "planenddate", grmi.TypeDate)
var ProdOrder_PlanStartTime = grmi.NewField("PlanStartTime", "OM_ProdOrder.PlanStartTime", "planstarttime", grmi.TypeDateTime)
var ProdOrder_PlanEndTime = grmi.NewField("PlanEndTime", "OM_ProdOrder.PlanEndTime", "planendtime", grmi.TypeDateTime)
var ProdOrder_ActStartTime = grmi.NewField("ActStartTime", "OM_ProdOrder.ActStartTime", "actstarttime", grmi.TypeDateTime)
var ProdOrder_ActEndTime = grmi.NewField("ActEndTime", "OM_ProdOrder.ActEndTime", "actendtime", grmi.TypeDateTime)
var ProdOrder_ProjectId = grmi.NewField("ProjectId", "OM_ProdOrder.ProjectId", "projectid", grmi.TypeString)
var ProdOrder_CustomerId = grmi.NewField("CustomerId", "OM_ProdOrder.CustomerId", "customerid", grmi.TypeString)
var ProdOrder_CustomerName = grmi.NewField("CustomerName", "OM_ProdOrder.CustomerName", "customername", grmi.TypeString)
var ProdOrder_BackflushStatus = grmi.NewField("BackflushStatus", "OM_ProdOrder.BackflushStatus", "backflushstatus", grmi.TypeInt)
var ProdOrder_BackflushTime = grmi.NewField("BackflushTime", "OM_ProdOrder.BackflushTime", "backflushtime", grmi.TypeDateTime)
var ProdOrder_PackStatus = grmi.NewField("PackStatus", "OM_ProdOrder.PackStatus", "packstatus", grmi.TypeInt)
var ProdOrder_PackTime = grmi.NewField("PackTime", "OM_ProdOrder.PackTime", "packtime", grmi.TypeDateTime)
var ProdOrder_ShipStatus = grmi.NewField("ShipStatus", "OM_ProdOrder.ShipStatus", "shipstatus", grmi.TypeInt)
var ProdOrder_ShipTime = grmi.NewField("ShipTime", "OM_ProdOrder.ShipTime", "shiptime", grmi.TypeDateTime)
var ProdOrder_LastModify = grmi.NewField("LastModify", "OM_ProdOrder.LastModify", "lastmodify", grmi.TypeDateTime)
var ProdOrder_LastUser = grmi.NewField("LastUser", "OM_ProdOrder.LastUser", "lastuser", grmi.TypeString)
var ProdOrder_CreateTime = grmi.NewField("CreateTime", "OM_ProdOrder.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ProdOrder的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var ProdOrder = grmi.NewEntity(
	"OM_ProdOrder",
	func() interface{} { return &model.ProdOrder{} },
	map[string]grmi.Field{
		ProdOrder_PlantNr.Name:              ProdOrder_PlantNr,
		ProdOrder_ProdOrderId.Name:          ProdOrder_ProdOrderId,
		ProdOrder_ArtId.Name:                ProdOrder_ArtId,
		ProdOrder_CustArtId.Name:            ProdOrder_CustArtId,
		ProdOrder_RouteTemplateId.Name:      ProdOrder_RouteTemplateId,
		ProdOrder_OrderType.Name:            ProdOrder_OrderType,
		ProdOrder_OrderInfo.Name:            ProdOrder_OrderInfo,
		ProdOrder_CustOrderId.Name:          ProdOrder_CustOrderId,
		ProdOrder_ErpOrderId.Name:           ProdOrder_ErpOrderId,
		ProdOrder_ParentOrderId.Name:        ProdOrder_ParentOrderId,
		ProdOrder_Priority.Name:             ProdOrder_Priority,
		ProdOrder_Status.Name:               ProdOrder_Status,
		ProdOrder_PlanResourceGroupId.Name:  ProdOrder_PlanResourceGroupId,
		ProdOrder_PlanResourceId.Name:       ProdOrder_PlanResourceId,
		ProdOrder_UsedResourceId.Name:       ProdOrder_UsedResourceId,
		ProdOrder_PlanQty.Name:              ProdOrder_PlanQty,
		ProdOrder_QtyUomId.Name:             ProdOrder_QtyUomId,
		ProdOrder_RatePerHourToggle.Name:    ProdOrder_RatePerHourToggle,
		ProdOrder_TimePerItemToggle.Name:    ProdOrder_TimePerItemToggle,
		ProdOrder_TimePerBatchToggle.Name:   ProdOrder_TimePerBatchToggle,
		ProdOrder_BatchTimeFieldToggle.Name: ProdOrder_BatchTimeFieldToggle,
		ProdOrder_OpTimePerItem.Name:        ProdOrder_OpTimePerItem,
		ProdOrder_BatchTime.Name:            ProdOrder_BatchTime,
		ProdOrder_QuantityPerHour.Name:      ProdOrder_QuantityPerHour,
		ProdOrder_MidBatchQuantity.Name:     ProdOrder_MidBatchQuantity,
		ProdOrder_MidBatchTime.Name:         ProdOrder_MidBatchTime,
		ProdOrder_BatchingMethod.Name:       ProdOrder_BatchingMethod,
		ProdOrder_PlanStartDate.Name:        ProdOrder_PlanStartDate,
		ProdOrder_PlanEndDate.Name:          ProdOrder_PlanEndDate,
		ProdOrder_PlanStartTime.Name:        ProdOrder_PlanStartTime,
		ProdOrder_PlanEndTime.Name:          ProdOrder_PlanEndTime,
		ProdOrder_ActStartTime.Name:         ProdOrder_ActStartTime,
		ProdOrder_ActEndTime.Name:           ProdOrder_ActEndTime,
		ProdOrder_ProjectId.Name:            ProdOrder_ProjectId,
		ProdOrder_CustomerId.Name:           ProdOrder_CustomerId,
		ProdOrder_CustomerName.Name:         ProdOrder_CustomerName,
		ProdOrder_BackflushStatus.Name:      ProdOrder_BackflushStatus,
		ProdOrder_BackflushTime.Name:        ProdOrder_BackflushTime,
		ProdOrder_PackStatus.Name:           ProdOrder_PackStatus,
		ProdOrder_PackTime.Name:             ProdOrder_PackTime,
		ProdOrder_ShipStatus.Name:           ProdOrder_ShipStatus,
		ProdOrder_ShipTime.Name:             ProdOrder_ShipTime,
		ProdOrder_LastModify.Name:           ProdOrder_LastModify,
		ProdOrder_LastUser.Name:             ProdOrder_LastUser,
		ProdOrder_CreateTime.Name:           ProdOrder_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"ArtId", "CustArtId", "RouteTemplateId", "OrderType", "OrderInfo", "CustOrderId", "ErpOrderId", "ParentOrderId", "Priority", "Status", "PlanResourceGroupId", "PlanResourceId", "UsedResourceId", "PlanQty", "QtyUomId", "RatePerHourToggle", "TimePerItemToggle", "TimePerBatchToggle", "BatchTimeFieldToggle", "OpTimePerItem", "BatchTime", "QuantityPerHour", "MidBatchQuantity", "MidBatchTime", "BatchingMethod", "PlanStartDate", "PlanEndDate", "PlanStartTime", "PlanEndTime", "ActStartTime", "ActEndTime", "ProjectId", "CustomerId", "CustomerName", "BackflushStatus", "BackflushTime", "PackStatus", "PackTime", "ShipStatus", "ShipTime", "LastUser"})
