// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/om"
)

/******************************************************************************
 *
 * @Description              : ProdOrderStatus的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var ProdOrderStatus_PlantNr = grmi.NewField("PlantNr", "OM_ProdOrderStatus.PlantNr", "plantnr", grmi.TypeInt)
var ProdOrderStatus_ProdOrderId = grmi.NewField("ProdOrderId", "OM_ProdOrderStatus.ProdOrderId", "prodorderid", grmi.TypeString)
var ProdOrderStatus_Status = grmi.NewField("Status", "OM_ProdOrderStatus.Status", "status", grmi.TypeInt)
var ProdOrderStatus_TriggerEvent = grmi.NewField("TriggerEvent", "OM_ProdOrderStatus.TriggerEvent", "triggerevent", grmi.TypeString)
var ProdOrderStatus_TriggerObjectId = grmi.NewField("TriggerObjectId", "OM_ProdOrderStatus.TriggerObjectId", "triggerobjectid", grmi.TypeString)
var ProdOrderStatus_TriggerSubObjectId = grmi.NewField("TriggerSubObjectId", "OM_ProdOrderStatus.TriggerSubObjectId", "triggersubobjectid", grmi.TypeString)
var ProdOrderStatus_LastModify = grmi.NewField("LastModify", "OM_ProdOrderStatus.LastModify", "lastmodify", grmi.TypeDateTime)
var ProdOrderStatus_LastUser = grmi.NewField("LastUser", "OM_ProdOrderStatus.LastUser", "lastuser", grmi.TypeString)
var ProdOrderStatus_CreateTime = grmi.NewField("CreateTime", "OM_ProdOrderStatus.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ProdOrderStatus的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var ProdOrderStatus = grmi.NewEntity(
	"OM_ProdOrderStatus",
	func() interface{} { return &model.ProdOrderStatus{} },
	map[string]grmi.Field{
		ProdOrderStatus_PlantNr.Name:            ProdOrderStatus_PlantNr,
		ProdOrderStatus_ProdOrderId.Name:        ProdOrderStatus_ProdOrderId,
		ProdOrderStatus_Status.Name:             ProdOrderStatus_Status,
		ProdOrderStatus_TriggerEvent.Name:       ProdOrderStatus_TriggerEvent,
		ProdOrderStatus_TriggerObjectId.Name:    ProdOrderStatus_TriggerObjectId,
		ProdOrderStatus_TriggerSubObjectId.Name: ProdOrderStatus_TriggerSubObjectId,
		ProdOrderStatus_LastModify.Name:         ProdOrderStatus_LastModify,
		ProdOrderStatus_LastUser.Name:           ProdOrderStatus_LastUser,
		ProdOrderStatus_CreateTime.Name:         ProdOrderStatus_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Status", "TriggerEvent", "TriggerObjectId", "TriggerSubObjectId", "LastUser"})
