// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/om"
)

/******************************************************************************
 *
 * @Description              : ProdOrderStatusRecLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var ProdOrderStatusRecLst_PlantNr = grmi.NewField("PlantNr", "OM_ProdOrderStatusRecLst.PlantNr", "plantnr", grmi.TypeInt)
var ProdOrderStatusRecLst_ProdOrderId = grmi.NewField("ProdOrderId", "OM_ProdOrderStatusRecLst.ProdOrderId", "prodorderid", grmi.TypeString)
var ProdOrderStatusRecLst_Pos = grmi.NewField("Pos", "OM_ProdOrderStatusRecLst.Pos", "pos", grmi.TypeInt)
var ProdOrderStatusRecLst_PrevStatus = grmi.NewField("PrevStatus", "OM_ProdOrderStatusRecLst.PrevStatus", "prevstatus", grmi.TypeInt)
var ProdOrderStatusRecLst_Status = grmi.NewField("Status", "OM_ProdOrderStatusRecLst.Status", "status", grmi.TypeInt)
var ProdOrderStatusRecLst_StartTime = grmi.NewField("StartTime", "OM_ProdOrderStatusRecLst.StartTime", "starttime", grmi.TypeString)
var ProdOrderStatusRecLst_EndTime = grmi.NewField("EndTime", "OM_ProdOrderStatusRecLst.EndTime", "endtime", grmi.TypeString)
var ProdOrderStatusRecLst_TriggerEvent = grmi.NewField("TriggerEvent", "OM_ProdOrderStatusRecLst.TriggerEvent", "triggerevent", grmi.TypeString)
var ProdOrderStatusRecLst_TriggerObjectId = grmi.NewField("TriggerObjectId", "OM_ProdOrderStatusRecLst.TriggerObjectId", "triggerobjectid", grmi.TypeString)
var ProdOrderStatusRecLst_TriggerSubObjectId = grmi.NewField("TriggerSubObjectId", "OM_ProdOrderStatusRecLst.TriggerSubObjectId", "triggersubobjectid", grmi.TypeString)
var ProdOrderStatusRecLst_OutputEvent = grmi.NewField("OutputEvent", "OM_ProdOrderStatusRecLst.OutputEvent", "outputevent", grmi.TypeString)
var ProdOrderStatusRecLst_OutputEventMessageId = grmi.NewField("OutputEventMessageId", "OM_ProdOrderStatusRecLst.OutputEventMessageId", "outputeventmessageid", grmi.TypeString)
var ProdOrderStatusRecLst_OutputObjectId = grmi.NewField("OutputObjectId", "OM_ProdOrderStatusRecLst.OutputObjectId", "outputobjectid", grmi.TypeString)
var ProdOrderStatusRecLst_OutputSubObjectId = grmi.NewField("OutputSubObjectId", "OM_ProdOrderStatusRecLst.OutputSubObjectId", "outputsubobjectid", grmi.TypeString)
var ProdOrderStatusRecLst_Remark1 = grmi.NewField("Remark1", "OM_ProdOrderStatusRecLst.Remark1", "remark1", grmi.TypeString)
var ProdOrderStatusRecLst_Remark2 = grmi.NewField("Remark2", "OM_ProdOrderStatusRecLst.Remark2", "remark2", grmi.TypeString)
var ProdOrderStatusRecLst_LastModify = grmi.NewField("LastModify", "OM_ProdOrderStatusRecLst.LastModify", "lastmodify", grmi.TypeDateTime)
var ProdOrderStatusRecLst_LastUser = grmi.NewField("LastUser", "OM_ProdOrderStatusRecLst.LastUser", "lastuser", grmi.TypeString)
var ProdOrderStatusRecLst_CreateTime = grmi.NewField("CreateTime", "OM_ProdOrderStatusRecLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ProdOrderStatusRecLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var ProdOrderStatusRecLst = grmi.NewEntity(
	"OM_ProdOrderStatusRecLst",
	func() interface{} { return &model.ProdOrderStatusRecLst{} },
	map[string]grmi.Field{
		ProdOrderStatusRecLst_PlantNr.Name:              ProdOrderStatusRecLst_PlantNr,
		ProdOrderStatusRecLst_ProdOrderId.Name:          ProdOrderStatusRecLst_ProdOrderId,
		ProdOrderStatusRecLst_Pos.Name:                  ProdOrderStatusRecLst_Pos,
		ProdOrderStatusRecLst_PrevStatus.Name:           ProdOrderStatusRecLst_PrevStatus,
		ProdOrderStatusRecLst_Status.Name:               ProdOrderStatusRecLst_Status,
		ProdOrderStatusRecLst_StartTime.Name:            ProdOrderStatusRecLst_StartTime,
		ProdOrderStatusRecLst_EndTime.Name:              ProdOrderStatusRecLst_EndTime,
		ProdOrderStatusRecLst_TriggerEvent.Name:         ProdOrderStatusRecLst_TriggerEvent,
		ProdOrderStatusRecLst_TriggerObjectId.Name:      ProdOrderStatusRecLst_TriggerObjectId,
		ProdOrderStatusRecLst_TriggerSubObjectId.Name:   ProdOrderStatusRecLst_TriggerSubObjectId,
		ProdOrderStatusRecLst_OutputEvent.Name:          ProdOrderStatusRecLst_OutputEvent,
		ProdOrderStatusRecLst_OutputEventMessageId.Name: ProdOrderStatusRecLst_OutputEventMessageId,
		ProdOrderStatusRecLst_OutputObjectId.Name:       ProdOrderStatusRecLst_OutputObjectId,
		ProdOrderStatusRecLst_OutputSubObjectId.Name:    ProdOrderStatusRecLst_OutputSubObjectId,
		ProdOrderStatusRecLst_Remark1.Name:              ProdOrderStatusRecLst_Remark1,
		ProdOrderStatusRecLst_Remark2.Name:              ProdOrderStatusRecLst_Remark2,
		ProdOrderStatusRecLst_LastModify.Name:           ProdOrderStatusRecLst_LastModify,
		ProdOrderStatusRecLst_LastUser.Name:             ProdOrderStatusRecLst_LastUser,
		ProdOrderStatusRecLst_CreateTime.Name:           ProdOrderStatusRecLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PrevStatus", "Status", "StartTime", "EndTime", "TriggerEvent", "TriggerObjectId", "TriggerSubObjectId", "OutputEvent", "OutputEventMessageId", "OutputObjectId", "OutputSubObjectId", "Remark1", "Remark2", "LastUser"})
