// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/om"
)

/******************************************************************************
 *
 * @Description              : SerialOrderOPDetail的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 10:00:53
 *
 ******************************************************************************/
var SerialOrderOPDetail_PlantNr = grmi.NewField("PlantNr", "OM_SerialOrderOPDetail.PlantNr", "plantnr", grmi.TypeInt)
var SerialOrderOPDetail_DetailId = grmi.NewField("DetailId", "OM_SerialOrderOPDetail.DetailId", "detailid", grmi.TypeInt)
var SerialOrderOPDetail_SerialOrderId = grmi.NewField("SerialOrderId", "OM_SerialOrderOPDetail.SerialOrderId", "serialorderid", grmi.TypeString)
var SerialOrderOPDetail_OperationId = grmi.NewField("OperationId", "OM_SerialOrderOPDetail.OperationId", "operationid", grmi.TypeInt)
var SerialOrderOPDetail_PO = grmi.NewField("PO", "OM_SerialOrderOPDetail.PO", "po", grmi.TypeInt)
var SerialOrderOPDetail_SubArtId = grmi.NewField("SubArtId", "OM_SerialOrderOPDetail.SubArtId", "subartid", grmi.TypeString)
var SerialOrderOPDetail_StepNo = grmi.NewField("StepNo", "OM_SerialOrderOPDetail.StepNo", "stepno", grmi.TypeInt)
var SerialOrderOPDetail_Pos = grmi.NewField("Pos", "OM_SerialOrderOPDetail.Pos", "pos", grmi.TypeInt)
var SerialOrderOPDetail_Status = grmi.NewField("Status", "OM_SerialOrderOPDetail.Status", "status", grmi.TypeInt)
var SerialOrderOPDetail_StepType = grmi.NewField("StepType", "OM_SerialOrderOPDetail.StepType", "steptype", grmi.TypeString)
var SerialOrderOPDetail_CharPara1 = grmi.NewField("CharPara1", "OM_SerialOrderOPDetail.CharPara1", "charpara1", grmi.TypeString)
var SerialOrderOPDetail_CharPara2 = grmi.NewField("CharPara2", "OM_SerialOrderOPDetail.CharPara2", "charpara2", grmi.TypeString)
var SerialOrderOPDetail_CharPara3 = grmi.NewField("CharPara3", "OM_SerialOrderOPDetail.CharPara3", "charpara3", grmi.TypeString)
var SerialOrderOPDetail_CharPara4 = grmi.NewField("CharPara4", "OM_SerialOrderOPDetail.CharPara4", "charpara4", grmi.TypeString)
var SerialOrderOPDetail_CharPara5 = grmi.NewField("CharPara5", "OM_SerialOrderOPDetail.CharPara5", "charpara5", grmi.TypeString)
var SerialOrderOPDetail_CharPara6 = grmi.NewField("CharPara6", "OM_SerialOrderOPDetail.CharPara6", "charpara6", grmi.TypeString)
var SerialOrderOPDetail_CharPara7 = grmi.NewField("CharPara7", "OM_SerialOrderOPDetail.CharPara7", "charpara7", grmi.TypeString)
var SerialOrderOPDetail_CharPara8 = grmi.NewField("CharPara8", "OM_SerialOrderOPDetail.CharPara8", "charpara8", grmi.TypeString)
var SerialOrderOPDetail_CharPara9 = grmi.NewField("CharPara9", "OM_SerialOrderOPDetail.CharPara9", "charpara9", grmi.TypeString)
var SerialOrderOPDetail_CharPara10 = grmi.NewField("CharPara10", "OM_SerialOrderOPDetail.CharPara10", "charpara10", grmi.TypeString)
var SerialOrderOPDetail_IntPara1 = grmi.NewField("IntPara1", "OM_SerialOrderOPDetail.IntPara1", "intpara1", grmi.TypeInt)
var SerialOrderOPDetail_IntPara2 = grmi.NewField("IntPara2", "OM_SerialOrderOPDetail.IntPara2", "intpara2", grmi.TypeInt)
var SerialOrderOPDetail_IntPara3 = grmi.NewField("IntPara3", "OM_SerialOrderOPDetail.IntPara3", "intpara3", grmi.TypeInt)
var SerialOrderOPDetail_IntPara4 = grmi.NewField("IntPara4", "OM_SerialOrderOPDetail.IntPara4", "intpara4", grmi.TypeInt)
var SerialOrderOPDetail_IntPara5 = grmi.NewField("IntPara5", "OM_SerialOrderOPDetail.IntPara5", "intpara5", grmi.TypeInt)
var SerialOrderOPDetail_FloatPara1 = grmi.NewField("FloatPara1", "OM_SerialOrderOPDetail.FloatPara1", "floatpara1", grmi.TypeFloat64)
var SerialOrderOPDetail_FloatPara2 = grmi.NewField("FloatPara2", "OM_SerialOrderOPDetail.FloatPara2", "floatpara2", grmi.TypeFloat64)
var SerialOrderOPDetail_FloatPara3 = grmi.NewField("FloatPara3", "OM_SerialOrderOPDetail.FloatPara3", "floatpara3", grmi.TypeFloat64)
var SerialOrderOPDetail_FloatPara4 = grmi.NewField("FloatPara4", "OM_SerialOrderOPDetail.FloatPara4", "floatpara4", grmi.TypeFloat64)
var SerialOrderOPDetail_FloatPara5 = grmi.NewField("FloatPara5", "OM_SerialOrderOPDetail.FloatPara5", "floatpara5", grmi.TypeFloat64)
var SerialOrderOPDetail_FlagPara1 = grmi.NewField("FlagPara1", "OM_SerialOrderOPDetail.FlagPara1", "flagpara1", grmi.TypeBool)
var SerialOrderOPDetail_FlagPara2 = grmi.NewField("FlagPara2", "OM_SerialOrderOPDetail.FlagPara2", "flagpara2", grmi.TypeBool)
var SerialOrderOPDetail_FlagPara3 = grmi.NewField("FlagPara3", "OM_SerialOrderOPDetail.FlagPara3", "flagpara3", grmi.TypeBool)
var SerialOrderOPDetail_LastModify = grmi.NewField("LastModify", "OM_SerialOrderOPDetail.LastModify", "lastmodify", grmi.TypeDateTime)
var SerialOrderOPDetail_LastUser = grmi.NewField("LastUser", "OM_SerialOrderOPDetail.LastUser", "lastuser", grmi.TypeString)
var SerialOrderOPDetail_CreateTime = grmi.NewField("CreateTime", "OM_SerialOrderOPDetail.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : SerialOrderOPDetail的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 10:00:53
 *
 ******************************************************************************/
var SerialOrderOPDetail = grmi.NewEntity(
	"OM_SerialOrderOPDetail",
	func() interface{} { return &model.SerialOrderOPDetail{} },
	map[string]grmi.Field{
		SerialOrderOPDetail_PlantNr.Name:       SerialOrderOPDetail_PlantNr,
		SerialOrderOPDetail_DetailId.Name:      SerialOrderOPDetail_DetailId,
		SerialOrderOPDetail_SerialOrderId.Name: SerialOrderOPDetail_SerialOrderId,
		SerialOrderOPDetail_OperationId.Name:   SerialOrderOPDetail_OperationId,
		SerialOrderOPDetail_PO.Name:            SerialOrderOPDetail_PO,
		SerialOrderOPDetail_SubArtId.Name:      SerialOrderOPDetail_SubArtId,
		SerialOrderOPDetail_StepNo.Name:        SerialOrderOPDetail_StepNo,
		SerialOrderOPDetail_Pos.Name:           SerialOrderOPDetail_Pos,
		SerialOrderOPDetail_Status.Name:        SerialOrderOPDetail_Status,
		SerialOrderOPDetail_StepType.Name:      SerialOrderOPDetail_StepType,
		SerialOrderOPDetail_CharPara1.Name:     SerialOrderOPDetail_CharPara1,
		SerialOrderOPDetail_CharPara2.Name:     SerialOrderOPDetail_CharPara2,
		SerialOrderOPDetail_CharPara3.Name:     SerialOrderOPDetail_CharPara3,
		SerialOrderOPDetail_CharPara4.Name:     SerialOrderOPDetail_CharPara4,
		SerialOrderOPDetail_CharPara5.Name:     SerialOrderOPDetail_CharPara5,
		SerialOrderOPDetail_CharPara6.Name:     SerialOrderOPDetail_CharPara6,
		SerialOrderOPDetail_CharPara7.Name:     SerialOrderOPDetail_CharPara7,
		SerialOrderOPDetail_CharPara8.Name:     SerialOrderOPDetail_CharPara8,
		SerialOrderOPDetail_CharPara9.Name:     SerialOrderOPDetail_CharPara9,
		SerialOrderOPDetail_CharPara10.Name:    SerialOrderOPDetail_CharPara10,
		SerialOrderOPDetail_IntPara1.Name:      SerialOrderOPDetail_IntPara1,
		SerialOrderOPDetail_IntPara2.Name:      SerialOrderOPDetail_IntPara2,
		SerialOrderOPDetail_IntPara3.Name:      SerialOrderOPDetail_IntPara3,
		SerialOrderOPDetail_IntPara4.Name:      SerialOrderOPDetail_IntPara4,
		SerialOrderOPDetail_IntPara5.Name:      SerialOrderOPDetail_IntPara5,
		SerialOrderOPDetail_FloatPara1.Name:    SerialOrderOPDetail_FloatPara1,
		SerialOrderOPDetail_FloatPara2.Name:    SerialOrderOPDetail_FloatPara2,
		SerialOrderOPDetail_FloatPara3.Name:    SerialOrderOPDetail_FloatPara3,
		SerialOrderOPDetail_FloatPara4.Name:    SerialOrderOPDetail_FloatPara4,
		SerialOrderOPDetail_FloatPara5.Name:    SerialOrderOPDetail_FloatPara5,
		SerialOrderOPDetail_FlagPara1.Name:     SerialOrderOPDetail_FlagPara1,
		SerialOrderOPDetail_FlagPara2.Name:     SerialOrderOPDetail_FlagPara2,
		SerialOrderOPDetail_FlagPara3.Name:     SerialOrderOPDetail_FlagPara3,
		SerialOrderOPDetail_LastModify.Name:    SerialOrderOPDetail_LastModify,
		SerialOrderOPDetail_LastUser.Name:      SerialOrderOPDetail_LastUser,
		SerialOrderOPDetail_CreateTime.Name:    SerialOrderOPDetail_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"SerialOrderId", "OperationId", "PO", "SubArtId", "StepNo", "Pos", "Status", "StepType", "CharPara1", "CharPara2", "CharPara3", "CharPara4", "CharPara5", "CharPara6", "CharPara7", "CharPara8", "CharPara9", "CharPara10", "IntPara1", "IntPara2", "IntPara3", "IntPara4", "IntPara5", "FloatPara1", "FloatPara2", "FloatPara3", "FloatPara4", "FloatPara5", "FlagPara1", "FlagPara2", "FlagPara3", "LastUser"})
