// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/om"
)

/******************************************************************************
 *
 * @Description              : SerialOrderStatus的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
var SerialOrderStatus_PlantNr = grmi.NewField("PlantNr", "OM_SerialOrderStatus.PlantNr", "plantnr", grmi.TypeInt)
var SerialOrderStatus_SerialOrderId = grmi.NewField("SerialOrderId", "OM_SerialOrderStatus.SerialOrderId", "serialorderid", grmi.TypeString)
var SerialOrderStatus_Status = grmi.NewField("Status", "OM_SerialOrderStatus.Status", "status", grmi.TypeInt)
var SerialOrderStatus_TriggerEvent = grmi.NewField("TriggerEvent", "OM_SerialOrderStatus.TriggerEvent", "triggerevent", grmi.TypeString)
var SerialOrderStatus_TriggerObjectId = grmi.NewField("TriggerObjectId", "OM_SerialOrderStatus.TriggerObjectId", "triggerobjectid", grmi.TypeString)
var SerialOrderStatus_TriggerSubObjectId = grmi.NewField("TriggerSubObjectId", "OM_SerialOrderStatus.TriggerSubObjectId", "triggersubobjectid", grmi.TypeString)
var SerialOrderStatus_LastModify = grmi.NewField("LastModify", "OM_SerialOrderStatus.LastModify", "lastmodify", grmi.TypeDateTime)
var SerialOrderStatus_LastUser = grmi.NewField("LastUser", "OM_SerialOrderStatus.LastUser", "lastuser", grmi.TypeString)
var SerialOrderStatus_CreateTime = grmi.NewField("CreateTime", "OM_SerialOrderStatus.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : SerialOrderStatus的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
var SerialOrderStatus = grmi.NewEntity(
	"OM_SerialOrderStatus",
	func() interface{} { return &model.SerialOrderStatus{} },
	map[string]grmi.Field{
		SerialOrderStatus_PlantNr.Name:            SerialOrderStatus_PlantNr,
		SerialOrderStatus_SerialOrderId.Name:      SerialOrderStatus_SerialOrderId,
		SerialOrderStatus_Status.Name:             SerialOrderStatus_Status,
		SerialOrderStatus_TriggerEvent.Name:       SerialOrderStatus_TriggerEvent,
		SerialOrderStatus_TriggerObjectId.Name:    SerialOrderStatus_TriggerObjectId,
		SerialOrderStatus_TriggerSubObjectId.Name: SerialOrderStatus_TriggerSubObjectId,
		SerialOrderStatus_LastModify.Name:         SerialOrderStatus_LastModify,
		SerialOrderStatus_LastUser.Name:           SerialOrderStatus_LastUser,
		SerialOrderStatus_CreateTime.Name:         SerialOrderStatus_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Status", "TriggerEvent", "TriggerObjectId", "TriggerSubObjectId", "LastUser"})
