// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/om"
)

/******************************************************************************
 *
 * @Description              : SerialOrderStatusRecLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
var SerialOrderStatusRecLst_PlantNr = grmi.NewField("PlantNr", "OM_SerialOrderStatusRecLst.PlantNr", "plantnr", grmi.TypeInt)
var SerialOrderStatusRecLst_SerialOrderId = grmi.NewField("SerialOrderId", "OM_SerialOrderStatusRecLst.SerialOrderId", "serialorderid", grmi.TypeString)
var SerialOrderStatusRecLst_Pos = grmi.NewField("Pos", "OM_SerialOrderStatusRecLst.Pos", "pos", grmi.TypeInt)
var SerialOrderStatusRecLst_PrevStatus = grmi.NewField("PrevStatus", "OM_SerialOrderStatusRecLst.PrevStatus", "prevstatus", grmi.TypeInt)
var SerialOrderStatusRecLst_Status = grmi.NewField("Status", "OM_SerialOrderStatusRecLst.Status", "status", grmi.TypeInt)
var SerialOrderStatusRecLst_StartTime = grmi.NewField("StartTime", "OM_SerialOrderStatusRecLst.StartTime", "starttime", grmi.TypeDateTime)
var SerialOrderStatusRecLst_EndTime = grmi.NewField("EndTime", "OM_SerialOrderStatusRecLst.EndTime", "endtime", grmi.TypeDateTime)
var SerialOrderStatusRecLst_TriggerEvent = grmi.NewField("TriggerEvent", "OM_SerialOrderStatusRecLst.TriggerEvent", "triggerevent", grmi.TypeString)
var SerialOrderStatusRecLst_TriggerObjectId = grmi.NewField("TriggerObjectId", "OM_SerialOrderStatusRecLst.TriggerObjectId", "triggerobjectid", grmi.TypeString)
var SerialOrderStatusRecLst_TriggerSubObjectId = grmi.NewField("TriggerSubObjectId", "OM_SerialOrderStatusRecLst.TriggerSubObjectId", "triggersubobjectid", grmi.TypeString)
var SerialOrderStatusRecLst_OutputStatus = grmi.NewField("OutputStatus", "OM_SerialOrderStatusRecLst.OutputStatus", "outputstatus", grmi.TypeInt)
var SerialOrderStatusRecLst_OutputEvent = grmi.NewField("OutputEvent", "OM_SerialOrderStatusRecLst.OutputEvent", "outputevent", grmi.TypeString)
var SerialOrderStatusRecLst_OutputEventMessageId = grmi.NewField("OutputEventMessageId", "OM_SerialOrderStatusRecLst.OutputEventMessageId", "outputeventmessageid", grmi.TypeString)
var SerialOrderStatusRecLst_OutputObjectId = grmi.NewField("OutputObjectId", "OM_SerialOrderStatusRecLst.OutputObjectId", "outputobjectid", grmi.TypeString)
var SerialOrderStatusRecLst_OutputSubObjectId = grmi.NewField("OutputSubObjectId", "OM_SerialOrderStatusRecLst.OutputSubObjectId", "outputsubobjectid", grmi.TypeString)
var SerialOrderStatusRecLst_Remark1 = grmi.NewField("Remark1", "OM_SerialOrderStatusRecLst.Remark1", "remark1", grmi.TypeString)
var SerialOrderStatusRecLst_Remark2 = grmi.NewField("Remark2", "OM_SerialOrderStatusRecLst.Remark2", "remark2", grmi.TypeString)
var SerialOrderStatusRecLst_OutputErrNum = grmi.NewField("OutputErrNum", "OM_SerialOrderStatusRecLst.OutputErrNum", "outputerrnum", grmi.TypeInt)
var SerialOrderStatusRecLst_LastModify = grmi.NewField("LastModify", "OM_SerialOrderStatusRecLst.LastModify", "lastmodify", grmi.TypeDateTime)
var SerialOrderStatusRecLst_LastUser = grmi.NewField("LastUser", "OM_SerialOrderStatusRecLst.LastUser", "lastuser", grmi.TypeString)
var SerialOrderStatusRecLst_CreateTime = grmi.NewField("CreateTime", "OM_SerialOrderStatusRecLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : SerialOrderStatusRecLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
var SerialOrderStatusRecLst = grmi.NewEntity(
	"OM_SerialOrderStatusRecLst",
	func() interface{} { return &model.SerialOrderStatusRecLst{} },
	map[string]grmi.Field{
		SerialOrderStatusRecLst_PlantNr.Name:              SerialOrderStatusRecLst_PlantNr,
		SerialOrderStatusRecLst_SerialOrderId.Name:        SerialOrderStatusRecLst_SerialOrderId,
		SerialOrderStatusRecLst_Pos.Name:                  SerialOrderStatusRecLst_Pos,
		SerialOrderStatusRecLst_PrevStatus.Name:           SerialOrderStatusRecLst_PrevStatus,
		SerialOrderStatusRecLst_Status.Name:               SerialOrderStatusRecLst_Status,
		SerialOrderStatusRecLst_StartTime.Name:            SerialOrderStatusRecLst_StartTime,
		SerialOrderStatusRecLst_EndTime.Name:              SerialOrderStatusRecLst_EndTime,
		SerialOrderStatusRecLst_TriggerEvent.Name:         SerialOrderStatusRecLst_TriggerEvent,
		SerialOrderStatusRecLst_TriggerObjectId.Name:      SerialOrderStatusRecLst_TriggerObjectId,
		SerialOrderStatusRecLst_TriggerSubObjectId.Name:   SerialOrderStatusRecLst_TriggerSubObjectId,
		SerialOrderStatusRecLst_OutputStatus.Name:         SerialOrderStatusRecLst_OutputStatus,
		SerialOrderStatusRecLst_OutputEvent.Name:          SerialOrderStatusRecLst_OutputEvent,
		SerialOrderStatusRecLst_OutputEventMessageId.Name: SerialOrderStatusRecLst_OutputEventMessageId,
		SerialOrderStatusRecLst_OutputObjectId.Name:       SerialOrderStatusRecLst_OutputObjectId,
		SerialOrderStatusRecLst_OutputSubObjectId.Name:    SerialOrderStatusRecLst_OutputSubObjectId,
		SerialOrderStatusRecLst_Remark1.Name:              SerialOrderStatusRecLst_Remark1,
		SerialOrderStatusRecLst_Remark2.Name:              SerialOrderStatusRecLst_Remark2,
		SerialOrderStatusRecLst_OutputErrNum.Name:         SerialOrderStatusRecLst_OutputErrNum,
		SerialOrderStatusRecLst_LastModify.Name:           SerialOrderStatusRecLst_LastModify,
		SerialOrderStatusRecLst_LastUser.Name:             SerialOrderStatusRecLst_LastUser,
		SerialOrderStatusRecLst_CreateTime.Name:           SerialOrderStatusRecLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PrevStatus", "Status", "StartTime", "EndTime", "TriggerEvent", "TriggerObjectId", "TriggerSubObjectId", "OutputStatus", "OutputEvent", "OutputEventMessageId", "OutputObjectId", "OutputSubObjectId", "Remark1", "Remark2", "OutputErrNum", "LastUser"})
