// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/om"
)

/******************************************************************************
 *
 * @Description              : WorkOrderQty的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var WorkOrderQty_PlantNr = grmi.NewField("PlantNr", "OM_WorkOrderQty.PlantNr", "plantnr", grmi.TypeInt)
var WorkOrderQty_WorkOrderId = grmi.NewField("WorkOrderId", "OM_WorkOrderQty.WorkOrderId", "workorderid", grmi.TypeString)
var WorkOrderQty_PlanQty = grmi.NewField("PlanQty", "OM_WorkOrderQty.PlanQty", "planqty", grmi.TypeFloat64)
var WorkOrderQty_ReleasedQty = grmi.NewField("ReleasedQty", "OM_WorkOrderQty.ReleasedQty", "releasedqty", grmi.TypeFloat64)
var WorkOrderQty_ActQty = grmi.NewField("ActQty", "OM_WorkOrderQty.ActQty", "actqty", grmi.TypeFloat64)
var WorkOrderQty_ActGoodQty = grmi.NewField("ActGoodQty", "OM_WorkOrderQty.ActGoodQty", "actgoodqty", grmi.TypeFloat64)
var WorkOrderQty_ActScrapQty = grmi.NewField("ActScrapQty", "OM_WorkOrderQty.ActScrapQty", "actscrapqty", grmi.TypeFloat64)
var WorkOrderQty_ActReworkQty = grmi.NewField("ActReworkQty", "OM_WorkOrderQty.ActReworkQty", "actreworkqty", grmi.TypeFloat64)
var WorkOrderQty_ActQty1 = grmi.NewField("ActQty1", "OM_WorkOrderQty.ActQty1", "actqty1", grmi.TypeFloat64)
var WorkOrderQty_ActQty2 = grmi.NewField("ActQty2", "OM_WorkOrderQty.ActQty2", "actqty2", grmi.TypeFloat64)
var WorkOrderQty_ActQty3 = grmi.NewField("ActQty3", "OM_WorkOrderQty.ActQty3", "actqty3", grmi.TypeFloat64)
var WorkOrderQty_ActQty4 = grmi.NewField("ActQty4", "OM_WorkOrderQty.ActQty4", "actqty4", grmi.TypeFloat64)
var WorkOrderQty_LastModify = grmi.NewField("LastModify", "OM_WorkOrderQty.LastModify", "lastmodify", grmi.TypeDateTime)
var WorkOrderQty_LastUser = grmi.NewField("LastUser", "OM_WorkOrderQty.LastUser", "lastuser", grmi.TypeString)
var WorkOrderQty_CreateTime = grmi.NewField("CreateTime", "OM_WorkOrderQty.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkOrderQty的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var WorkOrderQty = grmi.NewEntity(
	"OM_WorkOrderQty",
	func() interface{} { return &model.WorkOrderQty{} },
	map[string]grmi.Field{
		WorkOrderQty_PlantNr.Name:      WorkOrderQty_PlantNr,
		WorkOrderQty_WorkOrderId.Name:  WorkOrderQty_WorkOrderId,
		WorkOrderQty_PlanQty.Name:      WorkOrderQty_PlanQty,
		WorkOrderQty_ReleasedQty.Name:  WorkOrderQty_ReleasedQty,
		WorkOrderQty_ActQty.Name:       WorkOrderQty_ActQty,
		WorkOrderQty_ActGoodQty.Name:   WorkOrderQty_ActGoodQty,
		WorkOrderQty_ActScrapQty.Name:  WorkOrderQty_ActScrapQty,
		WorkOrderQty_ActReworkQty.Name: WorkOrderQty_ActReworkQty,
		WorkOrderQty_ActQty1.Name:      WorkOrderQty_ActQty1,
		WorkOrderQty_ActQty2.Name:      WorkOrderQty_ActQty2,
		WorkOrderQty_ActQty3.Name:      WorkOrderQty_ActQty3,
		WorkOrderQty_ActQty4.Name:      WorkOrderQty_ActQty4,
		WorkOrderQty_LastModify.Name:   WorkOrderQty_LastModify,
		WorkOrderQty_LastUser.Name:     WorkOrderQty_LastUser,
		WorkOrderQty_CreateTime.Name:   WorkOrderQty_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PlanQty", "ReleasedQty", "ActQty", "ActGoodQty", "ActScrapQty", "ActReworkQty", "ActQty1", "ActQty2", "ActQty3", "ActQty4", "LastUser"})
