// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/om"
)

/******************************************************************************
 *
 * @Description              : WorkOrderQtyRecLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var WorkOrderQtyRecLst_PlantNr = grmi.NewField("PlantNr", "OM_WorkOrderQtyRecLst.PlantNr", "plantnr", grmi.TypeInt)
var WorkOrderQtyRecLst_WorkOrderId = grmi.NewField("WorkOrderId", "OM_WorkOrderQtyRecLst.WorkOrderId", "workorderid", grmi.TypeString)
var WorkOrderQtyRecLst_Pos = grmi.NewField("Pos", "OM_WorkOrderQtyRecLst.Pos", "pos", grmi.TypeInt)
var WorkOrderQtyRecLst_ActQty = grmi.NewField("ActQty", "OM_WorkOrderQtyRecLst.ActQty", "actqty", grmi.TypeFloat64)
var WorkOrderQtyRecLst_OrderQtyType = grmi.NewField("OrderQtyType", "OM_WorkOrderQtyRecLst.OrderQtyType", "orderqtytype", grmi.TypeString)
var WorkOrderQtyRecLst_RecordTime = grmi.NewField("RecordTime", "OM_WorkOrderQtyRecLst.RecordTime", "recordtime", grmi.TypeDateTime)
var WorkOrderQtyRecLst_TriggerEvent = grmi.NewField("TriggerEvent", "OM_WorkOrderQtyRecLst.TriggerEvent", "triggerevent", grmi.TypeString)
var WorkOrderQtyRecLst_TriggerObjectId = grmi.NewField("TriggerObjectId", "OM_WorkOrderQtyRecLst.TriggerObjectId", "triggerobjectid", grmi.TypeString)
var WorkOrderQtyRecLst_TriggerSubObjectId = grmi.NewField("TriggerSubObjectId", "OM_WorkOrderQtyRecLst.TriggerSubObjectId", "triggersubobjectid", grmi.TypeString)
var WorkOrderQtyRecLst_OutputStatus = grmi.NewField("OutputStatus", "OM_WorkOrderQtyRecLst.OutputStatus", "outputstatus", grmi.TypeInt)
var WorkOrderQtyRecLst_OutputEvent = grmi.NewField("OutputEvent", "OM_WorkOrderQtyRecLst.OutputEvent", "outputevent", grmi.TypeString)
var WorkOrderQtyRecLst_OutputEventMessageId = grmi.NewField("OutputEventMessageId", "OM_WorkOrderQtyRecLst.OutputEventMessageId", "outputeventmessageid", grmi.TypeString)
var WorkOrderQtyRecLst_OutputObjectId = grmi.NewField("OutputObjectId", "OM_WorkOrderQtyRecLst.OutputObjectId", "outputobjectid", grmi.TypeString)
var WorkOrderQtyRecLst_OutputSubObjectId = grmi.NewField("OutputSubObjectId", "OM_WorkOrderQtyRecLst.OutputSubObjectId", "outputsubobjectid", grmi.TypeString)
var WorkOrderQtyRecLst_Remark1 = grmi.NewField("Remark1", "OM_WorkOrderQtyRecLst.Remark1", "remark1", grmi.TypeString)
var WorkOrderQtyRecLst_Remark2 = grmi.NewField("Remark2", "OM_WorkOrderQtyRecLst.Remark2", "remark2", grmi.TypeString)
var WorkOrderQtyRecLst_LastModify = grmi.NewField("LastModify", "OM_WorkOrderQtyRecLst.LastModify", "lastmodify", grmi.TypeDateTime)
var WorkOrderQtyRecLst_LastUser = grmi.NewField("LastUser", "OM_WorkOrderQtyRecLst.LastUser", "lastuser", grmi.TypeString)
var WorkOrderQtyRecLst_CreateTime = grmi.NewField("CreateTime", "OM_WorkOrderQtyRecLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkOrderQtyRecLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var WorkOrderQtyRecLst = grmi.NewEntity(
	"OM_WorkOrderQtyRecLst",
	func() interface{} { return &model.WorkOrderQtyRecLst{} },
	map[string]grmi.Field{
		WorkOrderQtyRecLst_PlantNr.Name:              WorkOrderQtyRecLst_PlantNr,
		WorkOrderQtyRecLst_WorkOrderId.Name:          WorkOrderQtyRecLst_WorkOrderId,
		WorkOrderQtyRecLst_Pos.Name:                  WorkOrderQtyRecLst_Pos,
		WorkOrderQtyRecLst_ActQty.Name:               WorkOrderQtyRecLst_ActQty,
		WorkOrderQtyRecLst_OrderQtyType.Name:         WorkOrderQtyRecLst_OrderQtyType,
		WorkOrderQtyRecLst_RecordTime.Name:           WorkOrderQtyRecLst_RecordTime,
		WorkOrderQtyRecLst_TriggerEvent.Name:         WorkOrderQtyRecLst_TriggerEvent,
		WorkOrderQtyRecLst_TriggerObjectId.Name:      WorkOrderQtyRecLst_TriggerObjectId,
		WorkOrderQtyRecLst_TriggerSubObjectId.Name:   WorkOrderQtyRecLst_TriggerSubObjectId,
		WorkOrderQtyRecLst_OutputStatus.Name:         WorkOrderQtyRecLst_OutputStatus,
		WorkOrderQtyRecLst_OutputEvent.Name:          WorkOrderQtyRecLst_OutputEvent,
		WorkOrderQtyRecLst_OutputEventMessageId.Name: WorkOrderQtyRecLst_OutputEventMessageId,
		WorkOrderQtyRecLst_OutputObjectId.Name:       WorkOrderQtyRecLst_OutputObjectId,
		WorkOrderQtyRecLst_OutputSubObjectId.Name:    WorkOrderQtyRecLst_OutputSubObjectId,
		WorkOrderQtyRecLst_Remark1.Name:              WorkOrderQtyRecLst_Remark1,
		WorkOrderQtyRecLst_Remark2.Name:              WorkOrderQtyRecLst_Remark2,
		WorkOrderQtyRecLst_LastModify.Name:           WorkOrderQtyRecLst_LastModify,
		WorkOrderQtyRecLst_LastUser.Name:             WorkOrderQtyRecLst_LastUser,
		WorkOrderQtyRecLst_CreateTime.Name:           WorkOrderQtyRecLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"ActQty", "OrderQtyType", "RecordTime", "TriggerEvent", "TriggerObjectId", "TriggerSubObjectId", "OutputStatus", "OutputEvent", "OutputEventMessageId", "OutputObjectId", "OutputSubObjectId", "Remark1", "Remark2", "LastUser"})
