// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : AssetType的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var AssetType_PlantNr = grmi.NewField("PlantNr", "PM_AssetType_New.PlantNr", "plantnr", grmi.TypeInt)
var AssetType_AssetType = grmi.NewField("AssetType", "PM_AssetType_New.AssetType", "assettype", grmi.TypeString)
var AssetType_Descr = grmi.NewField("Descr", "PM_AssetType_New.Descr", "descr", grmi.TypeString)
var AssetType_Bitmap = grmi.NewField("Bitmap", "PM_AssetType_New.Bitmap", "bitmap", grmi.TypeString)
var AssetType_AstypPara1 = grmi.NewField("AstypPara1", "PM_AssetType_New.AstypPara1", "astyppara1", grmi.TypeString)
var AssetType_AstypPara2 = grmi.NewField("AstypPara2", "PM_AssetType_New.AstypPara2", "astyppara2", grmi.TypeString)
var AssetType_AstypPara3 = grmi.NewField("AstypPara3", "PM_AssetType_New.AstypPara3", "astyppara3", grmi.TypeString)
var AssetType_AstypPara4 = grmi.NewField("AstypPara4", "PM_AssetType_New.AstypPara4", "astyppara4", grmi.TypeString)
var AssetType_LastModify = grmi.NewField("LastModify", "PM_AssetType_New.LastModify", "lastmodify", grmi.TypeDateTime)
var AssetType_LastUser = grmi.NewField("LastUser", "PM_AssetType_New.LastUser", "lastuser", grmi.TypeString)
var AssetType_CreateTime = grmi.NewField("CreateTime", "PM_AssetType_New.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : AssetType的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var AssetType = grmi.NewEntity(
	"PM_AssetType_New",
	func() interface{} { return &model.AssetType{} },
	map[string]grmi.Field{
		AssetType_PlantNr.Name:    AssetType_PlantNr,
		AssetType_AssetType.Name:  AssetType_AssetType,
		AssetType_Descr.Name:      AssetType_Descr,
		AssetType_Bitmap.Name:     AssetType_Bitmap,
		AssetType_AstypPara1.Name: AssetType_AstypPara1,
		AssetType_AstypPara2.Name: AssetType_AstypPara2,
		AssetType_AstypPara3.Name: AssetType_AstypPara3,
		AssetType_AstypPara4.Name: AssetType_AstypPara4,
		AssetType_LastModify.Name: AssetType_LastModify,
		AssetType_LastUser.Name:   AssetType_LastUser,
		AssetType_CreateTime.Name: AssetType_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "Bitmap", "AstypPara1", "AstypPara2", "AstypPara3", "AstypPara4", "LastUser"})
