// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : AttributeValst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var AttributeValst_PlantNr = grmi.NewField("PlantNr", "PM_AttributeValst.PlantNr", "plantnr", grmi.TypeInt)
var AttributeValst_AttrNr = grmi.NewField("AttrNr", "PM_AttributeValst.AttrNr", "attrnr", grmi.TypeInt)
var AttributeValst_Pos = grmi.NewField("Pos", "PM_AttributeValst.Pos", "pos", grmi.TypeInt)
var AttributeValst_AttrValue = grmi.NewField("AttrValue", "PM_AttributeValst.AttrValue", "attrvalue", grmi.TypeString)
var AttributeValst_Descr = grmi.NewField("Descr", "PM_AttributeValst.Descr", "descr", grmi.TypeString)
var AttributeValst_LastModify = grmi.NewField("LastModify", "PM_AttributeValst.LastModify", "lastmodify", grmi.TypeDateTime)
var AttributeValst_LastUser = grmi.NewField("LastUser", "PM_AttributeValst.LastUser", "lastuser", grmi.TypeString)
var AttributeValst_CreateTime = grmi.NewField("CreateTime", "PM_AttributeValst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : AttributeValst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var AttributeValst = grmi.NewEntity(
	"PM_AttributeValst",
	func() interface{} { return &model.AttributeValst{} },
	map[string]grmi.Field{
		AttributeValst_PlantNr.Name:    AttributeValst_PlantNr,
		AttributeValst_AttrNr.Name:     AttributeValst_AttrNr,
		AttributeValst_Pos.Name:        AttributeValst_Pos,
		AttributeValst_AttrValue.Name:  AttributeValst_AttrValue,
		AttributeValst_Descr.Name:      AttributeValst_Descr,
		AttributeValst_LastModify.Name: AttributeValst_LastModify,
		AttributeValst_LastUser.Name:   AttributeValst_LastUser,
		AttributeValst_CreateTime.Name: AttributeValst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"AttrValue", "Descr", "LastUser"})
