// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : Location的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var Location_PlantNr = grmi.NewField("PlantNr", "PM_Location_New.PlantNr", "plantnr", grmi.TypeInt)
var Location_LocaNr = grmi.NewField("LocaNr", "PM_Location_New.LocaNr", "locanr", grmi.TypeInt)
var Location_LocaName = grmi.NewField("LocaName", "PM_Location_New.LocaName", "locaname", grmi.TypeString)
var Location_LocaPara1 = grmi.NewField("LocaPara1", "PM_Location_New.LocaPara1", "locapara1", grmi.TypeString)
var Location_LocaPara2 = grmi.NewField("LocaPara2", "PM_Location_New.LocaPara2", "locapara2", grmi.TypeString)
var Location_LocaPara3 = grmi.NewField("LocaPara3", "PM_Location_New.LocaPara3", "locapara3", grmi.TypeString)
var Location_LocaPara4 = grmi.NewField("LocaPara4", "PM_Location_New.LocaPara4", "locapara4", grmi.TypeString)
var Location_LastModify = grmi.NewField("LastModify", "PM_Location_New.LastModify", "lastmodify", grmi.TypeDateTime)
var Location_LastUser = grmi.NewField("LastUser", "PM_Location_New.LastUser", "lastuser", grmi.TypeString)
var Location_CreateTime = grmi.NewField("CreateTime", "PM_Location_New.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Location的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var Location = grmi.NewEntity(
	"PM_Location_New",
	func() interface{} { return &model.Location{} },
	map[string]grmi.Field{
		Location_PlantNr.Name:    Location_PlantNr,
		Location_LocaNr.Name:     Location_LocaNr,
		Location_LocaName.Name:   Location_LocaName,
		Location_LocaPara1.Name:  Location_LocaPara1,
		Location_LocaPara2.Name:  Location_LocaPara2,
		Location_LocaPara3.Name:  Location_LocaPara3,
		Location_LocaPara4.Name:  Location_LocaPara4,
		Location_LastModify.Name: Location_LastModify,
		Location_LastUser.Name:   Location_LastUser,
		Location_CreateTime.Name: Location_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"LocaName", "LocaPara1", "LocaPara2", "LocaPara3", "LocaPara4", "LastUser"})
