// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : ServiceAttrLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var ServiceAttrLst_PlantNr = grmi.NewField("PlantNr", "PM_ServiceAttrLst.PlantNr", "plantnr", grmi.TypeInt)
var ServiceAttrLst_MainServiceNr = grmi.NewField("MainServiceNr", "PM_ServiceAttrLst.MainServiceNr", "mainservicenr", grmi.TypeInt)
var ServiceAttrLst_Pos = grmi.NewField("Pos", "PM_ServiceAttrLst.Pos", "pos", grmi.TypeInt)
var ServiceAttrLst_Descr = grmi.NewField("Descr", "PM_ServiceAttrLst.Descr", "descr", grmi.TypeString)
var ServiceAttrLst_AttrNr = grmi.NewField("AttrNr", "PM_ServiceAttrLst.AttrNr", "attrnr", grmi.TypeInt)
var ServiceAttrLst_Parameter = grmi.NewField("Parameter", "PM_ServiceAttrLst.Parameter", "parameter", grmi.TypeString)
var ServiceAttrLst_ParaValue = grmi.NewField("ParaValue", "PM_ServiceAttrLst.ParaValue", "paravalue", grmi.TypeString)
var ServiceAttrLst_LastModify = grmi.NewField("LastModify", "PM_ServiceAttrLst.LastModify", "lastmodify", grmi.TypeDateTime)
var ServiceAttrLst_LastUser = grmi.NewField("LastUser", "PM_ServiceAttrLst.LastUser", "lastuser", grmi.TypeString)
var ServiceAttrLst_CreateTime = grmi.NewField("CreateTime", "PM_ServiceAttrLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ServiceAttrLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var ServiceAttrLst = grmi.NewEntity(
	"PM_ServiceAttrLst",
	func() interface{} { return &model.ServiceAttrLst{} },
	map[string]grmi.Field{
		ServiceAttrLst_PlantNr.Name:       ServiceAttrLst_PlantNr,
		ServiceAttrLst_MainServiceNr.Name: ServiceAttrLst_MainServiceNr,
		ServiceAttrLst_Pos.Name:           ServiceAttrLst_Pos,
		ServiceAttrLst_Descr.Name:         ServiceAttrLst_Descr,
		ServiceAttrLst_AttrNr.Name:        ServiceAttrLst_AttrNr,
		ServiceAttrLst_Parameter.Name:     ServiceAttrLst_Parameter,
		ServiceAttrLst_ParaValue.Name:     ServiceAttrLst_ParaValue,
		ServiceAttrLst_LastModify.Name:    ServiceAttrLst_LastModify,
		ServiceAttrLst_LastUser.Name:      ServiceAttrLst_LastUser,
		ServiceAttrLst_CreateTime.Name:    ServiceAttrLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "AttrNr", "Parameter", "ParaValue", "LastUser"})
