// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : Template的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var Template_PlantNr = grmi.NewField("PlantNr", "PM_Template_New.PlantNr", "plantnr", grmi.TypeInt)
var Template_MainTemplateNr = grmi.NewField("MainTemplateNr", "PM_Template_New.MainTemplateNr", "maintemplatenr", grmi.TypeInt)
var Template_Descr = grmi.NewField("Descr", "PM_Template_New.Descr", "descr", grmi.TypeString)
var Template_TrackByDateToggle = grmi.NewField("TrackByDateToggle", "PM_Template_New.TrackByDateToggle", "trackbydatetoggle", grmi.TypeBool)
var Template_TrackByPriMeterToggle = grmi.NewField("TrackByPriMeterToggle", "PM_Template_New.TrackByPriMeterToggle", "trackbyprimetertoggle", grmi.TypeBool)
var Template_PriMeterUom = grmi.NewField("PriMeterUom", "PM_Template_New.PriMeterUom", "primeteruom", grmi.TypeString)
var Template_TrackBySecMeterToggle = grmi.NewField("TrackBySecMeterToggle", "PM_Template_New.TrackBySecMeterToggle", "trackbysecmetertoggle", grmi.TypeBool)
var Template_SecMeterUom = grmi.NewField("SecMeterUom", "PM_Template_New.SecMeterUom", "secmeteruom", grmi.TypeString)
var Template_LastModify = grmi.NewField("LastModify", "PM_Template_New.LastModify", "lastmodify", grmi.TypeDateTime)
var Template_LastUser = grmi.NewField("LastUser", "PM_Template_New.LastUser", "lastuser", grmi.TypeString)
var Template_CreateTime = grmi.NewField("CreateTime", "PM_Template_New.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Template的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var Template = grmi.NewEntity(
	"PM_Template_New",
	func() interface{} { return &model.Template{} },
	map[string]grmi.Field{
		Template_PlantNr.Name:               Template_PlantNr,
		Template_MainTemplateNr.Name:        Template_MainTemplateNr,
		Template_Descr.Name:                 Template_Descr,
		Template_TrackByDateToggle.Name:     Template_TrackByDateToggle,
		Template_TrackByPriMeterToggle.Name: Template_TrackByPriMeterToggle,
		Template_PriMeterUom.Name:           Template_PriMeterUom,
		Template_TrackBySecMeterToggle.Name: Template_TrackBySecMeterToggle,
		Template_SecMeterUom.Name:           Template_SecMeterUom,
		Template_LastModify.Name:            Template_LastModify,
		Template_LastUser.Name:              Template_LastUser,
		Template_CreateTime.Name:            Template_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "TrackByDateToggle", "TrackByPriMeterToggle", "PriMeterUom", "TrackBySecMeterToggle", "SecMeterUom", "LastUser"})
