// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : TemplateServiceLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var TemplateServiceLst_PlantNr = grmi.NewField("PlantNr", "PM_TemplateServiceLst.PlantNr", "plantnr", grmi.TypeInt)
var TemplateServiceLst_MainTemplateNr = grmi.NewField("MainTemplateNr", "PM_TemplateServiceLst.MainTemplateNr", "maintemplatenr", grmi.TypeInt)
var TemplateServiceLst_MainServiceNr = grmi.NewField("MainServiceNr", "PM_TemplateServiceLst.MainServiceNr", "mainservicenr", grmi.TypeInt)
var TemplateServiceLst_Pos = grmi.NewField("Pos", "PM_TemplateServiceLst.Pos", "pos", grmi.TypeInt)
var TemplateServiceLst_LastModify = grmi.NewField("LastModify", "PM_TemplateServiceLst.LastModify", "lastmodify", grmi.TypeDateTime)
var TemplateServiceLst_LastUser = grmi.NewField("LastUser", "PM_TemplateServiceLst.LastUser", "lastuser", grmi.TypeString)
var TemplateServiceLst_CreateTime = grmi.NewField("CreateTime", "PM_TemplateServiceLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : TemplateServiceLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var TemplateServiceLst = grmi.NewEntity(
	"PM_TemplateServiceLst",
	func() interface{} { return &model.TemplateServiceLst{} },
	map[string]grmi.Field{
		TemplateServiceLst_PlantNr.Name:        TemplateServiceLst_PlantNr,
		TemplateServiceLst_MainTemplateNr.Name: TemplateServiceLst_MainTemplateNr,
		TemplateServiceLst_MainServiceNr.Name:  TemplateServiceLst_MainServiceNr,
		TemplateServiceLst_Pos.Name:            TemplateServiceLst_Pos,
		TemplateServiceLst_LastModify.Name:     TemplateServiceLst_LastModify,
		TemplateServiceLst_LastUser.Name:       TemplateServiceLst_LastUser,
		TemplateServiceLst_CreateTime.Name:     TemplateServiceLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Pos", "LastUser"})
