// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : UserServiceLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var UserServiceLst_PlantNr = grmi.NewField("PlantNr", "PM_UserServiceLst.PlantNr", "plantnr", grmi.TypeInt)
var UserServiceLst_UserId = grmi.NewField("UserId", "PM_UserServiceLst.UserId", "userid", grmi.TypeString)
var UserServiceLst_MainServiceId = grmi.NewField("MainServiceId", "PM_UserServiceLst.MainServiceId", "mainserviceid", grmi.TypeString)
var UserServiceLst_Pos = grmi.NewField("Pos", "PM_UserServiceLst.Pos", "pos", grmi.TypeInt)
var UserServiceLst_CtrlPara1 = grmi.NewField("CtrlPara1", "PM_UserServiceLst.CtrlPara1", "ctrlpara1", grmi.TypeInt)
var UserServiceLst_CtrlPara2 = grmi.NewField("CtrlPara2", "PM_UserServiceLst.CtrlPara2", "ctrlpara2", grmi.TypeInt)
var UserServiceLst_CtrlPara3 = grmi.NewField("CtrlPara3", "PM_UserServiceLst.CtrlPara3", "ctrlpara3", grmi.TypeString)
var UserServiceLst_CtrlPara4 = grmi.NewField("CtrlPara4", "PM_UserServiceLst.CtrlPara4", "ctrlpara4", grmi.TypeString)
var UserServiceLst_LastModify = grmi.NewField("LastModify", "PM_UserServiceLst.LastModify", "lastmodify", grmi.TypeDateTime)
var UserServiceLst_LastUser = grmi.NewField("LastUser", "PM_UserServiceLst.LastUser", "lastuser", grmi.TypeString)
var UserServiceLst_CreateTime = grmi.NewField("CreateTime", "PM_UserServiceLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : UserServiceLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var UserServiceLst = grmi.NewEntity(
	"PM_UserServiceLst",
	func() interface{} { return &model.UserServiceLst{} },
	map[string]grmi.Field{
		UserServiceLst_PlantNr.Name:       UserServiceLst_PlantNr,
		UserServiceLst_UserId.Name:        UserServiceLst_UserId,
		UserServiceLst_MainServiceId.Name: UserServiceLst_MainServiceId,
		UserServiceLst_Pos.Name:           UserServiceLst_Pos,
		UserServiceLst_CtrlPara1.Name:     UserServiceLst_CtrlPara1,
		UserServiceLst_CtrlPara2.Name:     UserServiceLst_CtrlPara2,
		UserServiceLst_CtrlPara3.Name:     UserServiceLst_CtrlPara3,
		UserServiceLst_CtrlPara4.Name:     UserServiceLst_CtrlPara4,
		UserServiceLst_LastModify.Name:    UserServiceLst_LastModify,
		UserServiceLst_LastUser.Name:      UserServiceLst_LastUser,
		UserServiceLst_CreateTime.Name:    UserServiceLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Pos", "CtrlPara1", "CtrlPara2", "CtrlPara3", "CtrlPara4", "LastUser"})
