// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : WorkOrderAttrLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var WorkOrderAttrLst_PlantNr = grmi.NewField("PlantNr", "PM_WorkOrderAttrLst.PlantNr", "plantnr", grmi.TypeInt)
var WorkOrderAttrLst_MaintWorkOrderId = grmi.NewField("MaintWorkOrderId", "PM_WorkOrderAttrLst.MaintWorkOrderId", "maintworkorderid", grmi.TypeString)
var WorkOrderAttrLst_MainServiceNr = grmi.NewField("MainServiceNr", "PM_WorkOrderAttrLst.MainServiceNr", "mainservicenr", grmi.TypeInt)
var WorkOrderAttrLst_AttrNr = grmi.NewField("AttrNr", "PM_WorkOrderAttrLst.AttrNr", "attrnr", grmi.TypeInt)
var WorkOrderAttrLst_Pos = grmi.NewField("Pos", "PM_WorkOrderAttrLst.Pos", "pos", grmi.TypeInt)
var WorkOrderAttrLst_Descr = grmi.NewField("Descr", "PM_WorkOrderAttrLst.Descr", "descr", grmi.TypeString)
var WorkOrderAttrLst_Bitmap = grmi.NewField("Bitmap", "PM_WorkOrderAttrLst.Bitmap", "bitmap", grmi.TypeString)
var WorkOrderAttrLst_Parameter = grmi.NewField("Parameter", "PM_WorkOrderAttrLst.Parameter", "parameter", grmi.TypeString)
var WorkOrderAttrLst_ParaValue = grmi.NewField("ParaValue", "PM_WorkOrderAttrLst.ParaValue", "paravalue", grmi.TypeString)
var WorkOrderAttrLst_Operator = grmi.NewField("Operator", "PM_WorkOrderAttrLst.Operator", "operator", grmi.TypeInt)
var WorkOrderAttrLst_ActValue = grmi.NewField("ActValue", "PM_WorkOrderAttrLst.ActValue", "actvalue", grmi.TypeString)
var WorkOrderAttrLst_OperateTime = grmi.NewField("OperateTime", "PM_WorkOrderAttrLst.OperateTime", "operatetime", grmi.TypeDateTime)
var WorkOrderAttrLst_LastModify = grmi.NewField("LastModify", "PM_WorkOrderAttrLst.LastModify", "lastmodify", grmi.TypeDateTime)
var WorkOrderAttrLst_LastUser = grmi.NewField("LastUser", "PM_WorkOrderAttrLst.LastUser", "lastuser", grmi.TypeString)
var WorkOrderAttrLst_CreateTime = grmi.NewField("CreateTime", "PM_WorkOrderAttrLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkOrderAttrLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var WorkOrderAttrLst = grmi.NewEntity(
	"PM_WorkOrderAttrLst",
	func() interface{} { return &model.WorkOrderAttrLst{} },
	map[string]grmi.Field{
		WorkOrderAttrLst_PlantNr.Name:          WorkOrderAttrLst_PlantNr,
		WorkOrderAttrLst_MaintWorkOrderId.Name: WorkOrderAttrLst_MaintWorkOrderId,
		WorkOrderAttrLst_MainServiceNr.Name:    WorkOrderAttrLst_MainServiceNr,
		WorkOrderAttrLst_AttrNr.Name:           WorkOrderAttrLst_AttrNr,
		WorkOrderAttrLst_Pos.Name:              WorkOrderAttrLst_Pos,
		WorkOrderAttrLst_Descr.Name:            WorkOrderAttrLst_Descr,
		WorkOrderAttrLst_Bitmap.Name:           WorkOrderAttrLst_Bitmap,
		WorkOrderAttrLst_Parameter.Name:        WorkOrderAttrLst_Parameter,
		WorkOrderAttrLst_ParaValue.Name:        WorkOrderAttrLst_ParaValue,
		WorkOrderAttrLst_Operator.Name:         WorkOrderAttrLst_Operator,
		WorkOrderAttrLst_ActValue.Name:         WorkOrderAttrLst_ActValue,
		WorkOrderAttrLst_OperateTime.Name:      WorkOrderAttrLst_OperateTime,
		WorkOrderAttrLst_LastModify.Name:       WorkOrderAttrLst_LastModify,
		WorkOrderAttrLst_LastUser.Name:         WorkOrderAttrLst_LastUser,
		WorkOrderAttrLst_CreateTime.Name:       WorkOrderAttrLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Pos", "Descr", "Bitmap", "Parameter", "ParaValue", "Operator", "ActValue", "OperateTime", "LastUser"})
