// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : WorkOrderNoteLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var WorkOrderNoteLst_PlantNr = grmi.NewField("PlantNr", "PM_WorkOrderNoteLst.PlantNr", "plantnr", grmi.TypeInt)
var WorkOrderNoteLst_MaintWorkOrderId = grmi.NewField("MaintWorkOrderId", "PM_WorkOrderNoteLst.MaintWorkOrderId", "maintworkorderid", grmi.TypeString)
var WorkOrderNoteLst_MainServiceNr = grmi.NewField("MainServiceNr", "PM_WorkOrderNoteLst.MainServiceNr", "mainservicenr", grmi.TypeInt)
var WorkOrderNoteLst_Pos = grmi.NewField("Pos", "PM_WorkOrderNoteLst.Pos", "pos", grmi.TypeInt)
var WorkOrderNoteLst_Note = grmi.NewField("Note", "PM_WorkOrderNoteLst.Note", "note", grmi.TypeString)
var WorkOrderNoteLst_LastModify = grmi.NewField("LastModify", "PM_WorkOrderNoteLst.LastModify", "lastmodify", grmi.TypeDateTime)
var WorkOrderNoteLst_LastUser = grmi.NewField("LastUser", "PM_WorkOrderNoteLst.LastUser", "lastuser", grmi.TypeString)
var WorkOrderNoteLst_CreateTime = grmi.NewField("CreateTime", "PM_WorkOrderNoteLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkOrderNoteLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var WorkOrderNoteLst = grmi.NewEntity(
	"PM_WorkOrderNoteLst",
	func() interface{} { return &model.WorkOrderNoteLst{} },
	map[string]grmi.Field{
		WorkOrderNoteLst_PlantNr.Name:          WorkOrderNoteLst_PlantNr,
		WorkOrderNoteLst_MaintWorkOrderId.Name: WorkOrderNoteLst_MaintWorkOrderId,
		WorkOrderNoteLst_MainServiceNr.Name:    WorkOrderNoteLst_MainServiceNr,
		WorkOrderNoteLst_Pos.Name:              WorkOrderNoteLst_Pos,
		WorkOrderNoteLst_Note.Name:             WorkOrderNoteLst_Note,
		WorkOrderNoteLst_LastModify.Name:       WorkOrderNoteLst_LastModify,
		WorkOrderNoteLst_LastUser.Name:         WorkOrderNoteLst_LastUser,
		WorkOrderNoteLst_CreateTime.Name:       WorkOrderNoteLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Note", "LastUser"})
