// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package qm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/qm"
)

/******************************************************************************
 *
 * @Description              : ArtView的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var ArtView_PlantNr = grmi.NewField("PlantNr", "QM_ArtView.PlantNr", "plantnr", grmi.TypeInt)
var ArtView_ArtId = grmi.NewField("ArtId", "QM_ArtView.ArtId", "artid", grmi.TypeString)
var ArtView_ViewId = grmi.NewField("ViewId", "QM_ArtView.ViewId", "viewid", grmi.TypeString)
var ArtView_Pos = grmi.NewField("Pos", "QM_ArtView.Pos", "pos", grmi.TypeInt)
var ArtView_Descr = grmi.NewField("Descr", "QM_ArtView.Descr", "descr", grmi.TypeString)
var ArtView_ViewPicture = grmi.NewField("ViewPicture", "QM_ArtView.ViewPicture", "viewpicture", grmi.TypeString)
var ArtView_LastModify = grmi.NewField("LastModify", "QM_ArtView.LastModify", "lastmodify", grmi.TypeDateTime)
var ArtView_LastUser = grmi.NewField("LastUser", "QM_ArtView.LastUser", "lastuser", grmi.TypeString)
var ArtView_CreateTime = grmi.NewField("CreateTime", "QM_ArtView.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ArtView的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var ArtView = grmi.NewEntity(
	"QM_ArtView",
	func() interface{} { return &model.ArtView{} },
	map[string]grmi.Field{
		ArtView_PlantNr.Name:     ArtView_PlantNr,
		ArtView_ArtId.Name:       ArtView_ArtId,
		ArtView_ViewId.Name:      ArtView_ViewId,
		ArtView_Pos.Name:         ArtView_Pos,
		ArtView_Descr.Name:       ArtView_Descr,
		ArtView_ViewPicture.Name: ArtView_ViewPicture,
		ArtView_LastModify.Name:  ArtView_LastModify,
		ArtView_LastUser.Name:    ArtView_LastUser,
		ArtView_CreateTime.Name:  ArtView_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Pos", "Descr", "ViewPicture", "LastUser"})
