// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package qm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/qm"
)

/******************************************************************************
 *
 * @Description              : DefectReason的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var DefectReason_PlantNr = grmi.NewField("PlantNr", "QM_DefectReason.PlantNr", "plantnr", grmi.TypeInt)
var DefectReason_DefectReasonId = grmi.NewField("DefectReasonId", "QM_DefectReason.DefectReasonId", "defectreasonid", grmi.TypeString)
var DefectReason_Descr = grmi.NewField("Descr", "QM_DefectReason.Descr", "descr", grmi.TypeString)
var DefectReason_LastModify = grmi.NewField("LastModify", "QM_DefectReason.LastModify", "lastmodify", grmi.TypeDateTime)
var DefectReason_LastUser = grmi.NewField("LastUser", "QM_DefectReason.LastUser", "lastuser", grmi.TypeString)
var DefectReason_CreateTime = grmi.NewField("CreateTime", "QM_DefectReason.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : DefectReason的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var DefectReason = grmi.NewEntity(
	"QM_DefectReason",
	func() interface{} { return &model.DefectReason{} },
	map[string]grmi.Field{
		DefectReason_PlantNr.Name:        DefectReason_PlantNr,
		DefectReason_DefectReasonId.Name: DefectReason_DefectReasonId,
		DefectReason_Descr.Name:          DefectReason_Descr,
		DefectReason_LastModify.Name:     DefectReason_LastModify,
		DefectReason_LastUser.Name:       DefectReason_LastUser,
		DefectReason_CreateTime.Name:     DefectReason_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "LastUser"})
