// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package qm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/qm"
)

/******************************************************************************
 *
 * @Description              : SerialOrderRuting的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-25 11:18:25
 *
 ******************************************************************************/
var SerialOrderRuting_PlantNr = grmi.NewField("PlantNr", "QM_SerialOrderRuting.PlantNr", "plantnr", grmi.TypeInt)
var SerialOrderRuting_SerialorderId = grmi.NewField("SerialorderId", "QM_SerialOrderRuting.SerialorderId", "serialorderid", grmi.TypeString)
var SerialOrderRuting_ArtId = grmi.NewField("ArtId", "QM_SerialOrderRuting.ArtId", "artid", grmi.TypeString)
var SerialOrderRuting_WorkPlaceNr = grmi.NewField("WorkPlaceNr", "QM_SerialOrderRuting.WorkPlaceNr", "workplacenr", grmi.TypeString)
var SerialOrderRuting_Status = grmi.NewField("Status", "QM_SerialOrderRuting.Status", "status", grmi.TypeString)
var SerialOrderRuting_IsPack = grmi.NewField("IsPack", "QM_SerialOrderRuting.IsPack", "ispack", grmi.TypeInt)
var SerialOrderRuting_Remark = grmi.NewField("Remark", "QM_SerialOrderRuting.Remark", "remark", grmi.TypeString)
var SerialOrderRuting_LastModify = grmi.NewField("LastModify", "QM_SerialOrderRuting.LastModify", "lastmodify", grmi.TypeDateTime)
var SerialOrderRuting_LastUser = grmi.NewField("LastUser", "QM_SerialOrderRuting.LastUser", "lastuser", grmi.TypeString)
var SerialOrderRuting_CreateTime = grmi.NewField("CreateTime", "QM_SerialOrderRuting.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : SerialOrderRuting的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-25 11:18:25
 *
 ******************************************************************************/
var SerialOrderRuting = grmi.NewEntity(
	"QM_SerialOrderRuting",
	func() interface{} { return &model.SerialOrderRuting{} },
	map[string]grmi.Field{
		SerialOrderRuting_PlantNr.Name:       SerialOrderRuting_PlantNr,
		SerialOrderRuting_SerialorderId.Name: SerialOrderRuting_SerialorderId,
		SerialOrderRuting_ArtId.Name:         SerialOrderRuting_ArtId,
		SerialOrderRuting_WorkPlaceNr.Name:   SerialOrderRuting_WorkPlaceNr,
		SerialOrderRuting_Status.Name:        SerialOrderRuting_Status,
		SerialOrderRuting_IsPack.Name:        SerialOrderRuting_IsPack,
		SerialOrderRuting_Remark.Name:        SerialOrderRuting_Remark,
		SerialOrderRuting_LastModify.Name:    SerialOrderRuting_LastModify,
		SerialOrderRuting_LastUser.Name:      SerialOrderRuting_LastUser,
		SerialOrderRuting_CreateTime.Name:    SerialOrderRuting_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"ArtId", "WorkPlaceNr", "Status", "IsPack", "Remark", "LastUser"})
