// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package qm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/qm"
)

/******************************************************************************
 *
 * @Description              : ViewDefectGrplst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var ViewDefectGrplst_PlantNr = grmi.NewField("PlantNr", "QM_ViewDefectGrplst.PlantNr", "plantnr", grmi.TypeInt)
var ViewDefectGrplst_ViewId = grmi.NewField("ViewId", "QM_ViewDefectGrplst.ViewId", "viewid", grmi.TypeString)
var ViewDefectGrplst_DefectGrpId = grmi.NewField("DefectGrpId", "QM_ViewDefectGrplst.DefectGrpId", "defectgrpid", grmi.TypeString)
var ViewDefectGrplst_Pos = grmi.NewField("Pos", "QM_ViewDefectGrplst.Pos", "pos", grmi.TypeInt)
var ViewDefectGrplst_LastModify = grmi.NewField("LastModify", "QM_ViewDefectGrplst.LastModify", "lastmodify", grmi.TypeDateTime)
var ViewDefectGrplst_LastUser = grmi.NewField("LastUser", "QM_ViewDefectGrplst.LastUser", "lastuser", grmi.TypeString)
var ViewDefectGrplst_CreateTime = grmi.NewField("CreateTime", "QM_ViewDefectGrplst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ViewDefectGrplst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var ViewDefectGrplst = grmi.NewEntity(
	"QM_ViewDefectGrplst",
	func() interface{} { return &model.ViewDefectGrplst{} },
	map[string]grmi.Field{
		ViewDefectGrplst_PlantNr.Name:     ViewDefectGrplst_PlantNr,
		ViewDefectGrplst_ViewId.Name:      ViewDefectGrplst_ViewId,
		ViewDefectGrplst_DefectGrpId.Name: ViewDefectGrplst_DefectGrpId,
		ViewDefectGrplst_Pos.Name:         ViewDefectGrplst_Pos,
		ViewDefectGrplst_LastModify.Name:  ViewDefectGrplst_LastModify,
		ViewDefectGrplst_LastUser.Name:    ViewDefectGrplst_LastUser,
		ViewDefectGrplst_CreateTime.Name:  ViewDefectGrplst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Pos", "LastUser"})
