// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package report

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/report"
)

/******************************************************************************
 *
 * @Description              : ArcDisplayInfo的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-21 11:39:48
 *
 ******************************************************************************/
var ArcDisplayInfo_Pos = grmi.NewField("Pos", "ArcDisplayInfo.Pos", "pos", grmi.TypeInt)
var ArcDisplayInfo_DescCN = grmi.NewField("DescCN", "ArcDisplayInfo.DescCN", "desccn", grmi.TypeString)
var ArcDisplayInfo_StandardValue = grmi.NewField("StandardValue", "ArcDisplayInfo.StandardValue", "standardvalue", grmi.TypeFloat64)
var ArcDisplayInfo_StatisticField = grmi.NewField("StatisticField", "ArcDisplayInfo.StatisticField", "statisticfield", grmi.TypeString)
var ArcDisplayInfo_Title = grmi.NewField("Title", "ArcDisplayInfo.Title", "title", grmi.TypeString)
var ArcDisplayInfo_Uom = grmi.NewField("Uom", "ArcDisplayInfo.Uom", "uom", grmi.TypeString)

/******************************************************************************
 *
 * @Description              : ArcDisplayInfo的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-21 11:39:48
 *
 ******************************************************************************/
var ArcDisplayInfo = grmi.NewEntity(
	"ArcDisplayInfo",
	func() interface{} { return &model.ArcDisplayInfo{} },
	map[string]grmi.Field{
		ArcDisplayInfo_Pos.Name:            ArcDisplayInfo_Pos,
		ArcDisplayInfo_DescCN.Name:         ArcDisplayInfo_DescCN,
		ArcDisplayInfo_StandardValue.Name:  ArcDisplayInfo_StandardValue,
		ArcDisplayInfo_StatisticField.Name: ArcDisplayInfo_StatisticField,
		ArcDisplayInfo_Title.Name:          ArcDisplayInfo_Title,
		ArcDisplayInfo_Uom.Name: ArcDisplayInfo_Uom,
	},
	[]string{},
	[]string{"StandardValue", "StatisticField", "Title", "Uom"})
