// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package report

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/report"
)

/******************************************************************************
 *
 * @Description              : Display的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-24 15:31:29
 *
 ******************************************************************************/
var Display_DisplayId = grmi.NewField("DisplayId", "RP_Display.DisplayId", "displayid", grmi.TypeInt)
var Display_DisplayName = grmi.NewField("DisplayName", "RP_Display.DisplayName", "displayname", grmi.TypeString)
var Display_Title = grmi.NewField("Title", "RP_Display.Title", "title", grmi.TypeString)
var Display_Source = grmi.NewField("Source", "RP_Display.Source", "source", grmi.TypeString)
var Display_DPCtrlPara1 = grmi.NewField("DPCtrlPara1", "RP_Display.DPCtrlPara1", "dpctrlpara1", grmi.TypeInt)
var Display_DPCtrlPara2 = grmi.NewField("DPCtrlPara2", "RP_Display.DPCtrlPara2", "dpctrlpara2", grmi.TypeInt)
var Display_DPCtrlPara3 = grmi.NewField("DPCtrlPara3", "RP_Display.DPCtrlPara3", "dpctrlpara3", grmi.TypeString)
var Display_DPCtrlPara4 = grmi.NewField("DPCtrlPara4", "RP_Display.DPCtrlPara4", "dpctrlpara4", grmi.TypeString)
var Display_DPCtrlPara5 = grmi.NewField("DPCtrlPara5", "RP_Display.DPCtrlPara5", "dpctrlpara5", grmi.TypeFloat64)
var Display_DPCtrlPara6 = grmi.NewField("DPCtrlPara6", "RP_Display.DPCtrlPara6", "dpctrlpara6", grmi.TypeFloat64)
var Display_LastModify = grmi.NewField("LastModify", "RP_Display.LastModify", "lastmodify", grmi.TypeDateTime)
var Display_LastUser = grmi.NewField("LastUser", "RP_Display.LastUser", "lastuser", grmi.TypeString)
var Display_CreateTime = grmi.NewField("CreateTime", "RP_Display.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Display的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-24 15:31:29
 *
 ******************************************************************************/
var Display = grmi.NewEntity(
	"RP_Display",
	func() interface{} { return &model.Display{} },
	map[string]grmi.Field{
		Display_DisplayId.Name:   Display_DisplayId,
		Display_DisplayName.Name: Display_DisplayName,
		Display_Title.Name:       Display_Title,
		Display_Source.Name:      Display_Source,
		Display_DPCtrlPara1.Name: Display_DPCtrlPara1,
		Display_DPCtrlPara2.Name: Display_DPCtrlPara2,
		Display_DPCtrlPara3.Name: Display_DPCtrlPara3,
		Display_DPCtrlPara4.Name: Display_DPCtrlPara4,
		Display_DPCtrlPara5.Name: Display_DPCtrlPara5,
		Display_DPCtrlPara6.Name: Display_DPCtrlPara6,
		Display_LastModify.Name:  Display_LastModify,
		Display_LastUser.Name:    Display_LastUser,
		Display_CreateTime.Name:  Display_CreateTime,
	},
	[]string{},
	[]string{"DisplayName", "Title", "Source", "DPCtrlPara1", "DPCtrlPara2", "DPCtrlPara3", "DPCtrlPara4", "DPCtrlPara5", "DPCtrlPara6", "LastUser"})
