// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package report

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/report"
)

/******************************************************************************
*
* @Description              : FilterDataInfo的字段元数据
*
* @Author                   : 代码生成器创建
*
* @Date                     : 2021-06-21 09:55:32
*
******************************************************************************/
var FilterDataInfo_Station = grmi.NewField("Station", "FilterDataInfo.Station", "station", grmi.TypeString)
var FilterDataInfo_Ts = grmi.NewField("Ts", "FilterDataInfo._ts", "ts", grmi.TypeDateTime)
var FilterDataInfo_Address = grmi.NewField("Address", "FilterDataInfo.Address", "address", grmi.TypeString)
var FilterDataInfo_Value = grmi.NewField("Value", "FilterDataInfo.Value", "value", grmi.TypeString)
var FilterDataInfo_Duration = grmi.NewField("Duration", "FilterDataInfo.Duration", "duration", grmi.TypeString)
var FilterDataInfo_DescCN = grmi.NewField("DescCN", "FilterDataInfo.DescCN", "desccn", grmi.TypeString)
var FilterDataInfo_PartNo = grmi.NewField("PartNo", "FilterDataInfo.PartNo", "partno", grmi.TypeString)

/******************************************************************************
*
* @Description              : FilterDataInfo的元数据
*
* @Author                   : 代码生成器创建
*
* @Date                     : 2021-06-21 09:55:32
*
******************************************************************************/
var FilterDataInfo = grmi.NewEntity(
	"FilterDataInfo",
	func() interface{} { return &model.FilterDataInfo{} },
	map[string]grmi.Field{
		FilterDataInfo_Station.Name:    FilterDataInfo_Station,
		FilterDataInfo_Ts.Name:         FilterDataInfo_Ts,
		FilterDataInfo_Address.Name:    FilterDataInfo_Address,
		FilterDataInfo_Value.Name:      FilterDataInfo_Value,
		FilterDataInfo_Duration.Name:   FilterDataInfo_Duration,
		FilterDataInfo_DescCN.Name:     FilterDataInfo_DescCN,
		FilterDataInfo_PartNo.Name:     FilterDataInfo_PartNo,
	},
	[]string{},
	[]string{"Station", "_ts", "Address", "Value", "Duration", "DescCN", "PartNo"})
