// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/wm"
)

/******************************************************************************
 *
 * @Description              : ArticleReplenish的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var ArticleReplenish_ArtId = grmi.NewField("ArtId", "WM_ArticleReplenish.ArtId", "artid", grmi.TypeString)
var ArticleReplenish_MinQty = grmi.NewField("MinQty", "WM_ArticleReplenish.MinQty", "minqty", grmi.TypeFloat64)
var ArticleReplenish_MaxQty = grmi.NewField("MaxQty", "WM_ArticleReplenish.MaxQty", "maxqty", grmi.TypeFloat64)
var ArticleReplenish_ReplenishQty = grmi.NewField("ReplenishQty", "WM_ArticleReplenish.ReplenishQty", "replenishqty", grmi.TypeFloat64)
var ArticleReplenish_ReplenishFrom = grmi.NewField("ReplenishFrom", "WM_ArticleReplenish.ReplenishFrom", "replenishfrom", grmi.TypeString)
var ArticleReplenish_ARCtrlPara1 = grmi.NewField("ARCtrlPara1", "WM_ArticleReplenish.ARCtrlPara1", "arctrlpara1", grmi.TypeString)
var ArticleReplenish_ARCtrlPara2 = grmi.NewField("ARCtrlPara2", "WM_ArticleReplenish.ARCtrlPara2", "arctrlpara2", grmi.TypeString)
var ArticleReplenish_ARCtrlPara3 = grmi.NewField("ARCtrlPara3", "WM_ArticleReplenish.ARCtrlPara3", "arctrlpara3", grmi.TypeInt)
var ArticleReplenish_ARCtrlPara4 = grmi.NewField("ARCtrlPara4", "WM_ArticleReplenish.ARCtrlPara4", "arctrlpara4", grmi.TypeInt)
var ArticleReplenish_ARCtrlPara5 = grmi.NewField("ARCtrlPara5", "WM_ArticleReplenish.ARCtrlPara5", "arctrlpara5", grmi.TypeFloat64)
var ArticleReplenish_ARCtrlPara6 = grmi.NewField("ARCtrlPara6", "WM_ArticleReplenish.ARCtrlPara6", "arctrlpara6", grmi.TypeFloat64)
var ArticleReplenish_LastModify = grmi.NewField("LastModify", "WM_ArticleReplenish.LastModify", "lastmodify", grmi.TypeDateTime)
var ArticleReplenish_LastUser = grmi.NewField("LastUser", "WM_ArticleReplenish.LastUser", "lastuser", grmi.TypeString)
var ArticleReplenish_CreateTime = grmi.NewField("CreateTime", "WM_ArticleReplenish.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ArticleReplenish的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var ArticleReplenish = grmi.NewEntity(
	"WM_ArticleReplenish",
	func() interface{} { return &model.ArticleReplenish{} },
	map[string]grmi.Field{
		ArticleReplenish_ArtId.Name:         ArticleReplenish_ArtId,
		ArticleReplenish_MinQty.Name:        ArticleReplenish_MinQty,
		ArticleReplenish_MaxQty.Name:        ArticleReplenish_MaxQty,
		ArticleReplenish_ReplenishQty.Name:  ArticleReplenish_ReplenishQty,
		ArticleReplenish_ReplenishFrom.Name: ArticleReplenish_ReplenishFrom,
		ArticleReplenish_ARCtrlPara1.Name:   ArticleReplenish_ARCtrlPara1,
		ArticleReplenish_ARCtrlPara2.Name:   ArticleReplenish_ARCtrlPara2,
		ArticleReplenish_ARCtrlPara3.Name:   ArticleReplenish_ARCtrlPara3,
		ArticleReplenish_ARCtrlPara4.Name:   ArticleReplenish_ARCtrlPara4,
		ArticleReplenish_ARCtrlPara5.Name:   ArticleReplenish_ARCtrlPara5,
		ArticleReplenish_ARCtrlPara6.Name:   ArticleReplenish_ARCtrlPara6,
		ArticleReplenish_LastModify.Name:    ArticleReplenish_LastModify,
		ArticleReplenish_LastUser.Name:      ArticleReplenish_LastUser,
		ArticleReplenish_CreateTime.Name:    ArticleReplenish_CreateTime,
	},
	[]string{},
	[]string{"MinQty", "MaxQty", "ReplenishQty", "ReplenishFrom", "ARCtrlPara1", "ARCtrlPara2", "ARCtrlPara3", "ARCtrlPara4", "ARCtrlPara5", "ARCtrlPara6", "LastUser"})
