// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/wm"
)

/******************************************************************************
 *
 * @Description              : GoodsIssueDetail的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var GoodsIssueDetail_GoodsIssueId = grmi.NewField("GoodsIssueId", "WM_GoodsIssueDetail.GoodsIssueId", "goodsissueid", grmi.TypeString)
var GoodsIssueDetail_GIPos = grmi.NewField("GIPos", "WM_GoodsIssueDetail.GIPos", "gipos", grmi.TypeInt)
var GoodsIssueDetail_Remark = grmi.NewField("Remark", "WM_GoodsIssueDetail.Remark", "remark", grmi.TypeString)
var GoodsIssueDetail_ArtId = grmi.NewField("ArtId", "WM_GoodsIssueDetail.ArtId", "artid", grmi.TypeString)
var GoodsIssueDetail_ArtName = grmi.NewField("ArtName", "WM_GoodsIssueDetail.ArtName", "artname", grmi.TypeString)
var GoodsIssueDetail_ArtType = grmi.NewField("ArtType", "WM_GoodsIssueDetail.ArtType", "arttype", grmi.TypeString)
var GoodsIssueDetail_RequiredQty = grmi.NewField("RequiredQty", "WM_GoodsIssueDetail.RequiredQty", "requiredqty", grmi.TypeFloat64)
var GoodsIssueDetail_RequestType = grmi.NewField("RequestType", "WM_GoodsIssueDetail.RequestType", "requesttype", grmi.TypeString)
var GoodsIssueDetail_ReservedQty = grmi.NewField("ReservedQty", "WM_GoodsIssueDetail.ReservedQty", "reservedqty", grmi.TypeFloat64)
var GoodsIssueDetail_ActualQty = grmi.NewField("ActualQty", "WM_GoodsIssueDetail.ActualQty", "actualqty", grmi.TypeFloat64)
var GoodsIssueDetail_OrderQty = grmi.NewField("OrderQty", "WM_GoodsIssueDetail.OrderQty", "orderqty", grmi.TypeFloat64)
var GoodsIssueDetail_DeliveryDate = grmi.NewField("DeliveryDate", "WM_GoodsIssueDetail.DeliveryDate", "deliverydate", grmi.TypeDate)
var GoodsIssueDetail_InspectToggle = grmi.NewField("InspectToggle", "WM_GoodsIssueDetail.InspectToggle", "inspecttoggle", grmi.TypeBool)
var GoodsIssueDetail_InspectPlanId = grmi.NewField("InspectPlanId", "WM_GoodsIssueDetail.InspectPlanId", "inspectplanid", grmi.TypeString)
var GoodsIssueDetail_InspectStatus = grmi.NewField("InspectStatus", "WM_GoodsIssueDetail.InspectStatus", "inspectstatus", grmi.TypeString)
var GoodsIssueDetail_Auditor = grmi.NewField("Auditor", "WM_GoodsIssueDetail.Auditor", "auditor", grmi.TypeString)
var GoodsIssueDetail_AuditTime = grmi.NewField("AuditTime", "WM_GoodsIssueDetail.AuditTime", "audittime", grmi.TypeDateTime)
var GoodsIssueDetail_AuditStatus = grmi.NewField("AuditStatus", "WM_GoodsIssueDetail.AuditStatus", "auditstatus", grmi.TypeString)
var GoodsIssueDetail_BatchId = grmi.NewField("BatchId", "WM_GoodsIssueDetail.BatchId", "batchid", grmi.TypeString)
var GoodsIssueDetail_GICtrlPara1 = grmi.NewField("GICtrlPara1", "WM_GoodsIssueDetail.GICtrlPara1", "gictrlpara1", grmi.TypeInt)
var GoodsIssueDetail_GIICtrlPara2 = grmi.NewField("GIICtrlPara2", "WM_GoodsIssueDetail.GIICtrlPara2", "giictrlpara2", grmi.TypeInt)
var GoodsIssueDetail_GIICtrlPara3 = grmi.NewField("GIICtrlPara3", "WM_GoodsIssueDetail.GIICtrlPara3", "giictrlpara3", grmi.TypeInt)
var GoodsIssueDetail_GIICtrlPara4 = grmi.NewField("GIICtrlPara4", "WM_GoodsIssueDetail.GIICtrlPara4", "giictrlpara4", grmi.TypeInt)
var GoodsIssueDetail_GIICtrlPara5 = grmi.NewField("GIICtrlPara5", "WM_GoodsIssueDetail.GIICtrlPara5", "giictrlpara5", grmi.TypeString)
var GoodsIssueDetail_GIICtrlPara6 = grmi.NewField("GIICtrlPara6", "WM_GoodsIssueDetail.GIICtrlPara6", "giictrlpara6", grmi.TypeString)
var GoodsIssueDetail_GIICtrlPara7 = grmi.NewField("GIICtrlPara7", "WM_GoodsIssueDetail.GIICtrlPara7", "giictrlpara7", grmi.TypeString)
var GoodsIssueDetail_GIICtrlPara8 = grmi.NewField("GIICtrlPara8", "WM_GoodsIssueDetail.GIICtrlPara8", "giictrlpara8", grmi.TypeString)
var GoodsIssueDetail_GIICtrlPara9 = grmi.NewField("GIICtrlPara9", "WM_GoodsIssueDetail.GIICtrlPara9", "giictrlpara9", grmi.TypeFloat64)
var GoodsIssueDetail_GIICtrlPara10 = grmi.NewField("GIICtrlPara10", "WM_GoodsIssueDetail.GIICtrlPara10", "giictrlpara10", grmi.TypeFloat64)
var GoodsIssueDetail_GIICtrlPara11 = grmi.NewField("GIICtrlPara11", "WM_GoodsIssueDetail.GIICtrlPara11", "giictrlpara11", grmi.TypeFloat64)
var GoodsIssueDetail_GIICtrlPara12 = grmi.NewField("GIICtrlPara12", "WM_GoodsIssueDetail.GIICtrlPara12", "giictrlpara12", grmi.TypeFloat64)
var GoodsIssueDetail_GIICtrlPara13 = grmi.NewField("GIICtrlPara13", "WM_GoodsIssueDetail.GIICtrlPara13", "giictrlpara13", grmi.TypeDateTime)
var GoodsIssueDetail_GIICtrlPara14 = grmi.NewField("GIICtrlPara14", "WM_GoodsIssueDetail.GIICtrlPara14", "giictrlpara14", grmi.TypeDateTime)
var GoodsIssueDetail_GIICtrlPara15 = grmi.NewField("GIICtrlPara15", "WM_GoodsIssueDetail.GIICtrlPara15", "giictrlpara15", grmi.TypeDateTime)
var GoodsIssueDetail_GIICtrlPara16 = grmi.NewField("GIICtrlPara16", "WM_GoodsIssueDetail.GIICtrlPara16", "giictrlpara16", grmi.TypeDateTime)
var GoodsIssueDetail_LastModify = grmi.NewField("LastModify", "WM_GoodsIssueDetail.LastModify", "lastmodify", grmi.TypeDateTime)
var GoodsIssueDetail_LastUser = grmi.NewField("LastUser", "WM_GoodsIssueDetail.LastUser", "lastuser", grmi.TypeString)
var GoodsIssueDetail_CreateTime = grmi.NewField("CreateTime", "WM_GoodsIssueDetail.CreateTime", "createtime", grmi.TypeDateTime)
var GoodsIssueDetail_BeforeQty = grmi.NewField("BeforeQty", "WM_GoodsIssueDetail.BeforeQty", "beforeqty", grmi.TypeFloat64)
var GoodsIssueDetail_CurQty = grmi.NewField("CurQty", "WM_GoodsIssueDetail.CurQty", "curqty", grmi.TypeFloat64)
var GoodsIssueDetail_QtyUom = grmi.NewField("QtyUom", "WM_GoodsIssueDetail.QtyUom", "qtyuom", grmi.TypeString)
/******************************************************************************
 *
 * @Description              : GoodsIssueDetail的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var GoodsIssueDetail = grmi.NewEntity(
	"WM_GoodsIssueDetail",
	func() interface{} { return &model.GoodsIssueDetail{} },
	map[string]grmi.Field{
		GoodsIssueDetail_GoodsIssueId.Name:  GoodsIssueDetail_GoodsIssueId,
		GoodsIssueDetail_GIPos.Name:         GoodsIssueDetail_GIPos,
		GoodsIssueDetail_Remark.Name:        GoodsIssueDetail_Remark,
		GoodsIssueDetail_ArtId.Name:         GoodsIssueDetail_ArtId,
		GoodsIssueDetail_ArtName.Name:       GoodsIssueDetail_ArtName,
		GoodsIssueDetail_ArtType.Name:       GoodsIssueDetail_ArtType,
		GoodsIssueDetail_RequiredQty.Name:   GoodsIssueDetail_RequiredQty,
		GoodsIssueDetail_RequestType.Name:   GoodsIssueDetail_RequestType,
		GoodsIssueDetail_ReservedQty.Name:   GoodsIssueDetail_ReservedQty,
		GoodsIssueDetail_ActualQty.Name:     GoodsIssueDetail_ActualQty,
		GoodsIssueDetail_OrderQty.Name:      GoodsIssueDetail_OrderQty,
		GoodsIssueDetail_DeliveryDate.Name:  GoodsIssueDetail_DeliveryDate,
		GoodsIssueDetail_InspectToggle.Name: GoodsIssueDetail_InspectToggle,
		GoodsIssueDetail_InspectPlanId.Name: GoodsIssueDetail_InspectPlanId,
		GoodsIssueDetail_InspectStatus.Name: GoodsIssueDetail_InspectStatus,
		GoodsIssueDetail_Auditor.Name:       GoodsIssueDetail_Auditor,
		GoodsIssueDetail_AuditTime.Name:     GoodsIssueDetail_AuditTime,
		GoodsIssueDetail_AuditStatus.Name:   GoodsIssueDetail_AuditStatus,
		GoodsIssueDetail_BatchId.Name:       GoodsIssueDetail_BatchId,
		GoodsIssueDetail_GICtrlPara1.Name:   GoodsIssueDetail_GICtrlPara1,
		GoodsIssueDetail_GIICtrlPara2.Name:  GoodsIssueDetail_GIICtrlPara2,
		GoodsIssueDetail_GIICtrlPara3.Name:  GoodsIssueDetail_GIICtrlPara3,
		GoodsIssueDetail_GIICtrlPara4.Name:  GoodsIssueDetail_GIICtrlPara4,
		GoodsIssueDetail_GIICtrlPara5.Name:  GoodsIssueDetail_GIICtrlPara5,
		GoodsIssueDetail_GIICtrlPara6.Name:  GoodsIssueDetail_GIICtrlPara6,
		GoodsIssueDetail_GIICtrlPara7.Name:  GoodsIssueDetail_GIICtrlPara7,
		GoodsIssueDetail_GIICtrlPara8.Name:  GoodsIssueDetail_GIICtrlPara8,
		GoodsIssueDetail_GIICtrlPara9.Name:  GoodsIssueDetail_GIICtrlPara9,
		GoodsIssueDetail_GIICtrlPara10.Name: GoodsIssueDetail_GIICtrlPara10,
		GoodsIssueDetail_GIICtrlPara11.Name: GoodsIssueDetail_GIICtrlPara11,
		GoodsIssueDetail_GIICtrlPara12.Name: GoodsIssueDetail_GIICtrlPara12,
		GoodsIssueDetail_GIICtrlPara13.Name: GoodsIssueDetail_GIICtrlPara13,
		GoodsIssueDetail_GIICtrlPara14.Name: GoodsIssueDetail_GIICtrlPara14,
		GoodsIssueDetail_GIICtrlPara15.Name: GoodsIssueDetail_GIICtrlPara15,
		GoodsIssueDetail_GIICtrlPara16.Name: GoodsIssueDetail_GIICtrlPara16,
		GoodsIssueDetail_LastModify.Name:    GoodsIssueDetail_LastModify,
		GoodsIssueDetail_LastUser.Name:      GoodsIssueDetail_LastUser,
		GoodsIssueDetail_CreateTime.Name:    GoodsIssueDetail_CreateTime,
		GoodsIssueDetail_BeforeQty.Name:		GoodsIssueDetail_BeforeQty,
		GoodsIssueDetail_CurQty.Name:			GoodsIssueDetail_CurQty,
	},
	[]string{},
	[]string{"Remark", "ArtId", "ArtName", "ArtType", "RequiredQty", "RequestType", "ReservedQty", "ActualQty", "OrderQty", "DeliveryDate", "InspectToggle", "InspectPlanId", "InspectStatus", "Auditor", "AuditTime", "AuditStatus", "BatchId", "GICtrlPara1", "GIICtrlPara2", "GIICtrlPara3", "GIICtrlPara4", "GIICtrlPara5", "GIICtrlPara6", "GIICtrlPara7", "GIICtrlPara8", "GIICtrlPara9", "GIICtrlPara10", "GIICtrlPara11", "GIICtrlPara12", "GIICtrlPara13", "GIICtrlPara14", "GIICtrlPara15", "GIICtrlPara16", "LastUser","BeforeQty","CurQty"})
