// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/wm"
)

/******************************************************************************
 *
 * @Description              : GoodsIssueHead的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var GoodsIssueHead_GoodsIssueId = grmi.NewField("GoodsIssueId", "WM_GoodsIssueHead.GoodsIssueId", "goodsissueid", grmi.TypeString)
var GoodsIssueHead_RefOrderId = grmi.NewField("RefOrderId", "WM_GoodsIssueHead.RefOrderId", "reforderid", grmi.TypeString)
var GoodsIssueHead_CustOrderId = grmi.NewField("CustOrderId", "WM_GoodsIssueHead.CustOrderId", "custorderid", grmi.TypeString)
var GoodsIssueHead_Destination = grmi.NewField("Destination", "WM_GoodsIssueHead.Destination", "destination", grmi.TypeString)
var GoodsIssueHead_Remark = grmi.NewField("Remark", "WM_GoodsIssueHead.Remark", "remark", grmi.TypeString)
var GoodsIssueHead_DeliveryDate = grmi.NewField("DeliveryDate", "WM_GoodsIssueHead.DeliveryDate", "deliverydate", grmi.TypeDate)
var GoodsIssueHead_Status = grmi.NewField("Status", "WM_GoodsIssueHead.Status", "status", grmi.TypeString)
var GoodsIssueHead_GIType = grmi.NewField("GIType", "WM_GoodsIssueHead.GIType", "gitype", grmi.TypeString)
var GoodsIssueHead_GIType1 = grmi.NewField("GIType1", "WM_GoodsIssueHead.GIType1", "gitype1", grmi.TypeString)
var GoodsIssueHead_GIType2 = grmi.NewField("GIType2", "WM_GoodsIssueHead.GIType2", "gitype2", grmi.TypeString)
var GoodsIssueHead_GIReason = grmi.NewField("GIReason", "WM_GoodsIssueHead.GIReason", "gireason", grmi.TypeString)
var GoodsIssueHead_Priority = grmi.NewField("Priority", "WM_GoodsIssueHead.Priority", "priority", grmi.TypeInt)
var GoodsIssueHead_CostCenterId = grmi.NewField("CostCenterId", "WM_GoodsIssueHead.CostCenterId", "costcenterid", grmi.TypeString)
var GoodsIssueHead_BookingKey = grmi.NewField("BookingKey", "WM_GoodsIssueHead.BookingKey", "bookingkey", grmi.TypeString)
var GoodsIssueHead_GICtrlPara1 = grmi.NewField("GICtrlPara1", "WM_GoodsIssueHead.GICtrlPara1", "gictrlpara1", grmi.TypeInt)
var GoodsIssueHead_GICtrlPara2 = grmi.NewField("GICtrlPara2", "WM_GoodsIssueHead.GICtrlPara2", "gictrlpara2", grmi.TypeInt)
var GoodsIssueHead_GICtrlPara3 = grmi.NewField("GICtrlPara3", "WM_GoodsIssueHead.GICtrlPara3", "gictrlpara3", grmi.TypeInt)
var GoodsIssueHead_GICtrlPara4 = grmi.NewField("GICtrlPara4", "WM_GoodsIssueHead.GICtrlPara4", "gictrlpara4", grmi.TypeInt)
var GoodsIssueHead_GICtrlPara5 = grmi.NewField("GICtrlPara5", "WM_GoodsIssueHead.GICtrlPara5", "gictrlpara5", grmi.TypeString)
var GoodsIssueHead_GICtrlPara6 = grmi.NewField("GICtrlPara6", "WM_GoodsIssueHead.GICtrlPara6", "gictrlpara6", grmi.TypeString)
var GoodsIssueHead_GICtrlPara7 = grmi.NewField("GICtrlPara7", "WM_GoodsIssueHead.GICtrlPara7", "gictrlpara7", grmi.TypeString)
var GoodsIssueHead_GICtrlPara8 = grmi.NewField("GICtrlPara8", "WM_GoodsIssueHead.GICtrlPara8", "gictrlpara8", grmi.TypeString)
var GoodsIssueHead_GICtrlPara9 = grmi.NewField("GICtrlPara9", "WM_GoodsIssueHead.GICtrlPara9", "gictrlpara9", grmi.TypeFloat64)
var GoodsIssueHead_GICtrlPara10 = grmi.NewField("GICtrlPara10", "WM_GoodsIssueHead.GICtrlPara10", "gictrlpara10", grmi.TypeFloat64)
var GoodsIssueHead_GICtrlPara11 = grmi.NewField("GICtrlPara11", "WM_GoodsIssueHead.GICtrlPara11", "gictrlpara11", grmi.TypeFloat64)
var GoodsIssueHead_GICtrlPara12 = grmi.NewField("GICtrlPara12", "WM_GoodsIssueHead.GICtrlPara12", "gictrlpara12", grmi.TypeFloat64)
var GoodsIssueHead_GICtrlPara13 = grmi.NewField("GICtrlPara13", "WM_GoodsIssueHead.GICtrlPara13", "gictrlpara13", grmi.TypeDateTime)
var GoodsIssueHead_GICtrlPara14 = grmi.NewField("GICtrlPara14", "WM_GoodsIssueHead.GICtrlPara14", "gictrlpara14", grmi.TypeDateTime)
var GoodsIssueHead_GICtrlPara15 = grmi.NewField("GICtrlPara15", "WM_GoodsIssueHead.GICtrlPara15", "gictrlpara15", grmi.TypeDateTime)
var GoodsIssueHead_GICtrlPara16 = grmi.NewField("GICtrlPara16", "WM_GoodsIssueHead.GICtrlPara16", "gictrlpara16", grmi.TypeDateTime)
var GoodsIssueHead_LastModify = grmi.NewField("LastModify", "WM_GoodsIssueHead.LastModify", "lastmodify", grmi.TypeDateTime)
var GoodsIssueHead_LastUser = grmi.NewField("LastUser", "WM_GoodsIssueHead.LastUser", "lastuser", grmi.TypeString)
var GoodsIssueHead_CreateTime = grmi.NewField("CreateTime", "WM_GoodsIssueHead.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : GoodsIssueHead的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var GoodsIssueHead = grmi.NewEntity(
	"WM_GoodsIssueHead",
	func() interface{} { return &model.GoodsIssueHead{} },
	map[string]grmi.Field{
		GoodsIssueHead_GoodsIssueId.Name: GoodsIssueHead_GoodsIssueId,
		GoodsIssueHead_RefOrderId.Name:   GoodsIssueHead_RefOrderId,
		GoodsIssueHead_CustOrderId.Name:  GoodsIssueHead_CustOrderId,
		GoodsIssueHead_Destination.Name:  GoodsIssueHead_Destination,
		GoodsIssueHead_Remark.Name:       GoodsIssueHead_Remark,
		GoodsIssueHead_DeliveryDate.Name: GoodsIssueHead_DeliveryDate,
		GoodsIssueHead_Status.Name:       GoodsIssueHead_Status,
		GoodsIssueHead_GIType.Name:       GoodsIssueHead_GIType,
		GoodsIssueHead_GIType1.Name:      GoodsIssueHead_GIType1,
		GoodsIssueHead_GIType2.Name:      GoodsIssueHead_GIType2,
		GoodsIssueHead_GIReason.Name:     GoodsIssueHead_GIReason,
		GoodsIssueHead_Priority.Name:     GoodsIssueHead_Priority,
		GoodsIssueHead_CostCenterId.Name: GoodsIssueHead_CostCenterId,
		GoodsIssueHead_BookingKey.Name:   GoodsIssueHead_BookingKey,
		GoodsIssueHead_GICtrlPara1.Name:  GoodsIssueHead_GICtrlPara1,
		GoodsIssueHead_GICtrlPara2.Name:  GoodsIssueHead_GICtrlPara2,
		GoodsIssueHead_GICtrlPara3.Name:  GoodsIssueHead_GICtrlPara3,
		GoodsIssueHead_GICtrlPara4.Name:  GoodsIssueHead_GICtrlPara4,
		GoodsIssueHead_GICtrlPara5.Name:  GoodsIssueHead_GICtrlPara5,
		GoodsIssueHead_GICtrlPara6.Name:  GoodsIssueHead_GICtrlPara6,
		GoodsIssueHead_GICtrlPara7.Name:  GoodsIssueHead_GICtrlPara7,
		GoodsIssueHead_GICtrlPara8.Name:  GoodsIssueHead_GICtrlPara8,
		GoodsIssueHead_GICtrlPara9.Name:  GoodsIssueHead_GICtrlPara9,
		GoodsIssueHead_GICtrlPara10.Name: GoodsIssueHead_GICtrlPara10,
		GoodsIssueHead_GICtrlPara11.Name: GoodsIssueHead_GICtrlPara11,
		GoodsIssueHead_GICtrlPara12.Name: GoodsIssueHead_GICtrlPara12,
		GoodsIssueHead_GICtrlPara13.Name: GoodsIssueHead_GICtrlPara13,
		GoodsIssueHead_GICtrlPara14.Name: GoodsIssueHead_GICtrlPara14,
		GoodsIssueHead_GICtrlPara15.Name: GoodsIssueHead_GICtrlPara15,
		GoodsIssueHead_GICtrlPara16.Name: GoodsIssueHead_GICtrlPara16,
		GoodsIssueHead_LastModify.Name:   GoodsIssueHead_LastModify,
		GoodsIssueHead_LastUser.Name:     GoodsIssueHead_LastUser,
		GoodsIssueHead_CreateTime.Name:   GoodsIssueHead_CreateTime,
	},
	[]string{},
	[]string{"RefOrderId", "CustOrderId", "Destination", "Remark", "DeliveryDate", "Status", "GIType", "GIType1", "GIType2", "GIReason", "Priority", "CostCenterId", "BookingKey", "GICtrlPara1", "GICtrlPara2", "GICtrlPara3", "GICtrlPara4", "GICtrlPara5", "GICtrlPara6", "GICtrlPara7", "GICtrlPara8", "GICtrlPara9", "GICtrlPara10", "GICtrlPara11", "GICtrlPara12", "GICtrlPara13", "GICtrlPara14", "GICtrlPara15", "GICtrlPara16", "LastUser"})
