// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/wm"
)

/******************************************************************************
 *
 * @Description              : GoodsIssueLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var GoodsIssueLst_GoodsIssueId = grmi.NewField("GoodsIssueId", "WM_GoodsIssueLst.GoodsIssueId", "goodsissueid", grmi.TypeString)
var GoodsIssueLst_GIPos = grmi.NewField("GIPos", "WM_GoodsIssueLst.GIPos", "gipos", grmi.TypeInt)
var GoodsIssueLst_GILPos = grmi.NewField("GILPos", "WM_GoodsIssueLst.GILPos", "gilpos", grmi.TypeInt)
var GoodsIssueLst_WarehouseId = grmi.NewField("WarehouseId", "WM_GoodsIssueLst.WarehouseId", "warehouseid", grmi.TypeString)
var GoodsIssueLst_StorageAreaId = grmi.NewField("StorageAreaId", "WM_GoodsIssueLst.StorageAreaId", "storageareaid", grmi.TypeString)
var GoodsIssueLst_StorageBinId = grmi.NewField("StorageBinId", "WM_GoodsIssueLst.StorageBinId", "storagebinid", grmi.TypeString)
var GoodsIssueLst_StorageRackId = grmi.NewField("StorageRackId", "WM_GoodsIssueLst.StorageRackId", "StorageRackid", grmi.TypeString)
var GoodsIssueLst_Qty = grmi.NewField("Qty", "WM_GoodsIssueLst.Qty", "qty", grmi.TypeFloat64)
var GoodsIssueLst_CtrlPara1 = grmi.NewField("CtrlPara1", "WM_GoodsIssueLst.CtrlPara1", "ctrlpara1", grmi.TypeString)
var GoodsIssueLst_CtrlPara2 = grmi.NewField("CtrlPara2", "WM_GoodsIssueLst.CtrlPara2", "ctrlpara2", grmi.TypeString)
var GoodsIssueLst_CtrlPara3 = grmi.NewField("CtrlPara3", "WM_GoodsIssueLst.CtrlPara3", "ctrlpara3", grmi.TypeInt)
var GoodsIssueLst_CtrlPara4 = grmi.NewField("CtrlPara4", "WM_GoodsIssueLst.CtrlPara4", "ctrlpara4", grmi.TypeInt)
var GoodsIssueLst_CtrlPara5 = grmi.NewField("CtrlPara5", "WM_GoodsIssueLst.CtrlPara5", "ctrlpara5", grmi.TypeFloat64)
var GoodsIssueLst_CtrlPara6 = grmi.NewField("CtrlPara6", "WM_GoodsIssueLst.CtrlPara6", "ctrlpara6", grmi.TypeFloat64)
var GoodsIssueLst_LastModify = grmi.NewField("LastModify", "WM_GoodsIssueLst.LastModify", "lastmodify", grmi.TypeDateTime)
var GoodsIssueLst_LastUser = grmi.NewField("LastUser", "WM_GoodsIssueLst.LastUser", "lastuser", grmi.TypeString)
var GoodsIssueLst_CreateTime = grmi.NewField("CreateTime", "WM_GoodsIssueLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : GoodsIssueLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var GoodsIssueLst = grmi.NewEntity(
	"WM_GoodsIssueLst",
	func() interface{} { return &model.GoodsIssueLst{} },
	map[string]grmi.Field{
		GoodsIssueLst_GoodsIssueId.Name:  GoodsIssueLst_GoodsIssueId,
		GoodsIssueLst_GIPos.Name:         GoodsIssueLst_GIPos,
		GoodsIssueLst_GILPos.Name:        GoodsIssueLst_GILPos,
		GoodsIssueLst_WarehouseId.Name:   GoodsIssueLst_WarehouseId,
		GoodsIssueLst_StorageAreaId.Name: GoodsIssueLst_StorageAreaId,
		GoodsIssueLst_StorageBinId.Name:  GoodsIssueLst_StorageBinId,
		GoodsIssueLst_StorageRackId.Name: GoodsIssueLst_StorageRackId,
		GoodsIssueLst_Qty.Name:           GoodsIssueLst_Qty,
		GoodsIssueLst_CtrlPara1.Name:     GoodsIssueLst_CtrlPara1,
		GoodsIssueLst_CtrlPara2.Name:     GoodsIssueLst_CtrlPara2,
		GoodsIssueLst_CtrlPara3.Name:     GoodsIssueLst_CtrlPara3,
		GoodsIssueLst_CtrlPara4.Name:     GoodsIssueLst_CtrlPara4,
		GoodsIssueLst_CtrlPara5.Name:     GoodsIssueLst_CtrlPara5,
		GoodsIssueLst_CtrlPara6.Name:     GoodsIssueLst_CtrlPara6,
		GoodsIssueLst_LastModify.Name:    GoodsIssueLst_LastModify,
		GoodsIssueLst_LastUser.Name:      GoodsIssueLst_LastUser,
		GoodsIssueLst_CreateTime.Name:    GoodsIssueLst_CreateTime,
	},
	[]string{},
	[]string{"WarehouseId", "StorageAreaId", "StorageBinId", "StorageRackId", "Qty", "CtrlPara1", "CtrlPara2", "CtrlPara3", "CtrlPara4", "CtrlPara5", "CtrlPara6", "LastUser"})
