// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/wm"
)

/******************************************************************************
 *
 * @Description              : GoodsReceiptDetail的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var GoodsReceiptDetail_GoodsReceiptId = grmi.NewField("GoodsReceiptId", "WM_GoodsReceiptDetail.GoodsReceiptId", "goodsreceiptid", grmi.TypeString)
var GoodsReceiptDetail_GRPos = grmi.NewField("GRPos", "WM_GoodsReceiptDetail.GRPos", "grpos", grmi.TypeInt)
var GoodsReceiptDetail_ArtId = grmi.NewField("ArtId", "WM_GoodsReceiptDetail.ArtId", "artid", grmi.TypeString)
var GoodsReceiptDetail_ArtName = grmi.NewField("ArtName", "WM_GoodsReceiptDetail.ArtName", "artname", grmi.TypeString)
var GoodsReceiptDetail_ArtType = grmi.NewField("ArtType", "WM_GoodsReceiptDetail.ArtType", "arttype", grmi.TypeString)
var GoodsReceiptDetail_Remark = grmi.NewField("Remark", "WM_GoodsReceiptDetail.Remark", "remark", grmi.TypeString)
var GoodsReceiptDetail_Auditor = grmi.NewField("Auditor", "WM_GoodsReceiptDetail.Auditor", "auditor", grmi.TypeString)
var GoodsReceiptDetail_AuditTime = grmi.NewField("AuditTime", "WM_GoodsReceiptDetail.AuditTime", "audittime", grmi.TypeDateTime)
var GoodsReceiptDetail_AuditStatus = grmi.NewField("AuditStatus", "WM_GoodsReceiptDetail.AuditStatus", "auditstatus", grmi.TypeString)
var GoodsReceiptDetail_BatchId = grmi.NewField("BatchId", "WM_GoodsReceiptDetail.BatchId", "batchid", grmi.TypeString)
var GoodsReceiptDetail_OrderedQty = grmi.NewField("OrderedQty", "WM_GoodsReceiptDetail.OrderedQty", "orderedqty", grmi.TypeFloat64)
var GoodsReceiptDetail_OrderType = grmi.NewField("OrderType", "WM_GoodsReceiptDetail.OrderType", "ordertype", grmi.TypeString)
var GoodsReceiptDetail_DeliveredQty = grmi.NewField("DeliveredQty", "WM_GoodsReceiptDetail.DeliveredQty", "deliveredqty", grmi.TypeFloat64)
var GoodsReceiptDetail_QtyUom = grmi.NewField("QtyUom", "WM_GoodsReceiptDetail.QtyUom", "qtyuom", grmi.TypeString)
var GoodsReceiptDetail_UnitPrice = grmi.NewField("UnitPrice", "WM_GoodsReceiptDetail.UnitPrice", "unitprice", grmi.TypeFloat64)
var GoodsReceiptDetail_TotalPrice = grmi.NewField("TotalPrice", "WM_GoodsReceiptDetail.TotalPrice", "totalprice", grmi.TypeFloat64)
var GoodsReceiptDetail_Currency = grmi.NewField("Currency", "WM_GoodsReceiptDetail.Currency", "currency", grmi.TypeString)
var GoodsReceiptDetail_InspectToggle = grmi.NewField("InspectToggle", "WM_GoodsReceiptDetail.InspectToggle", "inspecttoggle", grmi.TypeBool)
var GoodsReceiptDetail_InspectPlanId = grmi.NewField("InspectPlanId", "WM_GoodsReceiptDetail.InspectPlanId", "inspectplanid", grmi.TypeString)
var GoodsReceiptDetail_InspectStatus = grmi.NewField("InspectStatus", "WM_GoodsReceiptDetail.InspectStatus", "inspectstatus", grmi.TypeString)
var GoodsReceiptDetail_GRICtrlPara1 = grmi.NewField("GRICtrlPara1", "WM_GoodsReceiptDetail.GRICtrlPara1", "grictrlpara1", grmi.TypeInt)
var GoodsReceiptDetail_GRICtrlPara2 = grmi.NewField("GRICtrlPara2", "WM_GoodsReceiptDetail.GRICtrlPara2", "grictrlpara2", grmi.TypeInt)
var GoodsReceiptDetail_GRICtrlPara3 = grmi.NewField("GRICtrlPara3", "WM_GoodsReceiptDetail.GRICtrlPara3", "grictrlpara3", grmi.TypeInt)
var GoodsReceiptDetail_GRICtrlPara4 = grmi.NewField("GRICtrlPara4", "WM_GoodsReceiptDetail.GRICtrlPara4", "grictrlpara4", grmi.TypeInt)
var GoodsReceiptDetail_GRICtrlPara5 = grmi.NewField("GRICtrlPara5", "WM_GoodsReceiptDetail.GRICtrlPara5", "grictrlpara5", grmi.TypeString)
var GoodsReceiptDetail_GRICtrlPara6 = grmi.NewField("GRICtrlPara6", "WM_GoodsReceiptDetail.GRICtrlPara6", "grictrlpara6", grmi.TypeString)
var GoodsReceiptDetail_GRICtrlPara7 = grmi.NewField("GRICtrlPara7", "WM_GoodsReceiptDetail.GRICtrlPara7", "grictrlpara7", grmi.TypeString)
var GoodsReceiptDetail_GRICtrlPara8 = grmi.NewField("GRICtrlPara8", "WM_GoodsReceiptDetail.GRICtrlPara8", "grictrlpara8", grmi.TypeString)
var GoodsReceiptDetail_GRICtrlPara9 = grmi.NewField("GRICtrlPara9", "WM_GoodsReceiptDetail.GRICtrlPara9", "grictrlpara9", grmi.TypeFloat64)
var GoodsReceiptDetail_GRICtrlPara10 = grmi.NewField("GRICtrlPara10", "WM_GoodsReceiptDetail.GRICtrlPara10", "grictrlpara10", grmi.TypeFloat64)
var GoodsReceiptDetail_GRICtrlPara11 = grmi.NewField("GRICtrlPara11", "WM_GoodsReceiptDetail.GRICtrlPara11", "grictrlpara11", grmi.TypeFloat64)
var GoodsReceiptDetail_GRICtrlPara12 = grmi.NewField("GRICtrlPara12", "WM_GoodsReceiptDetail.GRICtrlPara12", "grictrlpara12", grmi.TypeFloat64)
var GoodsReceiptDetail_GRICtrlPara13 = grmi.NewField("GRICtrlPara13", "WM_GoodsReceiptDetail.GRICtrlPara13", "grictrlpara13", grmi.TypeDateTime)
var GoodsReceiptDetail_GRICtrlPara14 = grmi.NewField("GRICtrlPara14", "WM_GoodsReceiptDetail.GRICtrlPara14", "grictrlpara14", grmi.TypeDateTime)
var GoodsReceiptDetail_GRICtrlPara15 = grmi.NewField("GRICtrlPara15", "WM_GoodsReceiptDetail.GRICtrlPara15", "grictrlpara15", grmi.TypeDateTime)
var GoodsReceiptDetail_GRICtrlPara16 = grmi.NewField("GRICtrlPara16", "WM_GoodsReceiptDetail.GRICtrlPara16", "grictrlpara16", grmi.TypeDateTime)
var GoodsReceiptDetail_LastModify = grmi.NewField("LastModify", "WM_GoodsReceiptDetail.LastModify", "lastmodify", grmi.TypeDateTime)
var GoodsReceiptDetail_LastUser = grmi.NewField("LastUser", "WM_GoodsReceiptDetail.LastUser", "lastuser", grmi.TypeString)
var GoodsReceiptDetail_CreateTime = grmi.NewField("CreateTime", "WM_GoodsReceiptDetail.CreateTime", "createtime", grmi.TypeDateTime)
var GoodsReceiptDetail_BeforeQty = grmi.NewField("BeforeQty", "WM_GoodsReceiptDetail.BeforeQty", "beforeqty", grmi.TypeFloat64)
var GoodsReceiptDetail_CurQty = grmi.NewField("CurQty", "WM_GoodsReceiptDetail.CurQty", "curqty", grmi.TypeFloat64)
/******************************************************************************
 *
 * @Description              : GoodsReceiptDetail的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var GoodsReceiptDetail = grmi.NewEntity(
	"WM_GoodsReceiptDetail",
	func() interface{} { return &model.GoodsReceiptDetail{} },
	map[string]grmi.Field{
		GoodsReceiptDetail_GoodsReceiptId.Name: GoodsReceiptDetail_GoodsReceiptId,
		GoodsReceiptDetail_GRPos.Name:          GoodsReceiptDetail_GRPos,
		GoodsReceiptDetail_ArtId.Name:          GoodsReceiptDetail_ArtId,
		GoodsReceiptDetail_ArtName.Name:        GoodsReceiptDetail_ArtName,
		GoodsReceiptDetail_ArtType.Name:        GoodsReceiptDetail_ArtType,
		GoodsReceiptDetail_Remark.Name:         GoodsReceiptDetail_Remark,
		GoodsReceiptDetail_Auditor.Name:        GoodsReceiptDetail_Auditor,
		GoodsReceiptDetail_AuditTime.Name:      GoodsReceiptDetail_AuditTime,
		GoodsReceiptDetail_AuditStatus.Name:    GoodsReceiptDetail_AuditStatus,
		GoodsReceiptDetail_BatchId.Name:        GoodsReceiptDetail_BatchId,
		GoodsReceiptDetail_OrderedQty.Name:     GoodsReceiptDetail_OrderedQty,
		GoodsReceiptDetail_OrderType.Name:      GoodsReceiptDetail_OrderType,
		GoodsReceiptDetail_DeliveredQty.Name:   GoodsReceiptDetail_DeliveredQty,
		GoodsReceiptDetail_QtyUom.Name:         GoodsReceiptDetail_QtyUom,
		GoodsReceiptDetail_UnitPrice.Name:      GoodsReceiptDetail_UnitPrice,
		GoodsReceiptDetail_TotalPrice.Name:     GoodsReceiptDetail_TotalPrice,
		GoodsReceiptDetail_Currency.Name:       GoodsReceiptDetail_Currency,
		GoodsReceiptDetail_InspectToggle.Name:  GoodsReceiptDetail_InspectToggle,
		GoodsReceiptDetail_InspectPlanId.Name:  GoodsReceiptDetail_InspectPlanId,
		GoodsReceiptDetail_InspectStatus.Name:  GoodsReceiptDetail_InspectStatus,
		GoodsReceiptDetail_GRICtrlPara1.Name:   GoodsReceiptDetail_GRICtrlPara1,
		GoodsReceiptDetail_GRICtrlPara2.Name:   GoodsReceiptDetail_GRICtrlPara2,
		GoodsReceiptDetail_GRICtrlPara3.Name:   GoodsReceiptDetail_GRICtrlPara3,
		GoodsReceiptDetail_GRICtrlPara4.Name:   GoodsReceiptDetail_GRICtrlPara4,
		GoodsReceiptDetail_GRICtrlPara5.Name:   GoodsReceiptDetail_GRICtrlPara5,
		GoodsReceiptDetail_GRICtrlPara6.Name:   GoodsReceiptDetail_GRICtrlPara6,
		GoodsReceiptDetail_GRICtrlPara7.Name:   GoodsReceiptDetail_GRICtrlPara7,
		GoodsReceiptDetail_GRICtrlPara8.Name:   GoodsReceiptDetail_GRICtrlPara8,
		GoodsReceiptDetail_GRICtrlPara9.Name:   GoodsReceiptDetail_GRICtrlPara9,
		GoodsReceiptDetail_GRICtrlPara10.Name:  GoodsReceiptDetail_GRICtrlPara10,
		GoodsReceiptDetail_GRICtrlPara11.Name:  GoodsReceiptDetail_GRICtrlPara11,
		GoodsReceiptDetail_GRICtrlPara12.Name:  GoodsReceiptDetail_GRICtrlPara12,
		GoodsReceiptDetail_GRICtrlPara13.Name:  GoodsReceiptDetail_GRICtrlPara13,
		GoodsReceiptDetail_GRICtrlPara14.Name:  GoodsReceiptDetail_GRICtrlPara14,
		GoodsReceiptDetail_GRICtrlPara15.Name:  GoodsReceiptDetail_GRICtrlPara15,
		GoodsReceiptDetail_GRICtrlPara16.Name:  GoodsReceiptDetail_GRICtrlPara16,
		GoodsReceiptDetail_LastModify.Name:     GoodsReceiptDetail_LastModify,
		GoodsReceiptDetail_LastUser.Name:       GoodsReceiptDetail_LastUser,
		GoodsReceiptDetail_CreateTime.Name:     GoodsReceiptDetail_CreateTime,
		GoodsReceiptDetail_BeforeQty.Name:		GoodsReceiptDetail_BeforeQty,
		GoodsReceiptDetail_CurQty.Name:			GoodsReceiptDetail_CurQty,
	},
	[]string{},
	[]string{"ArtId", "ArtName", "ArtType", "Remark", "Auditor", "AuditTime", "AuditStatus", "BatchId", "OrderedQty", "OrderType", "DeliveredQty", "QtyUom", "UnitPrice", "TotalPrice", "Currency", "InspectToggle", "InspectPlanId", "InspectStatus", "GRICtrlPara1", "GRICtrlPara2", "GRICtrlPara3", "GRICtrlPara4", "GRICtrlPara5", "GRICtrlPara6", "GRICtrlPara7", "GRICtrlPara8", "GRICtrlPara9", "GRICtrlPara10", "GRICtrlPara11", "GRICtrlPara12", "GRICtrlPara13", "GRICtrlPara14", "GRICtrlPara15", "GRICtrlPara16", "LastUser","BeforeQty","CurQty"})
