// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/wm"
)

/******************************************************************************
 *
 * @Description              : GoodsReceiptHead的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var GoodsReceiptHead_GoodsReceiptId = grmi.NewField("GoodsReceiptId", "WM_GoodsReceiptHead.GoodsReceiptId", "goodsreceiptid", grmi.TypeString)
var GoodsReceiptHead_RefOrderId = grmi.NewField("RefOrderId", "WM_GoodsReceiptHead.RefOrderId", "reforderid", grmi.TypeString)
var GoodsReceiptHead_GRWarehouseId = grmi.NewField("GRWarehouseId", "WM_GoodsReceiptHead.GRWarehouseId", "grwarehouseid", grmi.TypeString)
var GoodsReceiptHead_Remark = grmi.NewField("Remark", "WM_GoodsReceiptHead.Remark", "remark", grmi.TypeString)
var GoodsReceiptHead_DemandDate = grmi.NewField("DemandDate", "WM_GoodsReceiptHead.DemandDate", "demanddate", grmi.TypeDate)
var GoodsReceiptHead_RegisterDate = grmi.NewField("RegisterDate", "WM_GoodsReceiptHead.RegisterDate", "registerdate", grmi.TypeDate)
var GoodsReceiptHead_Status = grmi.NewField("Status", "WM_GoodsReceiptHead.Status", "status", grmi.TypeString)
var GoodsReceiptHead_SupplierId = grmi.NewField("SupplierId", "WM_GoodsReceiptHead.SupplierId", "supplierid", grmi.TypeString)
var GoodsReceiptHead_SupplierName = grmi.NewField("SupplierName", "WM_GoodsReceiptHead.SupplierName", "suppliername", grmi.TypeString)
var GoodsReceiptHead_GRType = grmi.NewField("GRType", "WM_GoodsReceiptHead.GRType", "grtype", grmi.TypeString)
var GoodsReceiptHead_GRType1 = grmi.NewField("GRType1", "WM_GoodsReceiptHead.GRType1", "grtype1", grmi.TypeString)
var GoodsReceiptHead_GRType2 = grmi.NewField("GRType2", "WM_GoodsReceiptHead.GRType2", "grtype2", grmi.TypeString)
var GoodsReceiptHead_GRReason = grmi.NewField("GRReason", "WM_GoodsReceiptHead.GRReason", "grreason", grmi.TypeString)
var GoodsReceiptHead_OrderedQty = grmi.NewField("OrderedQty", "WM_GoodsReceiptHead.OrderedQty", "orderedqty", grmi.TypeFloat64)
var GoodsReceiptHead_DeliveredQty = grmi.NewField("DeliveredQty", "WM_GoodsReceiptHead.DeliveredQty", "deliveredqty", grmi.TypeFloat64)
var GoodsReceiptHead_Applicant = grmi.NewField("Applicant", "WM_GoodsReceiptHead.Applicant", "applicant", grmi.TypeString)
var GoodsReceiptHead_Department = grmi.NewField("Department", "WM_GoodsReceiptHead.Department", "department", grmi.TypeString)
var GoodsReceiptHead_ApplyTime = grmi.NewField("ApplyTime", "WM_GoodsReceiptHead.ApplyTime", "applytime", grmi.TypeDateTime)
var GoodsReceiptHead_GRCtrlPara1 = grmi.NewField("GRCtrlPara1", "WM_GoodsReceiptHead.GRCtrlPara1", "grctrlpara1", grmi.TypeInt)
var GoodsReceiptHead_GRCtrlPara2 = grmi.NewField("GRCtrlPara2", "WM_GoodsReceiptHead.GRCtrlPara2", "grctrlpara2", grmi.TypeInt)
var GoodsReceiptHead_GRCtrlPara3 = grmi.NewField("GRCtrlPara3", "WM_GoodsReceiptHead.GRCtrlPara3", "grctrlpara3", grmi.TypeInt)
var GoodsReceiptHead_GRCtrlPara4 = grmi.NewField("GRCtrlPara4", "WM_GoodsReceiptHead.GRCtrlPara4", "grctrlpara4", grmi.TypeInt)
var GoodsReceiptHead_GRCtrlPara5 = grmi.NewField("GRCtrlPara5", "WM_GoodsReceiptHead.GRCtrlPara5", "grctrlpara5", grmi.TypeString)
var GoodsReceiptHead_GRCtrlPara6 = grmi.NewField("GRCtrlPara6", "WM_GoodsReceiptHead.GRCtrlPara6", "grctrlpara6", grmi.TypeString)
var GoodsReceiptHead_GRCtrlPara7 = grmi.NewField("GRCtrlPara7", "WM_GoodsReceiptHead.GRCtrlPara7", "grctrlpara7", grmi.TypeString)
var GoodsReceiptHead_GRCtrlPara8 = grmi.NewField("GRCtrlPara8", "WM_GoodsReceiptHead.GRCtrlPara8", "grctrlpara8", grmi.TypeString)
var GoodsReceiptHead_GRCtrlPara9 = grmi.NewField("GRCtrlPara9", "WM_GoodsReceiptHead.GRCtrlPara9", "grctrlpara9", grmi.TypeFloat64)
var GoodsReceiptHead_GRCtrlPara10 = grmi.NewField("GRCtrlPara10", "WM_GoodsReceiptHead.GRCtrlPara10", "grctrlpara10", grmi.TypeFloat64)
var GoodsReceiptHead_GRCtrlPara11 = grmi.NewField("GRCtrlPara11", "WM_GoodsReceiptHead.GRCtrlPara11", "grctrlpara11", grmi.TypeFloat64)
var GoodsReceiptHead_GRCtrlPara12 = grmi.NewField("GRCtrlPara12", "WM_GoodsReceiptHead.GRCtrlPara12", "grctrlpara12", grmi.TypeFloat64)
var GoodsReceiptHead_GRCtrlPara13 = grmi.NewField("GRCtrlPara13", "WM_GoodsReceiptHead.GRCtrlPara13", "grctrlpara13", grmi.TypeDateTime)
var GoodsReceiptHead_GRCtrlPara14 = grmi.NewField("GRCtrlPara14", "WM_GoodsReceiptHead.GRCtrlPara14", "grctrlpara14", grmi.TypeDateTime)
var GoodsReceiptHead_GRCtrlPara15 = grmi.NewField("GRCtrlPara15", "WM_GoodsReceiptHead.GRCtrlPara15", "grctrlpara15", grmi.TypeDateTime)
var GoodsReceiptHead_GRCtrlPara16 = grmi.NewField("GRCtrlPara16", "WM_GoodsReceiptHead.GRCtrlPara16", "grctrlpara16", grmi.TypeDateTime)
var GoodsReceiptHead_LastModify = grmi.NewField("LastModify", "WM_GoodsReceiptHead.LastModify", "lastmodify", grmi.TypeDateTime)
var GoodsReceiptHead_LastUser = grmi.NewField("LastUser", "WM_GoodsReceiptHead.LastUser", "lastuser", grmi.TypeString)
var GoodsReceiptHead_CreateTime = grmi.NewField("CreateTime", "WM_GoodsReceiptHead.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : GoodsReceiptHead的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var GoodsReceiptHead = grmi.NewEntity(
	"WM_GoodsReceiptHead",
	func() interface{} { return &model.GoodsReceiptHead{} },
	map[string]grmi.Field{
		GoodsReceiptHead_GoodsReceiptId.Name: GoodsReceiptHead_GoodsReceiptId,
		GoodsReceiptHead_RefOrderId.Name:     GoodsReceiptHead_RefOrderId,
		GoodsReceiptHead_GRWarehouseId.Name:  GoodsReceiptHead_GRWarehouseId,
		GoodsReceiptHead_Remark.Name:         GoodsReceiptHead_Remark,
		GoodsReceiptHead_DemandDate.Name:     GoodsReceiptHead_DemandDate,
		GoodsReceiptHead_RegisterDate.Name:   GoodsReceiptHead_RegisterDate,
		GoodsReceiptHead_Status.Name:         GoodsReceiptHead_Status,
		GoodsReceiptHead_SupplierId.Name:     GoodsReceiptHead_SupplierId,
		GoodsReceiptHead_SupplierName.Name:   GoodsReceiptHead_SupplierName,
		GoodsReceiptHead_GRType.Name:         GoodsReceiptHead_GRType,
		GoodsReceiptHead_GRType1.Name:        GoodsReceiptHead_GRType1,
		GoodsReceiptHead_GRType2.Name:        GoodsReceiptHead_GRType2,
		GoodsReceiptHead_GRReason.Name:       GoodsReceiptHead_GRReason,
		GoodsReceiptHead_OrderedQty.Name:     GoodsReceiptHead_OrderedQty,
		GoodsReceiptHead_DeliveredQty.Name:   GoodsReceiptHead_DeliveredQty,
		GoodsReceiptHead_Applicant.Name:      GoodsReceiptHead_Applicant,
		GoodsReceiptHead_Department.Name:     GoodsReceiptHead_Department,
		GoodsReceiptHead_ApplyTime.Name:      GoodsReceiptHead_ApplyTime,
		GoodsReceiptHead_GRCtrlPara1.Name:    GoodsReceiptHead_GRCtrlPara1,
		GoodsReceiptHead_GRCtrlPara2.Name:    GoodsReceiptHead_GRCtrlPara2,
		GoodsReceiptHead_GRCtrlPara3.Name:    GoodsReceiptHead_GRCtrlPara3,
		GoodsReceiptHead_GRCtrlPara4.Name:    GoodsReceiptHead_GRCtrlPara4,
		GoodsReceiptHead_GRCtrlPara5.Name:    GoodsReceiptHead_GRCtrlPara5,
		GoodsReceiptHead_GRCtrlPara6.Name:    GoodsReceiptHead_GRCtrlPara6,
		GoodsReceiptHead_GRCtrlPara7.Name:    GoodsReceiptHead_GRCtrlPara7,
		GoodsReceiptHead_GRCtrlPara8.Name:    GoodsReceiptHead_GRCtrlPara8,
		GoodsReceiptHead_GRCtrlPara9.Name:    GoodsReceiptHead_GRCtrlPara9,
		GoodsReceiptHead_GRCtrlPara10.Name:   GoodsReceiptHead_GRCtrlPara10,
		GoodsReceiptHead_GRCtrlPara11.Name:   GoodsReceiptHead_GRCtrlPara11,
		GoodsReceiptHead_GRCtrlPara12.Name:   GoodsReceiptHead_GRCtrlPara12,
		GoodsReceiptHead_GRCtrlPara13.Name:   GoodsReceiptHead_GRCtrlPara13,
		GoodsReceiptHead_GRCtrlPara14.Name:   GoodsReceiptHead_GRCtrlPara14,
		GoodsReceiptHead_GRCtrlPara15.Name:   GoodsReceiptHead_GRCtrlPara15,
		GoodsReceiptHead_GRCtrlPara16.Name:   GoodsReceiptHead_GRCtrlPara16,
		GoodsReceiptHead_LastModify.Name:     GoodsReceiptHead_LastModify,
		GoodsReceiptHead_LastUser.Name:       GoodsReceiptHead_LastUser,
		GoodsReceiptHead_CreateTime.Name:     GoodsReceiptHead_CreateTime,
	},
	[]string{},
	[]string{"RefOrderId", "GRWarehouseId", "Remark", "DemandDate", "RegisterDate", "Status", "SupplierId", "SupplierName", "GRType", "GRType1", "GRType2", "GRReason", "OrderedQty", "DeliveredQty", "Applicant", "Department", "ApplyTime", "GRCtrlPara1", "GRCtrlPara2", "GRCtrlPara3", "GRCtrlPara4", "GRCtrlPara5", "GRCtrlPara6", "GRCtrlPara7", "GRCtrlPara8", "GRCtrlPara9", "GRCtrlPara10", "GRCtrlPara11", "GRCtrlPara12", "GRCtrlPara13", "GRCtrlPara14", "GRCtrlPara15", "GRCtrlPara16", "LastUser"})
