// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/wm"
)

/******************************************************************************
 *
 * @Description              : InventoryCheckDetail的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
var InventoryCheckDetail_InventoryCheckId = grmi.NewField("InventoryCheckId", "WM_InventoryCheckDetail.InventoryCheckId", "inventorycheckid", grmi.TypeString)
var InventoryCheckDetail_ICDPos = grmi.NewField("ICDPos", "WM_InventoryCheckDetail.ICDPos", "icdpos", grmi.TypeInt)
var InventoryCheckDetail_Descr = grmi.NewField("Descr", "WM_InventoryCheckDetail.Descr", "descr", grmi.TypeString)
var InventoryCheckDetail_StorageBinId = grmi.NewField("StorageBinId", "WM_InventoryCheckDetail.StorageBinId", "storagebinid", grmi.TypeString)
var InventoryCheckDetail_WarehouseId = grmi.NewField("WarehouseId", "WM_InventoryCheckDetail.WarehouseId", "warehouseid", grmi.TypeString)
var InventoryCheckDetail_ICCtrlPara1 = grmi.NewField("ICCtrlPara1", "WM_InventoryCheckDetail.ICCtrlPara1", "icctrlpara1", grmi.TypeInt)
var InventoryCheckDetail_ICCtrlPara2 = grmi.NewField("ICCtrlPara2", "WM_InventoryCheckDetail.ICCtrlPara2", "icctrlpara2", grmi.TypeInt)
var InventoryCheckDetail_ICCtrlPara3 = grmi.NewField("ICCtrlPara3", "WM_InventoryCheckDetail.ICCtrlPara3", "icctrlpara3", grmi.TypeString)
var InventoryCheckDetail_ICCtrlPara4 = grmi.NewField("ICCtrlPara4", "WM_InventoryCheckDetail.ICCtrlPara4", "icctrlpara4", grmi.TypeString)
var InventoryCheckDetail_ICCtrlPara5 = grmi.NewField("ICCtrlPara5", "WM_InventoryCheckDetail.ICCtrlPara5", "icctrlpara5", grmi.TypeFloat64)
var InventoryCheckDetail_ICCtrlPara6 = grmi.NewField("ICCtrlPara6", "WM_InventoryCheckDetail.ICCtrlPara6", "icctrlpara6", grmi.TypeFloat64)
var InventoryCheckDetail_LastModify = grmi.NewField("LastModify", "WM_InventoryCheckDetail.LastModify", "lastmodify", grmi.TypeDateTime)
var InventoryCheckDetail_LastUser = grmi.NewField("LastUser", "WM_InventoryCheckDetail.LastUser", "lastuser", grmi.TypeString)
var InventoryCheckDetail_CreateTime = grmi.NewField("CreateTime", "WM_InventoryCheckDetail.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : InventoryCheckDetail的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
var InventoryCheckDetail = grmi.NewEntity(
	"WM_InventoryCheckDetail",
	func() interface{} { return &model.InventoryCheckDetail{} },
	map[string]grmi.Field{
		InventoryCheckDetail_InventoryCheckId.Name: InventoryCheckDetail_InventoryCheckId,
		InventoryCheckDetail_ICDPos.Name:           InventoryCheckDetail_ICDPos,
		InventoryCheckDetail_Descr.Name:            InventoryCheckDetail_Descr,
		InventoryCheckDetail_StorageBinId.Name:     InventoryCheckDetail_StorageBinId,
		InventoryCheckDetail_WarehouseId.Name:      InventoryCheckDetail_WarehouseId,
		InventoryCheckDetail_ICCtrlPara1.Name:      InventoryCheckDetail_ICCtrlPara1,
		InventoryCheckDetail_ICCtrlPara2.Name:      InventoryCheckDetail_ICCtrlPara2,
		InventoryCheckDetail_ICCtrlPara3.Name:      InventoryCheckDetail_ICCtrlPara3,
		InventoryCheckDetail_ICCtrlPara4.Name:      InventoryCheckDetail_ICCtrlPara4,
		InventoryCheckDetail_ICCtrlPara5.Name:      InventoryCheckDetail_ICCtrlPara5,
		InventoryCheckDetail_ICCtrlPara6.Name:      InventoryCheckDetail_ICCtrlPara6,
		InventoryCheckDetail_LastModify.Name:       InventoryCheckDetail_LastModify,
		InventoryCheckDetail_LastUser.Name:         InventoryCheckDetail_LastUser,
		InventoryCheckDetail_CreateTime.Name:       InventoryCheckDetail_CreateTime,
	},
	[]string{},
	[]string{"Descr", "StorageBinId", "WarehouseId", "ICCtrlPara1", "ICCtrlPara2", "ICCtrlPara3", "ICCtrlPara4", "ICCtrlPara5", "ICCtrlPara6", "LastUser"})
