// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/wm"
)

/******************************************************************************
 *
 * @Description              : InventoryCheckHead的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var InventoryCheckHead_InventoryCheckId = grmi.NewField("InventoryCheckId", "WM_InventoryCheckHead.InventoryCheckId", "inventorycheckid", grmi.TypeString)
var InventoryCheckHead_Descr = grmi.NewField("Descr", "WM_InventoryCheckHead.Descr", "descr", grmi.TypeString)
var InventoryCheckHead_CheckDate = grmi.NewField("CheckDate", "WM_InventoryCheckHead.CheckDate", "checkdate", grmi.TypeDate)
var InventoryCheckHead_CheckTime = grmi.NewField("CheckTime", "WM_InventoryCheckHead.CheckTime", "checktime", grmi.TypeDateTime)
var InventoryCheckHead_CheckType = grmi.NewField("CheckType", "WM_InventoryCheckHead.CheckType", "checktype", grmi.TypeString)
var InventoryCheckHead_CheckPerson = grmi.NewField("CheckPerson", "WM_InventoryCheckHead.CheckPerson", "checkperson", grmi.TypeString)
var InventoryCheckHead_ICCtrlPara1 = grmi.NewField("ICCtrlPara1", "WM_InventoryCheckHead.ICCtrlPara1", "icctrlpara1", grmi.TypeInt)
var InventoryCheckHead_ICCtrlPara2 = grmi.NewField("ICCtrlPara2", "WM_InventoryCheckHead.ICCtrlPara2", "icctrlpara2", grmi.TypeInt)
var InventoryCheckHead_ICCtrlPara3 = grmi.NewField("ICCtrlPara3", "WM_InventoryCheckHead.ICCtrlPara3", "icctrlpara3", grmi.TypeString)
var InventoryCheckHead_ICCtrlPara4 = grmi.NewField("ICCtrlPara4", "WM_InventoryCheckHead.ICCtrlPara4", "icctrlpara4", grmi.TypeString)
var InventoryCheckHead_ICCtrlPara5 = grmi.NewField("ICCtrlPara5", "WM_InventoryCheckHead.ICCtrlPara5", "icctrlpara5", grmi.TypeFloat64)
var InventoryCheckHead_ICCtrlPara6 = grmi.NewField("ICCtrlPara6", "WM_InventoryCheckHead.ICCtrlPara6", "icctrlpara6", grmi.TypeFloat64)
var InventoryCheckHead_Status = grmi.NewField("Status", "WM_InventoryCheckHead.Status", "status", grmi.TypeInt)
var InventoryCheckHead_WareHouseId = grmi.NewField("WareHouseId", "WM_InventoryCheckHead.WareHouseId", "warehouseid", grmi.TypeString)
var InventoryCheckHead_StorageAreaId = grmi.NewField("StorageAreaId", "WM_InventoryCheckHead.StorageAreaId", "storageareaid", grmi.TypeString)
var InventoryCheckHead_StorageRackId = grmi.NewField("StorageRackId", "WM_InventoryCheckHead.StorageRackId", "StorageRackid", grmi.TypeString)
var InventoryCheckHead_LastModify = grmi.NewField("LastModify", "WM_InventoryCheckHead.LastModify", "lastmodify", grmi.TypeDateTime)
var InventoryCheckHead_LastUser = grmi.NewField("LastUser", "WM_InventoryCheckHead.LastUser", "lastuser", grmi.TypeString)
var InventoryCheckHead_CreateTime = grmi.NewField("CreateTime", "WM_InventoryCheckHead.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : InventoryCheckHead的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var InventoryCheckHead = grmi.NewEntity(
	"WM_InventoryCheckHead",
	func() interface{} { return &model.InventoryCheckHead{} },
	map[string]grmi.Field{
		InventoryCheckHead_InventoryCheckId.Name: InventoryCheckHead_InventoryCheckId,
		InventoryCheckHead_Descr.Name:            InventoryCheckHead_Descr,
		InventoryCheckHead_CheckDate.Name:        InventoryCheckHead_CheckDate,
		InventoryCheckHead_CheckTime.Name:        InventoryCheckHead_CheckTime,
		InventoryCheckHead_CheckType.Name:        InventoryCheckHead_CheckType,
		InventoryCheckHead_CheckPerson.Name:      InventoryCheckHead_CheckPerson,
		InventoryCheckHead_ICCtrlPara1.Name:      InventoryCheckHead_ICCtrlPara1,
		InventoryCheckHead_ICCtrlPara2.Name:      InventoryCheckHead_ICCtrlPara2,
		InventoryCheckHead_ICCtrlPara3.Name:      InventoryCheckHead_ICCtrlPara3,
		InventoryCheckHead_ICCtrlPara4.Name:      InventoryCheckHead_ICCtrlPara4,
		InventoryCheckHead_ICCtrlPara5.Name:      InventoryCheckHead_ICCtrlPara5,
		InventoryCheckHead_ICCtrlPara6.Name:      InventoryCheckHead_ICCtrlPara6,
		InventoryCheckHead_Status.Name:           InventoryCheckHead_Status,
		InventoryCheckHead_WareHouseId.Name:      InventoryCheckHead_WareHouseId,
		InventoryCheckHead_StorageAreaId.Name:    InventoryCheckHead_StorageAreaId,
		InventoryCheckHead_StorageRackId.Name:    InventoryCheckHead_StorageRackId,
		InventoryCheckHead_LastModify.Name:       InventoryCheckHead_LastModify,
		InventoryCheckHead_LastUser.Name:         InventoryCheckHead_LastUser,
		InventoryCheckHead_CreateTime.Name:       InventoryCheckHead_CreateTime,
	},
	[]string{},
	[]string{"Descr", "CheckDate", "CheckTime", "CheckType", "CheckPerson", "ICCtrlPara1", "ICCtrlPara2", "ICCtrlPara3", "ICCtrlPara4", "ICCtrlPara5", "ICCtrlPara6", "Status", "WareHouseId", "StorageAreaId", "StorageRackId", "LastUser"})
