// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/wm"
)

/******************************************************************************
 *
 * @Description              : StockTransferHead的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var StockTransferHead_StockTransferId = grmi.NewField("StockTransferId", "WM_StockTransferHead.StockTransferId", "stocktransferid", grmi.TypeString)
var StockTransferHead_RefOrderId = grmi.NewField("RefOrderId", "WM_StockTransferHead.RefOrderId", "reforderid", grmi.TypeString)
var StockTransferHead_WarehouseId = grmi.NewField("WarehouseId", "WM_StockTransferHead.WarehouseId", "warehouseid", grmi.TypeString)
var StockTransferHead_TargetWarehouseId = grmi.NewField("TargetWarehouseId", "WM_StockTransferHead.TargetWarehouseId", "targetwarehouseid", grmi.TypeString)
var StockTransferHead_Remark = grmi.NewField("Remark", "WM_StockTransferHead.Remark", "remark", grmi.TypeString)
var StockTransferHead_DemandDate = grmi.NewField("DemandDate", "WM_StockTransferHead.DemandDate", "demanddate", grmi.TypeDate)
var StockTransferHead_RegisterDate = grmi.NewField("RegisterDate", "WM_StockTransferHead.RegisterDate", "registerdate", grmi.TypeDate)
var StockTransferHead_Status = grmi.NewField("Status", "WM_StockTransferHead.Status", "status", grmi.TypeString)
var StockTransferHead_STType = grmi.NewField("STType", "WM_StockTransferHead.STType", "sttype", grmi.TypeString)
var StockTransferHead_STType1 = grmi.NewField("STType1", "WM_StockTransferHead.STType1", "sttype1", grmi.TypeString)
var StockTransferHead_STType2 = grmi.NewField("STType2", "WM_StockTransferHead.STType2", "sttype2", grmi.TypeString)
var StockTransferHead_STReason = grmi.NewField("STReason", "WM_StockTransferHead.STReason", "streason", grmi.TypeString)
var StockTransferHead_OrderedQty = grmi.NewField("OrderedQty", "WM_StockTransferHead.OrderedQty", "orderedqty", grmi.TypeFloat64)
var StockTransferHead_DeliveredQty = grmi.NewField("DeliveredQty", "WM_StockTransferHead.DeliveredQty", "deliveredqty", grmi.TypeFloat64)
var StockTransferHead_Applicant = grmi.NewField("Applicant", "WM_StockTransferHead.Applicant", "applicant", grmi.TypeString)
var StockTransferHead_Department = grmi.NewField("Department", "WM_StockTransferHead.Department", "department", grmi.TypeString)
var StockTransferHead_ApplyTime = grmi.NewField("ApplyTime", "WM_StockTransferHead.ApplyTime", "applytime", grmi.TypeDateTime)
var StockTransferHead_STCtrlPara1 = grmi.NewField("STCtrlPara1", "WM_StockTransferHead.STCtrlPara1", "stctrlpara1", grmi.TypeInt)
var StockTransferHead_STCtrlPara2 = grmi.NewField("STCtrlPara2", "WM_StockTransferHead.STCtrlPara2", "stctrlpara2", grmi.TypeInt)
var StockTransferHead_STCtrlPara3 = grmi.NewField("STCtrlPara3", "WM_StockTransferHead.STCtrlPara3", "stctrlpara3", grmi.TypeInt)
var StockTransferHead_STCtrlPara4 = grmi.NewField("STCtrlPara4", "WM_StockTransferHead.STCtrlPara4", "stctrlpara4", grmi.TypeInt)
var StockTransferHead_STCtrlPara5 = grmi.NewField("STCtrlPara5", "WM_StockTransferHead.STCtrlPara5", "stctrlpara5", grmi.TypeString)
var StockTransferHead_STCtrlPara6 = grmi.NewField("STCtrlPara6", "WM_StockTransferHead.STCtrlPara6", "stctrlpara6", grmi.TypeString)
var StockTransferHead_STCtrlPara7 = grmi.NewField("STCtrlPara7", "WM_StockTransferHead.STCtrlPara7", "stctrlpara7", grmi.TypeString)
var StockTransferHead_STCtrlPara8 = grmi.NewField("STCtrlPara8", "WM_StockTransferHead.STCtrlPara8", "stctrlpara8", grmi.TypeString)
var StockTransferHead_STCtrlPara9 = grmi.NewField("STCtrlPara9", "WM_StockTransferHead.STCtrlPara9", "stctrlpara9", grmi.TypeFloat64)
var StockTransferHead_STCtrlPara10 = grmi.NewField("STCtrlPara10", "WM_StockTransferHead.STCtrlPara10", "stctrlpara10", grmi.TypeFloat64)
var StockTransferHead_STCtrlPara11 = grmi.NewField("STCtrlPara11", "WM_StockTransferHead.STCtrlPara11", "stctrlpara11", grmi.TypeFloat64)
var StockTransferHead_STCtrlPara12 = grmi.NewField("STCtrlPara12", "WM_StockTransferHead.STCtrlPara12", "stctrlpara12", grmi.TypeFloat64)
var StockTransferHead_STCtrlPara13 = grmi.NewField("STCtrlPara13", "WM_StockTransferHead.STCtrlPara13", "stctrlpara13", grmi.TypeDateTime)
var StockTransferHead_STCtrlPara14 = grmi.NewField("STCtrlPara14", "WM_StockTransferHead.STCtrlPara14", "stctrlpara14", grmi.TypeDateTime)
var StockTransferHead_STCtrlPara15 = grmi.NewField("STCtrlPara15", "WM_StockTransferHead.STCtrlPara15", "stctrlpara15", grmi.TypeDateTime)
var StockTransferHead_STCtrlPara16 = grmi.NewField("STCtrlPara16", "WM_StockTransferHead.STCtrlPara16", "stctrlpara16", grmi.TypeDateTime)
var StockTransferHead_LastModify = grmi.NewField("LastModify", "WM_StockTransferHead.LastModify", "lastmodify", grmi.TypeDateTime)
var StockTransferHead_LastUser = grmi.NewField("LastUser", "WM_StockTransferHead.LastUser", "lastuser", grmi.TypeString)
var StockTransferHead_CreateTime = grmi.NewField("CreateTime", "WM_StockTransferHead.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : StockTransferHead的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var StockTransferHead = grmi.NewEntity(
	"WM_StockTransferHead",
	func() interface{} { return &model.StockTransferHead{} },
	map[string]grmi.Field{
		StockTransferHead_StockTransferId.Name:   StockTransferHead_StockTransferId,
		StockTransferHead_RefOrderId.Name:        StockTransferHead_RefOrderId,
		StockTransferHead_WarehouseId.Name:       StockTransferHead_WarehouseId,
		StockTransferHead_TargetWarehouseId.Name: StockTransferHead_TargetWarehouseId,
		StockTransferHead_Remark.Name:            StockTransferHead_Remark,
		StockTransferHead_DemandDate.Name:        StockTransferHead_DemandDate,
		StockTransferHead_RegisterDate.Name:      StockTransferHead_RegisterDate,
		StockTransferHead_Status.Name:            StockTransferHead_Status,
		StockTransferHead_STType.Name:            StockTransferHead_STType,
		StockTransferHead_STType1.Name:           StockTransferHead_STType1,
		StockTransferHead_STType2.Name:           StockTransferHead_STType2,
		StockTransferHead_STReason.Name:          StockTransferHead_STReason,
		StockTransferHead_OrderedQty.Name:        StockTransferHead_OrderedQty,
		StockTransferHead_DeliveredQty.Name:      StockTransferHead_DeliveredQty,
		StockTransferHead_Applicant.Name:         StockTransferHead_Applicant,
		StockTransferHead_Department.Name:        StockTransferHead_Department,
		StockTransferHead_ApplyTime.Name:         StockTransferHead_ApplyTime,
		StockTransferHead_STCtrlPara1.Name:       StockTransferHead_STCtrlPara1,
		StockTransferHead_STCtrlPara2.Name:       StockTransferHead_STCtrlPara2,
		StockTransferHead_STCtrlPara3.Name:       StockTransferHead_STCtrlPara3,
		StockTransferHead_STCtrlPara4.Name:       StockTransferHead_STCtrlPara4,
		StockTransferHead_STCtrlPara5.Name:       StockTransferHead_STCtrlPara5,
		StockTransferHead_STCtrlPara6.Name:       StockTransferHead_STCtrlPara6,
		StockTransferHead_STCtrlPara7.Name:       StockTransferHead_STCtrlPara7,
		StockTransferHead_STCtrlPara8.Name:       StockTransferHead_STCtrlPara8,
		StockTransferHead_STCtrlPara9.Name:       StockTransferHead_STCtrlPara9,
		StockTransferHead_STCtrlPara10.Name:      StockTransferHead_STCtrlPara10,
		StockTransferHead_STCtrlPara11.Name:      StockTransferHead_STCtrlPara11,
		StockTransferHead_STCtrlPara12.Name:      StockTransferHead_STCtrlPara12,
		StockTransferHead_STCtrlPara13.Name:      StockTransferHead_STCtrlPara13,
		StockTransferHead_STCtrlPara14.Name:      StockTransferHead_STCtrlPara14,
		StockTransferHead_STCtrlPara15.Name:      StockTransferHead_STCtrlPara15,
		StockTransferHead_STCtrlPara16.Name:      StockTransferHead_STCtrlPara16,
		StockTransferHead_LastModify.Name:        StockTransferHead_LastModify,
		StockTransferHead_LastUser.Name:          StockTransferHead_LastUser,
		StockTransferHead_CreateTime.Name:        StockTransferHead_CreateTime,
	},
	[]string{},
	[]string{"RefOrderId", "WarehouseId", "TargetWarehouseId", "Remark", "DemandDate", "RegisterDate", "Status", "STType", "STType1", "STType2", "STReason", "OrderedQty", "DeliveredQty", "Applicant", "Department", "ApplyTime", "STCtrlPara1", "STCtrlPara2", "STCtrlPara3", "STCtrlPara4", "STCtrlPara5", "STCtrlPara6", "STCtrlPara7", "STCtrlPara8", "STCtrlPara9", "STCtrlPara10", "STCtrlPara11", "STCtrlPara12", "STCtrlPara13", "STCtrlPara14", "STCtrlPara15", "STCtrlPara16", "LastUser"})
