// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/wm"
)

/******************************************************************************
 *
 * @Description              : StorageArea的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var StorageArea_StorageAreaId = grmi.NewField("StorageAreaId", "WM_StorageArea.StorageAreaId", "storageareaid", grmi.TypeString)
var StorageArea_WarehouseId = grmi.NewField("WarehouseId", "WM_StorageArea.WarehouseId", "warehouseid", grmi.TypeString)
var StorageArea_Descr = grmi.NewField("Descr", "WM_StorageArea.Descr", "descr", grmi.TypeString)
var StorageArea_Status = grmi.NewField("Status", "WM_StorageArea.Status", "status", grmi.TypeString)
var StorageArea_AreaCtrlPara1 = grmi.NewField("AreaCtrlPara1", "WM_StorageArea.AreaCtrlPara1", "areactrlpara1", grmi.TypeInt)
var StorageArea_AreaCtrlPara2 = grmi.NewField("AreaCtrlPara2", "WM_StorageArea.AreaCtrlPara2", "areactrlpara2", grmi.TypeInt)
var StorageArea_AreaCtrlPara3 = grmi.NewField("AreaCtrlPara3", "WM_StorageArea.AreaCtrlPara3", "areactrlpara3", grmi.TypeInt)
var StorageArea_AreaCtrlPara4 = grmi.NewField("AreaCtrlPara4", "WM_StorageArea.AreaCtrlPara4", "areactrlpara4", grmi.TypeInt)
var StorageArea_AreaCtrlPara5 = grmi.NewField("AreaCtrlPara5", "WM_StorageArea.AreaCtrlPara5", "areactrlpara5", grmi.TypeString)
var StorageArea_AreaCtrlPara6 = grmi.NewField("AreaCtrlPara6", "WM_StorageArea.AreaCtrlPara6", "areactrlpara6", grmi.TypeString)
var StorageArea_AreaCtrlPara7 = grmi.NewField("AreaCtrlPara7", "WM_StorageArea.AreaCtrlPara7", "areactrlpara7", grmi.TypeString)
var StorageArea_AreaCtrlPara8 = grmi.NewField("AreaCtrlPara8", "WM_StorageArea.AreaCtrlPara8", "areactrlpara8", grmi.TypeString)
var StorageArea_AreaCtrlPara9 = grmi.NewField("AreaCtrlPara9", "WM_StorageArea.AreaCtrlPara9", "areactrlpara9", grmi.TypeFloat64)
var StorageArea_AreaCtrlPara10 = grmi.NewField("AreaCtrlPara10", "WM_StorageArea.AreaCtrlPara10", "areactrlpara10", grmi.TypeFloat64)
var StorageArea_AreaCtrlPara11 = grmi.NewField("AreaCtrlPara11", "WM_StorageArea.AreaCtrlPara11", "areactrlpara11", grmi.TypeFloat64)
var StorageArea_AreaCtrlPara12 = grmi.NewField("AreaCtrlPara12", "WM_StorageArea.AreaCtrlPara12", "areactrlpara12", grmi.TypeFloat64)
var StorageArea_AreaCtrlPara13 = grmi.NewField("AreaCtrlPara13", "WM_StorageArea.AreaCtrlPara13", "areactrlpara13", grmi.TypeDateTime)
var StorageArea_AreaCtrlPara14 = grmi.NewField("AreaCtrlPara14", "WM_StorageArea.AreaCtrlPara14", "areactrlpara14", grmi.TypeDateTime)
var StorageArea_AreaCtrlPara15 = grmi.NewField("AreaCtrlPara15", "WM_StorageArea.AreaCtrlPara15", "areactrlpara15", grmi.TypeDateTime)
var StorageArea_AreaCtrlPara16 = grmi.NewField("AreaCtrlPara16", "WM_StorageArea.AreaCtrlPara16", "areactrlpara16", grmi.TypeDateTime)
var StorageArea_LastModify = grmi.NewField("LastModify", "WM_StorageArea.LastModify", "lastmodify", grmi.TypeDateTime)
var StorageArea_LastUser = grmi.NewField("LastUser", "WM_StorageArea.LastUser", "lastuser", grmi.TypeString)
var StorageArea_CreateTime = grmi.NewField("CreateTime", "WM_StorageArea.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : StorageArea的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var StorageArea = grmi.NewEntity(
	"WM_StorageArea",
	func() interface{} { return &model.StorageArea{} },
	map[string]grmi.Field{
		StorageArea_StorageAreaId.Name:  StorageArea_StorageAreaId,
		StorageArea_WarehouseId.Name:    StorageArea_WarehouseId,
		StorageArea_Descr.Name:          StorageArea_Descr,
		StorageArea_Status.Name:         StorageArea_Status,
		StorageArea_AreaCtrlPara1.Name:  StorageArea_AreaCtrlPara1,
		StorageArea_AreaCtrlPara2.Name:  StorageArea_AreaCtrlPara2,
		StorageArea_AreaCtrlPara3.Name:  StorageArea_AreaCtrlPara3,
		StorageArea_AreaCtrlPara4.Name:  StorageArea_AreaCtrlPara4,
		StorageArea_AreaCtrlPara5.Name:  StorageArea_AreaCtrlPara5,
		StorageArea_AreaCtrlPara6.Name:  StorageArea_AreaCtrlPara6,
		StorageArea_AreaCtrlPara7.Name:  StorageArea_AreaCtrlPara7,
		StorageArea_AreaCtrlPara8.Name:  StorageArea_AreaCtrlPara8,
		StorageArea_AreaCtrlPara9.Name:  StorageArea_AreaCtrlPara9,
		StorageArea_AreaCtrlPara10.Name: StorageArea_AreaCtrlPara10,
		StorageArea_AreaCtrlPara11.Name: StorageArea_AreaCtrlPara11,
		StorageArea_AreaCtrlPara12.Name: StorageArea_AreaCtrlPara12,
		StorageArea_AreaCtrlPara13.Name: StorageArea_AreaCtrlPara13,
		StorageArea_AreaCtrlPara14.Name: StorageArea_AreaCtrlPara14,
		StorageArea_AreaCtrlPara15.Name: StorageArea_AreaCtrlPara15,
		StorageArea_AreaCtrlPara16.Name: StorageArea_AreaCtrlPara16,
		StorageArea_LastModify.Name:     StorageArea_LastModify,
		StorageArea_LastUser.Name:       StorageArea_LastUser,
		StorageArea_CreateTime.Name:     StorageArea_CreateTime,
	},
	[]string{},
	[]string{"Descr", "Status", "AreaCtrlPara1", "AreaCtrlPara2", "AreaCtrlPara3", "AreaCtrlPara4", "AreaCtrlPara5", "AreaCtrlPara6", "AreaCtrlPara7", "AreaCtrlPara8", "AreaCtrlPara9", "AreaCtrlPara10", "AreaCtrlPara11", "AreaCtrlPara12", "AreaCtrlPara13", "AreaCtrlPara14", "AreaCtrlPara15", "AreaCtrlPara16", "LastUser"})
