// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/wm"
)

/******************************************************************************
 *
 * @Description              : StorageBin的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 11:25:15
 *
 ******************************************************************************/
var StorageBin_StorageBinId = grmi.NewField("StorageBinId", "WM_StorageBin.StorageBinId", "storagebinid", grmi.TypeString)
var StorageBin_WarehouseId = grmi.NewField("WarehouseId", "WM_StorageBin.WarehouseId", "warehouseid", grmi.TypeString)
var StorageBin_StorageAreaId = grmi.NewField("StorageAreaId", "WM_StorageBin.StorageAreaId", "storageareaid", grmi.TypeString)
var StorageBin_Descr = grmi.NewField("Descr", "WM_StorageBin.Descr", "descr", grmi.TypeString)
var StorageBin_Status = grmi.NewField("Status", "WM_StorageBin.Status", "status", grmi.TypeString)
var StorageBin_ActualStock = grmi.NewField("ActualStock", "WM_StorageBin.ActualStock", "actualstock", grmi.TypeFloat64)
var StorageBin_BlockedStock = grmi.NewField("BlockedStock", "WM_StorageBin.BlockedStock", "blockedstock", grmi.TypeFloat64)
var StorageBin_AvailableStock = grmi.NewField("AvailableStock", "WM_StorageBin.AvailableStock", "availablestock", grmi.TypeFloat64)
var StorageBin_ReservedStock = grmi.NewField("ReservedStock", "WM_StorageBin.ReservedStock", "reservedstock", grmi.TypeFloat64)
var StorageBin_ReservableStock = grmi.NewField("ReservableStock", "WM_StorageBin.ReservableStock", "reservablestock", grmi.TypeFloat64)
var StorageBin_RemovalReason = grmi.NewField("RemovalReason", "WM_StorageBin.RemovalReason", "removalreason", grmi.TypeString)
var StorageBin_RemovalPerson = grmi.NewField("RemovalPerson", "WM_StorageBin.RemovalPerson", "removalperson", grmi.TypeString)
var StorageBin_LastStorageBlock = grmi.NewField("LastStorageBlock", "WM_StorageBin.LastStorageBlock", "laststorageblock", grmi.TypeDateTime)
var StorageBin_StorageBlockReason = grmi.NewField("StorageBlockReason", "WM_StorageBin.StorageBlockReason", "storageblockreason", grmi.TypeString)
var StorageBin_StoragePerson = grmi.NewField("StoragePerson", "WM_StorageBin.StoragePerson", "storageperson", grmi.TypeString)
var StorageBin_StorageCapacity = grmi.NewField("StorageCapacity", "WM_StorageBin.StorageCapacity", "storagecapacity", grmi.TypeFloat64)
var StorageBin_LastRemoval = grmi.NewField("LastRemoval", "WM_StorageBin.LastRemoval", "lastremoval", grmi.TypeDateTime)
var StorageBin_LastStorage = grmi.NewField("LastStorage", "WM_StorageBin.LastStorage", "laststorage", grmi.TypeDateTime)
var StorageBin_RemainStock = grmi.NewField("RemainStock", "WM_StorageBin.RemainStock", "remainstock", grmi.TypeFloat64)
var StorageBin_LastStockTaking = grmi.NewField("LastStockTaking", "WM_StorageBin.LastStockTaking", "laststocktaking", grmi.TypeDateTime)
var StorageBin_Weight = grmi.NewField("Weight", "WM_StorageBin.Weight", "weight", grmi.TypeFloat64)
var StorageBin_WeightUom = grmi.NewField("WeightUom", "WM_StorageBin.WeightUom", "weightuom", grmi.TypeString)
var StorageBin_Length = grmi.NewField("Length", "WM_StorageBin.Length", "length", grmi.TypeFloat64)
var StorageBin_Width = grmi.NewField("Width", "WM_StorageBin.Width", "width", grmi.TypeFloat64)
var StorageBin_Height = grmi.NewField("Height", "WM_StorageBin.Height", "height", grmi.TypeFloat64)
var StorageBin_SizeUom = grmi.NewField("SizeUom", "WM_StorageBin.SizeUom", "sizeuom", grmi.TypeString)
var StorageBin_MovementClass = grmi.NewField("MovementClass", "WM_StorageBin.MovementClass", "movementclass", grmi.TypeString)
var StorageBin_BinCtrlPara1 = grmi.NewField("BinCtrlPara1", "WM_StorageBin.BinCtrlPara1", "binctrlpara1", grmi.TypeInt)
var StorageBin_BinCtrlPara2 = grmi.NewField("BinCtrlPara2", "WM_StorageBin.BinCtrlPara2", "binctrlpara2", grmi.TypeInt)
var StorageBin_BinCtrlPara3 = grmi.NewField("BinCtrlPara3", "WM_StorageBin.BinCtrlPara3", "binctrlpara3", grmi.TypeInt)
var StorageBin_BinCtrlPara4 = grmi.NewField("BinCtrlPara4", "WM_StorageBin.BinCtrlPara4", "binctrlpara4", grmi.TypeInt)
var StorageBin_BinCtrlPara5 = grmi.NewField("BinCtrlPara5", "WM_StorageBin.BinCtrlPara5", "binctrlpara5", grmi.TypeString)
var StorageBin_BinCtrlPara6 = grmi.NewField("BinCtrlPara6", "WM_StorageBin.BinCtrlPara6", "binctrlpara6", grmi.TypeString)
var StorageBin_BinCtrlPara7 = grmi.NewField("BinCtrlPara7", "WM_StorageBin.BinCtrlPara7", "binctrlpara7", grmi.TypeString)
var StorageBin_BinCtrlPara8 = grmi.NewField("BinCtrlPara8", "WM_StorageBin.BinCtrlPara8", "binctrlpara8", grmi.TypeString)
var StorageBin_BinCtrlPara9 = grmi.NewField("BinCtrlPara9", "WM_StorageBin.BinCtrlPara9", "binctrlpara9", grmi.TypeFloat64)
var StorageBin_BinCtrlPara10 = grmi.NewField("BinCtrlPara10", "WM_StorageBin.BinCtrlPara10", "binctrlpara10", grmi.TypeFloat64)
var StorageBin_BinCtrlPara11 = grmi.NewField("BinCtrlPara11", "WM_StorageBin.BinCtrlPara11", "binctrlpara11", grmi.TypeFloat64)
var StorageBin_BinCtrlPara12 = grmi.NewField("BinCtrlPara12", "WM_StorageBin.BinCtrlPara12", "binctrlpara12", grmi.TypeFloat64)
var StorageBin_BinCtrlPara13 = grmi.NewField("BinCtrlPara13", "WM_StorageBin.BinCtrlPara13", "binctrlpara13", grmi.TypeDateTime)
var StorageBin_BinCtrlPara14 = grmi.NewField("BinCtrlPara14", "WM_StorageBin.BinCtrlPara14", "binctrlpara14", grmi.TypeDateTime)
var StorageBin_BinCtrlPara15 = grmi.NewField("BinCtrlPara15", "WM_StorageBin.BinCtrlPara15", "binctrlpara15", grmi.TypeDateTime)
var StorageBin_BinCtrlPara16 = grmi.NewField("BinCtrlPara16", "WM_StorageBin.BinCtrlPara16", "binctrlpara16", grmi.TypeDateTime)
var StorageBin_StorageRackId = grmi.NewField("StorageRackId", "WM_StorageBin.StorageRackId", "storagerackid", grmi.TypeString)
var StorageBin_RowIndex = grmi.NewField("RowIndex", "WM_StorageBin.RowIndex", "rowindex", grmi.TypeString)
var StorageBin_ColIndex = grmi.NewField("ColIndex", "WM_StorageBin.ColIndex", "colindex", grmi.TypeString)
var StorageBin_LastModify = grmi.NewField("LastModify", "WM_StorageBin.LastModify", "lastmodify", grmi.TypeDateTime)
var StorageBin_LastUser = grmi.NewField("LastUser", "WM_StorageBin.LastUser", "lastuser", grmi.TypeString)
var StorageBin_CreateTime = grmi.NewField("CreateTime", "WM_StorageBin.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : StorageBin的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 11:25:15
 *
 ******************************************************************************/
var StorageBin = grmi.NewEntity(
	"WM_StorageBin",
	func() interface{} { return &model.StorageBin{} },
	map[string]grmi.Field{
		StorageBin_StorageBinId.Name:       StorageBin_StorageBinId,
		StorageBin_WarehouseId.Name:        StorageBin_WarehouseId,
		StorageBin_StorageAreaId.Name:      StorageBin_StorageAreaId,
		StorageBin_Descr.Name:              StorageBin_Descr,
		StorageBin_Status.Name:             StorageBin_Status,
		StorageBin_ActualStock.Name:        StorageBin_ActualStock,
		StorageBin_BlockedStock.Name:       StorageBin_BlockedStock,
		StorageBin_AvailableStock.Name:     StorageBin_AvailableStock,
		StorageBin_ReservedStock.Name:      StorageBin_ReservedStock,
		StorageBin_ReservableStock.Name:    StorageBin_ReservableStock,
		StorageBin_RemovalReason.Name: StorageBin_RemovalReason,
		StorageBin_RemovalPerson.Name:      StorageBin_RemovalPerson,
		StorageBin_LastStorageBlock.Name:   StorageBin_LastStorageBlock,
		StorageBin_StorageBlockReason.Name: StorageBin_StorageBlockReason,
		StorageBin_StoragePerson.Name:      StorageBin_StoragePerson,
		StorageBin_StorageCapacity.Name:    StorageBin_StorageCapacity,
		StorageBin_LastRemoval.Name:        StorageBin_LastRemoval,
		StorageBin_LastStorage.Name:        StorageBin_LastStorage,
		StorageBin_RemainStock.Name:        StorageBin_RemainStock,
		StorageBin_LastStockTaking.Name:    StorageBin_LastStockTaking,
		StorageBin_Weight.Name:             StorageBin_Weight,
		StorageBin_WeightUom.Name:          StorageBin_WeightUom,
		StorageBin_Length.Name:             StorageBin_Length,
		StorageBin_Width.Name:              StorageBin_Width,
		StorageBin_Height.Name:             StorageBin_Height,
		StorageBin_SizeUom.Name:            StorageBin_SizeUom,
		StorageBin_MovementClass.Name:      StorageBin_MovementClass,
		StorageBin_BinCtrlPara1.Name:       StorageBin_BinCtrlPara1,
		StorageBin_BinCtrlPara2.Name:       StorageBin_BinCtrlPara2,
		StorageBin_BinCtrlPara3.Name:       StorageBin_BinCtrlPara3,
		StorageBin_BinCtrlPara4.Name:       StorageBin_BinCtrlPara4,
		StorageBin_BinCtrlPara5.Name:       StorageBin_BinCtrlPara5,
		StorageBin_BinCtrlPara6.Name:       StorageBin_BinCtrlPara6,
		StorageBin_BinCtrlPara7.Name:       StorageBin_BinCtrlPara7,
		StorageBin_BinCtrlPara8.Name:       StorageBin_BinCtrlPara8,
		StorageBin_BinCtrlPara9.Name:       StorageBin_BinCtrlPara9,
		StorageBin_BinCtrlPara10.Name:      StorageBin_BinCtrlPara10,
		StorageBin_BinCtrlPara11.Name:      StorageBin_BinCtrlPara11,
		StorageBin_BinCtrlPara12.Name:      StorageBin_BinCtrlPara12,
		StorageBin_BinCtrlPara13.Name:      StorageBin_BinCtrlPara13,
		StorageBin_BinCtrlPara14.Name:      StorageBin_BinCtrlPara14,
		StorageBin_BinCtrlPara15.Name:      StorageBin_BinCtrlPara15,
		StorageBin_BinCtrlPara16.Name:      StorageBin_BinCtrlPara16,
		StorageBin_StorageRackId.Name:      StorageBin_StorageRackId,
		StorageBin_RowIndex.Name:           StorageBin_RowIndex,
		StorageBin_ColIndex.Name:           StorageBin_ColIndex,
		StorageBin_LastModify.Name:         StorageBin_LastModify,
		StorageBin_LastUser.Name:           StorageBin_LastUser,
		StorageBin_CreateTime.Name:         StorageBin_CreateTime,
	},
	[]string{},
	[]string{"StorageAreaId", "Descr", "Status", "ActualStock", "BlockedStock", "AvailableStock", "ReservedStock", "ReservableStock", "RemovalReason", "RemovalPerson", "LastStorageBlock", "StorageBlockReason", "StoragePerson", "StorageCapacity", "LastRemoval", "LastStorage", "RemainStock", "LastStockTaking", "Weight", "WeightUom", "Length", "Width", "Height", "SizeUom", "MovementClass", "BinCtrlPara1", "BinCtrlPara2", "BinCtrlPara3", "BinCtrlPara4", "BinCtrlPara5", "BinCtrlPara6", "BinCtrlPara7", "BinCtrlPara8", "BinCtrlPara9", "BinCtrlPara10", "BinCtrlPara11", "BinCtrlPara12", "BinCtrlPara13", "BinCtrlPara14", "BinCtrlPara15", "BinCtrlPara16", "StorageRackId", "RowIndex", "ColIndex", "LastUser"})
