// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package api

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ACCUNITID
 *-----------------------------------------------------------------------------
 *
 * @Description              : ACCUNITID的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-12 10:08:28
 *
 ******************************************************************************/
type ACCUNITID struct {
	RECID      int64         `xorm:"pk bigint 'REC_ID'" json:"ACC_UNITID-REC_ID"`
	CTIME      grmi.DateTime `xorm:"datetime 'CTIME' not null" json:"ACC_UNITID-CTIME"`
	LINE       string        `xorm:"nvarchar(100) 'LINE'" json:"ACC_UNITID-LINE"`
	UNITSN     string        `xorm:"nvarchar(200) 'UNITSN' not null" json:"ACC_UNITID-UNITSN"`
	IDNAME     string        `xorm:"nvarchar(100) 'ID_NAME'" json:"ACC_UNITID-ID_NAME"`
	IDVALUE    string        `xorm:"nvarchar(200) 'ID_VALUE' not null" json:"ACC_UNITID-ID_VALUE"`
	USEDT      grmi.DateTime `xorm:"datetime 'USEDT' not null" json:"ACC_UNITID-USEDT"`
	STATUS     string        `xorm:"char(1) 'STATUS' not null" json:"ACC_UNITID-STATUS"`
	ITEMPARTNO string        `xorm:"nvarchar(100) 'ITEMPARTNO'" json:"ACC_UNITID-ITEMPARTNO"`
	OP         string        `xorm:"nvarchar(100) 'OP'" json:"ACC_UNITID-OP"`
	RUNTIMEID  int64         `xorm:"bigint 'RUNTIMEID'" json:"ACC_UNITID-RUNTIMEID"`
	CYCLEID    int64         `xorm:"bigint 'CYCLEID'" json:"ACC_UNITID-CYCLEID"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-12 10:08:28
 *
 ******************************************************************************/
func (self *ACCUNITID) GetKey() core.PK {
	return core.PK{self.RECID}
}
