// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package api

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ACCUNITSTATUS
 *-----------------------------------------------------------------------------
 *
 * @Description              : ACCUNITSTATUS的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-25 15:07:15
 *
 ******************************************************************************/
type ACCUNITSTATUS struct {
	UNITSN      string        `xorm:"pk nvarchar(200) 'UNITSN'" json:"ACC_UNITSTATUS-UNITSN"`
	LINE        string        `xorm:"pk nvarchar(100) 'LINE'" json:"ACC_UNITSTATUS-LINE"`
	CTIME       grmi.DateTime `xorm:"datetime 'CTIME'" json:"ACC_UNITSTATUS-CTIME"`
	PARTNO      string        `xorm:"nvarchar(100) 'PARTNO'" json:"ACC_UNITSTATUS-PARTNO"`
	OP          string        `xorm:"nvarchar(100) 'OP'" json:"ACC_UNITSTATUS-OP"`
	DT          grmi.DateTime `xorm:"datetime 'DT'" json:"ACC_UNITSTATUS-DT"`
	RESULT      string        `xorm:"nvarchar(1) 'RESULT'" json:"ACC_UNITSTATUS-RESULT"`
	REPEATCOUNT int           `xorm:"int 'REPEAT_COUNT'" json:"ACC_UNITSTATUS-REPEAT_COUNT"`
	STATUS      string        `xorm:"nvarchar(1) 'STATUS'" json:"ACC_UNITSTATUS-STATUS"`
	SHIFT       string        `xorm:"nvarchar(100) 'SHIFT'" json:"ACC_UNITSTATUS-SHIFT"`
	RWKTOOP     string        `xorm:"nvarchar(100) 'RWKTO_OP'" json:"ACC_UNITSTATUS-RWKTO_OP"`
	RWKTOSTN    string        `xorm:"nvarchar(100) 'RWKTO_STN'" json:"ACC_UNITSTATUS-RWKTO_STN"`
	RECID       int64         `xorm:"bigint 'REC_ID'" json:"ACC_UNITSTATUS-REC_ID"`
	PARTTYPEID  int64         `xorm:"bigint 'PARTTYPEID'" json:"ACC_UNITSTATUS-PARTTYPEID"`
	STATUSWORD  int64         `xorm:"bigint 'STATUSWORD'" json:"ACC_UNITSTATUS-STATUSWORD"`
	SEGMENTCODE string        `xorm:"nvarchar(100) 'SEGMENT_CODE'" json:"ACC_UNITSTATUS-SEGMENT_CODE"`
	CLUSTERTYPE string        `xorm:"nvarchar(1) 'CLUSTER_TYPE'" json:"ACC_UNITSTATUS-CLUSTER_TYPE"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-25 15:07:15
 *
 ******************************************************************************/
func (self *ACCUNITSTATUS) GetKey() core.PK {
	return core.PK{self.UNITSN, self.LINE}
}
