// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package api

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ACCWOWORKORDERDETAIL
 *-----------------------------------------------------------------------------
 *
 * @Description              : ACCWOWORKORDERDETAIL的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-12 14:17:07
 *
 ******************************************************************************/
type ACCWOWORKORDERDETAIL struct {
	WONO        string        `xorm:"pk nvarchar(100) 'WONO'" json:"ACC_WO_WORKORDER_DETAIL-WONO"`
	UNITSN      string        `xorm:"pk nvarchar(100) 'UNITSN'" json:"ACC_WO_WORKORDER_DETAIL-UNITSN"`
	LINE        string        `xorm:"nvarchar(100) 'LINE'" json:"ACC_WO_WORKORDER_DETAIL-LINE"`
	PARTNO      string        `xorm:"nvarchar(100) 'PARTNO'" json:"ACC_WO_WORKORDER_DETAIL-PARTNO"`
	REV         string        `xorm:"nvarchar(20) 'REV'" json:"ACC_WO_WORKORDER_DETAIL-REV"`
	CUSTOMERSN  string        `xorm:"nvarchar(100) 'CUSTOMERSN'" json:"ACC_WO_WORKORDER_DETAIL-CUSTOMERSN"`
	STATUS      int           `xorm:"int 'STATUS'" json:"ACC_WO_WORKORDER_DETAIL-STATUS"`
	PACKINGNO   string        `xorm:"nvarchar(100) 'PACKINGNO'" json:"ACC_WO_WORKORDER_DETAIL-PACKINGNO"`
	ISDELETE    int           `xorm:"int 'ISDELETE'" json:"ACC_WO_WORKORDER_DETAIL-ISDELETE"`
	SYNCSTATUS  int           `xorm:"int 'SYNCSTATUS'" json:"ACC_WO_WORKORDER_DETAIL-SYNCSTATUS"`
	SYNCTIME    grmi.DateTime `xorm:"datetime 'SYNCTIME'" json:"ACC_WO_WORKORDER_DETAIL-SYNCTIME"`
	PRINTCOUNT  int           `xorm:"int 'PRINTCOUNT' not null" json:"ACC_WO_WORKORDER_DETAIL-PRINTCOUNT"`
	PRINTTIME   grmi.Date     `xorm:"date 'PRINTTIME'" json:"ACC_WO_WORKORDER_DETAIL-PRINTTIME"`
	SEGMENTCODE int           `xorm:"int 'SEGMENT_CODE'" json:"ACC_WO_WORKORDER_DETAIL-SEGMENT_CODE"`
	RETRY       int           `xorm:"int 'RETRY'" json:"ACC_WO_WORKORDER_DETAIL-RETRY"`
	MTIME       grmi.DateTime `xorm:"datetime 'MTIME'" json:"ACC_WO_WORKORDER_DETAIL-MTIME"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-12 14:17:07
 *
 ******************************************************************************/
func (self *ACCWOWORKORDERDETAIL) GetKey() core.PK {
	return core.PK{self.WONO, self.UNITSN}
}
