// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ArtWorkLineLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : ArtWorkLineLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-23 15:03:00
 *
 ******************************************************************************/
type ArtWorkLineLst struct {
	PlantNr    int           `xorm:"pk int 'PlantNr'" json:"ArtWorkLineLst-PlantNr"`
	ArtId      string        `xorm:"pk nvarchar(40) 'ArtId'" json:"ArtWorkLineLst-ArtId"`
	WorkLineId string        `xorm:"pk nvarchar(40) 'WorkLineId'" json:"ArtWorkLineLst-WorkLineId"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"ArtWorkLineLst-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"ArtWorkLineLst-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"ArtWorkLineLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-23 15:03:00
 *
 ******************************************************************************/
func (self *ArtWorkLineLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ArtId, self.WorkLineId}
}
