// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ArticleAtcodLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : ArticleAtcodLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-19 09:34:38
 *
 ******************************************************************************/
type ArticleAtcodLst struct {
	PlantNr    int           `xorm:"pk int 'PlantNr'" json:"ArticleAtcodLst-PlantNr"`
	ArtId      string        `xorm:"pk nvarchar(40) 'ArtId'" json:"ArticleAtcodLst-ArtId"`
	Version    int           `xorm:"pk int 'Version'" json:"ArticleAtcodLst-Version"`
	ProjectId  string        `xorm:"pk nvarchar(40) 'ProjectId'" json:"ArticleAtcodLst-ProjectId"`
	AttrCode   int           `xorm:"pk int 'AttrCode'" json:"ArticleAtcodLst-AttrCode"`
	AttrValue  string        `xorm:"pk nvarchar(100) 'AttrValue'" json:"ArticleAtcodLst-AttrValue"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"ArticleAtcodLst-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"ArticleAtcodLst-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"ArticleAtcodLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-19 09:34:38
 *
 ******************************************************************************/
func (self *ArticleAtcodLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ArtId, self.Version, self.ProjectId, self.AttrCode, self.AttrValue}
}
