// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : AttributeGroupValst
 *-----------------------------------------------------------------------------
 *
 * @Description              : AttributeGroupValst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
type AttributeGroupValst struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"AttributeGroupValst-PlantNr"`
	AttrCode    int           `xorm:"pk int 'AttrCode'" json:"AttributeGroupValst-AttrCode"`
	AttrGrpCode int           `xorm:"pk int 'AttrGrpCode'" json:"AttributeGroupValst-AttrGrpCode"`
	Pos         int           `xorm:"int 'Pos' not null" json:"AttributeGroupValst-Pos"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"AttributeGroupValst-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"AttributeGroupValst-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"AttributeGroupValst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
func (self *AttributeGroupValst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.AttrCode, self.AttrGrpCode}
}
