// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : AttributeValst
 *-----------------------------------------------------------------------------
 *
 * @Description              : AttributeValst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
type AttributeValst struct {
	PlantNr    int           `xorm:"pk int 'PlantNr'" json:"AttributeValst-PlantNr"`
	AttrCode   int           `xorm:"pk int 'AttrCode'" json:"AttributeValst-AttrCode"`
	Pos        int           `xorm:"pk int 'Pos'" json:"AttributeValst-Pos"`
	AttrValue  string        `xorm:"nvarchar(100) 'AttrValue' not null" json:"AttributeValst-AttrValue"`
	Descr      string        `xorm:"nvarchar(100) 'Descr' not null" json:"AttributeValst-Descr"`
	ShortCode  string        `xorm:"nvarchar(20) 'ShortCode' not null" json:"AttributeValst-ShortCode"`
	Valformat  string        `xorm:"nvarchar(40) 'Valformat' not null" json:"AttributeValst-Valformat"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"AttributeValst-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"AttributeValst-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"AttributeValst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
func (self *AttributeValst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.AttrCode, self.Pos}
}
