// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : PrinterTemplateLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : PrinterTemplateLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-20 16:59:51
 *
 ******************************************************************************/
type PrinterTemplateLst struct {
	PlantNr    int           `xorm:"pk int 'PlantNr'" json:"PrinterTemplateLst-PlantNr"`
	TemplateId string        `xorm:"pk string 'TemplateId'" json:"PrinterTemplateLst-TemplateId"`
	Pos        int           `xorm:"pk int 'Pos'" json:"PrinterTemplateLst-Pos"`
	VarName    string        `xorm:"nvarchar(32) 'VarName'" json:"PrinterTemplateLst-VarName"`
	VarValue   string        `xorm:"nvarchar(64) 'VarValue'" json:"PrinterTemplateLst-VarValue"`
	VarType    string        `xorm:"nvarchar(16) 'VarType'" json:"PrinterTemplateLst-VarType"`
	VarPos     string        `xorm:"nvarchar(16) 'VarPos'" json:"PrinterTemplateLst-VarPos"`
	Picture    string        `xorm:"nvarchar(128) 'Picture'" json:"PrinterTemplateLst-Picture"`
	IsIdx      int           `xorm:"int 'IsIdx'" json:"PrinterTemplateLst-IsIdx"`
	KeyVal     string        `xorm:"nvarchar(32) 'KeyVal'" json:"PrinterTemplateLst-KeyVal"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PrinterTemplateLst-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PrinterTemplateLst-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PrinterTemplateLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-20 16:59:51
 *
 ******************************************************************************/
func (self *PrinterTemplateLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.TemplateId, self.Pos}
}
