// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ProcessWorkPlaceLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : ProcessWorkPlaceLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-29 17:19:37
 *
 ******************************************************************************/
type ProcessWorkPlaceLst struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"ProcessWorkPlaceLst-PlantNr"`
	PO          int           `xorm:"pk int 'PO'" json:"ProcessWorkPlaceLst-PO"`
	WorkPlaceNr int           `xorm:"pk int 'WorkPlaceNr'" json:"ProcessWorkPlaceLst-WorkPlaceNr"`
	WorkLineId  string        `xorm:"pk nvarchar(40) 'WorkLineId'" json:"ProcessWorkPlaceLst-WorkLineId"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"ProcessWorkPlaceLst-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"ProcessWorkPlaceLst-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"ProcessWorkPlaceLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-29 17:19:37
 *
 ******************************************************************************/
func (self *ProcessWorkPlaceLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.PO, self.WorkPlaceNr, self.WorkLineId}
}
