// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : RoleRel
 *-----------------------------------------------------------------------------
 *
 * @Description              : RoleRel的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-21 10:36:05
 *
 ******************************************************************************/
type RoleRel struct {
	PlantNr    int           `xorm:"pk int 'PlantNr'" json:"RoleRel-PlantNr"`
	RoleId     int           `xorm:"pk int 'RoleId'" json:"RoleRel-RoleId"`
	WorkLineid string        `xorm:"pk nvarchar(40) 'WorkLineid'" json:"RoleRel-WorkLineid"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"RoleRel-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"RoleRel-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"RoleRel-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-21 10:36:05
 *
 ******************************************************************************/
func (self *RoleRel) GetKey() core.PK {
	return core.PK{self.PlantNr, self.RoleId, self.WorkLineid}
}
