// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WeekModelLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : WeekModelLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-16 10:03:06
 *
 ******************************************************************************/
type WeekModelLst struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"WeekModelLst-PlantNr"`
	WeekModelNr int           `xorm:"pk int 'WeekModelNr'" json:"WeekModelLst-WeekModelNr"`
	WorkDate    grmi.Date     `xorm:"pk date 'WorkDate'" json:"WeekModelLst-WorkDate"`
	DayModelNr  int           `xorm:"int 'DayModelNr' not null" json:"WeekModelLst-DayModelNr"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WeekModelLst-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WeekModelLst-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WeekModelLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
func (self *WeekModelLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WeekModelNr, self.WorkDate}
}
