// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WorkLineSpecialDay
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkLineSpecialDay的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
type WorkLineSpecialDay struct {
	PlantNr    int           `xorm:"pk int 'PlantNr'" json:"WorkLineSpecialDay-PlantNr"`
	WorkLineid string        `xorm:"pk nvarchar(40) 'WorkLineid'" json:"WorkLineSpecialDay-WorkLineid"`
	SpecialDay string        `xorm:"pk nvarchar(8) 'SpecialDay'" json:"WorkLineSpecialDay-SpecialDay"`
	DayModelNr int           `xorm:"int 'DayModelNr' not null" json:"WorkLineSpecialDay-DayModelNr"`
	Descr      string        `xorm:"nvarchar(100) 'Descr' not null" json:"WorkLineSpecialDay-Descr"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WorkLineSpecialDay-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WorkLineSpecialDay-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WorkLineSpecialDay-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
func (self *WorkLineSpecialDay) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkLineid, self.SpecialDay}
}
