// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WorkLineSpecialTime
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkLineSpecialTime的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
type WorkLineSpecialTime struct {
	PlantNr    int           `xorm:"pk int 'PlantNr'" json:"WorkLineSpecialTime-PlantNr"`
	WorkLineid string        `xorm:"pk nvarchar(40) 'WorkLineid'" json:"WorkLineSpecialTime-WorkLineid"`
	BegTime    grmi.DateTime `xorm:"pk datetime2(0) 'BegTime'" json:"WorkLineSpecialTime-BegTime"`
	AddMinus   int           `xorm:"int 'AddMinus' not null" json:"WorkLineSpecialTime-AddMinus"`
	EndTime    grmi.DateTime `xorm:"datetime 'EndTime'" json:"WorkLineSpecialTime-EndTime"`
	TimeObjId  string        `xorm:"nvarchar(40) 'TimeObjId' not null" json:"WorkLineSpecialTime-TimeObjId"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WorkLineSpecialTime-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WorkLineSpecialTime-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WorkLineSpecialTime-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
func (self *WorkLineSpecialTime) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkLineid, self.BegTime.ToString()}
}
