// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WorkLineWorkPlaceLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkLineWorkPlaceLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-22 16:01:03
 *
 ******************************************************************************/
type WorkLineWorkPlaceLst struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"WorkLineWorkPlaceLst-PlantNr"`
	WorkLineId  string        `xorm:"pk nvarchar(40) 'WorkLineId'" json:"WorkLineWorkPlaceLst-WorkLineId"`
	WorkPlaceNr int           `xorm:"pk int 'WorkPlaceNr'" json:"WorkLineWorkPlaceLst-WorkPlaceNr"`
	Pos         int           `xorm:"int 'Pos' not null" json:"WorkLineWorkPlaceLst-Pos"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WorkLineWorkPlaceLst-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WorkLineWorkPlaceLst-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WorkLineWorkPlaceLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-22 16:01:03
 *
 ******************************************************************************/
func (self *WorkLineWorkPlaceLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkLineId, self.WorkPlaceNr}
}
