// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WorkLineWorkShiftLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkLineWorkShiftLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-22 16:01:03
 *
 ******************************************************************************/
type WorkLineWorkShiftLst struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"WorkLineWorkShiftLst-PlantNr"`
	WorkLineId  string        `xorm:"pk nvarchar(40) 'WorkLineId'" json:"WorkLineWorkShiftLst-WorkLineId"`
	WorkDay     string        `xorm:"pk nvarchar(8) 'WorkDay'" json:"WorkLineWorkShiftLst-WorkDay"`
	WorkShiftNr int           `xorm:"pk int 'WorkShiftNr'" json:"WorkLineWorkShiftLst-WorkShiftNr"`
	PersonQty   int           `xorm:"int 'PersonQty' not null" json:"WorkLineWorkShiftLst-PersonQty"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WorkLineWorkShiftLst-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WorkLineWorkShiftLst-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WorkLineWorkShiftLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-22 16:01:03
 *
 ******************************************************************************/
func (self *WorkLineWorkShiftLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkLineId, self.WorkDay, self.WorkShiftNr}
}
