// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WorkLineWorkShiftSpecialTime
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkLineWorkShiftSpecialTime的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
type WorkLineWorkShiftSpecialTime struct {
	PlantNr    int           `xorm:"pk int 'PlantNr'" json:"WorkLineWorkShiftSpecialTime-PlantNr"`
	WorkLineId string        `xorm:"pk nvarchar(40) 'WorkLineId'" json:"WorkLineWorkShiftSpecialTime-WorkLineId"`
	WorkDay    string        `xorm:"pk nvarchar(8) 'WorkDay'" json:"WorkLineWorkShiftSpecialTime-WorkDay"`
	Pos        int           `xorm:"pk int 'Pos'" json:"WorkLineWorkShiftSpecialTime-Pos"`
	BegTime    grmi.DateTime `xorm:"pk datetime2(0) 'BegTime'" json:"WorkLineWorkShiftSpecialTime-BegTime"`
	AddMinus   int           `xorm:"int 'AddMinus' not null" json:"WorkLineWorkShiftSpecialTime-AddMinus"`
	EndTime    grmi.DateTime `xorm:"datetime 'EndTime'" json:"WorkLineWorkShiftSpecialTime-EndTime"`
	TimeObjId  string        `xorm:"nvarchar(40) 'TimeObjId' not null" json:"WorkLineWorkShiftSpecialTime-TimeObjId"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WorkLineWorkShiftSpecialTime-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WorkLineWorkShiftSpecialTime-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WorkLineWorkShiftSpecialTime-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
func (self *WorkLineWorkShiftSpecialTime) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkLineId, self.WorkDay, self.Pos, self.BegTime.ToString()}
}
