// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WorkShiftEffLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkShiftEffLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
type WorkShiftEffLst struct {
	PlantNr          int           `xorm:"pk int 'PlantNr'" json:"WorkShiftEffLst-PlantNr"`
	WorkShiftNr      int           `xorm:"pk int 'WorkShiftNr'" json:"WorkShiftEffLst-WorkShiftNr"`
	LevelId          string        `xorm:"pk nvarchar(40) 'LevelId'" json:"WorkShiftEffLst-LevelId"`
	Descr            string        `xorm:"nvarchar(100) 'Descr'" json:"WorkShiftEffLst-Descr"`
	PlanPersonUclQty int           `xorm:"int 'PlanPersonUclQty'" json:"WorkShiftEffLst-PlanPersonUclQty"`
	PlanPersonLclQty int           `xorm:"int 'PlanPersonLclQty'" json:"WorkShiftEffLst-PlanPersonLclQty"`
	PlanEfficiency   float64       `xorm:"float 'PlanEfficiency' not null" json:"WorkShiftEffLst-PlanEfficiency"`
	LastModify       grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WorkShiftEffLst-LastModify"`
	LastUser         string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WorkShiftEffLst-LastUser"`
	CreateTime       grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WorkShiftEffLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
func (self *WorkShiftEffLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkShiftNr, self.LevelId}
}
