// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package log

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : VendorArtLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : VendorArtLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-25 10:13:02
 *
 ******************************************************************************/
type VendorArtLst struct {
	PlantNr    int           `xorm:"pk int 'PlantNr'" json:"LOG_VendorArtLst-PlantNr"`
	VendorId   string        `xorm:"pk nvarchar(40) 'VendorId'" json:"LOG_VendorArtLst-VendorId"`
	ArtId      string        `xorm:"pk nvarchar(40) 'ArtId'" json:"LOG_VendorArtLst-ArtId"`
	Pos        int           `xorm:"int 'Pos' not null" json:"LOG_VendorArtLst-Pos"`
	CtrlLevel  int           `xorm:"int 'CtrlLevel' not null" json:"LOG_VendorArtLst-CtrlLevel"`
	CtrlPara1  int           `xorm:"int 'CtrlPara1' not null" json:"LOG_VendorArtLst-CtrlPara1"`
	CtrlPara2  int           `xorm:"int 'CtrlPara2' not null" json:"LOG_VendorArtLst-CtrlPara2"`
	CtrlPara3  string        `xorm:"nvarchar(100) 'CtrlPara3' not null" json:"LOG_VendorArtLst-CtrlPara3"`
	CtrlPara4  string        `xorm:"nvarchar(100) 'CtrlPara4' not null" json:"LOG_VendorArtLst-CtrlPara4"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"LOG_VendorArtLst-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"LOG_VendorArtLst-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"LOG_VendorArtLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-25 10:13:02
 *
 ******************************************************************************/
func (self *VendorArtLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.VendorId, self.ArtId}
}
