// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package ods

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ArtRouteStepOdsLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : ArtRouteStepOdsLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-22 16:01:03
 *
 ******************************************************************************/
type ArtRouteStepOdsLst struct {
	PlantNr       int           `xorm:"pk int 'PlantNr'" json:"ODS_ArtRouteStepOdsLst-PlantNr"`
	ArtId         string        `xorm:"pk nvarchar(40) 'ArtId'" json:"ODS_ArtRouteStepOdsLst-ArtId"`
	OperationNr   int           `xorm:"pk int 'OperationNr'" json:"ODS_ArtRouteStepOdsLst-OperationNr"`
	Step          int           `xorm:"pk int 'Step'" json:"ODS_ArtRouteStepOdsLst-Step"`
	Pos           int           `xorm:"pk int 'Pos'" json:"ODS_ArtRouteStepOdsLst-Pos"`
	Descr         string        `xorm:"nvarchar(100) 'Descr' not null" json:"ODS_ArtRouteStepOdsLst-Descr"`
	OdsId         string        `xorm:"nvarchar(40) 'OdsId' not null" json:"ODS_ArtRouteStepOdsLst-OdsId"`
	OdsTypeId     string        `xorm:"nvarchar(40) 'OdsTypeId' not null" json:"ODS_ArtRouteStepOdsLst-OdsTypeId"`
	OdsContentIdx string        `xorm:"nvarchar(255) 'OdsContentIdx' not null" json:"ODS_ArtRouteStepOdsLst-OdsContentIdx"`
	CtrlPara1     int           `xorm:"int 'CtrlPara1' not null" json:"ODS_ArtRouteStepOdsLst-CtrlPara1"`
	CtrlPara2     int           `xorm:"int 'CtrlPara2' not null" json:"ODS_ArtRouteStepOdsLst-CtrlPara2"`
	CtrlPara3     string        `xorm:"nvarchar(100) 'CtrlPara3' not null" json:"ODS_ArtRouteStepOdsLst-CtrlPara3"`
	CtrlPara4     string        `xorm:"nvarchar(100) 'CtrlPara4' not null" json:"ODS_ArtRouteStepOdsLst-CtrlPara4"`
	WorkPlaceNr   int           `xorm:"int 'WorkPlaceNr' not null" json:"ODS_ArtRouteStepOdsLst-WorkPlaceNr"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"ODS_ArtRouteStepOdsLst-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"ODS_ArtRouteStepOdsLst-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"ODS_ArtRouteStepOdsLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
func (self *ArtRouteStepOdsLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ArtId, self.OperationNr, self.Step, self.Pos}
}
