// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : AssetTemplateLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : AssetTemplateLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
type AssetTemplateLst struct {
	PlantNr        int           `xorm:"pk int 'PlantNr'" json:"PM_AssetTemplateLst-PlantNr"`
	AssetNr        int           `xorm:"pk int 'AssetNr'" json:"PM_AssetTemplateLst-AssetNr"`
	MainTemplateNr int           `xorm:"pk int 'MainTemplateNr'" json:"PM_AssetTemplateLst-MainTemplateNr"`
	Pos            int           `xorm:"int 'Pos' not null" json:"PM_AssetTemplateLst-Pos"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PM_AssetTemplateLst-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PM_AssetTemplateLst-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PM_AssetTemplateLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
func (self *AssetTemplateLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.AssetNr, self.MainTemplateNr}
}
