// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : AttributeValst
 *-----------------------------------------------------------------------------
 *
 * @Description              : AttributeValst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
type AttributeValst struct {
	PlantNr    int           `xorm:"pk int 'PlantNr'" json:"PM_AttributeValst-PlantNr"`
	AttrNr     int           `xorm:"pk int 'AttrNr'" json:"PM_AttributeValst-AttrNr"`
	Pos        int           `xorm:"pk int 'Pos'" json:"PM_AttributeValst-Pos"`
	AttrValue  string        `xorm:"varchar(60) 'AttrValue' not null" json:"PM_AttributeValst-AttrValue"`
	Descr      string        `xorm:"varchar(60) 'Descr' not null" json:"PM_AttributeValst-Descr"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PM_AttributeValst-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PM_AttributeValst-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PM_AttributeValst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
func (self *AttributeValst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.AttrNr, self.Pos}
}
