// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : UserAssetLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : UserAssetLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-18 22:50:49
 *
 ******************************************************************************/
type UserAssetLst struct {
	PlantNr    int           `xorm:"pk int 'PlantNr'" json:"PM_UserAssetLst-PlantNr"`
	UserId     string        `xorm:"pk varchar(40) 'UserId'" json:"PM_UserAssetLst-UserId"`
	AssetId    int           `xorm:"pk int 'AssetId'" json:"PM_UserAssetLst-AssetId"`
	Pos        int           `xorm:"int 'Pos' not null" json:"PM_UserAssetLst-Pos"`
	CtrlPara1  int           `xorm:"int 'CtrlPara1' not null" json:"PM_UserAssetLst-CtrlPara1"`
	CtrlPara2  int           `xorm:"int 'CtrlPara2' not null" json:"PM_UserAssetLst-CtrlPara2"`
	CtrlPara3  string        `xorm:"varchar(100) 'CtrlPara3' not null" json:"PM_UserAssetLst-CtrlPara3"`
	CtrlPara4  string        `xorm:"varchar(100) 'CtrlPara4' not null" json:"PM_UserAssetLst-CtrlPara4"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PM_UserAssetLst-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PM_UserAssetLst-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PM_UserAssetLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-18 22:50:49
 *
 ******************************************************************************/
func (self *UserAssetLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.UserId, self.AssetId}
}
