// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : UserServiceLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : UserServiceLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-18 22:50:49
 *
 ******************************************************************************/
type UserServiceLst struct {
	PlantNr       int           `xorm:"pk int 'PlantNr'" json:"PM_UserServiceLst-PlantNr"`
	UserId        string        `xorm:"pk varchar(40) 'UserId'" json:"PM_UserServiceLst-UserId"`
	MainServiceId string        `xorm:"pk varchar(40) 'MainServiceId'" json:"PM_UserServiceLst-MainServiceId"`
	Pos           int           `xorm:"int 'Pos' not null" json:"PM_UserServiceLst-Pos"`
	CtrlPara1     int           `xorm:"int 'CtrlPara1' not null" json:"PM_UserServiceLst-CtrlPara1"`
	CtrlPara2     int           `xorm:"int 'CtrlPara2' not null" json:"PM_UserServiceLst-CtrlPara2"`
	CtrlPara3     string        `xorm:"varchar(100) 'CtrlPara3' not null" json:"PM_UserServiceLst-CtrlPara3"`
	CtrlPara4     string        `xorm:"varchar(100) 'CtrlPara4' not null" json:"PM_UserServiceLst-CtrlPara4"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PM_UserServiceLst-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PM_UserServiceLst-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PM_UserServiceLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-18 22:50:49
 *
 ******************************************************************************/
func (self *UserServiceLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.UserId, self.MainServiceId}
}
