// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package qm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ReclinerReclst
 *-----------------------------------------------------------------------------
 *
 * @Description              : ReclinerReclst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-12 14:05:20
 *
 ******************************************************************************/
type ReclinerReclst struct {
	PlantNr       int           `xorm:"pk int 'PlantNr'" json:"QM_ReclinerReclst-PlantNr"`
	RecNr         int           `xorm:"pk int 'RecNr' autoincr" json:"QM_ReclinerReclst-RecNr"`
	Line          string        `xorm:"nvarchar(16) 'Line'" json:"QM_ReclinerReclst-Line"`
	ArtId         string        `xorm:"nvarchar(64) 'ArtId'" json:"QM_ReclinerReclst-ArtId"`
	SerialOrderId string        `xorm:"nvarchar(100) 'SerialOrderId'" json:"QM_ReclinerReclst-SerialOrderId"`
	ReclinerNr    string        `xorm:"nvarchar(64) 'ReclinerNr'" json:"QM_ReclinerReclst-ReclinerNr"`
	ItemPartNr    string        `xorm:"nvarchar(64) 'ItemPartNr'" json:"QM_ReclinerReclst-ItemPartNr"`
	Status        string        `xorm:"nvarchar(16) 'Status'" json:"QM_ReclinerReclst-Status"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"QM_ReclinerReclst-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"QM_ReclinerReclst-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"QM_ReclinerReclst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-12 14:05:20
 *
 ******************************************************************************/
func (self *ReclinerReclst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.RecNr, self.Line}
}
