// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package qm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ViewValst
 *-----------------------------------------------------------------------------
 *
 * @Description              : ViewValst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
type ViewValst struct {
	PlantNr    int           `xorm:"pk int 'PlantNr'" json:"QM_ViewValst-PlantNr"`
	ViewId     string        `xorm:"pk nvarchar(20) 'ViewId'" json:"QM_ViewValst-ViewId"`
	Pos        int           `xorm:"pk int 'Pos'" json:"QM_ViewValst-Pos"`
	ValName    string        `xorm:"nvarchar(16) 'ValName' not null" json:"QM_ViewValst-ValName"`
	XStart     int           `xorm:"int 'XStart' not null" json:"QM_ViewValst-XStart"`
	YStart     int           `xorm:"int 'YStart' not null" json:"QM_ViewValst-YStart"`
	Width      int           `xorm:"int 'Width' not null" json:"QM_ViewValst-Width"`
	Height     int           `xorm:"int 'Height' not null" json:"QM_ViewValst-Height"`
	Descr      string        `xorm:"nvarchar(100) 'Descr' not null" json:"QM_ViewValst-Descr"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"QM_ViewValst-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"QM_ViewValst-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"QM_ViewValst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
func (self *ViewValst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ViewId, self.Pos}
}
