// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package report

import (
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ArcDisplayInfo
 *-----------------------------------------------------------------------------
 *
 * @Description              : ArcDisplayInfo的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-21 11:39:48
 *
 ******************************************************************************/
type ArcDisplayInfo struct {
	Pos            int     `xorm:"pk int 'Pos'" json:"ArcDisplayInfo-Pos"`
	DescCN         string  `xorm:"pk nvarchar(50) 'DescCN'" json:"ArcDisplayInfo-DescCN"`
	StandardValue  float64 `xorm:"float 'StandardValue' not null" json:"ArcDisplayInfo-StandardValue"`
	StatisticField string  `xorm:"nvarchar(40) 'StatisticField' not null" json:"ArcDisplayInfo-StatisticField"`
	Title          string  `xorm:"nvarchar(100) 'Title' not null" json:"ArcDisplayInfo-Title"`
	Uom            string  `xorm:"nvarchar(20) 'Uom' not null" json:"ArcDisplayInfo-Uom"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-21 11:39:48
 *
 ******************************************************************************/
func (self *ArcDisplayInfo) GetKey() core.PK {
	return core.PK{self.Pos, self.DescCN}
}
