// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : AssertArtLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : AssertArtLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
type AssertArtLst struct {
	AssertId   string        `xorm:"pk nvarchar(40) 'AssertId'" json:"WM_AssertArtLst-AssertId"`
	ArtId      string        `xorm:"pk nvarchar(40) 'ArtId'" json:"WM_AssertArtLst-ArtId"`
	Pos        int           `xorm:"int 'Pos' not null" json:"WM_AssertArtLst-Pos"`
	Qty        float64       `xorm:"float 'Qty' not null" json:"WM_AssertArtLst-Qty"`
	Uom        string        `xorm:"nvarchar(30) 'Uom' not null" json:"WM_AssertArtLst-Uom"`
	CtrlLevel  int           `xorm:"int 'CtrlLevel' not null" json:"WM_AssertArtLst-CtrlLevel"`
	CtrlPara1  int           `xorm:"int 'CtrlPara1' not null" json:"WM_AssertArtLst-CtrlPara1"`
	CtrlPara2  int           `xorm:"int 'CtrlPara2' not null" json:"WM_AssertArtLst-CtrlPara2"`
	CtrlPara3  string        `xorm:"nvarchar(100) 'CtrlPara3' not null" json:"WM_AssertArtLst-CtrlPara3"`
	CtrlPara4  string        `xorm:"nvarchar(100) 'CtrlPara4' not null" json:"WM_AssertArtLst-CtrlPara4"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_AssertArtLst-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_AssertArtLst-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_AssertArtLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
func (self *AssertArtLst) GetKey() core.PK {
	return core.PK{self.AssertId, self.ArtId}
}
