// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : GoodsIssueLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : GoodsIssueLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
type GoodsIssueLst struct {
	GoodsIssueId  string        `xorm:"pk nvarchar(40) 'GoodsIssueId'" json:"WM_GoodsIssueLst-GoodsIssueId"`
	GIPos         int           `xorm:"pk int 'GIPos'" json:"WM_GoodsIssueLst-GIPos"`
	GILPos        int           `xorm:"pk int 'GILPos'" json:"WM_GoodsIssueLst-GILPos"`
	WarehouseId   string        `xorm:"nvarchar(40) 'WarehouseId' not null" json:"WM_GoodsIssueLst-WarehouseId"`
	StorageAreaId string        `xorm:"nvarchar(40) 'StorageAreaId' not null" json:"WM_GoodsIssueLst-StorageAreaId"`
	StorageBinId  string        `xorm:"nvarchar(40) 'StorageBinId' not null" json:"WM_GoodsIssueLst-StorageBinId"`
	StorageRackId string        `xorm:"nvarchar(40) 'StorageRackId' not null" json:"WM_GoodsIssueLst-StorageRackId"`
	Qty           float64       `xorm:"float 'Qty' not null" json:"WM_GoodsIssueLst-Qty"`
	CtrlPara1     string        `xorm:"nvarchar(100) 'CtrlPara1' not null" json:"WM_GoodsIssueLst-CtrlPara1"`
	CtrlPara2     string        `xorm:"nvarchar(100) 'CtrlPara2' not null" json:"WM_GoodsIssueLst-CtrlPara2"`
	CtrlPara3     int           `xorm:"int 'CtrlPara3' not null" json:"WM_GoodsIssueLst-CtrlPara3"`
	CtrlPara4     int           `xorm:"int 'CtrlPara4' not null" json:"WM_GoodsIssueLst-CtrlPara4"`
	CtrlPara5     float64       `xorm:"float 'CtrlPara5' not null" json:"WM_GoodsIssueLst-CtrlPara5"`
	CtrlPara6     float64       `xorm:"float 'CtrlPara6' not null" json:"WM_GoodsIssueLst-CtrlPara6"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_GoodsIssueLst-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_GoodsIssueLst-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_GoodsIssueLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
func (self *GoodsIssueLst) GetKey() core.PK {
	return core.PK{self.GoodsIssueId, self.GIPos, self.GILPos}
}
