// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WorkAreaUserLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkAreaUserLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
type WorkAreaUserLst struct {
	WorkAreaId string        `xorm:"pk nvarchar(40) 'WorkAreaId'" json:"WM_WorkAreaUserLst-WorkAreaId"`
	UserId     string        `xorm:"pk nvarchar(40) 'UserId'" json:"WM_WorkAreaUserLst-UserId"`
	Pos        int           `xorm:"int 'Pos' not null" json:"WM_WorkAreaUserLst-Pos"`
	CtrlLevel  int           `xorm:"int 'CtrlLevel' not null" json:"WM_WorkAreaUserLst-CtrlLevel"`
	CtrlPara1  int           `xorm:"int 'CtrlPara1' not null" json:"WM_WorkAreaUserLst-CtrlPara1"`
	CtrlPara2  int           `xorm:"int 'CtrlPara2' not null" json:"WM_WorkAreaUserLst-CtrlPara2"`
	CtrlPara3  string        `xorm:"nvarchar(100) 'CtrlPara3' not null" json:"WM_WorkAreaUserLst-CtrlPara3"`
	CtrlPara4  string        `xorm:"nvarchar(100) 'CtrlPara4' not null" json:"WM_WorkAreaUserLst-CtrlPara4"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_WorkAreaUserLst-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_WorkAreaUserLst-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_WorkAreaUserLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
func (self *WorkAreaUserLst) GetKey() core.PK {
	return core.PK{self.WorkAreaId, self.UserId}
}
